#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1254
#define LARGE_STATE_COUNT 33
#define SYMBOL_COUNT 453
#define ALIAS_COUNT 0
#define TOKEN_COUNT 184
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 12
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 13

enum ts_symbol_identifiers {
    anon_sym_short = 1,
    anon_sym_int16 = 2,
    anon_sym_long = 3,
    anon_sym_int32 = 4,
    anon_sym_longlong = 5,
    anon_sym_int64 = 6,
    sym_unsigned_tiny_int = 7,
    sym_boolean_type = 8,
    anon_sym_fixed = 9,
    sym_octet_type = 10,
    sym_signed_tiny_int = 11,
    anon_sym_unsignedshort = 12,
    anon_sym_uint16 = 13,
    anon_sym_unsignedlong = 14,
    anon_sym_uint32 = 15,
    anon_sym_unsignedlonglong = 16,
    anon_sym_uint64 = 17,
    anon_sym_float = 18,
    anon_sym_double = 19,
    anon_sym_longdouble = 20,
    sym_char_type = 21,
    sym_wide_char_type = 22,
    anon_sym_COLON_COLON = 23,
    anon_sym_string = 24,
    anon_sym_LT = 25,
    anon_sym_GT = 26,
    anon_sym_wstring = 27,
    anon_sym_any = 28,
    anon_sym_COMMA = 29,
    anon_sym_sequence = 30,
    anon_sym_map = 31,
    anon_sym_PIPE = 32,
    anon_sym_CARET = 33,
    anon_sym_AMP = 34,
    anon_sym_GT_GT = 35,
    anon_sym_LT_LT = 36,
    anon_sym_PLUS = 37,
    anon_sym_DASH = 38,
    anon_sym_STAR = 39,
    anon_sym_SLASH = 40,
    anon_sym_PERCENT = 41,
    anon_sym_LPAREN = 42,
    anon_sym_RPAREN = 43,
    anon_sym_TILDE = 44,
    sym_bin_number = 45,
    aux_sym_oct_number_token1 = 46,
    aux_sym_oct_number_token2 = 47,
    anon_sym_0 = 48,
    aux_sym_dec_number_token1 = 49,
    sym_hex_number = 50,
    anon_sym_DOT = 51,
    aux_sym_floating_pt_literal_token1 = 52,
    aux_sym_fixed_pt_literal_token1 = 53,
    sym_escape_sequence = 54,
    anon_sym_DQUOTE = 55,
    aux_sym_string_literal_token1 = 56,
    anon_sym_L = 57,
    anon_sym_SQUOTE = 58,
    aux_sym_char_literal_token1 = 59,
    anon_sym_TRUE = 60,
    anon_sym_FALSE = 61,
    anon_sym_POUNDdefine = 62,
    aux_sym_preproc_define_token1 = 63,
    aux_sym_preproc_call_token1 = 64,
    sym_preproc_directive = 65,
    sym_preproc_arg = 66,
    aux_sym_preproc_include_token1 = 67,
    sym_system_lib_path = 68,
    anon_sym_exception = 69,
    anon_sym_LBRACE = 70,
    anon_sym_RBRACE = 71,
    anon_sym_local = 72,
    anon_sym_abstract = 73,
    anon_sym_interface = 74,
    anon_sym_COLON = 75,
    anon_sym_SEMI = 76,
    anon_sym_void = 77,
    anon_sym_in = 78,
    anon_sym_out = 79,
    anon_sym_inout = 80,
    anon_sym_raises = 81,
    anon_sym_readonly = 82,
    anon_sym_attribute = 83,
    anon_sym_getraises = 84,
    anon_sym_setraises = 85,
    anon_sym_bitset = 86,
    anon_sym_bitfield = 87,
    anon_sym_bitmask = 88,
    anon_sym_ATannotation = 89,
    anon_sym_default = 90,
    anon_sym_AT = 91,
    anon_sym_SLASH_SLASH_AT = 92,
    aux_sym_extend_annotation_appl_token1 = 93,
    anon_sym_EQ = 94,
    anon_sym_id = 95,
    anon_sym_autoid = 96,
    anon_sym_SEQUENTIAL = 97,
    anon_sym_HASH = 98,
    anon_sym_optional = 99,
    anon_sym_position = 100,
    anon_sym_value = 101,
    anon_sym_extensibility = 102,
    anon_sym_FINAL = 103,
    anon_sym_APPENDABLE = 104,
    anon_sym_MUTABLE = 105,
    anon_sym_final = 106,
    anon_sym_appendable = 107,
    anon_sym_mutable = 108,
    anon_sym_key = 109,
    anon_sym_must_understand = 110,
    anon_sym_default_literal = 111,
    anon_sym_range = 112,
    anon_sym_min = 113,
    anon_sym_max = 114,
    anon_sym_unit = 115,
    anon_sym_bit_bound = 116,
    anon_sym_external = 117,
    anon_sym_nested = 118,
    anon_sym_verbatim = 119,
    anon_sym_c = 120,
    anon_sym_c_PLUS_PLUS = 121,
    anon_sym_java = 122,
    anon_sym_idl = 123,
    anon_sym_BEGIN_FILE = 124,
    anon_sym_BEFORE_DECLARATION = 125,
    anon_sym_BEGIN_DECLARATION = 126,
    anon_sym_END_DECLARATION = 127,
    anon_sym_AFTER_DECLARATION = 128,
    anon_sym_END_FILE = 129,
    anon_sym_service = 130,
    anon_sym_CORBA = 131,
    anon_sym_DDS = 132,
    anon_sym_oneway = 133,
    anon_sym_ami = 134,
    anon_sym_module = 135,
    anon_sym_typename = 136,
    anon_sym_valuetype = 137,
    anon_sym_eventtype = 138,
    anon_sym_struct = 139,
    anon_sym_union = 140,
    anon_sym_enum = 141,
    anon_sym_const = 142,
    anon_sym_alias = 143,
    anon_sym_custom = 144,
    anon_sym_truncatable = 145,
    anon_sym_supports = 146,
    anon_sym_public = 147,
    anon_sym_private = 148,
    anon_sym_factory = 149,
    anon_sym_typedef = 150,
    anon_sym_LBRACK = 151,
    anon_sym_RBRACK = 152,
    anon_sym_ATdefault_literal = 153,
    anon_sym_ATignore_literal_names = 154,
    anon_sym_switch = 155,
    anon_sym_case = 156,
    anon_sym_typeid = 157,
    anon_sym_typeprefix = 158,
    anon_sym_import = 159,
    anon_sym_Object = 160,
    anon_sym_context = 161,
    sym_value_base_type = 162,
    anon_sym_component = 163,
    anon_sym_provides = 164,
    anon_sym_uses = 165,
    anon_sym_multiple = 166,
    anon_sym_home = 167,
    anon_sym_manages = 168,
    anon_sym_emits = 169,
    anon_sym_publishes = 170,
    anon_sym_consumes = 171,
    anon_sym_primarykey = 172,
    anon_sym_finder = 173,
    anon_sym_porttype = 174,
    anon_sym_port = 175,
    anon_sym_mirrorport = 176,
    anon_sym_connector = 177,
    anon_sym_native = 178,
    sym_identifier = 179,
    anon_sym_SLASH_SLASH = 180,
    aux_sym_comment_token1 = 181,
    anon_sym_SLASH_STAR = 182,
    aux_sym_comment_token2 = 183,
    sym_specification = 184,
    sym_signed_short_int = 185,
    sym_signed_long_int = 186,
    sym_signed_longlong_int = 187,
    sym_unsigned_int = 188,
    sym_fixed_pt_const_type = 189,
    sym_integer_type = 190,
    sym_signed_int = 191,
    sym_unsigned_short_int = 192,
    sym_unsigned_long_int = 193,
    sym_unsigned_longlong_int = 194,
    sym_floating_pt_type = 195,
    sym_scoped_name = 196,
    sym_string_type = 197,
    sym_wide_string_type = 198,
    sym_type_spec = 199,
    sym_simple_type_spec = 200,
    sym_base_type_spec = 201,
    sym_any_type = 202,
    sym_fixed_pt_type = 203,
    sym_template_type_spec = 204,
    sym_sequence_type = 205,
    sym_map_type = 206,
    sym_positive_int_const = 207,
    sym_const_expr = 208,
    sym_or_expr = 209,
    sym_xor_expr = 210,
    sym_and_expr = 211,
    sym_shift_expr = 212,
    sym_add_expr = 213,
    sym_mult_expr = 214,
    sym_unary_expr = 215,
    sym_primary_expr = 216,
    sym_unary_operator = 217,
    sym_literal = 218,
    sym_integer_literal = 219,
    sym_integer_sign = 220,
    sym_oct_number = 221,
    sym_dec_number = 222,
    sym_floating_pt_literal = 223,
    sym_fixed_pt_literal = 224,
    sym_string_literal = 225,
    sym_wide_string_literal = 226,
    sym_char_literal = 227,
    sym_wide_character_literal = 228,
    sym_boolean_literal = 229,
    sym_preproc_define = 230,
    sym_preproc_call = 231,
    sym_preproc_include = 232,
    sym_system_lib_string = 233,
    sym_except_dcl = 234,
    sym_interface_dcl = 235,
    sym_interface_kind = 236,
    sym_interface_forward_dcl = 237,
    sym_interface_def = 238,
    sym_interface_header = 239,
    sym_interface_inheritance_spec = 240,
    sym_interface_name = 241,
    sym_interface_body = 242,
    sym_export = 243,
    sym_op_dcl = 244,
    sym_op_type_spec = 245,
    sym_parameter_dcls = 246,
    sym_param_dcl = 247,
    sym_param_attribute = 248,
    sym_raises_expr = 249,
    sym_attr_dcl = 250,
    sym_readonly_attr_spec = 251,
    sym_readonly_attr_declarator = 252,
    sym_attr_spec = 253,
    sym_attr_declarator = 254,
    sym_attr_raises_expr = 255,
    sym_get_excep_expr = 256,
    sym_set_excep_expr = 257,
    sym_exception_list = 258,
    sym_bitset_dcl = 259,
    sym_bitfield = 260,
    sym_bitfield_spec = 261,
    sym_destination_type = 262,
    sym_bitmask_dcl = 263,
    sym_bit_value = 264,
    sym_annotation_dcl = 265,
    sym_annotation_body = 266,
    sym_annotation_member = 267,
    sym_annotation_member_type = 268,
    sym_any_const_type = 269,
    sym_annotation_appl = 270,
    sym_extend_annotation_appl = 271,
    sym_annotation_appl_custom_body = 272,
    sym_annotation_appl_params = 273,
    sym_annotation_appl_param = 274,
    sym_annotation_appl_builtin_body = 275,
    sym_annotation_appl_id = 276,
    sym_annotation_appl_autoid = 277,
    sym_autoid_kind = 278,
    sym_annotation_appl_optional = 279,
    sym_annotation_appl_position = 280,
    sym_annotation_appl_value = 281,
    sym_annotation_appl_extensibility = 282,
    sym_extensibility_kind = 283,
    sym_annotation_appl_final = 284,
    sym_annotation_appl_appendable = 285,
    sym_annotation_appl_mutable = 286,
    sym_annotation_appl_key = 287,
    sym_annotation_appl_must_understand = 288,
    sym_annotation_appl_default_literal = 289,
    sym_annotation_appl_default = 290,
    sym_annotation_appl_range = 291,
    sym_min_expr = 292,
    sym_max_expr = 293,
    sym_annotation_appl_min = 294,
    sym_annotation_appl_max = 295,
    sym_annotation_appl_unit = 296,
    sym_annotation_appl_bit_bound = 297,
    sym_annotation_appl_external = 298,
    sym_annotation_appl_nested = 299,
    sym_annotation_appl_verbatim = 300,
    sym_verbatim_language = 301,
    sym_placement_kind = 302,
    sym_annotation_appl_service = 303,
    sym_service_platform = 304,
    sym_annotation_appl_oneway = 305,
    sym_annotation_appl_ami = 306,
    sym_template_module_dcl = 307,
    sym_formal_parameters = 308,
    sym_formal_parameter = 309,
    sym_formal_parameter_type = 310,
    sym_tpl_definition = 311,
    sym_template_module_inst = 312,
    sym_actual_parameters = 313,
    sym_actual_parameter = 314,
    sym_template_module_ref = 315,
    sym_formal_parameter_names = 316,
    sym_value_dcl = 317,
    sym_value_def = 318,
    sym_value_kind = 319,
    sym_value_header = 320,
    sym_value_inheritance_spec = 321,
    sym_value_inheritance = 322,
    sym_value_supports = 323,
    sym_value_name = 324,
    sym_value_element = 325,
    sym_state_member = 326,
    sym_init_dcl = 327,
    sym_init_param_dcls = 328,
    sym_init_param_dcl = 329,
    sym_value_forward_dcl = 330,
    sym_typedef_dcl = 331,
    sym_type_declarator = 332,
    sym_any_declarators = 333,
    sym_any_declarator = 334,
    sym_simple_declarator = 335,
    sym_declarator = 336,
    sym_declarators = 337,
    sym_array_declarator = 338,
    sym_fixed_array_size = 339,
    sym_enum_dcl = 340,
    sym_enumerator = 341,
    sym_enum_modifier = 342,
    sym_enum_anno = 343,
    sym_union_dcl = 344,
    sym_union_forward_dcl = 345,
    sym_union_def = 346,
    sym_case = 347,
    sym_case_label = 348,
    sym_element_spec = 349,
    sym_switch_type_spec = 350,
    sym_type_id_dcl = 351,
    sym_type_prefix_dcl = 352,
    sym_import_dcl = 353,
    sym_imported_scope = 354,
    sym_object_type = 355,
    sym_op_oneway_dcl = 356,
    sym_in_parameter_dcls = 357,
    sym_in_param_dcl = 358,
    sym_op_with_context = 359,
    sym_context_expr = 360,
    sym_value_box_def = 361,
    sym_value_abs_def = 362,
    sym_component_dcl = 363,
    sym_component_forward_dcl = 364,
    sym_component_def = 365,
    sym_component_header = 366,
    sym_component_inheritance_spec = 367,
    sym_component_body = 368,
    sym_component_export = 369,
    sym_provides_dcl = 370,
    sym_interface_type = 371,
    sym_uses_dcl = 372,
    sym_home_dcl = 373,
    sym_home_header = 374,
    sym_home_inheritance_spec = 375,
    sym_home_body = 376,
    sym_home_export = 377,
    sym_factory_dcl = 378,
    sym_factory_param_dcls = 379,
    sym_factory_param_dcl = 380,
    sym_supported_interface_spec = 381,
    sym_emits_dcl = 382,
    sym_publishes_dcl = 383,
    sym_consumes_dcl = 384,
    sym_primary_key_spec = 385,
    sym_finder_dcl = 386,
    sym_event_dcl = 387,
    sym_event_forward_dcl = 388,
    sym_event_abs_def = 389,
    sym_event_def = 390,
    sym_event_header = 391,
    sym_porttype_dcl = 392,
    sym_porttype_forward_dcl = 393,
    sym_porttype_def = 394,
    sym_port_body = 395,
    sym_port_ref = 396,
    sym_port_export = 397,
    sym_port_dcl = 398,
    sym_connector_dcl = 399,
    sym_connector_header = 400,
    sym_connector_inherit_spec = 401,
    sym_connector_export = 402,
    sym_definition = 403,
    sym_type_dcl = 404,
    sym_constr_type_dcl = 405,
    sym_native_dcl = 406,
    sym_module_dcl = 407,
    sym_struct_dcl = 408,
    sym_struct_forward_dcl = 409,
    sym_struct_def = 410,
    sym_member = 411,
    sym_default = 412,
    sym_const_dcl = 413,
    sym_const_type = 414,
    sym_comment = 415,
    aux_sym_specification_repeat1 = 416,
    aux_sym_string_literal_repeat1 = 417,
    aux_sym_char_literal_repeat1 = 418,
    aux_sym_except_dcl_repeat1 = 419,
    aux_sym_interface_dcl_repeat1 = 420,
    aux_sym_interface_inheritance_spec_repeat1 = 421,
    aux_sym_interface_body_repeat1 = 422,
    aux_sym_parameter_dcls_repeat1 = 423,
    aux_sym_raises_expr_repeat1 = 424,
    aux_sym_readonly_attr_declarator_repeat1 = 425,
    aux_sym_bitset_dcl_repeat1 = 426,
    aux_sym_bitfield_repeat1 = 427,
    aux_sym_bitmask_dcl_repeat1 = 428,
    aux_sym_annotation_dcl_repeat1 = 429,
    aux_sym_annotation_appl_params_repeat1 = 430,
    aux_sym_template_module_dcl_repeat1 = 431,
    aux_sym_formal_parameters_repeat1 = 432,
    aux_sym_actual_parameters_repeat1 = 433,
    aux_sym_formal_parameter_names_repeat1 = 434,
    aux_sym_value_def_repeat1 = 435,
    aux_sym_value_inheritance_spec_repeat1 = 436,
    aux_sym_init_param_dcls_repeat1 = 437,
    aux_sym_any_declarators_repeat1 = 438,
    aux_sym_declarators_repeat1 = 439,
    aux_sym_array_declarator_repeat1 = 440,
    aux_sym_enum_dcl_repeat1 = 441,
    aux_sym_enumerator_repeat1 = 442,
    aux_sym_union_def_repeat1 = 443,
    aux_sym_case_repeat1 = 444,
    aux_sym_in_parameter_dcls_repeat1 = 445,
    aux_sym_context_expr_repeat1 = 446,
    aux_sym_component_body_repeat1 = 447,
    aux_sym_home_body_repeat1 = 448,
    aux_sym_factory_param_dcls_repeat1 = 449,
    aux_sym_port_body_repeat1 = 450,
    aux_sym_connector_dcl_repeat1 = 451,
    aux_sym_module_dcl_repeat1 = 452,
};

static const char *const ts_symbol_names[] = {
    [ts_builtin_sym_end] = "end",
    [anon_sym_short] = "short",
    [anon_sym_int16] = "int16",
    [anon_sym_long] = "long",
    [anon_sym_int32] = "int32",
    [anon_sym_longlong] = "long long",
    [anon_sym_int64] = "int64",
    [sym_unsigned_tiny_int] = "unsigned_tiny_int",
    [sym_boolean_type] = "boolean_type",
    [anon_sym_fixed] = "fixed",
    [sym_octet_type] = "octet_type",
    [sym_signed_tiny_int] = "signed_tiny_int",
    [anon_sym_unsignedshort] = "unsigned short",
    [anon_sym_uint16] = "uint16",
    [anon_sym_unsignedlong] = "unsigned long",
    [anon_sym_uint32] = "uint32",
    [anon_sym_unsignedlonglong] = "unsigned long long",
    [anon_sym_uint64] = "uint64",
    [anon_sym_float] = "float",
    [anon_sym_double] = "double",
    [anon_sym_longdouble] = "long double",
    [sym_char_type] = "char_type",
    [sym_wide_char_type] = "wide_char_type",
    [anon_sym_COLON_COLON] = "::",
    [anon_sym_string] = "string",
    [anon_sym_LT] = "<",
    [anon_sym_GT] = ">",
    [anon_sym_wstring] = "wstring",
    [anon_sym_any] = "any",
    [anon_sym_COMMA] = ",",
    [anon_sym_sequence] = "sequence",
    [anon_sym_map] = "map",
    [anon_sym_PIPE] = "|",
    [anon_sym_CARET] = "^",
    [anon_sym_AMP] = "&",
    [anon_sym_GT_GT] = ">>",
    [anon_sym_LT_LT] = "<<",
    [anon_sym_PLUS] = "+",
    [anon_sym_DASH] = "-",
    [anon_sym_STAR] = "*",
    [anon_sym_SLASH] = "/",
    [anon_sym_PERCENT] = "%",
    [anon_sym_LPAREN] = "(",
    [anon_sym_RPAREN] = ")",
    [anon_sym_TILDE] = "~",
    [sym_bin_number] = "bin_number",
    [aux_sym_oct_number_token1] = "oct_number_token1",
    [aux_sym_oct_number_token2] = "oct_number_token2",
    [anon_sym_0] = "0",
    [aux_sym_dec_number_token1] = "dec_number_token1",
    [sym_hex_number] = "hex_number",
    [anon_sym_DOT] = ".",
    [aux_sym_floating_pt_literal_token1] = "floating_pt_literal_token1",
    [aux_sym_fixed_pt_literal_token1] = "fixed_pt_literal_token1",
    [sym_escape_sequence] = "escape_sequence",
    [anon_sym_DQUOTE] = "\"",
    [aux_sym_string_literal_token1] = "string_content",
    [anon_sym_L] = "L",
    [anon_sym_SQUOTE] = "'",
    [aux_sym_char_literal_token1] = "character",
    [anon_sym_TRUE] = "TRUE",
    [anon_sym_FALSE] = "FALSE",
    [anon_sym_POUNDdefine] = "#define",
    [aux_sym_preproc_define_token1] = "preproc_define_token1",
    [aux_sym_preproc_call_token1] = "preproc_call_token1",
    [sym_preproc_directive] = "preproc_directive",
    [sym_preproc_arg] = "preproc_arg",
    [aux_sym_preproc_include_token1] = "keyword_include",
    [sym_system_lib_path] = "system_lib_path",
    [anon_sym_exception] = "exception",
    [anon_sym_LBRACE] = "{",
    [anon_sym_RBRACE] = "}",
    [anon_sym_local] = "local",
    [anon_sym_abstract] = "abstract",
    [anon_sym_interface] = "interface",
    [anon_sym_COLON] = ":",
    [anon_sym_SEMI] = ";",
    [anon_sym_void] = "void",
    [anon_sym_in] = "in",
    [anon_sym_out] = "out",
    [anon_sym_inout] = "inout",
    [anon_sym_raises] = "raises",
    [anon_sym_readonly] = "readonly",
    [anon_sym_attribute] = "attribute",
    [anon_sym_getraises] = "getraises",
    [anon_sym_setraises] = "setraises",
    [anon_sym_bitset] = "bitset",
    [anon_sym_bitfield] = "bitfield",
    [anon_sym_bitmask] = "bitmask",
    [anon_sym_ATannotation] = "@annotation",
    [anon_sym_default] = "default",
    [anon_sym_AT] = "@",
    [anon_sym_SLASH_SLASH_AT] = "//@",
    [aux_sym_extend_annotation_appl_token1] = "extend_annotation_appl_token1",
    [anon_sym_EQ] = "=",
    [anon_sym_id] = "id",
    [anon_sym_autoid] = "autoid",
    [anon_sym_SEQUENTIAL] = "SEQUENTIAL",
    [anon_sym_HASH] = "HASH",
    [anon_sym_optional] = "optional",
    [anon_sym_position] = "position",
    [anon_sym_value] = "value",
    [anon_sym_extensibility] = "extensibility",
    [anon_sym_FINAL] = "FINAL",
    [anon_sym_APPENDABLE] = "APPENDABLE",
    [anon_sym_MUTABLE] = "MUTABLE",
    [anon_sym_final] = "final",
    [anon_sym_appendable] = "appendable",
    [anon_sym_mutable] = "mutable",
    [anon_sym_key] = "key",
    [anon_sym_must_understand] = "must_understand",
    [anon_sym_default_literal] = "default_literal",
    [anon_sym_range] = "range",
    [anon_sym_min] = "min",
    [anon_sym_max] = "max",
    [anon_sym_unit] = "unit",
    [anon_sym_bit_bound] = "bit_bound",
    [anon_sym_external] = "external",
    [anon_sym_nested] = "nested",
    [anon_sym_verbatim] = "verbatim",
    [anon_sym_c] = "c",
    [anon_sym_c_PLUS_PLUS] = "c++",
    [anon_sym_java] = "java",
    [anon_sym_idl] = "idl",
    [anon_sym_BEGIN_FILE] = "BEGIN_FILE",
    [anon_sym_BEFORE_DECLARATION] = "BEFORE_DECLARATION",
    [anon_sym_BEGIN_DECLARATION] = "BEGIN_DECLARATION",
    [anon_sym_END_DECLARATION] = "END_DECLARATION",
    [anon_sym_AFTER_DECLARATION] = "AFTER_DECLARATION",
    [anon_sym_END_FILE] = "END_FILE",
    [anon_sym_service] = "service",
    [anon_sym_CORBA] = "CORBA",
    [anon_sym_DDS] = "DDS",
    [anon_sym_oneway] = "oneway",
    [anon_sym_ami] = "ami",
    [anon_sym_module] = "module",
    [anon_sym_typename] = "typename",
    [anon_sym_valuetype] = "valuetype",
    [anon_sym_eventtype] = "eventtype",
    [anon_sym_struct] = "struct",
    [anon_sym_union] = "union",
    [anon_sym_enum] = "enum",
    [anon_sym_const] = "const",
    [anon_sym_alias] = "alias",
    [anon_sym_custom] = "custom",
    [anon_sym_truncatable] = "truncatable",
    [anon_sym_supports] = "supports",
    [anon_sym_public] = "public",
    [anon_sym_private] = "private",
    [anon_sym_factory] = "factory",
    [anon_sym_typedef] = "typedef",
    [anon_sym_LBRACK] = "[",
    [anon_sym_RBRACK] = "]",
    [anon_sym_ATdefault_literal] = "@default_literal",
    [anon_sym_ATignore_literal_names] = "@ignore_literal_names",
    [anon_sym_switch] = "switch",
    [anon_sym_case] = "case",
    [anon_sym_typeid] = "typeid",
    [anon_sym_typeprefix] = "typeprefix",
    [anon_sym_import] = "import",
    [anon_sym_Object] = "Object",
    [anon_sym_context] = "context",
    [sym_value_base_type] = "value_base_type",
    [anon_sym_component] = "component",
    [anon_sym_provides] = "provides",
    [anon_sym_uses] = "uses",
    [anon_sym_multiple] = "multiple",
    [anon_sym_home] = "home",
    [anon_sym_manages] = "manages",
    [anon_sym_emits] = "emits",
    [anon_sym_publishes] = "publishes",
    [anon_sym_consumes] = "consumes",
    [anon_sym_primarykey] = "primarykey",
    [anon_sym_finder] = "finder",
    [anon_sym_porttype] = "porttype",
    [anon_sym_port] = "port",
    [anon_sym_mirrorport] = "mirrorport",
    [anon_sym_connector] = "connector",
    [anon_sym_native] = "native",
    [sym_identifier] = "identifier",
    [anon_sym_SLASH_SLASH] = "//",
    [aux_sym_comment_token1] = "comment_token1",
    [anon_sym_SLASH_STAR] = "/*",
    [aux_sym_comment_token2] = "comment_token2",
    [sym_specification] = "specification",
    [sym_signed_short_int] = "signed_short_int",
    [sym_signed_long_int] = "signed_long_int",
    [sym_signed_longlong_int] = "signed_longlong_int",
    [sym_unsigned_int] = "unsigned_int",
    [sym_fixed_pt_const_type] = "fixed_pt_const_type",
    [sym_integer_type] = "integer_type",
    [sym_signed_int] = "signed_int",
    [sym_unsigned_short_int] = "unsigned_short_int",
    [sym_unsigned_long_int] = "unsigned_long_int",
    [sym_unsigned_longlong_int] = "unsigned_longlong_int",
    [sym_floating_pt_type] = "floating_pt_type",
    [sym_scoped_name] = "scoped_name",
    [sym_string_type] = "string_type",
    [sym_wide_string_type] = "wide_string_type",
    [sym_type_spec] = "type_spec",
    [sym_simple_type_spec] = "simple_type_spec",
    [sym_base_type_spec] = "base_type_spec",
    [sym_any_type] = "any_type",
    [sym_fixed_pt_type] = "fixed_pt_type",
    [sym_template_type_spec] = "template_type_spec",
    [sym_sequence_type] = "sequence_type",
    [sym_map_type] = "map_type",
    [sym_positive_int_const] = "positive_int_const",
    [sym_const_expr] = "const_expr",
    [sym_or_expr] = "or_expr",
    [sym_xor_expr] = "xor_expr",
    [sym_and_expr] = "and_expr",
    [sym_shift_expr] = "shift_expr",
    [sym_add_expr] = "add_expr",
    [sym_mult_expr] = "mult_expr",
    [sym_unary_expr] = "unary_expr",
    [sym_primary_expr] = "primary_expr",
    [sym_unary_operator] = "unary_operator",
    [sym_literal] = "literal",
    [sym_integer_literal] = "integer_literal",
    [sym_integer_sign] = "integer_sign",
    [sym_oct_number] = "oct_number",
    [sym_dec_number] = "dec_number",
    [sym_floating_pt_literal] = "floating_pt_literal",
    [sym_fixed_pt_literal] = "fixed_pt_literal",
    [sym_string_literal] = "string_literal",
    [sym_wide_string_literal] = "wide_string_literal",
    [sym_char_literal] = "char_literal",
    [sym_wide_character_literal] = "wide_character_literal",
    [sym_boolean_literal] = "boolean_literal",
    [sym_preproc_define] = "preproc_define",
    [sym_preproc_call] = "preproc_call",
    [sym_preproc_include] = "preproc_include",
    [sym_system_lib_string] = "system_lib_string",
    [sym_except_dcl] = "except_dcl",
    [sym_interface_dcl] = "interface_dcl",
    [sym_interface_kind] = "interface_kind",
    [sym_interface_forward_dcl] = "interface_forward_dcl",
    [sym_interface_def] = "interface_def",
    [sym_interface_header] = "interface_header",
    [sym_interface_inheritance_spec] = "interface_inheritance_spec",
    [sym_interface_name] = "interface_name",
    [sym_interface_body] = "interface_body",
    [sym_export] = "export",
    [sym_op_dcl] = "op_dcl",
    [sym_op_type_spec] = "op_type_spec",
    [sym_parameter_dcls] = "parameter_dcls",
    [sym_param_dcl] = "param_dcl",
    [sym_param_attribute] = "param_attribute",
    [sym_raises_expr] = "raises_expr",
    [sym_attr_dcl] = "attr_dcl",
    [sym_readonly_attr_spec] = "readonly_attr_spec",
    [sym_readonly_attr_declarator] = "readonly_attr_declarator",
    [sym_attr_spec] = "attr_spec",
    [sym_attr_declarator] = "attr_declarator",
    [sym_attr_raises_expr] = "attr_raises_expr",
    [sym_get_excep_expr] = "get_excep_expr",
    [sym_set_excep_expr] = "set_excep_expr",
    [sym_exception_list] = "exception_list",
    [sym_bitset_dcl] = "bitset_dcl",
    [sym_bitfield] = "bitfield",
    [sym_bitfield_spec] = "bitfield_spec",
    [sym_destination_type] = "destination_type",
    [sym_bitmask_dcl] = "bitmask_dcl",
    [sym_bit_value] = "bit_value",
    [sym_annotation_dcl] = "annotation_dcl",
    [sym_annotation_body] = "annotation_body",
    [sym_annotation_member] = "annotation_member",
    [sym_annotation_member_type] = "annotation_member_type",
    [sym_any_const_type] = "any_const_type",
    [sym_annotation_appl] = "annotation_appl",
    [sym_extend_annotation_appl] = "extend_annotation_appl",
    [sym_annotation_appl_custom_body] = "annotation_appl_custom_body",
    [sym_annotation_appl_params] = "annotation_appl_params",
    [sym_annotation_appl_param] = "annotation_appl_param",
    [sym_annotation_appl_builtin_body] = "annotation_appl_builtin_body",
    [sym_annotation_appl_id] = "annotation_appl_id",
    [sym_annotation_appl_autoid] = "annotation_appl_autoid",
    [sym_autoid_kind] = "autoid_kind",
    [sym_annotation_appl_optional] = "annotation_appl_optional",
    [sym_annotation_appl_position] = "annotation_appl_position",
    [sym_annotation_appl_value] = "annotation_appl_value",
    [sym_annotation_appl_extensibility] = "annotation_appl_extensibility",
    [sym_extensibility_kind] = "extensibility_kind",
    [sym_annotation_appl_final] = "annotation_appl_final",
    [sym_annotation_appl_appendable] = "annotation_appl_appendable",
    [sym_annotation_appl_mutable] = "annotation_appl_mutable",
    [sym_annotation_appl_key] = "annotation_appl_key",
    [sym_annotation_appl_must_understand] = "annotation_appl_must_understand",
    [sym_annotation_appl_default_literal] = "annotation_appl_default_literal",
    [sym_annotation_appl_default] = "annotation_appl_default",
    [sym_annotation_appl_range] = "annotation_appl_range",
    [sym_min_expr] = "min_expr",
    [sym_max_expr] = "max_expr",
    [sym_annotation_appl_min] = "annotation_appl_min",
    [sym_annotation_appl_max] = "annotation_appl_max",
    [sym_annotation_appl_unit] = "annotation_appl_unit",
    [sym_annotation_appl_bit_bound] = "annotation_appl_bit_bound",
    [sym_annotation_appl_external] = "annotation_appl_external",
    [sym_annotation_appl_nested] = "annotation_appl_nested",
    [sym_annotation_appl_verbatim] = "annotation_appl_verbatim",
    [sym_verbatim_language] = "verbatim_language",
    [sym_placement_kind] = "placement_kind",
    [sym_annotation_appl_service] = "annotation_appl_service",
    [sym_service_platform] = "service_platform",
    [sym_annotation_appl_oneway] = "annotation_appl_oneway",
    [sym_annotation_appl_ami] = "annotation_appl_ami",
    [sym_template_module_dcl] = "template_module_dcl",
    [sym_formal_parameters] = "formal_parameters",
    [sym_formal_parameter] = "formal_parameter",
    [sym_formal_parameter_type] = "formal_parameter_type",
    [sym_tpl_definition] = "tpl_definition",
    [sym_template_module_inst] = "template_module_inst",
    [sym_actual_parameters] = "actual_parameters",
    [sym_actual_parameter] = "actual_parameter",
    [sym_template_module_ref] = "template_module_ref",
    [sym_formal_parameter_names] = "formal_parameter_names",
    [sym_value_dcl] = "value_dcl",
    [sym_value_def] = "value_def",
    [sym_value_kind] = "value_kind",
    [sym_value_header] = "value_header",
    [sym_value_inheritance_spec] = "value_inheritance_spec",
    [sym_value_inheritance] = "value_inheritance",
    [sym_value_supports] = "value_supports",
    [sym_value_name] = "value_name",
    [sym_value_element] = "value_element",
    [sym_state_member] = "state_member",
    [sym_init_dcl] = "init_dcl",
    [sym_init_param_dcls] = "init_param_dcls",
    [sym_init_param_dcl] = "init_param_dcl",
    [sym_value_forward_dcl] = "value_forward_dcl",
    [sym_typedef_dcl] = "typedef_dcl",
    [sym_type_declarator] = "type_declarator",
    [sym_any_declarators] = "any_declarators",
    [sym_any_declarator] = "any_declarator",
    [sym_simple_declarator] = "simple_declarator",
    [sym_declarator] = "declarator",
    [sym_declarators] = "declarators",
    [sym_array_declarator] = "array_declarator",
    [sym_fixed_array_size] = "fixed_array_size",
    [sym_enum_dcl] = "enum_dcl",
    [sym_enumerator] = "enumerator",
    [sym_enum_modifier] = "enum_modifier",
    [sym_enum_anno] = "enum_anno",
    [sym_union_dcl] = "union_dcl",
    [sym_union_forward_dcl] = "union_forward_dcl",
    [sym_union_def] = "union_def",
    [sym_case] = "case",
    [sym_case_label] = "case_label",
    [sym_element_spec] = "element_spec",
    [sym_switch_type_spec] = "switch_type_spec",
    [sym_type_id_dcl] = "type_id_dcl",
    [sym_type_prefix_dcl] = "type_prefix_dcl",
    [sym_import_dcl] = "import_dcl",
    [sym_imported_scope] = "imported_scope",
    [sym_object_type] = "object_type",
    [sym_op_oneway_dcl] = "op_oneway_dcl",
    [sym_in_parameter_dcls] = "in_parameter_dcls",
    [sym_in_param_dcl] = "in_param_dcl",
    [sym_op_with_context] = "op_with_context",
    [sym_context_expr] = "context_expr",
    [sym_value_box_def] = "value_box_def",
    [sym_value_abs_def] = "value_abs_def",
    [sym_component_dcl] = "component_dcl",
    [sym_component_forward_dcl] = "component_forward_dcl",
    [sym_component_def] = "component_def",
    [sym_component_header] = "component_header",
    [sym_component_inheritance_spec] = "component_inheritance_spec",
    [sym_component_body] = "component_body",
    [sym_component_export] = "component_export",
    [sym_provides_dcl] = "provides_dcl",
    [sym_interface_type] = "interface_type",
    [sym_uses_dcl] = "uses_dcl",
    [sym_home_dcl] = "home_dcl",
    [sym_home_header] = "home_header",
    [sym_home_inheritance_spec] = "home_inheritance_spec",
    [sym_home_body] = "home_body",
    [sym_home_export] = "home_export",
    [sym_factory_dcl] = "factory_dcl",
    [sym_factory_param_dcls] = "factory_param_dcls",
    [sym_factory_param_dcl] = "factory_param_dcl",
    [sym_supported_interface_spec] = "supported_interface_spec",
    [sym_emits_dcl] = "emits_dcl",
    [sym_publishes_dcl] = "publishes_dcl",
    [sym_consumes_dcl] = "consumes_dcl",
    [sym_primary_key_spec] = "primary_key_spec",
    [sym_finder_dcl] = "finder_dcl",
    [sym_event_dcl] = "event_dcl",
    [sym_event_forward_dcl] = "event_forward_dcl",
    [sym_event_abs_def] = "event_abs_def",
    [sym_event_def] = "event_def",
    [sym_event_header] = "event_header",
    [sym_porttype_dcl] = "porttype_dcl",
    [sym_porttype_forward_dcl] = "porttype_forward_dcl",
    [sym_porttype_def] = "porttype_def",
    [sym_port_body] = "port_body",
    [sym_port_ref] = "port_ref",
    [sym_port_export] = "port_export",
    [sym_port_dcl] = "port_dcl",
    [sym_connector_dcl] = "connector_dcl",
    [sym_connector_header] = "connector_header",
    [sym_connector_inherit_spec] = "connector_inherit_spec",
    [sym_connector_export] = "connector_export",
    [sym_definition] = "definition",
    [sym_type_dcl] = "type_dcl",
    [sym_constr_type_dcl] = "constr_type_dcl",
    [sym_native_dcl] = "native_dcl",
    [sym_module_dcl] = "module_dcl",
    [sym_struct_dcl] = "struct_dcl",
    [sym_struct_forward_dcl] = "struct_forward_dcl",
    [sym_struct_def] = "struct_def",
    [sym_member] = "member",
    [sym_default] = "default",
    [sym_const_dcl] = "const_dcl",
    [sym_const_type] = "const_type",
    [sym_comment] = "comment",
    [aux_sym_specification_repeat1] = "specification_repeat1",
    [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
    [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
    [aux_sym_except_dcl_repeat1] = "except_dcl_repeat1",
    [aux_sym_interface_dcl_repeat1] = "interface_dcl_repeat1",
    [aux_sym_interface_inheritance_spec_repeat1] = "interface_inheritance_spec_repeat1",
    [aux_sym_interface_body_repeat1] = "interface_body_repeat1",
    [aux_sym_parameter_dcls_repeat1] = "parameter_dcls_repeat1",
    [aux_sym_raises_expr_repeat1] = "raises_expr_repeat1",
    [aux_sym_readonly_attr_declarator_repeat1] = "readonly_attr_declarator_repeat1",
    [aux_sym_bitset_dcl_repeat1] = "bitset_dcl_repeat1",
    [aux_sym_bitfield_repeat1] = "bitfield_repeat1",
    [aux_sym_bitmask_dcl_repeat1] = "bitmask_dcl_repeat1",
    [aux_sym_annotation_dcl_repeat1] = "annotation_dcl_repeat1",
    [aux_sym_annotation_appl_params_repeat1] = "annotation_appl_params_repeat1",
    [aux_sym_template_module_dcl_repeat1] = "template_module_dcl_repeat1",
    [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
    [aux_sym_actual_parameters_repeat1] = "actual_parameters_repeat1",
    [aux_sym_formal_parameter_names_repeat1] = "formal_parameter_names_repeat1",
    [aux_sym_value_def_repeat1] = "value_def_repeat1",
    [aux_sym_value_inheritance_spec_repeat1] = "value_inheritance_spec_repeat1",
    [aux_sym_init_param_dcls_repeat1] = "init_param_dcls_repeat1",
    [aux_sym_any_declarators_repeat1] = "any_declarators_repeat1",
    [aux_sym_declarators_repeat1] = "declarators_repeat1",
    [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
    [aux_sym_enum_dcl_repeat1] = "enum_dcl_repeat1",
    [aux_sym_enumerator_repeat1] = "enumerator_repeat1",
    [aux_sym_union_def_repeat1] = "union_def_repeat1",
    [aux_sym_case_repeat1] = "case_repeat1",
    [aux_sym_in_parameter_dcls_repeat1] = "in_parameter_dcls_repeat1",
    [aux_sym_context_expr_repeat1] = "context_expr_repeat1",
    [aux_sym_component_body_repeat1] = "component_body_repeat1",
    [aux_sym_home_body_repeat1] = "home_body_repeat1",
    [aux_sym_factory_param_dcls_repeat1] = "factory_param_dcls_repeat1",
    [aux_sym_port_body_repeat1] = "port_body_repeat1",
    [aux_sym_connector_dcl_repeat1] = "connector_dcl_repeat1",
    [aux_sym_module_dcl_repeat1] = "module_dcl_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
    [ts_builtin_sym_end] = ts_builtin_sym_end,
    [anon_sym_short] = anon_sym_short,
    [anon_sym_int16] = anon_sym_int16,
    [anon_sym_long] = anon_sym_long,
    [anon_sym_int32] = anon_sym_int32,
    [anon_sym_longlong] = anon_sym_longlong,
    [anon_sym_int64] = anon_sym_int64,
    [sym_unsigned_tiny_int] = sym_unsigned_tiny_int,
    [sym_boolean_type] = sym_boolean_type,
    [anon_sym_fixed] = anon_sym_fixed,
    [sym_octet_type] = sym_octet_type,
    [sym_signed_tiny_int] = sym_signed_tiny_int,
    [anon_sym_unsignedshort] = anon_sym_unsignedshort,
    [anon_sym_uint16] = anon_sym_uint16,
    [anon_sym_unsignedlong] = anon_sym_unsignedlong,
    [anon_sym_uint32] = anon_sym_uint32,
    [anon_sym_unsignedlonglong] = anon_sym_unsignedlonglong,
    [anon_sym_uint64] = anon_sym_uint64,
    [anon_sym_float] = anon_sym_float,
    [anon_sym_double] = anon_sym_double,
    [anon_sym_longdouble] = anon_sym_longdouble,
    [sym_char_type] = sym_char_type,
    [sym_wide_char_type] = sym_wide_char_type,
    [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
    [anon_sym_string] = anon_sym_string,
    [anon_sym_LT] = anon_sym_LT,
    [anon_sym_GT] = anon_sym_GT,
    [anon_sym_wstring] = anon_sym_wstring,
    [anon_sym_any] = anon_sym_any,
    [anon_sym_COMMA] = anon_sym_COMMA,
    [anon_sym_sequence] = anon_sym_sequence,
    [anon_sym_map] = anon_sym_map,
    [anon_sym_PIPE] = anon_sym_PIPE,
    [anon_sym_CARET] = anon_sym_CARET,
    [anon_sym_AMP] = anon_sym_AMP,
    [anon_sym_GT_GT] = anon_sym_GT_GT,
    [anon_sym_LT_LT] = anon_sym_LT_LT,
    [anon_sym_PLUS] = anon_sym_PLUS,
    [anon_sym_DASH] = anon_sym_DASH,
    [anon_sym_STAR] = anon_sym_STAR,
    [anon_sym_SLASH] = anon_sym_SLASH,
    [anon_sym_PERCENT] = anon_sym_PERCENT,
    [anon_sym_LPAREN] = anon_sym_LPAREN,
    [anon_sym_RPAREN] = anon_sym_RPAREN,
    [anon_sym_TILDE] = anon_sym_TILDE,
    [sym_bin_number] = sym_bin_number,
    [aux_sym_oct_number_token1] = aux_sym_oct_number_token1,
    [aux_sym_oct_number_token2] = aux_sym_oct_number_token2,
    [anon_sym_0] = anon_sym_0,
    [aux_sym_dec_number_token1] = aux_sym_dec_number_token1,
    [sym_hex_number] = sym_hex_number,
    [anon_sym_DOT] = anon_sym_DOT,
    [aux_sym_floating_pt_literal_token1] = aux_sym_floating_pt_literal_token1,
    [aux_sym_fixed_pt_literal_token1] = aux_sym_fixed_pt_literal_token1,
    [sym_escape_sequence] = sym_escape_sequence,
    [anon_sym_DQUOTE] = anon_sym_DQUOTE,
    [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
    [anon_sym_L] = anon_sym_L,
    [anon_sym_SQUOTE] = anon_sym_SQUOTE,
    [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
    [anon_sym_TRUE] = anon_sym_TRUE,
    [anon_sym_FALSE] = anon_sym_FALSE,
    [anon_sym_POUNDdefine] = anon_sym_POUNDdefine,
    [aux_sym_preproc_define_token1] = aux_sym_preproc_define_token1,
    [aux_sym_preproc_call_token1] = aux_sym_preproc_call_token1,
    [sym_preproc_directive] = sym_preproc_directive,
    [sym_preproc_arg] = sym_preproc_arg,
    [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
    [sym_system_lib_path] = sym_system_lib_path,
    [anon_sym_exception] = anon_sym_exception,
    [anon_sym_LBRACE] = anon_sym_LBRACE,
    [anon_sym_RBRACE] = anon_sym_RBRACE,
    [anon_sym_local] = anon_sym_local,
    [anon_sym_abstract] = anon_sym_abstract,
    [anon_sym_interface] = anon_sym_interface,
    [anon_sym_COLON] = anon_sym_COLON,
    [anon_sym_SEMI] = anon_sym_SEMI,
    [anon_sym_void] = anon_sym_void,
    [anon_sym_in] = anon_sym_in,
    [anon_sym_out] = anon_sym_out,
    [anon_sym_inout] = anon_sym_inout,
    [anon_sym_raises] = anon_sym_raises,
    [anon_sym_readonly] = anon_sym_readonly,
    [anon_sym_attribute] = anon_sym_attribute,
    [anon_sym_getraises] = anon_sym_getraises,
    [anon_sym_setraises] = anon_sym_setraises,
    [anon_sym_bitset] = anon_sym_bitset,
    [anon_sym_bitfield] = anon_sym_bitfield,
    [anon_sym_bitmask] = anon_sym_bitmask,
    [anon_sym_ATannotation] = anon_sym_ATannotation,
    [anon_sym_default] = anon_sym_default,
    [anon_sym_AT] = anon_sym_AT,
    [anon_sym_SLASH_SLASH_AT] = anon_sym_SLASH_SLASH_AT,
    [aux_sym_extend_annotation_appl_token1] = aux_sym_extend_annotation_appl_token1,
    [anon_sym_EQ] = anon_sym_EQ,
    [anon_sym_id] = anon_sym_id,
    [anon_sym_autoid] = anon_sym_autoid,
    [anon_sym_SEQUENTIAL] = anon_sym_SEQUENTIAL,
    [anon_sym_HASH] = anon_sym_HASH,
    [anon_sym_optional] = anon_sym_optional,
    [anon_sym_position] = anon_sym_position,
    [anon_sym_value] = anon_sym_value,
    [anon_sym_extensibility] = anon_sym_extensibility,
    [anon_sym_FINAL] = anon_sym_FINAL,
    [anon_sym_APPENDABLE] = anon_sym_APPENDABLE,
    [anon_sym_MUTABLE] = anon_sym_MUTABLE,
    [anon_sym_final] = anon_sym_final,
    [anon_sym_appendable] = anon_sym_appendable,
    [anon_sym_mutable] = anon_sym_mutable,
    [anon_sym_key] = anon_sym_key,
    [anon_sym_must_understand] = anon_sym_must_understand,
    [anon_sym_default_literal] = anon_sym_default_literal,
    [anon_sym_range] = anon_sym_range,
    [anon_sym_min] = anon_sym_min,
    [anon_sym_max] = anon_sym_max,
    [anon_sym_unit] = anon_sym_unit,
    [anon_sym_bit_bound] = anon_sym_bit_bound,
    [anon_sym_external] = anon_sym_external,
    [anon_sym_nested] = anon_sym_nested,
    [anon_sym_verbatim] = anon_sym_verbatim,
    [anon_sym_c] = anon_sym_c,
    [anon_sym_c_PLUS_PLUS] = anon_sym_c_PLUS_PLUS,
    [anon_sym_java] = anon_sym_java,
    [anon_sym_idl] = anon_sym_idl,
    [anon_sym_BEGIN_FILE] = anon_sym_BEGIN_FILE,
    [anon_sym_BEFORE_DECLARATION] = anon_sym_BEFORE_DECLARATION,
    [anon_sym_BEGIN_DECLARATION] = anon_sym_BEGIN_DECLARATION,
    [anon_sym_END_DECLARATION] = anon_sym_END_DECLARATION,
    [anon_sym_AFTER_DECLARATION] = anon_sym_AFTER_DECLARATION,
    [anon_sym_END_FILE] = anon_sym_END_FILE,
    [anon_sym_service] = anon_sym_service,
    [anon_sym_CORBA] = anon_sym_CORBA,
    [anon_sym_DDS] = anon_sym_DDS,
    [anon_sym_oneway] = anon_sym_oneway,
    [anon_sym_ami] = anon_sym_ami,
    [anon_sym_module] = anon_sym_module,
    [anon_sym_typename] = anon_sym_typename,
    [anon_sym_valuetype] = anon_sym_valuetype,
    [anon_sym_eventtype] = anon_sym_eventtype,
    [anon_sym_struct] = anon_sym_struct,
    [anon_sym_union] = anon_sym_union,
    [anon_sym_enum] = anon_sym_enum,
    [anon_sym_const] = anon_sym_const,
    [anon_sym_alias] = anon_sym_alias,
    [anon_sym_custom] = anon_sym_custom,
    [anon_sym_truncatable] = anon_sym_truncatable,
    [anon_sym_supports] = anon_sym_supports,
    [anon_sym_public] = anon_sym_public,
    [anon_sym_private] = anon_sym_private,
    [anon_sym_factory] = anon_sym_factory,
    [anon_sym_typedef] = anon_sym_typedef,
    [anon_sym_LBRACK] = anon_sym_LBRACK,
    [anon_sym_RBRACK] = anon_sym_RBRACK,
    [anon_sym_ATdefault_literal] = anon_sym_ATdefault_literal,
    [anon_sym_ATignore_literal_names] = anon_sym_ATignore_literal_names,
    [anon_sym_switch] = anon_sym_switch,
    [anon_sym_case] = anon_sym_case,
    [anon_sym_typeid] = anon_sym_typeid,
    [anon_sym_typeprefix] = anon_sym_typeprefix,
    [anon_sym_import] = anon_sym_import,
    [anon_sym_Object] = anon_sym_Object,
    [anon_sym_context] = anon_sym_context,
    [sym_value_base_type] = sym_value_base_type,
    [anon_sym_component] = anon_sym_component,
    [anon_sym_provides] = anon_sym_provides,
    [anon_sym_uses] = anon_sym_uses,
    [anon_sym_multiple] = anon_sym_multiple,
    [anon_sym_home] = anon_sym_home,
    [anon_sym_manages] = anon_sym_manages,
    [anon_sym_emits] = anon_sym_emits,
    [anon_sym_publishes] = anon_sym_publishes,
    [anon_sym_consumes] = anon_sym_consumes,
    [anon_sym_primarykey] = anon_sym_primarykey,
    [anon_sym_finder] = anon_sym_finder,
    [anon_sym_porttype] = anon_sym_porttype,
    [anon_sym_port] = anon_sym_port,
    [anon_sym_mirrorport] = anon_sym_mirrorport,
    [anon_sym_connector] = anon_sym_connector,
    [anon_sym_native] = anon_sym_native,
    [sym_identifier] = sym_identifier,
    [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
    [aux_sym_comment_token1] = aux_sym_comment_token1,
    [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
    [aux_sym_comment_token2] = aux_sym_comment_token2,
    [sym_specification] = sym_specification,
    [sym_signed_short_int] = sym_signed_short_int,
    [sym_signed_long_int] = sym_signed_long_int,
    [sym_signed_longlong_int] = sym_signed_longlong_int,
    [sym_unsigned_int] = sym_unsigned_int,
    [sym_fixed_pt_const_type] = sym_fixed_pt_const_type,
    [sym_integer_type] = sym_integer_type,
    [sym_signed_int] = sym_signed_int,
    [sym_unsigned_short_int] = sym_unsigned_short_int,
    [sym_unsigned_long_int] = sym_unsigned_long_int,
    [sym_unsigned_longlong_int] = sym_unsigned_longlong_int,
    [sym_floating_pt_type] = sym_floating_pt_type,
    [sym_scoped_name] = sym_scoped_name,
    [sym_string_type] = sym_string_type,
    [sym_wide_string_type] = sym_wide_string_type,
    [sym_type_spec] = sym_type_spec,
    [sym_simple_type_spec] = sym_simple_type_spec,
    [sym_base_type_spec] = sym_base_type_spec,
    [sym_any_type] = sym_any_type,
    [sym_fixed_pt_type] = sym_fixed_pt_type,
    [sym_template_type_spec] = sym_template_type_spec,
    [sym_sequence_type] = sym_sequence_type,
    [sym_map_type] = sym_map_type,
    [sym_positive_int_const] = sym_positive_int_const,
    [sym_const_expr] = sym_const_expr,
    [sym_or_expr] = sym_or_expr,
    [sym_xor_expr] = sym_xor_expr,
    [sym_and_expr] = sym_and_expr,
    [sym_shift_expr] = sym_shift_expr,
    [sym_add_expr] = sym_add_expr,
    [sym_mult_expr] = sym_mult_expr,
    [sym_unary_expr] = sym_unary_expr,
    [sym_primary_expr] = sym_primary_expr,
    [sym_unary_operator] = sym_unary_operator,
    [sym_literal] = sym_literal,
    [sym_integer_literal] = sym_integer_literal,
    [sym_integer_sign] = sym_integer_sign,
    [sym_oct_number] = sym_oct_number,
    [sym_dec_number] = sym_dec_number,
    [sym_floating_pt_literal] = sym_floating_pt_literal,
    [sym_fixed_pt_literal] = sym_fixed_pt_literal,
    [sym_string_literal] = sym_string_literal,
    [sym_wide_string_literal] = sym_wide_string_literal,
    [sym_char_literal] = sym_char_literal,
    [sym_wide_character_literal] = sym_wide_character_literal,
    [sym_boolean_literal] = sym_boolean_literal,
    [sym_preproc_define] = sym_preproc_define,
    [sym_preproc_call] = sym_preproc_call,
    [sym_preproc_include] = sym_preproc_include,
    [sym_system_lib_string] = sym_system_lib_string,
    [sym_except_dcl] = sym_except_dcl,
    [sym_interface_dcl] = sym_interface_dcl,
    [sym_interface_kind] = sym_interface_kind,
    [sym_interface_forward_dcl] = sym_interface_forward_dcl,
    [sym_interface_def] = sym_interface_def,
    [sym_interface_header] = sym_interface_header,
    [sym_interface_inheritance_spec] = sym_interface_inheritance_spec,
    [sym_interface_name] = sym_interface_name,
    [sym_interface_body] = sym_interface_body,
    [sym_export] = sym_export,
    [sym_op_dcl] = sym_op_dcl,
    [sym_op_type_spec] = sym_op_type_spec,
    [sym_parameter_dcls] = sym_parameter_dcls,
    [sym_param_dcl] = sym_param_dcl,
    [sym_param_attribute] = sym_param_attribute,
    [sym_raises_expr] = sym_raises_expr,
    [sym_attr_dcl] = sym_attr_dcl,
    [sym_readonly_attr_spec] = sym_readonly_attr_spec,
    [sym_readonly_attr_declarator] = sym_readonly_attr_declarator,
    [sym_attr_spec] = sym_attr_spec,
    [sym_attr_declarator] = sym_attr_declarator,
    [sym_attr_raises_expr] = sym_attr_raises_expr,
    [sym_get_excep_expr] = sym_get_excep_expr,
    [sym_set_excep_expr] = sym_set_excep_expr,
    [sym_exception_list] = sym_exception_list,
    [sym_bitset_dcl] = sym_bitset_dcl,
    [sym_bitfield] = sym_bitfield,
    [sym_bitfield_spec] = sym_bitfield_spec,
    [sym_destination_type] = sym_destination_type,
    [sym_bitmask_dcl] = sym_bitmask_dcl,
    [sym_bit_value] = sym_bit_value,
    [sym_annotation_dcl] = sym_annotation_dcl,
    [sym_annotation_body] = sym_annotation_body,
    [sym_annotation_member] = sym_annotation_member,
    [sym_annotation_member_type] = sym_annotation_member_type,
    [sym_any_const_type] = sym_any_const_type,
    [sym_annotation_appl] = sym_annotation_appl,
    [sym_extend_annotation_appl] = sym_extend_annotation_appl,
    [sym_annotation_appl_custom_body] = sym_annotation_appl_custom_body,
    [sym_annotation_appl_params] = sym_annotation_appl_params,
    [sym_annotation_appl_param] = sym_annotation_appl_param,
    [sym_annotation_appl_builtin_body] = sym_annotation_appl_builtin_body,
    [sym_annotation_appl_id] = sym_annotation_appl_id,
    [sym_annotation_appl_autoid] = sym_annotation_appl_autoid,
    [sym_autoid_kind] = sym_autoid_kind,
    [sym_annotation_appl_optional] = sym_annotation_appl_optional,
    [sym_annotation_appl_position] = sym_annotation_appl_position,
    [sym_annotation_appl_value] = sym_annotation_appl_value,
    [sym_annotation_appl_extensibility] = sym_annotation_appl_extensibility,
    [sym_extensibility_kind] = sym_extensibility_kind,
    [sym_annotation_appl_final] = sym_annotation_appl_final,
    [sym_annotation_appl_appendable] = sym_annotation_appl_appendable,
    [sym_annotation_appl_mutable] = sym_annotation_appl_mutable,
    [sym_annotation_appl_key] = sym_annotation_appl_key,
    [sym_annotation_appl_must_understand] = sym_annotation_appl_must_understand,
    [sym_annotation_appl_default_literal] = sym_annotation_appl_default_literal,
    [sym_annotation_appl_default] = sym_annotation_appl_default,
    [sym_annotation_appl_range] = sym_annotation_appl_range,
    [sym_min_expr] = sym_min_expr,
    [sym_max_expr] = sym_max_expr,
    [sym_annotation_appl_min] = sym_annotation_appl_min,
    [sym_annotation_appl_max] = sym_annotation_appl_max,
    [sym_annotation_appl_unit] = sym_annotation_appl_unit,
    [sym_annotation_appl_bit_bound] = sym_annotation_appl_bit_bound,
    [sym_annotation_appl_external] = sym_annotation_appl_external,
    [sym_annotation_appl_nested] = sym_annotation_appl_nested,
    [sym_annotation_appl_verbatim] = sym_annotation_appl_verbatim,
    [sym_verbatim_language] = sym_verbatim_language,
    [sym_placement_kind] = sym_placement_kind,
    [sym_annotation_appl_service] = sym_annotation_appl_service,
    [sym_service_platform] = sym_service_platform,
    [sym_annotation_appl_oneway] = sym_annotation_appl_oneway,
    [sym_annotation_appl_ami] = sym_annotation_appl_ami,
    [sym_template_module_dcl] = sym_template_module_dcl,
    [sym_formal_parameters] = sym_formal_parameters,
    [sym_formal_parameter] = sym_formal_parameter,
    [sym_formal_parameter_type] = sym_formal_parameter_type,
    [sym_tpl_definition] = sym_tpl_definition,
    [sym_template_module_inst] = sym_template_module_inst,
    [sym_actual_parameters] = sym_actual_parameters,
    [sym_actual_parameter] = sym_actual_parameter,
    [sym_template_module_ref] = sym_template_module_ref,
    [sym_formal_parameter_names] = sym_formal_parameter_names,
    [sym_value_dcl] = sym_value_dcl,
    [sym_value_def] = sym_value_def,
    [sym_value_kind] = sym_value_kind,
    [sym_value_header] = sym_value_header,
    [sym_value_inheritance_spec] = sym_value_inheritance_spec,
    [sym_value_inheritance] = sym_value_inheritance,
    [sym_value_supports] = sym_value_supports,
    [sym_value_name] = sym_value_name,
    [sym_value_element] = sym_value_element,
    [sym_state_member] = sym_state_member,
    [sym_init_dcl] = sym_init_dcl,
    [sym_init_param_dcls] = sym_init_param_dcls,
    [sym_init_param_dcl] = sym_init_param_dcl,
    [sym_value_forward_dcl] = sym_value_forward_dcl,
    [sym_typedef_dcl] = sym_typedef_dcl,
    [sym_type_declarator] = sym_type_declarator,
    [sym_any_declarators] = sym_any_declarators,
    [sym_any_declarator] = sym_any_declarator,
    [sym_simple_declarator] = sym_simple_declarator,
    [sym_declarator] = sym_declarator,
    [sym_declarators] = sym_declarators,
    [sym_array_declarator] = sym_array_declarator,
    [sym_fixed_array_size] = sym_fixed_array_size,
    [sym_enum_dcl] = sym_enum_dcl,
    [sym_enumerator] = sym_enumerator,
    [sym_enum_modifier] = sym_enum_modifier,
    [sym_enum_anno] = sym_enum_anno,
    [sym_union_dcl] = sym_union_dcl,
    [sym_union_forward_dcl] = sym_union_forward_dcl,
    [sym_union_def] = sym_union_def,
    [sym_case] = sym_case,
    [sym_case_label] = sym_case_label,
    [sym_element_spec] = sym_element_spec,
    [sym_switch_type_spec] = sym_switch_type_spec,
    [sym_type_id_dcl] = sym_type_id_dcl,
    [sym_type_prefix_dcl] = sym_type_prefix_dcl,
    [sym_import_dcl] = sym_import_dcl,
    [sym_imported_scope] = sym_imported_scope,
    [sym_object_type] = sym_object_type,
    [sym_op_oneway_dcl] = sym_op_oneway_dcl,
    [sym_in_parameter_dcls] = sym_in_parameter_dcls,
    [sym_in_param_dcl] = sym_in_param_dcl,
    [sym_op_with_context] = sym_op_with_context,
    [sym_context_expr] = sym_context_expr,
    [sym_value_box_def] = sym_value_box_def,
    [sym_value_abs_def] = sym_value_abs_def,
    [sym_component_dcl] = sym_component_dcl,
    [sym_component_forward_dcl] = sym_component_forward_dcl,
    [sym_component_def] = sym_component_def,
    [sym_component_header] = sym_component_header,
    [sym_component_inheritance_spec] = sym_component_inheritance_spec,
    [sym_component_body] = sym_component_body,
    [sym_component_export] = sym_component_export,
    [sym_provides_dcl] = sym_provides_dcl,
    [sym_interface_type] = sym_interface_type,
    [sym_uses_dcl] = sym_uses_dcl,
    [sym_home_dcl] = sym_home_dcl,
    [sym_home_header] = sym_home_header,
    [sym_home_inheritance_spec] = sym_home_inheritance_spec,
    [sym_home_body] = sym_home_body,
    [sym_home_export] = sym_home_export,
    [sym_factory_dcl] = sym_factory_dcl,
    [sym_factory_param_dcls] = sym_factory_param_dcls,
    [sym_factory_param_dcl] = sym_factory_param_dcl,
    [sym_supported_interface_spec] = sym_supported_interface_spec,
    [sym_emits_dcl] = sym_emits_dcl,
    [sym_publishes_dcl] = sym_publishes_dcl,
    [sym_consumes_dcl] = sym_consumes_dcl,
    [sym_primary_key_spec] = sym_primary_key_spec,
    [sym_finder_dcl] = sym_finder_dcl,
    [sym_event_dcl] = sym_event_dcl,
    [sym_event_forward_dcl] = sym_event_forward_dcl,
    [sym_event_abs_def] = sym_event_abs_def,
    [sym_event_def] = sym_event_def,
    [sym_event_header] = sym_event_header,
    [sym_porttype_dcl] = sym_porttype_dcl,
    [sym_porttype_forward_dcl] = sym_porttype_forward_dcl,
    [sym_porttype_def] = sym_porttype_def,
    [sym_port_body] = sym_port_body,
    [sym_port_ref] = sym_port_ref,
    [sym_port_export] = sym_port_export,
    [sym_port_dcl] = sym_port_dcl,
    [sym_connector_dcl] = sym_connector_dcl,
    [sym_connector_header] = sym_connector_header,
    [sym_connector_inherit_spec] = sym_connector_inherit_spec,
    [sym_connector_export] = sym_connector_export,
    [sym_definition] = sym_definition,
    [sym_type_dcl] = sym_type_dcl,
    [sym_constr_type_dcl] = sym_constr_type_dcl,
    [sym_native_dcl] = sym_native_dcl,
    [sym_module_dcl] = sym_module_dcl,
    [sym_struct_dcl] = sym_struct_dcl,
    [sym_struct_forward_dcl] = sym_struct_forward_dcl,
    [sym_struct_def] = sym_struct_def,
    [sym_member] = sym_member,
    [sym_default] = sym_default,
    [sym_const_dcl] = sym_const_dcl,
    [sym_const_type] = sym_const_type,
    [sym_comment] = sym_comment,
    [aux_sym_specification_repeat1] = aux_sym_specification_repeat1,
    [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
    [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
    [aux_sym_except_dcl_repeat1] = aux_sym_except_dcl_repeat1,
    [aux_sym_interface_dcl_repeat1] = aux_sym_interface_dcl_repeat1,
    [aux_sym_interface_inheritance_spec_repeat1] = aux_sym_interface_inheritance_spec_repeat1,
    [aux_sym_interface_body_repeat1] = aux_sym_interface_body_repeat1,
    [aux_sym_parameter_dcls_repeat1] = aux_sym_parameter_dcls_repeat1,
    [aux_sym_raises_expr_repeat1] = aux_sym_raises_expr_repeat1,
    [aux_sym_readonly_attr_declarator_repeat1] = aux_sym_readonly_attr_declarator_repeat1,
    [aux_sym_bitset_dcl_repeat1] = aux_sym_bitset_dcl_repeat1,
    [aux_sym_bitfield_repeat1] = aux_sym_bitfield_repeat1,
    [aux_sym_bitmask_dcl_repeat1] = aux_sym_bitmask_dcl_repeat1,
    [aux_sym_annotation_dcl_repeat1] = aux_sym_annotation_dcl_repeat1,
    [aux_sym_annotation_appl_params_repeat1] = aux_sym_annotation_appl_params_repeat1,
    [aux_sym_template_module_dcl_repeat1] = aux_sym_template_module_dcl_repeat1,
    [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
    [aux_sym_actual_parameters_repeat1] = aux_sym_actual_parameters_repeat1,
    [aux_sym_formal_parameter_names_repeat1] = aux_sym_formal_parameter_names_repeat1,
    [aux_sym_value_def_repeat1] = aux_sym_value_def_repeat1,
    [aux_sym_value_inheritance_spec_repeat1] = aux_sym_value_inheritance_spec_repeat1,
    [aux_sym_init_param_dcls_repeat1] = aux_sym_init_param_dcls_repeat1,
    [aux_sym_any_declarators_repeat1] = aux_sym_any_declarators_repeat1,
    [aux_sym_declarators_repeat1] = aux_sym_declarators_repeat1,
    [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
    [aux_sym_enum_dcl_repeat1] = aux_sym_enum_dcl_repeat1,
    [aux_sym_enumerator_repeat1] = aux_sym_enumerator_repeat1,
    [aux_sym_union_def_repeat1] = aux_sym_union_def_repeat1,
    [aux_sym_case_repeat1] = aux_sym_case_repeat1,
    [aux_sym_in_parameter_dcls_repeat1] = aux_sym_in_parameter_dcls_repeat1,
    [aux_sym_context_expr_repeat1] = aux_sym_context_expr_repeat1,
    [aux_sym_component_body_repeat1] = aux_sym_component_body_repeat1,
    [aux_sym_home_body_repeat1] = aux_sym_home_body_repeat1,
    [aux_sym_factory_param_dcls_repeat1] = aux_sym_factory_param_dcls_repeat1,
    [aux_sym_port_body_repeat1] = aux_sym_port_body_repeat1,
    [aux_sym_connector_dcl_repeat1] = aux_sym_connector_dcl_repeat1,
    [aux_sym_module_dcl_repeat1] = aux_sym_module_dcl_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
    [ts_builtin_sym_end] = {
        .visible = false,
        .named = true,
    },
    [anon_sym_short] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int16] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_long] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int32] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_longlong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int64] = {
        .visible = true,
        .named = false,
    },
    [sym_unsigned_tiny_int] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_fixed] = {
        .visible = true,
        .named = false,
    },
    [sym_octet_type] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_tiny_int] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_unsignedshort] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint16] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unsignedlong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint32] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unsignedlonglong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint64] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_float] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_double] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_longdouble] = {
        .visible = true,
        .named = false,
    },
    [sym_char_type] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_char_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_COLON_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_string] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_wstring] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_any] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COMMA] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_sequence] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_map] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PIPE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_CARET] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AMP] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_STAR] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PERCENT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_TILDE] = {
        .visible = true,
        .named = false,
    },
    [sym_bin_number] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_oct_number_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_oct_number_token2] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_0] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_dec_number_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_hex_number] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_DOT] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_floating_pt_literal_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_fixed_pt_literal_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_escape_sequence] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_DQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_string_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_L] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_char_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_TRUE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_FALSE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_POUNDdefine] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_preproc_define_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_preproc_call_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_preproc_directive] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_arg] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_preproc_include_token1] = {
        .visible = true,
        .named = true,
    },
    [sym_system_lib_path] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_exception] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_local] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_abstract] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_interface] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SEMI] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_void] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_in] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_out] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_inout] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_raises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_readonly] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_attribute] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_getraises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_setraises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitset] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitfield] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitmask] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATannotation] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_default] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH_SLASH_AT] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_extend_annotation_appl_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_id] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_autoid] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SEQUENTIAL] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_HASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_optional] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_position] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_value] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_extensibility] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_FINAL] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_APPENDABLE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_MUTABLE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_final] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_appendable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_mutable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_key] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_must_understand] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_default_literal] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_range] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_min] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_max] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unit] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bit_bound] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_external] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_nested] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_verbatim] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_c] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_c_PLUS_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_java] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_idl] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BEGIN_FILE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BEFORE_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BEGIN_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_END_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AFTER_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_END_FILE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_service] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_CORBA] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DDS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_oneway] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ami] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_module] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typename] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_valuetype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_eventtype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_struct] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_union] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_enum] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_const] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_alias] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_custom] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_truncatable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_supports] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_public] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_private] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_factory] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typedef] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATdefault_literal] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATignore_literal_names] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_switch] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_case] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typeid] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typeprefix] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_import] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_Object] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_context] = {
        .visible = true,
        .named = false,
    },
    [sym_value_base_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_component] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_provides] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uses] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_multiple] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_home] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_manages] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_emits] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_publishes] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_consumes] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_primarykey] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_finder] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_porttype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_port] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_mirrorport] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_connector] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_native] = {
        .visible = true,
        .named = false,
    },
    [sym_identifier] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_SLASH_SLASH] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_SLASH_STAR] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token2] = {
        .visible = false,
        .named = false,
    },
    [sym_specification] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_short_int] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_long_int] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_longlong_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_int] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_type] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_short_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_long_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_longlong_int] = {
        .visible = true,
        .named = true,
    },
    [sym_floating_pt_type] = {
        .visible = true,
        .named = true,
    },
    [sym_scoped_name] = {
        .visible = true,
        .named = true,
    },
    [sym_string_type] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_string_type] = {
        .visible = true,
        .named = true,
    },
    [sym_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_simple_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_base_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_any_type] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_type] = {
        .visible = true,
        .named = true,
    },
    [sym_template_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_sequence_type] = {
        .visible = true,
        .named = true,
    },
    [sym_map_type] = {
        .visible = true,
        .named = true,
    },
    [sym_positive_int_const] = {
        .visible = true,
        .named = true,
    },
    [sym_const_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_or_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_xor_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_and_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_shift_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_add_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_mult_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_operator] = {
        .visible = true,
        .named = true,
    },
    [sym_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_sign] = {
        .visible = true,
        .named = true,
    },
    [sym_oct_number] = {
        .visible = true,
        .named = true,
    },
    [sym_dec_number] = {
        .visible = true,
        .named = true,
    },
    [sym_floating_pt_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_char_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_character_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_define] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_call] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_include] = {
        .visible = true,
        .named = true,
    },
    [sym_system_lib_string] = {
        .visible = true,
        .named = true,
    },
    [sym_except_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_def] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_header] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_name] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_body] = {
        .visible = true,
        .named = true,
    },
    [sym_export] = {
        .visible = true,
        .named = true,
    },
    [sym_op_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_op_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_parameter_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_param_attribute] = {
        .visible = true,
        .named = true,
    },
    [sym_raises_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_readonly_attr_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_readonly_attr_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_raises_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_get_excep_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_set_excep_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_exception_list] = {
        .visible = true,
        .named = true,
    },
    [sym_bitset_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_bitfield] = {
        .visible = true,
        .named = true,
    },
    [sym_bitfield_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_destination_type] = {
        .visible = true,
        .named = true,
    },
    [sym_bitmask_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_bit_value] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_member] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_member_type] = {
        .visible = true,
        .named = true,
    },
    [sym_any_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl] = {
        .visible = true,
        .named = true,
    },
    [sym_extend_annotation_appl] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_custom_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_params] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_param] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_builtin_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_id] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_autoid] = {
        .visible = true,
        .named = true,
    },
    [sym_autoid_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_optional] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_position] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_value] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_extensibility] = {
        .visible = true,
        .named = true,
    },
    [sym_extensibility_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_final] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_appendable] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_mutable] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_key] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_must_understand] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_range] = {
        .visible = true,
        .named = true,
    },
    [sym_min_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_max_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_min] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_max] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_unit] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_bit_bound] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_external] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_nested] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_verbatim] = {
        .visible = true,
        .named = true,
    },
    [sym_verbatim_language] = {
        .visible = true,
        .named = true,
    },
    [sym_placement_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_service] = {
        .visible = true,
        .named = true,
    },
    [sym_service_platform] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_oneway] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_ami] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameters] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter_type] = {
        .visible = true,
        .named = true,
    },
    [sym_tpl_definition] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_inst] = {
        .visible = true,
        .named = true,
    },
    [sym_actual_parameters] = {
        .visible = true,
        .named = true,
    },
    [sym_actual_parameter] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_ref] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter_names] = {
        .visible = true,
        .named = true,
    },
    [sym_value_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_value_def] = {
        .visible = true,
        .named = true,
    },
    [sym_value_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_value_header] = {
        .visible = true,
        .named = true,
    },
    [sym_value_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_value_inheritance] = {
        .visible = true,
        .named = true,
    },
    [sym_value_supports] = {
        .visible = true,
        .named = true,
    },
    [sym_value_name] = {
        .visible = true,
        .named = true,
    },
    [sym_value_element] = {
        .visible = true,
        .named = true,
    },
    [sym_state_member] = {
        .visible = true,
        .named = true,
    },
    [sym_init_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_init_param_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_init_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_value_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_typedef_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_type_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_any_declarators] = {
        .visible = true,
        .named = true,
    },
    [sym_any_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_simple_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_declarators] = {
        .visible = true,
        .named = true,
    },
    [sym_array_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_array_size] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_enumerator] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_modifier] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_anno] = {
        .visible = true,
        .named = true,
    },
    [sym_union_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_union_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_union_def] = {
        .visible = true,
        .named = true,
    },
    [sym_case] = {
        .visible = true,
        .named = true,
    },
    [sym_case_label] = {
        .visible = true,
        .named = true,
    },
    [sym_element_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_switch_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_type_id_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_type_prefix_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_import_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_imported_scope] = {
        .visible = true,
        .named = true,
    },
    [sym_object_type] = {
        .visible = true,
        .named = true,
    },
    [sym_op_oneway_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_in_parameter_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_in_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_op_with_context] = {
        .visible = true,
        .named = true,
    },
    [sym_context_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_value_box_def] = {
        .visible = true,
        .named = true,
    },
    [sym_value_abs_def] = {
        .visible = true,
        .named = true,
    },
    [sym_component_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_component_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_component_def] = {
        .visible = true,
        .named = true,
    },
    [sym_component_header] = {
        .visible = true,
        .named = true,
    },
    [sym_component_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_component_body] = {
        .visible = true,
        .named = true,
    },
    [sym_component_export] = {
        .visible = true,
        .named = true,
    },
    [sym_provides_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_type] = {
        .visible = true,
        .named = true,
    },
    [sym_uses_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_home_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_home_header] = {
        .visible = true,
        .named = true,
    },
    [sym_home_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_home_body] = {
        .visible = true,
        .named = true,
    },
    [sym_home_export] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_param_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_supported_interface_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_emits_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_publishes_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_consumes_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_key_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_finder_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_abs_def] = {
        .visible = true,
        .named = true,
    },
    [sym_event_def] = {
        .visible = true,
        .named = true,
    },
    [sym_event_header] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_def] = {
        .visible = true,
        .named = true,
    },
    [sym_port_body] = {
        .visible = true,
        .named = true,
    },
    [sym_port_ref] = {
        .visible = true,
        .named = true,
    },
    [sym_port_export] = {
        .visible = true,
        .named = true,
    },
    [sym_port_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_header] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_inherit_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_export] = {
        .visible = true,
        .named = true,
    },
    [sym_definition] = {
        .visible = true,
        .named = true,
    },
    [sym_type_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_constr_type_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_native_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_module_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_def] = {
        .visible = true,
        .named = true,
    },
    [sym_member] = {
        .visible = true,
        .named = true,
    },
    [sym_default] = {
        .visible = true,
        .named = true,
    },
    [sym_const_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_comment] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_specification_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_string_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_char_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_except_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_inheritance_spec_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_parameter_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_raises_expr_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_readonly_attr_declarator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitset_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitfield_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitmask_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_params_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_template_module_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_formal_parameters_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_actual_parameters_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_formal_parameter_names_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_value_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_value_inheritance_spec_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_init_param_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_any_declarators_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_declarators_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_array_declarator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_enum_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_enumerator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_union_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_case_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_in_parameter_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_context_expr_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_component_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_home_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_factory_param_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_port_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_connector_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_module_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
};

enum ts_field_identifiers {
    field_argument = 1,
    field_directive = 2,
    field_identifier = 3,
    field_language = 4,
    field_max = 5,
    field_min = 6,
    field_name = 7,
    field_parent = 8,
    field_path = 9,
    field_placement = 10,
    field_text = 11,
    field_type = 12,
};

static const char *const ts_field_names[] = {
    [0] = NULL,
    [field_argument] = "argument",
    [field_directive] = "directive",
    [field_identifier] = "identifier",
    [field_language] = "language",
    [field_max] = "max",
    [field_min] = "min",
    [field_name] = "name",
    [field_parent] = "parent",
    [field_path] = "path",
    [field_placement] = "placement",
    [field_text] = "text",
    [field_type] = "type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
    [1] = { .index = 0, .length = 1 },
    [2] = { .index = 1, .length = 1 },
    [3] = { .index = 2, .length = 2 },
    [4] = { .index = 4, .length = 1 },
    [5] = { .index = 5, .length = 2 },
    [6] = { .index = 7, .length = 2 },
    [7] = { .index = 9, .length = 1 },
    [8] = { .index = 10, .length = 2 },
    [9] = { .index = 12, .length = 3 },
    [10] = { .index = 15, .length = 4 },
    [11] = { .index = 19, .length = 4 },
    [12] = { .index = 23, .length = 6 },
};

static const TSFieldMapEntry ts_field_map_entries[] = {
    [0] = { field_directive, 0 },
    [1] = { field_name, 0 },
    [2] = { field_argument, 1 },
    { field_directive, 0 },
    [4] = { field_path, 1 },
    [5] = { field_name, 0 },
    { field_text, 2 },
    [7] = { field_identifier, 1 },
    { field_type, 0 },
    [9] = { field_parent, 3 },
    [10] = { field_identifier, 2 },
    { field_type, 1 },
    [12] = { field_max, 4 },
    { field_min, 2 },
    { field_name, 0 },
    [15] = { field_language, 2 },
    { field_language, 3 },
    { field_name, 0 },
    { field_text, 4 },
    [19] = { field_name, 0 },
    { field_placement, 2 },
    { field_placement, 3 },
    { field_text, 4 },
    [23] = { field_language, 2 },
    { field_language, 3 },
    { field_name, 0 },
    { field_placement, 4 },
    { field_placement, 5 },
    { field_text, 6 },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
    [0] = { 0 },
};

static const uint16_t ts_non_terminal_alias_map[] = {
    0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
    [0] = 0,
    [1] = 1,
    [2] = 2,
    [3] = 3,
    [4] = 4,
    [5] = 5,
    [6] = 6,
    [7] = 7,
    [8] = 8,
    [9] = 9,
    [10] = 10,
    [11] = 11,
    [12] = 12,
    [13] = 13,
    [14] = 14,
    [15] = 15,
    [16] = 16,
    [17] = 17,
    [18] = 18,
    [19] = 19,
    [20] = 20,
    [21] = 21,
    [22] = 22,
    [23] = 23,
    [24] = 24,
    [25] = 25,
    [26] = 26,
    [27] = 27,
    [28] = 28,
    [29] = 29,
    [30] = 30,
    [31] = 31,
    [32] = 32,
    [33] = 33,
    [34] = 34,
    [35] = 35,
    [36] = 36,
    [37] = 37,
    [38] = 38,
    [39] = 39,
    [40] = 40,
    [41] = 41,
    [42] = 42,
    [43] = 43,
    [44] = 44,
    [45] = 45,
    [46] = 46,
    [47] = 47,
    [48] = 48,
    [49] = 49,
    [50] = 50,
    [51] = 51,
    [52] = 52,
    [53] = 53,
    [54] = 54,
    [55] = 55,
    [56] = 56,
    [57] = 49,
    [58] = 58,
    [59] = 59,
    [60] = 60,
    [61] = 61,
    [62] = 62,
    [63] = 63,
    [64] = 64,
    [65] = 62,
    [66] = 62,
    [67] = 67,
    [68] = 63,
    [69] = 69,
    [70] = 70,
    [71] = 62,
    [72] = 72,
    [73] = 73,
    [74] = 74,
    [75] = 63,
    [76] = 76,
    [77] = 49,
    [78] = 63,
    [79] = 79,
    [80] = 80,
    [81] = 81,
    [82] = 82,
    [83] = 83,
    [84] = 84,
    [85] = 84,
    [86] = 84,
    [87] = 84,
    [88] = 88,
    [89] = 89,
    [90] = 90,
    [91] = 91,
    [92] = 92,
    [93] = 93,
    [94] = 94,
    [95] = 95,
    [96] = 96,
    [97] = 97,
    [98] = 98,
    [99] = 99,
    [100] = 100,
    [101] = 101,
    [102] = 102,
    [103] = 103,
    [104] = 104,
    [105] = 105,
    [106] = 106,
    [107] = 107,
    [108] = 108,
    [109] = 109,
    [110] = 110,
    [111] = 111,
    [112] = 112,
    [113] = 113,
    [114] = 114,
    [115] = 115,
    [116] = 116,
    [117] = 117,
    [118] = 118,
    [119] = 119,
    [120] = 120,
    [121] = 121,
    [122] = 122,
    [123] = 123,
    [124] = 124,
    [125] = 125,
    [126] = 126,
    [127] = 127,
    [128] = 128,
    [129] = 129,
    [130] = 130,
    [131] = 131,
    [132] = 132,
    [133] = 133,
    [134] = 134,
    [135] = 135,
    [136] = 136,
    [137] = 137,
    [138] = 138,
    [139] = 139,
    [140] = 140,
    [141] = 141,
    [142] = 142,
    [143] = 143,
    [144] = 144,
    [145] = 145,
    [146] = 146,
    [147] = 147,
    [148] = 148,
    [149] = 149,
    [150] = 150,
    [151] = 151,
    [152] = 152,
    [153] = 153,
    [154] = 154,
    [155] = 155,
    [156] = 156,
    [157] = 157,
    [158] = 158,
    [159] = 159,
    [160] = 160,
    [161] = 161,
    [162] = 162,
    [163] = 163,
    [164] = 164,
    [165] = 165,
    [166] = 166,
    [167] = 167,
    [168] = 168,
    [169] = 169,
    [170] = 170,
    [171] = 171,
    [172] = 172,
    [173] = 173,
    [174] = 174,
    [175] = 175,
    [176] = 176,
    [177] = 177,
    [178] = 178,
    [179] = 179,
    [180] = 180,
    [181] = 181,
    [182] = 182,
    [183] = 183,
    [184] = 184,
    [185] = 185,
    [186] = 186,
    [187] = 187,
    [188] = 188,
    [189] = 189,
    [190] = 190,
    [191] = 191,
    [192] = 192,
    [193] = 193,
    [194] = 194,
    [195] = 194,
    [196] = 193,
    [197] = 192,
    [198] = 191,
    [199] = 191,
    [200] = 200,
    [201] = 194,
    [202] = 193,
    [203] = 192,
    [204] = 204,
    [205] = 192,
    [206] = 191,
    [207] = 193,
    [208] = 194,
    [209] = 209,
    [210] = 210,
    [211] = 129,
    [212] = 212,
    [213] = 116,
    [214] = 134,
    [215] = 215,
    [216] = 216,
    [217] = 217,
    [218] = 218,
    [219] = 219,
    [220] = 220,
    [221] = 221,
    [222] = 222,
    [223] = 223,
    [224] = 224,
    [225] = 225,
    [226] = 226,
    [227] = 227,
    [228] = 228,
    [229] = 229,
    [230] = 230,
    [231] = 231,
    [232] = 232,
    [233] = 233,
    [234] = 234,
    [235] = 235,
    [236] = 236,
    [237] = 237,
    [238] = 238,
    [239] = 239,
    [240] = 240,
    [241] = 241,
    [242] = 242,
    [243] = 243,
    [244] = 107,
    [245] = 245,
    [246] = 246,
    [247] = 247,
    [248] = 248,
    [249] = 134,
    [250] = 250,
    [251] = 251,
    [252] = 130,
    [253] = 129,
    [254] = 116,
    [255] = 250,
    [256] = 250,
    [257] = 250,
    [258] = 122,
    [259] = 123,
    [260] = 124,
    [261] = 121,
    [262] = 120,
    [263] = 119,
    [264] = 118,
    [265] = 117,
    [266] = 126,
    [267] = 149,
    [268] = 136,
    [269] = 175,
    [270] = 144,
    [271] = 164,
    [272] = 157,
    [273] = 166,
    [274] = 274,
    [275] = 163,
    [276] = 168,
    [277] = 277,
    [278] = 154,
    [279] = 169,
    [280] = 115,
    [281] = 167,
    [282] = 282,
    [283] = 140,
    [284] = 161,
    [285] = 285,
    [286] = 155,
    [287] = 171,
    [288] = 135,
    [289] = 172,
    [290] = 174,
    [291] = 176,
    [292] = 160,
    [293] = 131,
    [294] = 159,
    [295] = 147,
    [296] = 146,
    [297] = 143,
    [298] = 151,
    [299] = 152,
    [300] = 156,
    [301] = 137,
    [302] = 153,
    [303] = 141,
    [304] = 142,
    [305] = 139,
    [306] = 138,
    [307] = 307,
    [308] = 307,
    [309] = 309,
    [310] = 307,
    [311] = 307,
    [312] = 312,
    [313] = 309,
    [314] = 312,
    [315] = 312,
    [316] = 309,
    [317] = 309,
    [318] = 312,
    [319] = 319,
    [320] = 320,
    [321] = 321,
    [322] = 322,
    [323] = 323,
    [324] = 324,
    [325] = 325,
    [326] = 325,
    [327] = 325,
    [328] = 328,
    [329] = 116,
    [330] = 129,
    [331] = 325,
    [332] = 332,
    [333] = 333,
    [334] = 334,
    [335] = 335,
    [336] = 336,
    [337] = 337,
    [338] = 134,
    [339] = 339,
    [340] = 340,
    [341] = 341,
    [342] = 342,
    [343] = 343,
    [344] = 344,
    [345] = 345,
    [346] = 346,
    [347] = 347,
    [348] = 348,
    [349] = 349,
    [350] = 350,
    [351] = 351,
    [352] = 352,
    [353] = 353,
    [354] = 354,
    [355] = 355,
    [356] = 355,
    [357] = 357,
    [358] = 358,
    [359] = 359,
    [360] = 107,
    [361] = 361,
    [362] = 362,
    [363] = 363,
    [364] = 354,
    [365] = 365,
    [366] = 107,
    [367] = 354,
    [368] = 368,
    [369] = 369,
    [370] = 370,
    [371] = 355,
    [372] = 372,
    [373] = 354,
    [374] = 355,
    [375] = 375,
    [376] = 376,
    [377] = 377,
    [378] = 116,
    [379] = 379,
    [380] = 380,
    [381] = 381,
    [382] = 129,
    [383] = 383,
    [384] = 384,
    [385] = 385,
    [386] = 130,
    [387] = 134,
    [388] = 388,
    [389] = 389,
    [390] = 390,
    [391] = 391,
    [392] = 392,
    [393] = 116,
    [394] = 130,
    [395] = 134,
    [396] = 396,
    [397] = 397,
    [398] = 398,
    [399] = 399,
    [400] = 400,
    [401] = 401,
    [402] = 402,
    [403] = 403,
    [404] = 129,
    [405] = 405,
    [406] = 406,
    [407] = 407,
    [408] = 408,
    [409] = 409,
    [410] = 410,
    [411] = 411,
    [412] = 120,
    [413] = 413,
    [414] = 414,
    [415] = 415,
    [416] = 416,
    [417] = 417,
    [418] = 418,
    [419] = 419,
    [420] = 420,
    [421] = 421,
    [422] = 422,
    [423] = 423,
    [424] = 424,
    [425] = 425,
    [426] = 426,
    [427] = 427,
    [428] = 428,
    [429] = 429,
    [430] = 430,
    [431] = 431,
    [432] = 432,
    [433] = 433,
    [434] = 434,
    [435] = 435,
    [436] = 436,
    [437] = 437,
    [438] = 438,
    [439] = 439,
    [440] = 440,
    [441] = 441,
    [442] = 442,
    [443] = 443,
    [444] = 444,
    [445] = 445,
    [446] = 446,
    [447] = 447,
    [448] = 448,
    [449] = 449,
    [450] = 450,
    [451] = 451,
    [452] = 452,
    [453] = 453,
    [454] = 454,
    [455] = 455,
    [456] = 456,
    [457] = 457,
    [458] = 458,
    [459] = 459,
    [460] = 124,
    [461] = 123,
    [462] = 122,
    [463] = 121,
    [464] = 119,
    [465] = 118,
    [466] = 117,
    [467] = 467,
    [468] = 126,
    [469] = 469,
    [470] = 470,
    [471] = 471,
    [472] = 472,
    [473] = 473,
    [474] = 474,
    [475] = 475,
    [476] = 476,
    [477] = 477,
    [478] = 478,
    [479] = 479,
    [480] = 471,
    [481] = 481,
    [482] = 482,
    [483] = 124,
    [484] = 484,
    [485] = 123,
    [486] = 122,
    [487] = 121,
    [488] = 120,
    [489] = 489,
    [490] = 119,
    [491] = 118,
    [492] = 117,
    [493] = 126,
    [494] = 494,
    [495] = 476,
    [496] = 474,
    [497] = 473,
    [498] = 494,
    [499] = 474,
    [500] = 473,
    [501] = 474,
    [502] = 473,
    [503] = 472,
    [504] = 504,
    [505] = 471,
    [506] = 427,
    [507] = 472,
    [508] = 471,
    [509] = 472,
    [510] = 510,
    [511] = 151,
    [512] = 512,
    [513] = 513,
    [514] = 514,
    [515] = 515,
    [516] = 516,
    [517] = 517,
    [518] = 518,
    [519] = 519,
    [520] = 520,
    [521] = 521,
    [522] = 522,
    [523] = 523,
    [524] = 524,
    [525] = 525,
    [526] = 526,
    [527] = 163,
    [528] = 528,
    [529] = 529,
    [530] = 530,
    [531] = 169,
    [532] = 532,
    [533] = 533,
    [534] = 534,
    [535] = 535,
    [536] = 536,
    [537] = 171,
    [538] = 172,
    [539] = 539,
    [540] = 540,
    [541] = 174,
    [542] = 542,
    [543] = 543,
    [544] = 544,
    [545] = 545,
    [546] = 546,
    [547] = 547,
    [548] = 548,
    [549] = 549,
    [550] = 176,
    [551] = 551,
    [552] = 552,
    [553] = 160,
    [554] = 159,
    [555] = 532,
    [556] = 533,
    [557] = 557,
    [558] = 131,
    [559] = 535,
    [560] = 141,
    [561] = 536,
    [562] = 562,
    [563] = 563,
    [564] = 564,
    [565] = 156,
    [566] = 566,
    [567] = 567,
    [568] = 568,
    [569] = 569,
    [570] = 115,
    [571] = 545,
    [572] = 548,
    [573] = 157,
    [574] = 175,
    [575] = 434,
    [576] = 168,
    [577] = 577,
    [578] = 578,
    [579] = 579,
    [580] = 580,
    [581] = 167,
    [582] = 582,
    [583] = 583,
    [584] = 166,
    [585] = 532,
    [586] = 586,
    [587] = 533,
    [588] = 588,
    [589] = 589,
    [590] = 590,
    [591] = 591,
    [592] = 164,
    [593] = 535,
    [594] = 536,
    [595] = 595,
    [596] = 136,
    [597] = 545,
    [598] = 548,
    [599] = 599,
    [600] = 600,
    [601] = 551,
    [602] = 435,
    [603] = 579,
    [604] = 578,
    [605] = 551,
    [606] = 606,
    [607] = 607,
    [608] = 161,
    [609] = 609,
    [610] = 154,
    [611] = 611,
    [612] = 612,
    [613] = 153,
    [614] = 614,
    [615] = 152,
    [616] = 616,
    [617] = 606,
    [618] = 155,
    [619] = 619,
    [620] = 620,
    [621] = 621,
    [622] = 149,
    [623] = 623,
    [624] = 147,
    [625] = 625,
    [626] = 626,
    [627] = 146,
    [628] = 628,
    [629] = 144,
    [630] = 135,
    [631] = 631,
    [632] = 143,
    [633] = 137,
    [634] = 138,
    [635] = 139,
    [636] = 140,
    [637] = 142,
    [638] = 143,
    [639] = 639,
    [640] = 142,
    [641] = 641,
    [642] = 146,
    [643] = 643,
    [644] = 147,
    [645] = 149,
    [646] = 646,
    [647] = 155,
    [648] = 140,
    [649] = 649,
    [650] = 161,
    [651] = 139,
    [652] = 652,
    [653] = 136,
    [654] = 654,
    [655] = 655,
    [656] = 164,
    [657] = 657,
    [658] = 658,
    [659] = 659,
    [660] = 660,
    [661] = 138,
    [662] = 166,
    [663] = 167,
    [664] = 137,
    [665] = 135,
    [666] = 666,
    [667] = 168,
    [668] = 175,
    [669] = 144,
    [670] = 157,
    [671] = 115,
    [672] = 156,
    [673] = 151,
    [674] = 141,
    [675] = 131,
    [676] = 159,
    [677] = 160,
    [678] = 678,
    [679] = 679,
    [680] = 680,
    [681] = 681,
    [682] = 682,
    [683] = 152,
    [684] = 684,
    [685] = 685,
    [686] = 686,
    [687] = 176,
    [688] = 688,
    [689] = 174,
    [690] = 172,
    [691] = 691,
    [692] = 171,
    [693] = 153,
    [694] = 154,
    [695] = 169,
    [696] = 696,
    [697] = 163,
    [698] = 698,
    [699] = 699,
    [700] = 700,
    [701] = 701,
    [702] = 702,
    [703] = 703,
    [704] = 704,
    [705] = 705,
    [706] = 706,
    [707] = 707,
    [708] = 708,
    [709] = 709,
    [710] = 710,
    [711] = 711,
    [712] = 712,
    [713] = 548,
    [714] = 545,
    [715] = 715,
    [716] = 536,
    [717] = 535,
    [718] = 533,
    [719] = 532,
    [720] = 720,
    [721] = 721,
    [722] = 722,
    [723] = 723,
    [724] = 724,
    [725] = 725,
    [726] = 726,
    [727] = 727,
    [728] = 728,
    [729] = 729,
    [730] = 730,
    [731] = 731,
    [732] = 732,
    [733] = 733,
    [734] = 734,
    [735] = 735,
    [736] = 736,
    [737] = 737,
    [738] = 738,
    [739] = 739,
    [740] = 740,
    [741] = 741,
    [742] = 742,
    [743] = 743,
    [744] = 744,
    [745] = 745,
    [746] = 746,
    [747] = 747,
    [748] = 748,
    [749] = 749,
    [750] = 750,
    [751] = 751,
    [752] = 752,
    [753] = 753,
    [754] = 754,
    [755] = 755,
    [756] = 756,
    [757] = 757,
    [758] = 758,
    [759] = 759,
    [760] = 760,
    [761] = 761,
    [762] = 762,
    [763] = 763,
    [764] = 764,
    [765] = 765,
    [766] = 766,
    [767] = 767,
    [768] = 768,
    [769] = 769,
    [770] = 770,
    [771] = 771,
    [772] = 772,
    [773] = 773,
    [774] = 774,
    [775] = 775,
    [776] = 776,
    [777] = 777,
    [778] = 778,
    [779] = 779,
    [780] = 780,
    [781] = 781,
    [782] = 782,
    [783] = 783,
    [784] = 784,
    [785] = 785,
    [786] = 786,
    [787] = 787,
    [788] = 733,
    [789] = 789,
    [790] = 790,
    [791] = 791,
    [792] = 792,
    [793] = 793,
    [794] = 794,
    [795] = 730,
    [796] = 796,
    [797] = 797,
    [798] = 798,
    [799] = 799,
    [800] = 800,
    [801] = 733,
    [802] = 802,
    [803] = 803,
    [804] = 804,
    [805] = 791,
    [806] = 792,
    [807] = 807,
    [808] = 730,
    [809] = 758,
    [810] = 810,
    [811] = 811,
    [812] = 812,
    [813] = 813,
    [814] = 814,
    [815] = 733,
    [816] = 816,
    [817] = 817,
    [818] = 818,
    [819] = 819,
    [820] = 820,
    [821] = 821,
    [822] = 822,
    [823] = 823,
    [824] = 824,
    [825] = 825,
    [826] = 826,
    [827] = 827,
    [828] = 828,
    [829] = 791,
    [830] = 792,
    [831] = 792,
    [832] = 832,
    [833] = 833,
    [834] = 834,
    [835] = 730,
    [836] = 836,
    [837] = 758,
    [838] = 838,
    [839] = 758,
    [840] = 840,
    [841] = 841,
    [842] = 842,
    [843] = 843,
    [844] = 844,
    [845] = 845,
    [846] = 846,
    [847] = 791,
    [848] = 848,
    [849] = 849,
    [850] = 850,
    [851] = 851,
    [852] = 852,
    [853] = 853,
    [854] = 854,
    [855] = 855,
    [856] = 856,
    [857] = 857,
    [858] = 858,
    [859] = 859,
    [860] = 860,
    [861] = 861,
    [862] = 862,
    [863] = 863,
    [864] = 864,
    [865] = 865,
    [866] = 866,
    [867] = 867,
    [868] = 868,
    [869] = 869,
    [870] = 870,
    [871] = 871,
    [872] = 872,
    [873] = 873,
    [874] = 874,
    [875] = 875,
    [876] = 876,
    [877] = 877,
    [878] = 878,
    [879] = 879,
    [880] = 880,
    [881] = 881,
    [882] = 882,
    [883] = 883,
    [884] = 884,
    [885] = 885,
    [886] = 886,
    [887] = 887,
    [888] = 888,
    [889] = 889,
    [890] = 890,
    [891] = 891,
    [892] = 892,
    [893] = 240,
    [894] = 894,
    [895] = 895,
    [896] = 896,
    [897] = 897,
    [898] = 898,
    [899] = 899,
    [900] = 900,
    [901] = 901,
    [902] = 902,
    [903] = 903,
    [904] = 904,
    [905] = 905,
    [906] = 906,
    [907] = 907,
    [908] = 908,
    [909] = 909,
    [910] = 910,
    [911] = 911,
    [912] = 912,
    [913] = 913,
    [914] = 914,
    [915] = 915,
    [916] = 916,
    [917] = 917,
    [918] = 918,
    [919] = 919,
    [920] = 920,
    [921] = 921,
    [922] = 922,
    [923] = 923,
    [924] = 924,
    [925] = 925,
    [926] = 926,
    [927] = 927,
    [928] = 928,
    [929] = 929,
    [930] = 930,
    [931] = 931,
    [932] = 932,
    [933] = 933,
    [934] = 934,
    [935] = 935,
    [936] = 936,
    [937] = 937,
    [938] = 938,
    [939] = 939,
    [940] = 940,
    [941] = 941,
    [942] = 942,
    [943] = 943,
    [944] = 944,
    [945] = 945,
    [946] = 946,
    [947] = 947,
    [948] = 948,
    [949] = 949,
    [950] = 950,
    [951] = 951,
    [952] = 242,
    [953] = 953,
    [954] = 954,
    [955] = 955,
    [956] = 956,
    [957] = 957,
    [958] = 958,
    [959] = 959,
    [960] = 960,
    [961] = 961,
    [962] = 962,
    [963] = 963,
    [964] = 964,
    [965] = 965,
    [966] = 966,
    [967] = 967,
    [968] = 968,
    [969] = 853,
    [970] = 970,
    [971] = 971,
    [972] = 972,
    [973] = 973,
    [974] = 974,
    [975] = 975,
    [976] = 976,
    [977] = 977,
    [978] = 978,
    [979] = 979,
    [980] = 980,
    [981] = 981,
    [982] = 982,
    [983] = 983,
    [984] = 984,
    [985] = 985,
    [986] = 986,
    [987] = 987,
    [988] = 988,
    [989] = 989,
    [990] = 990,
    [991] = 991,
    [992] = 992,
    [993] = 993,
    [994] = 994,
    [995] = 995,
    [996] = 996,
    [997] = 955,
    [998] = 998,
    [999] = 999,
    [1000] = 1000,
    [1001] = 1001,
    [1002] = 1002,
    [1003] = 1003,
    [1004] = 1004,
    [1005] = 1005,
    [1006] = 1006,
    [1007] = 1007,
    [1008] = 1008,
    [1009] = 1009,
    [1010] = 1010,
    [1011] = 1011,
    [1012] = 1012,
    [1013] = 1013,
    [1014] = 1014,
    [1015] = 1015,
    [1016] = 1016,
    [1017] = 1017,
    [1018] = 1018,
    [1019] = 1019,
    [1020] = 1020,
    [1021] = 1021,
    [1022] = 1022,
    [1023] = 1023,
    [1024] = 1024,
    [1025] = 1025,
    [1026] = 1026,
    [1027] = 1027,
    [1028] = 1028,
    [1029] = 1029,
    [1030] = 1030,
    [1031] = 1028,
    [1032] = 1032,
    [1033] = 1033,
    [1034] = 1034,
    [1035] = 1035,
    [1036] = 942,
    [1037] = 1037,
    [1038] = 1038,
    [1039] = 883,
    [1040] = 1040,
    [1041] = 920,
    [1042] = 921,
    [1043] = 925,
    [1044] = 928,
    [1045] = 929,
    [1046] = 930,
    [1047] = 934,
    [1048] = 938,
    [1049] = 943,
    [1050] = 951,
    [1051] = 953,
    [1052] = 964,
    [1053] = 1053,
    [1054] = 973,
    [1055] = 974,
    [1056] = 982,
    [1057] = 908,
    [1058] = 998,
    [1059] = 999,
    [1060] = 1004,
    [1061] = 1061,
    [1062] = 1062,
    [1063] = 1015,
    [1064] = 1014,
    [1065] = 1012,
    [1066] = 1066,
    [1067] = 900,
    [1068] = 1068,
    [1069] = 1028,
    [1070] = 1070,
    [1071] = 1071,
    [1072] = 1072,
    [1073] = 942,
    [1074] = 955,
    [1075] = 883,
    [1076] = 1076,
    [1077] = 920,
    [1078] = 921,
    [1079] = 925,
    [1080] = 928,
    [1081] = 929,
    [1082] = 930,
    [1083] = 934,
    [1084] = 938,
    [1085] = 943,
    [1086] = 951,
    [1087] = 953,
    [1088] = 964,
    [1089] = 853,
    [1090] = 973,
    [1091] = 974,
    [1092] = 982,
    [1093] = 908,
    [1094] = 998,
    [1095] = 999,
    [1096] = 1004,
    [1097] = 1015,
    [1098] = 1014,
    [1099] = 1012,
    [1100] = 900,
    [1101] = 1101,
    [1102] = 1028,
    [1103] = 1103,
    [1104] = 1104,
    [1105] = 1105,
    [1106] = 942,
    [1107] = 1107,
    [1108] = 920,
    [1109] = 921,
    [1110] = 925,
    [1111] = 928,
    [1112] = 929,
    [1113] = 930,
    [1114] = 934,
    [1115] = 938,
    [1116] = 943,
    [1117] = 951,
    [1118] = 953,
    [1119] = 964,
    [1120] = 853,
    [1121] = 973,
    [1122] = 974,
    [1123] = 982,
    [1124] = 908,
    [1125] = 998,
    [1126] = 999,
    [1127] = 1004,
    [1128] = 1015,
    [1129] = 1014,
    [1130] = 1012,
    [1131] = 900,
    [1132] = 1028,
    [1133] = 1028,
    [1134] = 942,
    [1135] = 1135,
    [1136] = 1136,
    [1137] = 1137,
    [1138] = 1138,
    [1139] = 1139,
    [1140] = 1140,
    [1141] = 1141,
    [1142] = 1142,
    [1143] = 1143,
    [1144] = 1144,
    [1145] = 1145,
    [1146] = 1146,
    [1147] = 1147,
    [1148] = 1148,
    [1149] = 1149,
    [1150] = 1150,
    [1151] = 1151,
    [1152] = 1152,
    [1153] = 1153,
    [1154] = 1154,
    [1155] = 1155,
    [1156] = 1156,
    [1157] = 1157,
    [1158] = 1158,
    [1159] = 1159,
    [1160] = 1160,
    [1161] = 1161,
    [1162] = 1162,
    [1163] = 1163,
    [1164] = 1164,
    [1165] = 1165,
    [1166] = 1166,
    [1167] = 1167,
    [1168] = 1168,
    [1169] = 1169,
    [1170] = 1170,
    [1171] = 1171,
    [1172] = 1172,
    [1173] = 1173,
    [1174] = 1174,
    [1175] = 1175,
    [1176] = 1176,
    [1177] = 1177,
    [1178] = 1178,
    [1179] = 1179,
    [1180] = 1180,
    [1181] = 1181,
    [1182] = 1182,
    [1183] = 1183,
    [1184] = 1184,
    [1185] = 1185,
    [1186] = 1186,
    [1187] = 1187,
    [1188] = 1188,
    [1189] = 1189,
    [1190] = 1190,
    [1191] = 1191,
    [1192] = 1192,
    [1193] = 1193,
    [1194] = 1194,
    [1195] = 1195,
    [1196] = 1196,
    [1197] = 1197,
    [1198] = 1198,
    [1199] = 1199,
    [1200] = 1200,
    [1201] = 1201,
    [1202] = 1202,
    [1203] = 1203,
    [1204] = 1204,
    [1205] = 1205,
    [1206] = 1027,
    [1207] = 1026,
    [1208] = 1025,
    [1209] = 1024,
    [1210] = 1023,
    [1211] = 993,
    [1212] = 992,
    [1213] = 989,
    [1214] = 988,
    [1215] = 987,
    [1216] = 949,
    [1217] = 986,
    [1218] = 991,
    [1219] = 1013,
    [1220] = 1027,
    [1221] = 1026,
    [1222] = 1025,
    [1223] = 1024,
    [1224] = 1023,
    [1225] = 993,
    [1226] = 992,
    [1227] = 989,
    [1228] = 988,
    [1229] = 987,
    [1230] = 949,
    [1231] = 986,
    [1232] = 991,
    [1233] = 1013,
    [1234] = 1027,
    [1235] = 1026,
    [1236] = 1025,
    [1237] = 1024,
    [1238] = 1023,
    [1239] = 993,
    [1240] = 992,
    [1241] = 989,
    [1242] = 988,
    [1243] = 987,
    [1244] = 949,
    [1245] = 986,
    [1246] = 991,
    [1247] = 1013,
    [1248] = 1248,
    [1249] = 1249,
    [1250] = 1250,
    [1251] = 955,
    [1252] = 1252,
    [1253] = 1253,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
    START_LEXER();
    eof = lexer->eof(lexer);
    switch(state) {
        case 0:
            if(eof)
                ADVANCE(809);
            ADVANCE_MAP(
                '"', 903,
                '#', 322,
                '%', 876,
                '&', 868,
                '\'', 909,
                '(', 877,
                ')', 878,
                '*', 873,
                '+', 871,
                ',', 861,
                '-', 872,
                '.', 892,
                '/', 874,
                '0', 886,
                ':', 958,
                ';', 959,
                '<', 854,
                '=', 991,
                '>', 856,
                '@', 987,
                'A', 170,
                'B', 153,
                'C', 201,
                'D', 897,
                'E', 894,
                'F', 123,
                'H', 125,
                'L', 907,
                'M', 227,
                'O', 289,
                'S', 154,
                'T', 210,
                'V', 239,
                '[', 1086,
            );
            if(lookahead == '\\')
                SKIP(802);
            if(lookahead == ']')
                ADVANCE(1087);
            if(lookahead == '^')
                ADVANCE(867);
            if(lookahead == 'a')
                ADVANCE(292);
            if(lookahead == 'b')
                ADVANCE(444);
            if(lookahead == 'c')
                ADVANCE(1038);
            if(lookahead == 'd')
                ADVANCE(898);
            if(lookahead == 'e')
                ADVANCE(895);
            if(lookahead == 'f')
                ADVANCE(240);
            if(lookahead == 'g')
                ADVANCE(401);
            if(lookahead == 'h')
                ADVANCE(575);
            if(lookahead == 'i')
                ADVANCE(323);
            if(lookahead == 'j')
                ADVANCE(241);
            if(lookahead == 'k')
                ADVANCE(371);
            if(lookahead == 'l')
                ADVANCE(576);
            if(lookahead == 'm')
                ADVANCE(242);
            if(lookahead == 'n')
                ADVANCE(251);
            if(lookahead == 'o')
                ADVANCE(308);
            if(lookahead == 'p')
                ADVANCE(578);
            if(lookahead == 'r')
                ADVANCE(243);
            if(lookahead == 's')
                ADVANCE(344);
            if(lookahead == 't')
                ADVANCE(632);
            if(lookahead == 'u')
                ADVANCE(441);
            if(lookahead == 'v')
                ADVANCE(282);
            if(lookahead == 'w')
                ADVANCE(304);
            if(lookahead == '{')
                ADVANCE(950);
            if(lookahead == '|')
                ADVANCE(866);
            if(lookahead == '}')
                ADVANCE(951);
            if(lookahead == '~')
                ADVANCE(879);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(0);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(888);
            END_STATE();
        case 1:
            if(lookahead == '\n')
                SKIP(94);
            END_STATE();
        case 2:
            if(lookahead == '\n')
                SKIP(94);
            if(lookahead == '\r')
                SKIP(1);
            END_STATE();
        case 3:
            if(lookahead == '\n')
                SKIP(95);
            END_STATE();
        case 4:
            if(lookahead == '\n')
                SKIP(95);
            if(lookahead == '\r')
                SKIP(3);
            END_STATE();
        case 5:
            if(lookahead == '\n')
                SKIP(97);
            END_STATE();
        case 6:
            if(lookahead == '\n')
                SKIP(97);
            if(lookahead == '\r')
                SKIP(5);
            END_STATE();
        case 7:
            if(lookahead == '\n')
                SKIP(92);
            END_STATE();
        case 8:
            if(lookahead == '\n')
                SKIP(92);
            if(lookahead == '\r')
                SKIP(7);
            END_STATE();
        case 9:
            if(lookahead == '\n')
                SKIP(83);
            END_STATE();
        case 10:
            if(lookahead == '\n')
                SKIP(83);
            if(lookahead == '\r')
                SKIP(9);
            END_STATE();
        case 11:
            if(lookahead == '\n')
                SKIP(85);
            END_STATE();
        case 12:
            if(lookahead == '\n')
                SKIP(85);
            if(lookahead == '\r')
                SKIP(11);
            END_STATE();
        case 13:
            if(lookahead == '\n')
                SKIP(99);
            END_STATE();
        case 14:
            if(lookahead == '\n')
                SKIP(99);
            if(lookahead == '\r')
                SKIP(13);
            END_STATE();
        case 15:
            if(lookahead == '\n')
                SKIP(100);
            END_STATE();
        case 16:
            if(lookahead == '\n')
                SKIP(100);
            if(lookahead == '\r')
                SKIP(15);
            END_STATE();
        case 17:
            if(lookahead == '\n')
                SKIP(101);
            END_STATE();
        case 18:
            if(lookahead == '\n')
                SKIP(101);
            if(lookahead == '\r')
                SKIP(17);
            END_STATE();
        case 19:
            if(lookahead == '\n')
                SKIP(102);
            END_STATE();
        case 20:
            if(lookahead == '\n')
                SKIP(102);
            if(lookahead == '\r')
                SKIP(19);
            END_STATE();
        case 21:
            if(lookahead == '\n')
                SKIP(105);
            END_STATE();
        case 22:
            if(lookahead == '\n')
                SKIP(105);
            if(lookahead == '\r')
                SKIP(21);
            END_STATE();
        case 23:
            if(lookahead == '\n')
                SKIP(106);
            END_STATE();
        case 24:
            if(lookahead == '\n')
                SKIP(106);
            if(lookahead == '\r')
                SKIP(23);
            END_STATE();
        case 25:
            if(lookahead == '\n')
                SKIP(77);
            END_STATE();
        case 26:
            if(lookahead == '\n')
                SKIP(77);
            if(lookahead == '\r')
                SKIP(25);
            END_STATE();
        case 27:
            if(lookahead == '\n')
                SKIP(82);
            END_STATE();
        case 28:
            if(lookahead == '\n')
                SKIP(82);
            if(lookahead == '\r')
                SKIP(27);
            END_STATE();
        case 29:
            if(lookahead == '\n')
                SKIP(107);
            END_STATE();
        case 30:
            if(lookahead == '\n')
                SKIP(107);
            if(lookahead == '\r')
                SKIP(29);
            END_STATE();
        case 31:
            if(lookahead == '\n')
                SKIP(74);
            END_STATE();
        case 32:
            if(lookahead == '\n')
                SKIP(74);
            if(lookahead == '\r')
                SKIP(31);
            END_STATE();
        case 33:
            if(lookahead == '\n')
                SKIP(75);
            END_STATE();
        case 34:
            if(lookahead == '\n')
                SKIP(75);
            if(lookahead == '\r')
                SKIP(33);
            END_STATE();
        case 35:
            if(lookahead == '\n')
                SKIP(80);
            END_STATE();
        case 36:
            if(lookahead == '\n')
                SKIP(80);
            if(lookahead == '\r')
                SKIP(35);
            END_STATE();
        case 37:
            if(lookahead == '\n')
                SKIP(76);
            END_STATE();
        case 38:
            if(lookahead == '\n')
                SKIP(76);
            if(lookahead == '\r')
                SKIP(37);
            END_STATE();
        case 39:
            if(lookahead == '\n')
                SKIP(78);
            END_STATE();
        case 40:
            if(lookahead == '\n')
                SKIP(78);
            if(lookahead == '\r')
                SKIP(39);
            END_STATE();
        case 41:
            if(lookahead == '\n')
                SKIP(84);
            END_STATE();
        case 42:
            if(lookahead == '\n')
                SKIP(84);
            if(lookahead == '\r')
                SKIP(41);
            END_STATE();
        case 43:
            if(lookahead == '\n')
                SKIP(93);
            END_STATE();
        case 44:
            if(lookahead == '\n')
                SKIP(93);
            if(lookahead == '\r')
                SKIP(43);
            END_STATE();
        case 45:
            if(lookahead == '\n')
                SKIP(47);
            END_STATE();
        case 46:
            if(lookahead == '\n')
                SKIP(47);
            if(lookahead == '\r')
                SKIP(45);
            END_STATE();
        case 47:
            if(lookahead == '\n')
                ADVANCE(990);
            if(lookahead == '\r')
                ADVANCE(47);
            if(lookahead == '(')
                ADVANCE(877);
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(986);
            if(lookahead == '\\')
                SKIP(46);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(47);
            END_STATE();
        case 48:
            if(lookahead == '\n')
                SKIP(103);
            END_STATE();
        case 49:
            if(lookahead == '\n')
                SKIP(103);
            if(lookahead == '\r')
                SKIP(48);
            END_STATE();
        case 50:
            if(lookahead == '\n')
                SKIP(104);
            END_STATE();
        case 51:
            if(lookahead == '\n')
                SKIP(104);
            if(lookahead == '\r')
                SKIP(50);
            END_STATE();
        case 52:
            if(lookahead == '\n')
                SKIP(108);
            END_STATE();
        case 53:
            if(lookahead == '\n')
                SKIP(108);
            if(lookahead == '\r')
                SKIP(52);
            END_STATE();
        case 54:
            if(lookahead == '\n')
                SKIP(81);
            if(lookahead == '\'')
                ADVANCE(909);
            if(lookahead == '/')
                ADVANCE(912);
            if(lookahead == '\\')
                ADVANCE(911);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(913);
            if(lookahead != 0)
                ADVANCE(910);
            END_STATE();
        case 55:
            if(lookahead == '\n')
                ADVANCE(900);
            if(lookahead == '\r')
                ADVANCE(899);
            if(lookahead == 'U')
                ADVANCE(799);
            if(lookahead == 'u')
                ADVANCE(795);
            if(lookahead == 'x')
                ADVANCE(793);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(902);
            if(lookahead != 0)
                ADVANCE(899);
            END_STATE();
        case 56:
            if(lookahead == '\n')
                SKIP(79);
            if(lookahead == '"')
                ADVANCE(903);
            if(lookahead == '/')
                ADVANCE(904);
            if(lookahead == '\\')
                ADVANCE(55);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(905);
            if(lookahead != 0)
                ADVANCE(906);
            END_STATE();
        case 57:
            if(lookahead == '\n')
                SKIP(109);
            END_STATE();
        case 58:
            if(lookahead == '\n')
                SKIP(109);
            if(lookahead == '\r')
                SKIP(57);
            END_STATE();
        case 59:
            if(lookahead == '\n')
                SKIP(110);
            END_STATE();
        case 60:
            if(lookahead == '\n')
                SKIP(110);
            if(lookahead == '\r')
                SKIP(59);
            END_STATE();
        case 61:
            if(lookahead == '\n')
                ADVANCE(923);
            if(lookahead == '\r')
                ADVANCE(63);
            if(lookahead == '/')
                ADVANCE(939);
            if(lookahead == '\\')
                ADVANCE(936);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(98);
            if(lookahead != 0)
                ADVANCE(940);
            END_STATE();
        case 62:
            if(lookahead == '\n')
                ADVANCE(923);
            if(lookahead == '\r')
                ADVANCE(64);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '\\')
                SKIP(66);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(111);
            END_STATE();
        case 63:
            if(lookahead == '\n')
                ADVANCE(923);
            if(lookahead == '/')
                ADVANCE(939);
            if(lookahead == '\\')
                ADVANCE(936);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(98);
            if(lookahead != 0)
                ADVANCE(940);
            END_STATE();
        case 64:
            if(lookahead == '\n')
                ADVANCE(923);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '\\')
                SKIP(66);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(111);
            END_STATE();
        case 65:
            if(lookahead == '\n')
                SKIP(111);
            END_STATE();
        case 66:
            if(lookahead == '\n')
                SKIP(111);
            if(lookahead == '\r')
                SKIP(65);
            END_STATE();
        case 67:
            if(lookahead == '\n')
                ADVANCE(1541);
            if(lookahead == '\r')
                ADVANCE(1538);
            if(lookahead == '\\')
                ADVANCE(1539);
            if(lookahead != 0)
                ADVANCE(1542);
            END_STATE();
        case 68:
            if(lookahead == '\n')
                ADVANCE(88);
            if(lookahead == '\r')
                ADVANCE(69);
            if(lookahead == '*')
                ADVANCE(1549);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 69:
            if(lookahead == '\n')
                ADVANCE(88);
            if(lookahead == '*')
                ADVANCE(1549);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 70:
            if(lookahead == '\n')
                SKIP(96);
            END_STATE();
        case 71:
            if(lookahead == '\n')
                SKIP(96);
            if(lookahead == '\r')
                SKIP(70);
            END_STATE();
        case 72:
            if(lookahead == '\r')
                ADVANCE(1543);
            if(lookahead == '\\')
                ADVANCE(1539);
            if(lookahead != 0)
                ADVANCE(1542);
            END_STATE();
        case 73:
            if(lookahead == ' ')
                ADVANCE(514);
            END_STATE();
        case 74:
            ADVANCE_MAP(
                '"', 903,
                '%', 876,
                '&', 868,
                '\'', 909,
                ')', 878,
                '*', 873,
                '+', 871,
                ',', 861,
                '-', 872,
                '/', 875,
                '0', 886,
                ':', 958,
                ';', 959,
                '<', 122,
                '>', 856,
                'A', 170,
                'B', 153,
                'C', 201,
                'D', 146,
                'E', 192,
                'F', 123,
                'H', 125,
                'L', 907,
                'M', 227,
                'S', 154,
                'T', 210,
                '[', 1086,
            );
            if(lookahead == '\\')
                SKIP(32);
            if(lookahead == ']')
                ADVANCE(1087);
            if(lookahead == '^')
                ADVANCE(867);
            if(lookahead == 'a')
                ADVANCE(686);
            if(lookahead == 'b')
                ADVANCE(466);
            if(lookahead == 'c')
                ADVANCE(245);
            if(lookahead == 'd')
                ADVANCE(409);
            if(lookahead == 'e')
                ADVANCE(522);
            if(lookahead == 'g')
                ADVANCE(401);
            if(lookahead == 'i')
                ADVANCE(563);
            if(lookahead == 'l')
                ADVANCE(601);
            if(lookahead == 'm')
                ADVANCE(267);
            if(lookahead == 'o')
                ADVANCE(307);
            if(lookahead == 'p')
                ADVANCE(607);
            if(lookahead == 'r')
                ADVANCE(285);
            if(lookahead == 's')
                ADVANCE(412);
            if(lookahead == 'u')
                ADVANCE(442);
            if(lookahead == 'v')
                ADVANCE(270);
            if(lookahead == '{')
                ADVANCE(950);
            if(lookahead == '|')
                ADVANCE(866);
            if(lookahead == '}')
                ADVANCE(951);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(74);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(888);
            END_STATE();
        case 75:
            ADVANCE_MAP(
                '"', 903,
                '%', 876,
                '&', 868,
                ')', 878,
                '*', 873,
                '+', 871,
                ',', 861,
                '-', 872,
                '/', 875,
                ':', 958,
                ';', 959,
                '<', 122,
                '>', 856,
                '@', 343,
            );
            if(lookahead == '\\')
                SKIP(34);
            if(lookahead == ']')
                ADVANCE(1087);
            if(lookahead == '^')
                ADVANCE(867);
            if(lookahead == '{')
                ADVANCE(950);
            if(lookahead == '|')
                ADVANCE(866);
            if(lookahead == '}')
                ADVANCE(951);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(75);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 76:
            ADVANCE_MAP(
                '"', 903,
                '&', 868,
                ')', 878,
                '*', 873,
                ',', 861,
                '/', 87,
                ':', 957,
                ';', 959,
                '>', 855,
                'A', 169,
                'B', 153,
                'E', 192,
            );
            if(lookahead == '\\')
                SKIP(38);
            if(lookahead == ']')
                ADVANCE(1087);
            if(lookahead == '^')
                ADVANCE(867);
            if(lookahead == 'c')
                ADVANCE(1037);
            if(lookahead == 'i')
                ADVANCE(335);
            if(lookahead == 'j')
                ADVANCE(241);
            if(lookahead == '|')
                ADVANCE(866);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(76);
            END_STATE();
        case 77:
            ADVANCE_MAP(
                '"', 903,
                '\'', 909,
                '(', 877,
                '+', 871,
                '-', 872,
                '/', 87,
                '0', 887,
                ':', 121,
                'F', 1133,
                'L', 908,
                'T', 1138,
            );
            if(lookahead == '\\')
                SKIP(26);
            if(lookahead == '~')
                ADVANCE(879);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(77);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(889);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 78:
            ADVANCE_MAP(
                '"', 903,
                ')', 878,
                ',', 861,
                '/', 87,
                ':', 121,
                ';', 959,
                '<', 854,
                '>', 855,
            );
            if(lookahead == '\\')
                SKIP(40);
            if(lookahead == '{')
                ADVANCE(950);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(78);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 79:
            if(lookahead == '"')
                ADVANCE(903);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '\\')
                ADVANCE(55);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(79);
            END_STATE();
        case 80:
            ADVANCE_MAP(
                '%', 876,
                '&', 868,
                ')', 878,
                '*', 873,
                '+', 871,
                ',', 861,
                '-', 872,
                '.', 892,
                '/', 875,
                ':', 957,
                ';', 959,
                '<', 122,
                '>', 856,
            );
            if(lookahead == '\\')
                SKIP(36);
            if(lookahead == ']')
                ADVANCE(1087);
            if(lookahead == '^')
                ADVANCE(867);
            if(lookahead == 'i')
                ADVANCE(540);
            if(lookahead == 'm')
                ADVANCE(266);
            if(lookahead == 's')
                ADVANCE(751);
            if(lookahead == '{')
                ADVANCE(950);
            if(lookahead == '|')
                ADVANCE(866);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(896);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(893);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(80);
            END_STATE();
        case 81:
            if(lookahead == '\'')
                ADVANCE(909);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '\\')
                ADVANCE(55);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(81);
            END_STATE();
        case 82:
            if(lookahead == '(')
                ADVANCE(877);
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(988);
            if(lookahead == '\\')
                SKIP(28);
            if(lookahead == 'a')
                ADVANCE(290);
            if(lookahead == 'b')
                ADVANCE(465);
            if(lookahead == 'e')
                ADVANCE(541);
            if(lookahead == 'i')
                ADVANCE(572);
            if(lookahead == 'l')
                ADVANCE(582);
            if(lookahead == 'n')
                ADVANCE(250);
            if(lookahead == 's')
                ADVANCE(722);
            if(lookahead == 't')
                ADVANCE(788);
            if(lookahead == 'u')
                ADVANCE(568);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(82);
            END_STATE();
        case 83:
            if(lookahead == '(')
                ADVANCE(877);
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(986);
            if(lookahead == 'O')
                ADVANCE(1178);
            if(lookahead == 'V')
                ADVANCE(1143);
            if(lookahead == '\\')
                SKIP(10);
            if(lookahead == 'a')
                ADVANCE(1355);
            if(lookahead == 'b')
                ADVANCE(1387);
            if(lookahead == 'c')
                ADVANCE(1283);
            if(lookahead == 'd')
                ADVANCE(1383);
            if(lookahead == 'f')
                ADVANCE(1286);
            if(lookahead == 'i')
                ADVANCE(1359);
            if(lookahead == 'l')
                ADVANCE(1385);
            if(lookahead == 'm')
                ADVANCE(1148);
            if(lookahead == 'o')
                ADVANCE(1196);
            if(lookahead == 's')
                ADVANCE(1223);
            if(lookahead == 'u')
                ADVANCE(1295);
            if(lookahead == 'w')
                ADVANCE(1189);
            if(lookahead == '}')
                ADVANCE(951);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(83);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 84:
            if(lookahead == '(')
                ADVANCE(877);
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(986);
            if(lookahead == '\\')
                SKIP(42);
            if(lookahead == '}')
                ADVANCE(951);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(84);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 85:
            if(lookahead == ')')
                ADVANCE(878);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1178);
            if(lookahead == 'V')
                ADVANCE(1143);
            if(lookahead == '\\')
                SKIP(12);
            if(lookahead == 'a')
                ADVANCE(1355);
            if(lookahead == 'b')
                ADVANCE(1387);
            if(lookahead == 'c')
                ADVANCE(1283);
            if(lookahead == 'd')
                ADVANCE(1383);
            if(lookahead == 'f')
                ADVANCE(1286);
            if(lookahead == 'i')
                ADVANCE(1351);
            if(lookahead == 'l')
                ADVANCE(1385);
            if(lookahead == 'm')
                ADVANCE(1148);
            if(lookahead == 'o')
                ADVANCE(1195);
            if(lookahead == 's')
                ADVANCE(1223);
            if(lookahead == 'u')
                ADVANCE(1295);
            if(lookahead == 'w')
                ADVANCE(1189);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(85);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 86:
            if(lookahead == '*')
                ADVANCE(1544);
            if(lookahead == '/')
                ADVANCE(1534);
            END_STATE();
        case 87:
            if(lookahead == '*')
                ADVANCE(1544);
            if(lookahead == '/')
                ADVANCE(1532);
            END_STATE();
        case 88:
            if(lookahead == '*')
                ADVANCE(1549);
            if(lookahead == '/')
                ADVANCE(90);
            if(lookahead == '\\')
                ADVANCE(68);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(88);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 89:
            if(lookahead == '*')
                ADVANCE(1549);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 90:
            if(lookahead == '*')
                ADVANCE(1545);
            if(lookahead == '/')
                ADVANCE(1533);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 91:
            if(lookahead == '+')
                ADVANCE(1039);
            END_STATE();
        case 92:
            ADVANCE_MAP(
                ',', 861,
                '/', 87,
                ':', 121,
                '<', 854,
                '>', 855,
                '@', 436,
                'O', 1178,
                'V', 1143,
            );
            if(lookahead == '\\')
                SKIP(8);
            if(lookahead == ']')
                ADVANCE(1087);
            if(lookahead == 'a')
                ADVANCE(1355);
            if(lookahead == 'b')
                ADVANCE(1289);
            if(lookahead == 'c')
                ADVANCE(1283);
            if(lookahead == 'd')
                ADVANCE(1383);
            if(lookahead == 'e')
                ADVANCE(1358);
            if(lookahead == 'f')
                ADVANCE(1286);
            if(lookahead == 'i')
                ADVANCE(1359);
            if(lookahead == 'l')
                ADVANCE(1385);
            if(lookahead == 'm')
                ADVANCE(1148);
            if(lookahead == 'o')
                ADVANCE(1196);
            if(lookahead == 's')
                ADVANCE(1220);
            if(lookahead == 'u')
                ADVANCE(1294);
            if(lookahead == 'w')
                ADVANCE(1189);
            if(lookahead == '{')
                ADVANCE(950);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(92);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 93:
            if(lookahead == ',')
                ADVANCE(861);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '<')
                ADVANCE(854);
            if(lookahead == '>')
                ADVANCE(855);
            if(lookahead == '\\')
                SKIP(44);
            if(lookahead == 'm')
                ADVANCE(266);
            if(lookahead == 'p')
                ADVANCE(644);
            if(lookahead == 's')
                ADVANCE(751);
            if(lookahead == '{')
                ADVANCE(950);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(93);
            END_STATE();
        case 94:
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(988);
            if(lookahead == 'O')
                ADVANCE(1178);
            if(lookahead == 'V')
                ADVANCE(1143);
            if(lookahead == '\\')
                SKIP(2);
            if(lookahead == 'a')
                ADVANCE(1179);
            if(lookahead == 'b')
                ADVANCE(1289);
            if(lookahead == 'c')
                ADVANCE(1281);
            if(lookahead == 'd')
                ADVANCE(1383);
            if(lookahead == 'e')
                ADVANCE(1357);
            if(lookahead == 'f')
                ADVANCE(1146);
            if(lookahead == 'i')
                ADVANCE(1340);
            if(lookahead == 'l')
                ADVANCE(1385);
            if(lookahead == 'm')
                ADVANCE(1148);
            if(lookahead == 'n')
                ADVANCE(1154);
            if(lookahead == 'o')
                ADVANCE(1194);
            if(lookahead == 'p')
                ADVANCE(1415);
            if(lookahead == 'r')
                ADVANCE(1250);
            if(lookahead == 's')
                ADVANCE(1220);
            if(lookahead == 't')
                ADVANCE(1523);
            if(lookahead == 'u')
                ADVANCE(1294);
            if(lookahead == 'v')
                ADVANCE(1174);
            if(lookahead == 'w')
                ADVANCE(1189);
            if(lookahead == '}')
                ADVANCE(951);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(94);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 95:
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(988);
            if(lookahead == 'O')
                ADVANCE(1178);
            if(lookahead == 'V')
                ADVANCE(1143);
            if(lookahead == '\\')
                SKIP(4);
            if(lookahead == 'a')
                ADVANCE(1179);
            if(lookahead == 'b')
                ADVANCE(1289);
            if(lookahead == 'c')
                ADVANCE(1281);
            if(lookahead == 'd')
                ADVANCE(1383);
            if(lookahead == 'e')
                ADVANCE(1357);
            if(lookahead == 'f')
                ADVANCE(1147);
            if(lookahead == 'i')
                ADVANCE(1340);
            if(lookahead == 'l')
                ADVANCE(1385);
            if(lookahead == 'm')
                ADVANCE(1148);
            if(lookahead == 'n')
                ADVANCE(1154);
            if(lookahead == 'o')
                ADVANCE(1194);
            if(lookahead == 'r')
                ADVANCE(1250);
            if(lookahead == 's')
                ADVANCE(1220);
            if(lookahead == 't')
                ADVANCE(1523);
            if(lookahead == 'u')
                ADVANCE(1294);
            if(lookahead == 'v')
                ADVANCE(1174);
            if(lookahead == 'w')
                ADVANCE(1189);
            if(lookahead == '}')
                ADVANCE(951);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(95);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 96:
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(988);
            if(lookahead == 'O')
                ADVANCE(1178);
            if(lookahead == 'V')
                ADVANCE(1143);
            if(lookahead == '\\')
                SKIP(71);
            if(lookahead == 'a')
                ADVANCE(1179);
            if(lookahead == 'b')
                ADVANCE(1289);
            if(lookahead == 'c')
                ADVANCE(1281);
            if(lookahead == 'd')
                ADVANCE(1383);
            if(lookahead == 'e')
                ADVANCE(1357);
            if(lookahead == 'f')
                ADVANCE(1286);
            if(lookahead == 'i')
                ADVANCE(1340);
            if(lookahead == 'l')
                ADVANCE(1385);
            if(lookahead == 'm')
                ADVANCE(1148);
            if(lookahead == 'n')
                ADVANCE(1154);
            if(lookahead == 'o')
                ADVANCE(1194);
            if(lookahead == 'r')
                ADVANCE(1250);
            if(lookahead == 's')
                ADVANCE(1220);
            if(lookahead == 't')
                ADVANCE(1523);
            if(lookahead == 'u')
                ADVANCE(1294);
            if(lookahead == 'v')
                ADVANCE(1174);
            if(lookahead == 'w')
                ADVANCE(1189);
            if(lookahead == '}')
                ADVANCE(951);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(96);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 97:
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(988);
            if(lookahead == 'O')
                ADVANCE(1178);
            if(lookahead == 'V')
                ADVANCE(1143);
            if(lookahead == '\\')
                SKIP(6);
            if(lookahead == 'a')
                ADVANCE(1355);
            if(lookahead == 'b')
                ADVANCE(1289);
            if(lookahead == 'c')
                ADVANCE(1167);
            if(lookahead == 'd')
                ADVANCE(1247);
            if(lookahead == 'e')
                ADVANCE(1358);
            if(lookahead == 'f')
                ADVANCE(1286);
            if(lookahead == 'i')
                ADVANCE(1359);
            if(lookahead == 'l')
                ADVANCE(1385);
            if(lookahead == 'm')
                ADVANCE(1148);
            if(lookahead == 'o')
                ADVANCE(1196);
            if(lookahead == 's')
                ADVANCE(1220);
            if(lookahead == 'u')
                ADVANCE(1294);
            if(lookahead == 'w')
                ADVANCE(1189);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(97);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 98:
            if(lookahead == '/')
                ADVANCE(939);
            if(lookahead == '\\')
                ADVANCE(936);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(98);
            if(lookahead != 0)
                ADVANCE(940);
            END_STATE();
        case 99:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(958);
            if(lookahead == ';')
                ADVANCE(959);
            if(lookahead == 'O')
                ADVANCE(1178);
            if(lookahead == 'V')
                ADVANCE(1143);
            if(lookahead == '\\')
                SKIP(14);
            if(lookahead == 'a')
                ADVANCE(1355);
            if(lookahead == 'b')
                ADVANCE(1387);
            if(lookahead == 'c')
                ADVANCE(1283);
            if(lookahead == 'd')
                ADVANCE(1383);
            if(lookahead == 'f')
                ADVANCE(1286);
            if(lookahead == 'i')
                ADVANCE(1359);
            if(lookahead == 'l')
                ADVANCE(1385);
            if(lookahead == 'm')
                ADVANCE(1148);
            if(lookahead == 'o')
                ADVANCE(1196);
            if(lookahead == 's')
                ADVANCE(1222);
            if(lookahead == 'u')
                ADVANCE(1295);
            if(lookahead == 'w')
                ADVANCE(1189);
            if(lookahead == '{')
                ADVANCE(950);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(99);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 100:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(436);
            if(lookahead == '\\')
                SKIP(16);
            if(lookahead == 'a')
                ADVANCE(1355);
            if(lookahead == 'b')
                ADVANCE(1387);
            if(lookahead == 'c')
                ADVANCE(1282);
            if(lookahead == 'd')
                ADVANCE(1383);
            if(lookahead == 'e')
                ADVANCE(1358);
            if(lookahead == 'f')
                ADVANCE(1286);
            if(lookahead == 'i')
                ADVANCE(1359);
            if(lookahead == 'l')
                ADVANCE(1385);
            if(lookahead == 'o')
                ADVANCE(1196);
            if(lookahead == 's')
                ADVANCE(1223);
            if(lookahead == 't')
                ADVANCE(1525);
            if(lookahead == 'u')
                ADVANCE(1295);
            if(lookahead == 'w')
                ADVANCE(1189);
            if(lookahead == '}')
                ADVANCE(951);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(100);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 101:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1178);
            if(lookahead == 'V')
                ADVANCE(1143);
            if(lookahead == '\\')
                SKIP(18);
            if(lookahead == 'a')
                ADVANCE(1355);
            if(lookahead == 'b')
                ADVANCE(1387);
            if(lookahead == 'c')
                ADVANCE(1282);
            if(lookahead == 'd')
                ADVANCE(1383);
            if(lookahead == 'e')
                ADVANCE(1356);
            if(lookahead == 'f')
                ADVANCE(1324);
            if(lookahead == 'i')
                ADVANCE(1372);
            if(lookahead == 'l')
                ADVANCE(1385);
            if(lookahead == 'o')
                ADVANCE(1196);
            if(lookahead == 's')
                ADVANCE(1221);
            if(lookahead == 't')
                ADVANCE(1526);
            if(lookahead == 'u')
                ADVANCE(1294);
            if(lookahead == 'v')
                ADVANCE(1175);
            if(lookahead == 'w')
                ADVANCE(1190);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(101);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 102:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1178);
            if(lookahead == 'V')
                ADVANCE(1143);
            if(lookahead == '\\')
                SKIP(20);
            if(lookahead == 'a')
                ADVANCE(1355);
            if(lookahead == 'b')
                ADVANCE(1387);
            if(lookahead == 'c')
                ADVANCE(1283);
            if(lookahead == 'd')
                ADVANCE(1383);
            if(lookahead == 'f')
                ADVANCE(1286);
            if(lookahead == 'i')
                ADVANCE(1359);
            if(lookahead == 'l')
                ADVANCE(1385);
            if(lookahead == 'm')
                ADVANCE(1148);
            if(lookahead == 'o')
                ADVANCE(1196);
            if(lookahead == 's')
                ADVANCE(1223);
            if(lookahead == 'u')
                ADVANCE(1295);
            if(lookahead == 'w')
                ADVANCE(1189);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(102);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 103:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1178);
            if(lookahead == '\\')
                SKIP(49);
            if(lookahead == 'm')
                ADVANCE(1508);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(103);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 104:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1178);
            if(lookahead == '\\')
                SKIP(51);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(104);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 105:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(22);
            if(lookahead == 'a')
                ADVANCE(1345);
            if(lookahead == 'b')
                ADVANCE(1305);
            if(lookahead == 'd')
                ADVANCE(1269);
            if(lookahead == 'e')
                ADVANCE(1516);
            if(lookahead == 'f')
                ADVANCE(1304);
            if(lookahead == 'i')
                ADVANCE(1209);
            if(lookahead == 'k')
                ADVANCE(1252);
            if(lookahead == 'm')
                ADVANCE(1151);
            if(lookahead == 'n')
                ADVANCE(1268);
            if(lookahead == 'o')
                ADVANCE(1354);
            if(lookahead == 'p')
                ADVANCE(1390);
            if(lookahead == 'r')
                ADVANCE(1163);
            if(lookahead == 's')
                ADVANCE(1258);
            if(lookahead == 'u')
                ADVANCE(1378);
            if(lookahead == 'v')
                ADVANCE(1177);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(105);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('c' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 106:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(24);
            if(lookahead == 'b')
                ADVANCE(1387);
            if(lookahead == 'c')
                ADVANCE(1283);
            if(lookahead == 'd')
                ADVANCE(1383);
            if(lookahead == 'f')
                ADVANCE(1286);
            if(lookahead == 'i')
                ADVANCE(1359);
            if(lookahead == 'l')
                ADVANCE(1385);
            if(lookahead == 'o')
                ADVANCE(1196);
            if(lookahead == 's')
                ADVANCE(1223);
            if(lookahead == 'u')
                ADVANCE(1295);
            if(lookahead == 'w')
                ADVANCE(1189);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(106);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 107:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(30);
            if(lookahead == 'b')
                ADVANCE(1387);
            if(lookahead == 'c')
                ADVANCE(1283);
            if(lookahead == 'i')
                ADVANCE(1359);
            if(lookahead == 'l')
                ADVANCE(1395);
            if(lookahead == 'o')
                ADVANCE(1196);
            if(lookahead == 's')
                ADVANCE(1284);
            if(lookahead == 'u')
                ADVANCE(1295);
            if(lookahead == 'w')
                ADVANCE(1190);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(107);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 108:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(53);
            if(lookahead == 't')
                ADVANCE(1432);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(108);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 109:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(957);
            if(lookahead == ';')
                ADVANCE(959);
            if(lookahead == '\\')
                SKIP(58);
            if(lookahead == '{')
                ADVANCE(950);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(109);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 110:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ';')
                ADVANCE(959);
            if(lookahead == '\\')
                SKIP(60);
            if(lookahead == 's')
                ADVANCE(1513);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(110);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 111:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '\\')
                SKIP(66);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(111);
            END_STATE();
        case 112:
            if(lookahead == '1')
                ADVANCE(119);
            if(lookahead == '3')
                ADVANCE(115);
            if(lookahead == '6')
                ADVANCE(117);
            if(lookahead == '8')
                ADVANCE(831);
            END_STATE();
        case 113:
            if(lookahead == '1')
                ADVANCE(119);
            if(lookahead == '3')
                ADVANCE(115);
            if(lookahead == '6')
                ADVANCE(117);
            if(lookahead == '8')
                ADVANCE(831);
            if(lookahead == 'e')
                ADVANCE(651);
            END_STATE();
        case 114:
            if(lookahead == '1')
                ADVANCE(120);
            if(lookahead == '3')
                ADVANCE(116);
            if(lookahead == '6')
                ADVANCE(118);
            if(lookahead == '8')
                ADVANCE(823);
            END_STATE();
        case 115:
            if(lookahead == '2')
                ADVANCE(818);
            END_STATE();
        case 116:
            if(lookahead == '2')
                ADVANCE(837);
            END_STATE();
        case 117:
            if(lookahead == '4')
                ADVANCE(821);
            END_STATE();
        case 118:
            if(lookahead == '4')
                ADVANCE(840);
            END_STATE();
        case 119:
            if(lookahead == '6')
                ADVANCE(812);
            END_STATE();
        case 120:
            if(lookahead == '6')
                ADVANCE(834);
            END_STATE();
        case 121:
            if(lookahead == ':')
                ADVANCE(851);
            END_STATE();
        case 122:
            if(lookahead == '<')
                ADVANCE(870);
            END_STATE();
        case 123:
            if(lookahead == 'A')
                ADVANCE(183);
            if(lookahead == 'I')
                ADVANCE(197);
            END_STATE();
        case 124:
            if(lookahead == 'A')
                ADVANCE(1050);
            END_STATE();
        case 125:
            if(lookahead == 'A')
                ADVANCE(218);
            END_STATE();
        case 126:
            if(lookahead == 'A')
                ADVANCE(181);
            END_STATE();
        case 127:
            if(lookahead == 'A')
                ADVANCE(138);
            END_STATE();
        case 128:
            if(lookahead == 'A')
                ADVANCE(212);
            END_STATE();
        case 129:
            if(lookahead == 'A')
                ADVANCE(182);
            END_STATE();
        case 130:
            if(lookahead == 'A')
                ADVANCE(223);
            END_STATE();
        case 131:
            if(lookahead == 'A')
                ADVANCE(224);
            END_STATE();
        case 132:
            if(lookahead == 'A')
                ADVANCE(225);
            END_STATE();
        case 133:
            if(lookahead == 'A')
                ADVANCE(226);
            END_STATE();
        case 134:
            if(lookahead == 'A')
                ADVANCE(141);
            END_STATE();
        case 135:
            if(lookahead == 'A')
                ADVANCE(214);
            END_STATE();
        case 136:
            if(lookahead == 'A')
                ADVANCE(215);
            END_STATE();
        case 137:
            if(lookahead == 'A')
                ADVANCE(216);
            END_STATE();
        case 138:
            if(lookahead == 'B')
                ADVANCE(185);
            END_STATE();
        case 139:
            if(lookahead == 'B')
                ADVANCE(124);
            END_STATE();
        case 140:
            if(lookahead == 'B')
                ADVANCE(281);
            END_STATE();
        case 141:
            if(lookahead == 'B')
                ADVANCE(187);
            END_STATE();
        case 142:
            if(lookahead == 'C')
                ADVANCE(184);
            END_STATE();
        case 143:
            if(lookahead == 'C')
                ADVANCE(189);
            END_STATE();
        case 144:
            if(lookahead == 'C')
                ADVANCE(190);
            END_STATE();
        case 145:
            if(lookahead == 'C')
                ADVANCE(191);
            END_STATE();
        case 146:
            if(lookahead == 'D')
                ADVANCE(217);
            END_STATE();
        case 147:
            if(lookahead == 'D')
                ADVANCE(230);
            END_STATE();
        case 148:
            if(lookahead == 'D')
                ADVANCE(157);
            if(lookahead == 'F')
                ADVANCE(177);
            END_STATE();
        case 149:
            if(lookahead == 'D')
                ADVANCE(134);
            END_STATE();
        case 150:
            if(lookahead == 'D')
                ADVANCE(165);
            END_STATE();
        case 151:
            if(lookahead == 'D')
                ADVANCE(166);
            if(lookahead == 'F')
                ADVANCE(180);
            END_STATE();
        case 152:
            if(lookahead == 'D')
                ADVANCE(167);
            END_STATE();
        case 153:
            if(lookahead == 'E')
                ADVANCE(171);
            END_STATE();
        case 154:
            if(lookahead == 'E')
                ADVANCE(208);
            END_STATE();
        case 155:
            if(lookahead == 'E')
                ADVANCE(914);
            END_STATE();
        case 156:
            if(lookahead == 'E')
                ADVANCE(916);
            END_STATE();
        case 157:
            if(lookahead == 'E')
                ADVANCE(142);
            END_STATE();
        case 158:
            if(lookahead == 'E')
                ADVANCE(1008);
            END_STATE();
        case 159:
            if(lookahead == 'E')
                ADVANCE(1047);
            END_STATE();
        case 160:
            if(lookahead == 'E')
                ADVANCE(1007);
            END_STATE();
        case 161:
            if(lookahead == 'E')
                ADVANCE(1042);
            END_STATE();
        case 162:
            if(lookahead == 'E')
                ADVANCE(198);
            END_STATE();
        case 163:
            if(lookahead == 'E')
                ADVANCE(211);
            END_STATE();
        case 164:
            if(lookahead == 'E')
                ADVANCE(199);
            END_STATE();
        case 165:
            if(lookahead == 'E')
                ADVANCE(143);
            END_STATE();
        case 166:
            if(lookahead == 'E')
                ADVANCE(144);
            END_STATE();
        case 167:
            if(lookahead == 'E')
                ADVANCE(145);
            END_STATE();
        case 168:
            if(lookahead == 'E')
                ADVANCE(238);
            END_STATE();
        case 169:
            if(lookahead == 'F')
                ADVANCE(220);
            END_STATE();
        case 170:
            if(lookahead == 'F')
                ADVANCE(220);
            if(lookahead == 'P')
                ADVANCE(207);
            END_STATE();
        case 171:
            if(lookahead == 'F')
                ADVANCE(202);
            if(lookahead == 'G')
                ADVANCE(174);
            END_STATE();
        case 172:
            if(lookahead == 'H')
                ADVANCE(997);
            END_STATE();
        case 173:
            if(lookahead == 'I')
                ADVANCE(203);
            END_STATE();
        case 174:
            if(lookahead == 'I')
                ADVANCE(200);
            END_STATE();
        case 175:
            if(lookahead == 'I')
                ADVANCE(204);
            END_STATE();
        case 176:
            if(lookahead == 'I')
                ADVANCE(129);
            END_STATE();
        case 177:
            if(lookahead == 'I')
                ADVANCE(186);
            END_STATE();
        case 178:
            if(lookahead == 'I')
                ADVANCE(205);
            END_STATE();
        case 179:
            if(lookahead == 'I')
                ADVANCE(206);
            END_STATE();
        case 180:
            if(lookahead == 'I')
                ADVANCE(188);
            END_STATE();
        case 181:
            if(lookahead == 'L')
                ADVANCE(1006);
            END_STATE();
        case 182:
            if(lookahead == 'L')
                ADVANCE(996);
            END_STATE();
        case 183:
            if(lookahead == 'L')
                ADVANCE(219);
            END_STATE();
        case 184:
            if(lookahead == 'L')
                ADVANCE(128);
            END_STATE();
        case 185:
            if(lookahead == 'L')
                ADVANCE(158);
            END_STATE();
        case 186:
            if(lookahead == 'L')
                ADVANCE(159);
            END_STATE();
        case 187:
            if(lookahead == 'L')
                ADVANCE(160);
            END_STATE();
        case 188:
            if(lookahead == 'L')
                ADVANCE(161);
            END_STATE();
        case 189:
            if(lookahead == 'L')
                ADVANCE(135);
            END_STATE();
        case 190:
            if(lookahead == 'L')
                ADVANCE(136);
            END_STATE();
        case 191:
            if(lookahead == 'L')
                ADVANCE(137);
            END_STATE();
        case 192:
            if(lookahead == 'N')
                ADVANCE(147);
            END_STATE();
        case 193:
            if(lookahead == 'N')
                ADVANCE(1045);
            END_STATE();
        case 194:
            if(lookahead == 'N')
                ADVANCE(1046);
            END_STATE();
        case 195:
            if(lookahead == 'N')
                ADVANCE(1044);
            END_STATE();
        case 196:
            if(lookahead == 'N')
                ADVANCE(1043);
            END_STATE();
        case 197:
            if(lookahead == 'N')
                ADVANCE(126);
            END_STATE();
        case 198:
            if(lookahead == 'N')
                ADVANCE(149);
            END_STATE();
        case 199:
            if(lookahead == 'N')
                ADVANCE(222);
            END_STATE();
        case 200:
            if(lookahead == 'N')
                ADVANCE(236);
            END_STATE();
        case 201:
            if(lookahead == 'O')
                ADVANCE(209);
            END_STATE();
        case 202:
            if(lookahead == 'O')
                ADVANCE(213);
            END_STATE();
        case 203:
            if(lookahead == 'O')
                ADVANCE(193);
            END_STATE();
        case 204:
            if(lookahead == 'O')
                ADVANCE(194);
            END_STATE();
        case 205:
            if(lookahead == 'O')
                ADVANCE(195);
            END_STATE();
        case 206:
            if(lookahead == 'O')
                ADVANCE(196);
            END_STATE();
        case 207:
            if(lookahead == 'P')
                ADVANCE(162);
            END_STATE();
        case 208:
            if(lookahead == 'Q')
                ADVANCE(229);
            END_STATE();
        case 209:
            if(lookahead == 'R')
                ADVANCE(139);
            END_STATE();
        case 210:
            if(lookahead == 'R')
                ADVANCE(228);
            END_STATE();
        case 211:
            if(lookahead == 'R')
                ADVANCE(231);
            END_STATE();
        case 212:
            if(lookahead == 'R')
                ADVANCE(130);
            END_STATE();
        case 213:
            if(lookahead == 'R')
                ADVANCE(168);
            END_STATE();
        case 214:
            if(lookahead == 'R')
                ADVANCE(131);
            END_STATE();
        case 215:
            if(lookahead == 'R')
                ADVANCE(132);
            END_STATE();
        case 216:
            if(lookahead == 'R')
                ADVANCE(133);
            END_STATE();
        case 217:
            if(lookahead == 'S')
                ADVANCE(1051);
            END_STATE();
        case 218:
            if(lookahead == 'S')
                ADVANCE(172);
            END_STATE();
        case 219:
            if(lookahead == 'S')
                ADVANCE(156);
            END_STATE();
        case 220:
            if(lookahead == 'T')
                ADVANCE(163);
            END_STATE();
        case 221:
            if(lookahead == 'T')
                ADVANCE(127);
            END_STATE();
        case 222:
            if(lookahead == 'T')
                ADVANCE(176);
            END_STATE();
        case 223:
            if(lookahead == 'T')
                ADVANCE(173);
            END_STATE();
        case 224:
            if(lookahead == 'T')
                ADVANCE(175);
            END_STATE();
        case 225:
            if(lookahead == 'T')
                ADVANCE(178);
            END_STATE();
        case 226:
            if(lookahead == 'T')
                ADVANCE(179);
            END_STATE();
        case 227:
            if(lookahead == 'U')
                ADVANCE(221);
            END_STATE();
        case 228:
            if(lookahead == 'U')
                ADVANCE(155);
            END_STATE();
        case 229:
            if(lookahead == 'U')
                ADVANCE(164);
            END_STATE();
        case 230:
            if(lookahead == '_')
                ADVANCE(148);
            END_STATE();
        case 231:
            if(lookahead == '_')
                ADVANCE(150);
            END_STATE();
        case 232:
            if(lookahead == '_')
                ADVANCE(294);
            if(lookahead == 'f')
                ADVANCE(463);
            if(lookahead == 'm')
                ADVANCE(254);
            if(lookahead == 's')
                ADVANCE(400);
            END_STATE();
        case 233:
            if(lookahead == '_')
                ADVANCE(574);
            END_STATE();
        case 234:
            if(lookahead == '_')
                ADVANCE(511);
            END_STATE();
        case 235:
            if(lookahead == '_')
                ADVANCE(760);
            END_STATE();
        case 236:
            if(lookahead == '_')
                ADVANCE(151);
            END_STATE();
        case 237:
            if(lookahead == '_')
                ADVANCE(517);
            END_STATE();
        case 238:
            if(lookahead == '_')
                ADVANCE(152);
            END_STATE();
        case 239:
            if(lookahead == 'a')
                ADVANCE(491);
            END_STATE();
        case 240:
            if(lookahead == 'a')
                ADVANCE(319);
            if(lookahead == 'i')
                ADVANCE(532);
            if(lookahead == 'l')
                ADVANCE(583);
            END_STATE();
        case 241:
            if(lookahead == 'a')
                ADVANCE(769);
            END_STATE();
        case 242:
            if(lookahead == 'a')
                ADVANCE(555);
            if(lookahead == 'i')
                ADVANCE(533);
            if(lookahead == 'o')
                ADVANCE(333);
            if(lookahead == 'u')
                ADVANCE(509);
            END_STATE();
        case 243:
            if(lookahead == 'a')
                ADVANCE(469);
            if(lookahead == 'e')
                ADVANCE(246);
            END_STATE();
        case 244:
            if(lookahead == 'a')
                ADVANCE(1040);
            END_STATE();
        case 245:
            if(lookahead == 'a')
                ADVANCE(676);
            if(lookahead == 'o')
                ADVANCE(539);
            END_STATE();
        case 246:
            if(lookahead == 'a')
                ADVANCE(341);
            END_STATE();
        case 247:
            if(lookahead == 'a')
                ADVANCE(778);
            END_STATE();
        case 248:
            if(lookahead == 'a')
                ADVANCE(485);
            if(lookahead == 'd')
                ADVANCE(390);
            END_STATE();
        case 249:
            if(lookahead == 'a')
                ADVANCE(661);
            END_STATE();
        case 250:
            if(lookahead == 'a')
                ADVANCE(715);
            END_STATE();
        case 251:
            if(lookahead == 'a')
                ADVANCE(715);
            if(lookahead == 'e')
                ADVANCE(677);
            END_STATE();
        case 252:
            if(lookahead == 'a')
                ADVANCE(627);
            END_STATE();
        case 253:
            if(lookahead == 'a')
                ADVANCE(486);
            END_STATE();
        case 254:
            if(lookahead == 'a')
                ADVANCE(663);
            END_STATE();
        case 255:
            if(lookahead == 'a')
                ADVANCE(753);
            END_STATE();
        case 256:
            if(lookahead == 'a')
                ADVANCE(628);
            END_STATE();
        case 257:
            if(lookahead == 'a')
                ADVANCE(487);
            END_STATE();
        case 258:
            if(lookahead == 'a')
                ADVANCE(488);
            END_STATE();
        case 259:
            if(lookahead == 'a')
                ADVANCE(492);
            END_STATE();
        case 260:
            if(lookahead == 'a')
                ADVANCE(489);
            END_STATE();
        case 261:
            if(lookahead == 'a')
                ADVANCE(634);
            END_STATE();
        case 262:
            if(lookahead == 'a')
                ADVANCE(535);
            END_STATE();
        case 263:
            if(lookahead == 'a')
                ADVANCE(490);
            END_STATE();
        case 264:
            if(lookahead == 'a')
                ADVANCE(692);
            END_STATE();
        case 265:
            if(lookahead == 'a')
                ADVANCE(471);
            END_STATE();
        case 266:
            if(lookahead == 'a')
                ADVANCE(554);
            END_STATE();
        case 267:
            if(lookahead == 'a')
                ADVANCE(554);
            if(lookahead == 'i')
                ADVANCE(635);
            END_STATE();
        case 268:
            if(lookahead == 'a')
                ADVANCE(747);
            END_STATE();
        case 269:
            if(lookahead == 'a')
                ADVANCE(494);
            END_STATE();
        case 270:
            if(lookahead == 'a')
                ADVANCE(494);
            if(lookahead == 'o')
                ADVANCE(446);
            END_STATE();
        case 271:
            if(lookahead == 'a')
                ADVANCE(429);
            END_STATE();
        case 272:
            if(lookahead == 'a')
                ADVANCE(761);
            END_STATE();
        case 273:
            if(lookahead == 'a')
                ADVANCE(727);
            END_STATE();
        case 274:
            if(lookahead == 'a')
                ADVANCE(526);
            END_STATE();
        case 275:
            if(lookahead == 'a')
                ADVANCE(765);
            END_STATE();
        case 276:
            if(lookahead == 'a')
                ADVANCE(313);
            END_STATE();
        case 277:
            if(lookahead == 'a')
                ADVANCE(527);
            END_STATE();
        case 278:
            if(lookahead == 'a')
                ADVANCE(724);
            END_STATE();
        case 279:
            if(lookahead == 'a')
                ADVANCE(316);
            END_STATE();
        case 280:
            if(lookahead == 'a')
                ADVANCE(559);
            END_STATE();
        case 281:
            if(lookahead == 'a')
                ADVANCE(684);
            END_STATE();
        case 282:
            if(lookahead == 'a')
                ADVANCE(510);
            if(lookahead == 'e')
                ADVANCE(631);
            if(lookahead == 'o')
                ADVANCE(446);
            END_STATE();
        case 283:
            if(lookahead == 'a')
                ADVANCE(472);
            END_STATE();
        case 284:
            if(lookahead == 'a')
                ADVANCE(300);
            END_STATE();
        case 285:
            if(lookahead == 'a')
                ADVANCE(468);
            if(lookahead == 'e')
                ADVANCE(246);
            END_STATE();
        case 286:
            if(lookahead == 'a')
                ADVANCE(301);
            END_STATE();
        case 287:
            if(lookahead == 'a')
                ADVANCE(746);
            END_STATE();
        case 288:
            if(lookahead == 'a')
                ADVANCE(303);
            END_STATE();
        case 289:
            if(lookahead == 'b')
                ADVANCE(481);
            END_STATE();
        case 290:
            if(lookahead == 'b')
                ADVANCE(685);
            END_STATE();
        case 291:
            if(lookahead == 'b')
                ADVANCE(685);
            if(lookahead == 'l')
                ADVANCE(450);
            END_STATE();
        case 292:
            if(lookahead == 'b')
                ADVANCE(685);
            if(lookahead == 'l')
                ADVANCE(450);
            if(lookahead == 'm')
                ADVANCE(437);
            if(lookahead == 'n')
                ADVANCE(776);
            if(lookahead == 'p')
                ADVANCE(611);
            if(lookahead == 't')
                ADVANCE(712);
            if(lookahead == 'u')
                ADVANCE(717);
            END_STATE();
        case 293:
            if(lookahead == 'b')
                ADVANCE(496);
            END_STATE();
        case 294:
            if(lookahead == 'b')
                ADVANCE(609);
            END_STATE();
        case 295:
            if(lookahead == 'b')
                ADVANCE(278);
            END_STATE();
        case 296:
            if(lookahead == 'b')
                ADVANCE(477);
            END_STATE();
        case 297:
            if(lookahead == 'b')
                ADVANCE(499);
            END_STATE();
        case 298:
            if(lookahead == 'b')
                ADVANCE(766);
            END_STATE();
        case 299:
            if(lookahead == 'b')
                ADVANCE(498);
            END_STATE();
        case 300:
            if(lookahead == 'b')
                ADVANCE(502);
            END_STATE();
        case 301:
            if(lookahead == 'b')
                ADVANCE(506);
            END_STATE();
        case 302:
            if(lookahead == 'b')
                ADVANCE(507);
            END_STATE();
        case 303:
            if(lookahead == 'b')
                ADVANCE(508);
            END_STATE();
        case 304:
            if(lookahead == 'c')
                ADVANCE(433);
            if(lookahead == 's')
                ADVANCE(734);
            END_STATE();
        case 305:
            if(lookahead == 'c')
                ADVANCE(1078);
            if(lookahead == 's')
                ADVANCE(432);
            END_STATE();
        case 306:
            if(lookahead == 'c')
                ADVANCE(431);
            END_STATE();
        case 307:
            if(lookahead == 'c')
                ADVANCE(731);
            END_STATE();
        case 308:
            if(lookahead == 'c')
                ADVANCE(731);
            if(lookahead == 'n')
                ADVANCE(345);
            if(lookahead == 'p')
                ADVANCE(718);
            if(lookahead == 'u')
                ADVANCE(688);
            END_STATE();
        case 309:
            if(lookahead == 'c')
                ADVANCE(377);
            END_STATE();
        case 310:
            if(lookahead == 'c')
                ADVANCE(377);
            if(lookahead == 't')
                ADVANCE(373);
            END_STATE();
        case 311:
            if(lookahead == 'c')
                ADVANCE(696);
            END_STATE();
        case 312:
            if(lookahead == 'c')
                ADVANCE(699);
            END_STATE();
        case 313:
            if(lookahead == 'c')
                ADVANCE(702);
            END_STATE();
        case 314:
            if(lookahead == 'c')
                ADVANCE(357);
            END_STATE();
        case 315:
            if(lookahead == 'c')
                ADVANCE(359);
            END_STATE();
        case 316:
            if(lookahead == 'c')
                ADVANCE(370);
            END_STATE();
        case 317:
            if(lookahead == 'c')
                ADVANCE(253);
            END_STATE();
        case 318:
            if(lookahead == 'c')
                ADVANCE(253);
            if(lookahead == 'n')
                ADVANCE(420);
            END_STATE();
        case 319:
            if(lookahead == 'c')
                ADVANCE(736);
            END_STATE();
        case 320:
            if(lookahead == 'c')
                ADVANCE(268);
            END_STATE();
        case 321:
            if(lookahead == 'c')
                ADVANCE(737);
            END_STATE();
        case 322:
            if(lookahead == 'd')
                ADVANCE(926);
            if(lookahead == 'i')
                ADVANCE(932);
            if(lookahead == '\t' ||
               lookahead == ' ')
                ADVANCE(435);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(935);
            END_STATE();
        case 323:
            if(lookahead == 'd')
                ADVANCE(992);
            if(lookahead == 'm')
                ADVANCE(620);
            if(lookahead == 'n')
                ADVANCE(963);
            END_STATE();
        case 324:
            if(lookahead == 'd')
                ADVANCE(960);
            END_STATE();
        case 325:
            if(lookahead == 'd')
                ADVANCE(827);
            END_STATE();
        case 326:
            if(lookahead == 'd')
                ADVANCE(994);
            END_STATE();
        case 327:
            if(lookahead == 'd')
                ADVANCE(1033);
            END_STATE();
        case 328:
            if(lookahead == 'd')
                ADVANCE(1094);
            END_STATE();
        case 329:
            if(lookahead == 'd')
                ADVANCE(978);
            END_STATE();
        case 330:
            if(lookahead == 'd')
                ADVANCE(73);
            END_STATE();
        case 331:
            if(lookahead == 'd')
                ADVANCE(1029);
            END_STATE();
        case 332:
            if(lookahead == 'd')
                ADVANCE(1017);
            END_STATE();
        case 333:
            if(lookahead == 'd')
                ADVANCE(763);
            END_STATE();
        case 334:
            if(lookahead == 'd')
                ADVANCE(610);
            if(lookahead == 'l')
                ADVANCE(594);
            END_STATE();
        case 335:
            if(lookahead == 'd')
                ADVANCE(484);
            END_STATE();
        case 336:
            if(lookahead == 'd')
                ADVANCE(372);
            END_STATE();
        case 337:
            if(lookahead == 'd')
                ADVANCE(372);
            if(lookahead == 'i')
                ADVANCE(328);
            if(lookahead == 'n')
                ADVANCE(274);
            if(lookahead == 'p')
                ADVANCE(650);
            END_STATE();
        case 338:
            if(lookahead == 'd')
                ADVANCE(372);
            if(lookahead == 'i')
                ADVANCE(328);
            if(lookahead == 'p')
                ADVANCE(650);
            END_STATE();
        case 339:
            if(lookahead == 'd')
                ADVANCE(388);
            END_STATE();
        case 340:
            if(lookahead == 'd')
                ADVANCE(394);
            END_STATE();
        case 341:
            if(lookahead == 'd')
                ADVANCE(590);
            END_STATE();
        case 342:
            if(lookahead == 'd')
                ADVANCE(286);
            END_STATE();
        case 343:
            if(lookahead == 'd')
                ADVANCE(411);
            END_STATE();
        case 344:
            if(lookahead == 'e')
                ADVANCE(625);
            if(lookahead == 'h')
                ADVANCE(586);
            if(lookahead == 't')
                ADVANCE(626);
            if(lookahead == 'u')
                ADVANCE(624);
            if(lookahead == 'w')
                ADVANCE(459);
            END_STATE();
        case 345:
            if(lookahead == 'e')
                ADVANCE(773);
            END_STATE();
        case 346:
            if(lookahead == 'e')
                ADVANCE(1092);
            END_STATE();
        case 347:
            if(lookahead == 'e')
                ADVANCE(1109);
            END_STATE();
        case 348:
            if(lookahead == 'e')
                ADVANCE(337);
            END_STATE();
        case 349:
            if(lookahead == 'e')
                ADVANCE(775);
            END_STATE();
        case 350:
            if(lookahead == 'e')
                ADVANCE(1021);
            END_STATE();
        case 351:
            if(lookahead == 'e')
                ADVANCE(1002);
            END_STATE();
        case 352:
            if(lookahead == 'e')
                ADVANCE(844);
            END_STATE();
        case 353:
            if(lookahead == 'e')
                ADVANCE(1056);
            END_STATE();
        case 354:
            if(lookahead == 'e')
                ADVANCE(1121);
            END_STATE();
        case 355:
            if(lookahead == 'e')
                ADVANCE(1013);
            END_STATE();
        case 356:
            if(lookahead == 'e')
                ADVANCE(1080);
            END_STATE();
        case 357:
            if(lookahead == 'e')
                ADVANCE(1048);
            END_STATE();
        case 358:
            if(lookahead == 'e')
                ADVANCE(1107);
            END_STATE();
        case 359:
            if(lookahead == 'e')
                ADVANCE(862);
            END_STATE();
        case 360:
            if(lookahead == 'e')
                ADVANCE(1057);
            END_STATE();
        case 361:
            if(lookahead == 'e')
                ADVANCE(1102);
            END_STATE();
        case 362:
            if(lookahead == 'e')
                ADVANCE(972);
            END_STATE();
        case 363:
            if(lookahead == 'e')
                ADVANCE(1061);
            END_STATE();
        case 364:
            if(lookahead == 'e')
                ADVANCE(1059);
            END_STATE();
        case 365:
            if(lookahead == 'e')
                ADVANCE(1011);
            END_STATE();
        case 366:
            if(lookahead == 'e')
                ADVANCE(846);
            END_STATE();
        case 367:
            if(lookahead == 'e')
                ADVANCE(1074);
            END_STATE();
        case 368:
            if(lookahead == 'e')
                ADVANCE(338);
            END_STATE();
        case 369:
            if(lookahead == 'e')
                ADVANCE(1117);
            END_STATE();
        case 370:
            if(lookahead == 'e')
                ADVANCE(955);
            END_STATE();
        case 371:
            if(lookahead == 'e')
                ADVANCE(777);
            END_STATE();
        case 372:
            if(lookahead == 'e')
                ADVANCE(413);
            END_STATE();
        case 373:
            if(lookahead == 'e')
                ADVANCE(551);
            END_STATE();
        case 374:
            if(lookahead == 'e')
                ADVANCE(660);
            END_STATE();
        case 375:
            if(lookahead == 'e')
                ADVANCE(417);
            END_STATE();
        case 376:
            if(lookahead == 'e')
                ADVANCE(140);
            END_STATE();
        case 377:
            if(lookahead == 'e')
                ADVANCE(622);
            END_STATE();
        case 378:
            if(lookahead == 'e')
                ADVANCE(325);
            END_STATE();
        case 379:
            if(lookahead == 'e')
                ADVANCE(234);
            END_STATE();
        case 380:
            if(lookahead == 'e')
                ADVANCE(547);
            END_STATE();
        case 381:
            if(lookahead == 'e')
                ADVANCE(495);
            END_STATE();
        case 382:
            if(lookahead == 'e')
                ADVANCE(327);
            END_STATE();
        case 383:
            if(lookahead == 'e')
                ADVANCE(664);
            END_STATE();
        case 384:
            if(lookahead == 'e')
                ADVANCE(781);
            END_STATE();
        case 385:
            if(lookahead == 'e')
                ADVANCE(665);
            END_STATE();
        case 386:
            if(lookahead == 'e')
                ADVANCE(666);
            END_STATE();
        case 387:
            if(lookahead == 'e')
                ADVANCE(564);
            END_STATE();
        case 388:
            if(lookahead == 'e')
                ADVANCE(667);
            END_STATE();
        case 389:
            if(lookahead == 'e')
                ADVANCE(330);
            END_STATE();
        case 390:
            if(lookahead == 'e')
                ADVANCE(629);
            END_STATE();
        case 391:
            if(lookahead == 'e')
                ADVANCE(669);
            END_STATE();
        case 392:
            if(lookahead == 'e')
                ADVANCE(670);
            END_STATE();
        case 393:
            if(lookahead == 'e')
                ADVANCE(671);
            END_STATE();
        case 394:
            if(lookahead == 'e')
                ADVANCE(652);
            END_STATE();
        case 395:
            if(lookahead == 'e')
                ADVANCE(262);
            END_STATE();
        case 396:
            if(lookahead == 'e')
                ADVANCE(672);
            END_STATE();
        case 397:
            if(lookahead == 'e')
                ADVANCE(654);
            END_STATE();
        case 398:
            if(lookahead == 'e')
                ADVANCE(694);
            END_STATE();
        case 399:
            if(lookahead == 'e')
                ADVANCE(651);
            END_STATE();
        case 400:
            if(lookahead == 'e')
                ADVANCE(697);
            END_STATE();
        case 401:
            if(lookahead == 'e')
                ADVANCE(716);
            END_STATE();
        case 402:
            if(lookahead == 'e')
                ADVANCE(311);
            END_STATE();
        case 403:
            if(lookahead == 'e')
                ADVANCE(560);
            END_STATE();
        case 404:
            if(lookahead == 'e')
                ADVANCE(561);
            END_STATE();
        case 405:
            if(lookahead == 'e')
                ADVANCE(336);
            END_STATE();
        case 406:
            if(lookahead == 'e')
                ADVANCE(655);
            END_STATE();
        case 407:
            if(lookahead == 'e')
                ADVANCE(656);
            END_STATE();
        case 408:
            if(lookahead == 'e')
                ADVANCE(738);
            END_STATE();
        case 409:
            if(lookahead == 'e')
                ADVANCE(418);
            END_STATE();
        case 410:
            if(lookahead == 'e')
                ADVANCE(321);
            END_STATE();
        case 411:
            if(lookahead == 'e')
                ADVANCE(419);
            END_STATE();
        case 412:
            if(lookahead == 'e')
                ADVANCE(748);
            if(lookahead == 'h')
                ADVANCE(586);
            if(lookahead == 'u')
                ADVANCE(624);
            END_STATE();
        case 413:
            if(lookahead == 'f')
                ADVANCE(1084);
            END_STATE();
        case 414:
            if(lookahead == 'f')
                ADVANCE(255);
            END_STATE();
        case 415:
            if(lookahead == 'f')
                ADVANCE(463);
            END_STATE();
        case 416:
            if(lookahead == 'f')
                ADVANCE(279);
            END_STATE();
        case 417:
            if(lookahead == 'f')
                ADVANCE(443);
            END_STATE();
        case 418:
            if(lookahead == 'f')
                ADVANCE(272);
            END_STATE();
        case 419:
            if(lookahead == 'f')
                ADVANCE(275);
            END_STATE();
        case 420:
            if(lookahead == 'g')
                ADVANCE(814);
            END_STATE();
        case 421:
            if(lookahead == 'g')
                ADVANCE(852);
            END_STATE();
        case 422:
            if(lookahead == 'g')
                ADVANCE(857);
            END_STATE();
        case 423:
            if(lookahead == 'g')
                ADVANCE(820);
            END_STATE();
        case 424:
            if(lookahead == 'g')
                ADVANCE(836);
            END_STATE();
        case 425:
            if(lookahead == 'g')
                ADVANCE(839);
            END_STATE();
        case 426:
            if(lookahead == 'g')
                ADVANCE(816);
            END_STATE();
        case 427:
            if(lookahead == 'g')
                ADVANCE(562);
            END_STATE();
        case 428:
            if(lookahead == 'g')
                ADVANCE(350);
            END_STATE();
        case 429:
            if(lookahead == 'g')
                ADVANCE(385);
            END_STATE();
        case 430:
            if(lookahead == 'g')
                ADVANCE(565);
            END_STATE();
        case 431:
            if(lookahead == 'h')
                ADVANCE(1090);
            END_STATE();
        case 432:
            if(lookahead == 'h')
                ADVANCE(392);
            END_STATE();
        case 433:
            if(lookahead == 'h')
                ADVANCE(256);
            END_STATE();
        case 434:
            if(lookahead == 'h')
                ADVANCE(605);
            END_STATE();
        case 435:
            if(lookahead == 'i')
                ADVANCE(932);
            if(lookahead == '\t' ||
               lookahead == ' ')
                ADVANCE(435);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(935);
            END_STATE();
        case 436:
            if(lookahead == 'i')
                ADVANCE(430);
            END_STATE();
        case 437:
            if(lookahead == 'i')
                ADVANCE(1054);
            END_STATE();
        case 438:
            if(lookahead == 'i')
                ADVANCE(531);
            if(lookahead == 'o')
                ADVANCE(770);
            END_STATE();
        case 439:
            if(lookahead == 'i')
                ADVANCE(585);
            if(lookahead == 's')
                ADVANCE(467);
            END_STATE();
        case 440:
            if(lookahead == 'i')
                ADVANCE(305);
            END_STATE();
        case 441:
            if(lookahead == 'i')
                ADVANCE(558);
            if(lookahead == 'n')
                ADVANCE(439);
            if(lookahead == 's')
                ADVANCE(374);
            END_STATE();
        case 442:
            if(lookahead == 'i')
                ADVANCE(558);
            if(lookahead == 'n')
                ADVANCE(674);
            if(lookahead == 's')
                ADVANCE(374);
            END_STATE();
        case 443:
            if(lookahead == 'i')
                ADVANCE(774);
            END_STATE();
        case 444:
            if(lookahead == 'i')
                ADVANCE(687);
            if(lookahead == 'o')
                ADVANCE(579);
            END_STATE();
        case 445:
            if(lookahead == 'i')
                ADVANCE(772);
            END_STATE();
        case 446:
            if(lookahead == 'i')
                ADVANCE(324);
            END_STATE();
        case 447:
            if(lookahead == 'i')
                ADVANCE(314);
            END_STATE();
        case 448:
            if(lookahead == 'i')
                ADVANCE(520);
            END_STATE();
        case 449:
            if(lookahead == 'i')
                ADVANCE(298);
            END_STATE();
        case 450:
            if(lookahead == 'i')
                ADVANCE(249);
            END_STATE();
        case 451:
            if(lookahead == 'i')
                ADVANCE(619);
            END_STATE();
        case 452:
            if(lookahead == 'i')
                ADVANCE(530);
            END_STATE();
        case 453:
            if(lookahead == 'i')
                ADVANCE(530);
            if(lookahead == 'o')
                ADVANCE(770);
            END_STATE();
        case 454:
            if(lookahead == 'i')
                ADVANCE(296);
            END_STATE();
        case 455:
            if(lookahead == 'i')
                ADVANCE(545);
            if(lookahead == 'u')
                ADVANCE(312);
            END_STATE();
        case 456:
            if(lookahead == 'i')
                ADVANCE(326);
            END_STATE();
        case 457:
            if(lookahead == 'i')
                ADVANCE(714);
            END_STATE();
        case 458:
            if(lookahead == 'i')
                ADVANCE(339);
            END_STATE();
        case 459:
            if(lookahead == 'i')
                ADVANCE(709);
            END_STATE();
        case 460:
            if(lookahead == 'i')
                ADVANCE(584);
            END_STATE();
        case 461:
            if(lookahead == 'i')
                ADVANCE(546);
            END_STATE();
        case 462:
            if(lookahead == 'i')
                ADVANCE(673);
            END_STATE();
        case 463:
            if(lookahead == 'i')
                ADVANCE(381);
            END_STATE();
        case 464:
            if(lookahead == 'i')
                ADVANCE(719);
            END_STATE();
        case 465:
            if(lookahead == 'i')
                ADVANCE(706);
            END_STATE();
        case 466:
            if(lookahead == 'i')
                ADVANCE(733);
            if(lookahead == 'o')
                ADVANCE(579);
            END_STATE();
        case 467:
            if(lookahead == 'i')
                ADVANCE(427);
            END_STATE();
        case 468:
            if(lookahead == 'i')
                ADVANCE(680);
            END_STATE();
        case 469:
            if(lookahead == 'i')
                ADVANCE(680);
            if(lookahead == 'n')
                ADVANCE(428);
            END_STATE();
        case 470:
            if(lookahead == 'i')
                ADVANCE(608);
            END_STATE();
        case 471:
            if(lookahead == 'i')
                ADVANCE(682);
            END_STATE();
        case 472:
            if(lookahead == 'i')
                ADVANCE(683);
            END_STATE();
        case 473:
            if(lookahead == 'i')
                ADVANCE(729);
            END_STATE();
        case 474:
            if(lookahead == 'i')
                ADVANCE(595);
            END_STATE();
        case 475:
            if(lookahead == 'i')
                ADVANCE(596);
            END_STATE();
        case 476:
            if(lookahead == 'i')
                ADVANCE(597);
            END_STATE();
        case 477:
            if(lookahead == 'i')
                ADVANCE(513);
            END_STATE();
        case 478:
            if(lookahead == 'i')
                ADVANCE(739);
            END_STATE();
        case 479:
            if(lookahead == 'i')
                ADVANCE(742);
            END_STATE();
        case 480:
            if(lookahead == 'i')
                ADVANCE(744);
            END_STATE();
        case 481:
            if(lookahead == 'j')
                ADVANCE(402);
            END_STATE();
        case 482:
            if(lookahead == 'k')
                ADVANCE(979);
            END_STATE();
        case 483:
            if(lookahead == 'k')
                ADVANCE(384);
            END_STATE();
        case 484:
            if(lookahead == 'l')
                ADVANCE(1041);
            END_STATE();
        case 485:
            if(lookahead == 'l')
                ADVANCE(1009);
            END_STATE();
        case 486:
            if(lookahead == 'l')
                ADVANCE(952);
            END_STATE();
        case 487:
            if(lookahead == 'l')
                ADVANCE(1031);
            END_STATE();
        case 488:
            if(lookahead == 'l')
                ADVANCE(998);
            END_STATE();
        case 489:
            if(lookahead == 'l')
                ADVANCE(1019);
            END_STATE();
        case 490:
            if(lookahead == 'l')
                ADVANCE(1088);
            END_STATE();
        case 491:
            if(lookahead == 'l')
                ADVANCE(754);
            END_STATE();
        case 492:
            if(lookahead == 'l')
                ADVANCE(233);
            END_STATE();
        case 493:
            if(lookahead == 'l')
                ADVANCE(780);
            END_STATE();
        case 494:
            if(lookahead == 'l')
                ADVANCE(767);
            END_STATE();
        case 495:
            if(lookahead == 'l')
                ADVANCE(329);
            END_STATE();
        case 496:
            if(lookahead == 'l')
                ADVANCE(440);
            END_STATE();
        case 497:
            if(lookahead == 'l')
                ADVANCE(395);
            END_STATE();
        case 498:
            if(lookahead == 'l')
                ADVANCE(462);
            END_STATE();
        case 499:
            if(lookahead == 'l')
                ADVANCE(352);
            END_STATE();
        case 500:
            if(lookahead == 'l')
                ADVANCE(353);
            END_STATE();
        case 501:
            if(lookahead == 'l')
                ADVANCE(701);
            END_STATE();
        case 502:
            if(lookahead == 'l')
                ADVANCE(355);
            END_STATE();
        case 503:
            if(lookahead == 'l')
                ADVANCE(358);
            END_STATE();
        case 504:
            if(lookahead == 'l')
                ADVANCE(708);
            END_STATE();
        case 505:
            if(lookahead == 'l')
                ADVANCE(749);
            END_STATE();
        case 506:
            if(lookahead == 'l')
                ADVANCE(365);
            END_STATE();
        case 507:
            if(lookahead == 'l')
                ADVANCE(366);
            END_STATE();
        case 508:
            if(lookahead == 'l')
                ADVANCE(367);
            END_STATE();
        case 509:
            if(lookahead == 'l')
                ADVANCE(720);
            if(lookahead == 's')
                ADVANCE(710);
            if(lookahead == 't')
                ADVANCE(284);
            END_STATE();
        case 510:
            if(lookahead == 'l')
                ADVANCE(757);
            END_STATE();
        case 511:
            if(lookahead == 'l')
                ADVANCE(473);
            END_STATE();
        case 512:
            if(lookahead == 'l')
                ADVANCE(594);
            END_STATE();
        case 513:
            if(lookahead == 'l')
                ADVANCE(464);
            END_STATE();
        case 514:
            if(lookahead == 'l')
                ADVANCE(598);
            if(lookahead == 's')
                ADVANCE(434);
            END_STATE();
        case 515:
            if(lookahead == 'l')
                ADVANCE(600);
            END_STATE();
        case 516:
            if(lookahead == 'l')
                ADVANCE(479);
            END_STATE();
        case 517:
            if(lookahead == 'l')
                ADVANCE(480);
            END_STATE();
        case 518:
            if(lookahead == 'm')
                ADVANCE(1067);
            END_STATE();
        case 519:
            if(lookahead == 'm')
                ADVANCE(1072);
            END_STATE();
        case 520:
            if(lookahead == 'm')
                ADVANCE(1035);
            END_STATE();
        case 521:
            if(lookahead == 'm')
                ADVANCE(620);
            if(lookahead == 'n')
                ADVANCE(730);
            END_STATE();
        case 522:
            if(lookahead == 'm')
                ADVANCE(457);
            if(lookahead == 'n')
                ADVANCE(750);
            if(lookahead == 'v')
                ADVANCE(403);
            END_STATE();
        case 523:
            if(lookahead == 'm')
                ADVANCE(254);
            if(lookahead == 's')
                ADVANCE(400);
            END_STATE();
        case 524:
            if(lookahead == 'm')
                ADVANCE(347);
            END_STATE();
        case 525:
            if(lookahead == 'm')
                ADVANCE(386);
            END_STATE();
        case 526:
            if(lookahead == 'm')
                ADVANCE(360);
            END_STATE();
        case 527:
            if(lookahead == 'm')
                ADVANCE(396);
            END_STATE();
        case 528:
            if(lookahead == 'm')
                ADVANCE(612);
            if(lookahead == 'n')
                ADVANCE(566);
            END_STATE();
        case 529:
            if(lookahead == 'm')
                ADVANCE(612);
            if(lookahead == 'n')
                ADVANCE(567);
            END_STATE();
        case 530:
            if(lookahead == 'm')
                ADVANCE(261);
            END_STATE();
        case 531:
            if(lookahead == 'm')
                ADVANCE(261);
            if(lookahead == 'v')
                ADVANCE(273);
            END_STATE();
        case 532:
            if(lookahead == 'n')
                ADVANCE(248);
            if(lookahead == 'x')
                ADVANCE(378);
            END_STATE();
        case 533:
            if(lookahead == 'n')
                ADVANCE(1023);
            if(lookahead == 'r')
                ADVANCE(653);
            END_STATE();
        case 534:
            if(lookahead == 'n')
                ADVANCE(1065);
            END_STATE();
        case 535:
            if(lookahead == 'n')
                ADVANCE(825);
            END_STATE();
        case 536:
            if(lookahead == 'n')
                ADVANCE(1000);
            END_STATE();
        case 537:
            if(lookahead == 'n')
                ADVANCE(948);
            END_STATE();
        case 538:
            if(lookahead == 'n')
                ADVANCE(981);
            END_STATE();
        case 539:
            if(lookahead == 'n')
                ADVANCE(678);
            END_STATE();
        case 540:
            if(lookahead == 'n')
                ADVANCE(962);
            END_STATE();
        case 541:
            if(lookahead == 'n')
                ADVANCE(750);
            END_STATE();
        case 542:
            if(lookahead == 'n')
                ADVANCE(750);
            if(lookahead == 'v')
                ADVANCE(403);
            if(lookahead == 'x')
                ADVANCE(309);
            END_STATE();
        case 543:
            if(lookahead == 'n')
                ADVANCE(549);
            END_STATE();
        case 544:
            if(lookahead == 'n')
                ADVANCE(320);
            END_STATE();
        case 545:
            if(lookahead == 'n')
                ADVANCE(421);
            END_STATE();
        case 546:
            if(lookahead == 'n')
                ADVANCE(422);
            END_STATE();
        case 547:
            if(lookahead == 'n')
                ADVANCE(342);
            END_STATE();
        case 548:
            if(lookahead == 'n')
                ADVANCE(423);
            END_STATE();
        case 549:
            if(lookahead == 'n')
                ADVANCE(599);
            END_STATE();
        case 550:
            if(lookahead == 'n')
                ADVANCE(424);
            END_STATE();
        case 551:
            if(lookahead == 'n')
                ADVANCE(679);
            if(lookahead == 'r')
                ADVANCE(570);
            END_STATE();
        case 552:
            if(lookahead == 'n')
                ADVANCE(425);
            END_STATE();
        case 553:
            if(lookahead == 'n')
                ADVANCE(493);
            END_STATE();
        case 554:
            if(lookahead == 'n')
                ADVANCE(271);
            END_STATE();
        case 555:
            if(lookahead == 'n')
                ADVANCE(271);
            if(lookahead == 'p')
                ADVANCE(864);
            if(lookahead == 'x')
                ADVANCE(1025);
            END_STATE();
        case 556:
            if(lookahead == 'n')
                ADVANCE(426);
            END_STATE();
        case 557:
            if(lookahead == 'n')
                ADVANCE(331);
            END_STATE();
        case 558:
            if(lookahead == 'n')
                ADVANCE(711);
            END_STATE();
        case 559:
            if(lookahead == 'n')
                ADVANCE(332);
            END_STATE();
        case 560:
            if(lookahead == 'n')
                ADVANCE(726);
            END_STATE();
        case 561:
            if(lookahead == 'n')
                ADVANCE(703);
            END_STATE();
        case 562:
            if(lookahead == 'n')
                ADVANCE(389);
            END_STATE();
        case 563:
            if(lookahead == 'n')
                ADVANCE(707);
            END_STATE();
        case 564:
            if(lookahead == 'n')
                ADVANCE(315);
            END_STATE();
        case 565:
            if(lookahead == 'n')
                ADVANCE(589);
            END_STATE();
        case 566:
            if(lookahead == 'n')
                ADVANCE(410);
            if(lookahead == 's')
                ADVANCE(691);
            if(lookahead == 't')
                ADVANCE(349);
            END_STATE();
        case 567:
            if(lookahead == 'n')
                ADVANCE(410);
            if(lookahead == 's')
                ADVANCE(690);
            END_STATE();
        case 568:
            if(lookahead == 'n')
                ADVANCE(460);
            END_STATE();
        case 569:
            if(lookahead == 'n')
                ADVANCE(340);
            END_STATE();
        case 570:
            if(lookahead == 'n')
                ADVANCE(257);
            END_STATE();
        case 571:
            if(lookahead == 'n')
                ADVANCE(258);
            END_STATE();
        case 572:
            if(lookahead == 'n')
                ADVANCE(730);
            END_STATE();
        case 573:
            if(lookahead == 'n')
                ADVANCE(404);
            END_STATE();
        case 574:
            if(lookahead == 'n')
                ADVANCE(277);
            END_STATE();
        case 575:
            if(lookahead == 'o')
                ADVANCE(524);
            END_STATE();
        case 576:
            if(lookahead == 'o')
                ADVANCE(318);
            END_STATE();
        case 577:
            if(lookahead == 'o')
                ADVANCE(333);
            END_STATE();
        case 578:
            if(lookahead == 'o')
                ADVANCE(639);
            if(lookahead == 'r')
                ADVANCE(438);
            if(lookahead == 'u')
                ADVANCE(293);
            END_STATE();
        case 579:
            if(lookahead == 'o')
                ADVANCE(497);
            END_STATE();
        case 580:
            if(lookahead == 'o')
                ADVANCE(529);
            if(lookahead == 'u')
                ADVANCE(675);
            END_STATE();
        case 581:
            if(lookahead == 'o')
                ADVANCE(519);
            END_STATE();
        case 582:
            if(lookahead == 'o')
                ADVANCE(317);
            END_STATE();
        case 583:
            if(lookahead == 'o')
                ADVANCE(264);
            END_STATE();
        case 584:
            if(lookahead == 'o')
                ADVANCE(534);
            END_STATE();
        case 585:
            if(lookahead == 'o')
                ADVANCE(534);
            if(lookahead == 't')
                ADVANCE(1027);
            END_STATE();
        case 586:
            if(lookahead == 'o')
                ADVANCE(643);
            END_STATE();
        case 587:
            if(lookahead == 'o')
                ADVANCE(573);
            END_STATE();
        case 588:
            if(lookahead == 'o')
                ADVANCE(456);
            END_STATE();
        case 589:
            if(lookahead == 'o')
                ADVANCE(647);
            END_STATE();
        case 590:
            if(lookahead == 'o')
                ADVANCE(553);
            END_STATE();
        case 591:
            if(lookahead == 'o')
                ADVANCE(633);
            END_STATE();
        case 592:
            if(lookahead == 'o')
                ADVANCE(659);
            END_STATE();
        case 593:
            if(lookahead == 'o')
                ADVANCE(630);
            END_STATE();
        case 594:
            if(lookahead == 'o')
                ADVANCE(548);
            END_STATE();
        case 595:
            if(lookahead == 'o')
                ADVANCE(536);
            END_STATE();
        case 596:
            if(lookahead == 'o')
                ADVANCE(537);
            END_STATE();
        case 597:
            if(lookahead == 'o')
                ADVANCE(538);
            END_STATE();
        case 598:
            if(lookahead == 'o')
                ADVANCE(550);
            END_STATE();
        case 599:
            if(lookahead == 'o')
                ADVANCE(740);
            END_STATE();
        case 600:
            if(lookahead == 'o')
                ADVANCE(552);
            END_STATE();
        case 601:
            if(lookahead == 'o')
                ADVANCE(556);
            END_STATE();
        case 602:
            if(lookahead == 'o')
                ADVANCE(645);
            END_STATE();
        case 603:
            if(lookahead == 'o')
                ADVANCE(646);
            END_STATE();
        case 604:
            if(lookahead == 'o')
                ADVANCE(648);
            END_STATE();
        case 605:
            if(lookahead == 'o')
                ADVANCE(649);
            END_STATE();
        case 606:
            if(lookahead == 'o')
                ADVANCE(658);
            END_STATE();
        case 607:
            if(lookahead == 'o')
                ADVANCE(638);
            if(lookahead == 'r')
                ADVANCE(453);
            if(lookahead == 'u')
                ADVANCE(299);
            END_STATE();
        case 608:
            if(lookahead == 'o')
                ADVANCE(571);
            END_STATE();
        case 609:
            if(lookahead == 'o')
                ADVANCE(764);
            END_STATE();
        case 610:
            if(lookahead == 'o')
                ADVANCE(768);
            END_STATE();
        case 611:
            if(lookahead == 'p')
                ADVANCE(380);
            END_STATE();
        case 612:
            if(lookahead == 'p')
                ADVANCE(587);
            END_STATE();
        case 613:
            if(lookahead == 'p')
                ADVANCE(348);
            END_STATE();
        case 614:
            if(lookahead == 'p')
                ADVANCE(363);
            END_STATE();
        case 615:
            if(lookahead == 'p')
                ADVANCE(364);
            END_STATE();
        case 616:
            if(lookahead == 'p')
                ADVANCE(368);
            END_STATE();
        case 617:
            if(lookahead == 'p')
                ADVANCE(369);
            END_STATE();
        case 618:
            if(lookahead == 'p')
                ADVANCE(405);
            END_STATE();
        case 619:
            if(lookahead == 'p')
                ADVANCE(503);
            END_STATE();
        case 620:
            if(lookahead == 'p')
                ADVANCE(602);
            END_STATE();
        case 621:
            if(lookahead == 'p')
                ADVANCE(603);
            END_STATE();
        case 622:
            if(lookahead == 'p')
                ADVANCE(743);
            END_STATE();
        case 623:
            if(lookahead == 'p')
                ADVANCE(604);
            END_STATE();
        case 624:
            if(lookahead == 'p')
                ADVANCE(621);
            END_STATE();
        case 625:
            if(lookahead == 'q')
                ADVANCE(756);
            if(lookahead == 'r')
                ADVANCE(771);
            if(lookahead == 't')
                ADVANCE(657);
            END_STATE();
        case 626:
            if(lookahead == 'r')
                ADVANCE(455);
            END_STATE();
        case 627:
            if(lookahead == 'r')
                ADVANCE(847);
            END_STATE();
        case 628:
            if(lookahead == 'r')
                ADVANCE(849);
            END_STATE();
        case 629:
            if(lookahead == 'r')
                ADVANCE(1115);
            END_STATE();
        case 630:
            if(lookahead == 'r')
                ADVANCE(1120);
            END_STATE();
        case 631:
            if(lookahead == 'r')
                ADVANCE(295);
            END_STATE();
        case 632:
            if(lookahead == 'r')
                ADVANCE(752);
            if(lookahead == 'y')
                ADVANCE(613);
            END_STATE();
        case 633:
            if(lookahead == 'r')
                ADVANCE(779);
            END_STATE();
        case 634:
            if(lookahead == 'r')
                ADVANCE(783);
            END_STATE();
        case 635:
            if(lookahead == 'r')
                ADVANCE(653);
            END_STATE();
        case 636:
            if(lookahead == 'r')
                ADVANCE(449);
            END_STATE();
        case 637:
            if(lookahead == 'r')
                ADVANCE(762);
            END_STATE();
        case 638:
            if(lookahead == 'r')
                ADVANCE(689);
            END_STATE();
        case 639:
            if(lookahead == 'r')
                ADVANCE(689);
            if(lookahead == 's')
                ADVANCE(478);
            END_STATE();
        case 640:
            if(lookahead == 'r')
                ADVANCE(265);
            END_STATE();
        case 641:
            if(lookahead == 'r')
                ADVANCE(276);
            END_STATE();
        case 642:
            if(lookahead == 'r')
                ADVANCE(461);
            END_STATE();
        case 643:
            if(lookahead == 'r')
                ADVANCE(695);
            END_STATE();
        case 644:
            if(lookahead == 'r')
                ADVANCE(452);
            END_STATE();
        case 645:
            if(lookahead == 'r')
                ADVANCE(698);
            END_STATE();
        case 646:
            if(lookahead == 'r')
                ADVANCE(721);
            END_STATE();
        case 647:
            if(lookahead == 'r')
                ADVANCE(379);
            END_STATE();
        case 648:
            if(lookahead == 'r')
                ADVANCE(704);
            END_STATE();
        case 649:
            if(lookahead == 'r')
                ADVANCE(705);
            END_STATE();
        case 650:
            if(lookahead == 'r')
                ADVANCE(375);
            END_STATE();
        case 651:
            if(lookahead == 'r')
                ADVANCE(416);
            END_STATE();
        case 652:
            if(lookahead == 'r')
                ADVANCE(681);
            END_STATE();
        case 653:
            if(lookahead == 'r')
                ADVANCE(592);
            END_STATE();
        case 654:
            if(lookahead == 'r')
                ADVANCE(259);
            END_STATE();
        case 655:
            if(lookahead == 'r')
                ADVANCE(260);
            END_STATE();
        case 656:
            if(lookahead == 'r')
                ADVANCE(263);
            END_STATE();
        case 657:
            if(lookahead == 'r')
                ADVANCE(283);
            END_STATE();
        case 658:
            if(lookahead == 'r')
                ADVANCE(741);
            END_STATE();
        case 659:
            if(lookahead == 'r')
                ADVANCE(623);
            END_STATE();
        case 660:
            if(lookahead == 's')
                ADVANCE(1106);
            END_STATE();
        case 661:
            if(lookahead == 's')
                ADVANCE(1071);
            END_STATE();
        case 662:
            if(lookahead == 's')
                ADVANCE(1111);
            END_STATE();
        case 663:
            if(lookahead == 's')
                ADVANCE(482);
            END_STATE();
        case 664:
            if(lookahead == 's')
                ADVANCE(969);
            END_STATE();
        case 665:
            if(lookahead == 's')
                ADVANCE(1110);
            END_STATE();
        case 666:
            if(lookahead == 's')
                ADVANCE(1113);
            END_STATE();
        case 667:
            if(lookahead == 's')
                ADVANCE(1105);
            END_STATE();
        case 668:
            if(lookahead == 's')
                ADVANCE(1076);
            END_STATE();
        case 669:
            if(lookahead == 's')
                ADVANCE(974);
            END_STATE();
        case 670:
            if(lookahead == 's')
                ADVANCE(1112);
            END_STATE();
        case 671:
            if(lookahead == 's')
                ADVANCE(975);
            END_STATE();
        case 672:
            if(lookahead == 's')
                ADVANCE(1089);
            END_STATE();
        case 673:
            if(lookahead == 's')
                ADVANCE(432);
            END_STATE();
        case 674:
            if(lookahead == 's')
                ADVANCE(467);
            END_STATE();
        case 675:
            if(lookahead == 's')
                ADVANCE(732);
            END_STATE();
        case 676:
            if(lookahead == 's')
                ADVANCE(346);
            END_STATE();
        case 677:
            if(lookahead == 's')
                ADVANCE(723);
            END_STATE();
        case 678:
            if(lookahead == 's')
                ADVANCE(758);
            if(lookahead == 't')
                ADVANCE(349);
            END_STATE();
        case 679:
            if(lookahead == 's')
                ADVANCE(454);
            END_STATE();
        case 680:
            if(lookahead == 's')
                ADVANCE(383);
            END_STATE();
        case 681:
            if(lookahead == 's')
                ADVANCE(725);
            END_STATE();
        case 682:
            if(lookahead == 's')
                ADVANCE(391);
            END_STATE();
        case 683:
            if(lookahead == 's')
                ADVANCE(393);
            END_STATE();
        case 684:
            if(lookahead == 's')
                ADVANCE(361);
            END_STATE();
        case 685:
            if(lookahead == 's')
                ADVANCE(735);
            END_STATE();
        case 686:
            if(lookahead == 't')
                ADVANCE(712);
            END_STATE();
        case 687:
            if(lookahead == 't')
                ADVANCE(232);
            END_STATE();
        case 688:
            if(lookahead == 't')
                ADVANCE(965);
            END_STATE();
        case 689:
            if(lookahead == 't')
                ADVANCE(1118);
            END_STATE();
        case 690:
            if(lookahead == 't')
                ADVANCE(1069);
            END_STATE();
        case 691:
            if(lookahead == 't')
                ADVANCE(1069);
            if(lookahead == 'u')
                ADVANCE(525);
            END_STATE();
        case 692:
            if(lookahead == 't')
                ADVANCE(842);
            END_STATE();
        case 693:
            if(lookahead == 't')
                ADVANCE(967);
            END_STATE();
        case 694:
            if(lookahead == 't')
                ADVANCE(829);
            END_STATE();
        case 695:
            if(lookahead == 't')
                ADVANCE(810);
            END_STATE();
        case 696:
            if(lookahead == 't')
                ADVANCE(1099);
            END_STATE();
        case 697:
            if(lookahead == 't')
                ADVANCE(976);
            END_STATE();
        case 698:
            if(lookahead == 't')
                ADVANCE(1097);
            END_STATE();
        case 699:
            if(lookahead == 't')
                ADVANCE(1063);
            END_STATE();
        case 700:
            if(lookahead == 't')
                ADVANCE(1101);
            END_STATE();
        case 701:
            if(lookahead == 't')
                ADVANCE(984);
            END_STATE();
        case 702:
            if(lookahead == 't')
                ADVANCE(953);
            END_STATE();
        case 703:
            if(lookahead == 't')
                ADVANCE(1104);
            END_STATE();
        case 704:
            if(lookahead == 't')
                ADVANCE(1119);
            END_STATE();
        case 705:
            if(lookahead == 't')
                ADVANCE(833);
            END_STATE();
        case 706:
            if(lookahead == 't')
                ADVANCE(523);
            END_STATE();
        case 707:
            if(lookahead == 't')
                ADVANCE(113);
            END_STATE();
        case 708:
            if(lookahead == 't')
                ADVANCE(982);
            END_STATE();
        case 709:
            if(lookahead == 't')
                ADVANCE(306);
            END_STATE();
        case 710:
            if(lookahead == 't')
                ADVANCE(235);
            END_STATE();
        case 711:
            if(lookahead == 't')
                ADVANCE(114);
            END_STATE();
        case 712:
            if(lookahead == 't')
                ADVANCE(636);
            END_STATE();
        case 713:
            if(lookahead == 't')
                ADVANCE(784);
            END_STATE();
        case 714:
            if(lookahead == 't')
                ADVANCE(662);
            END_STATE();
        case 715:
            if(lookahead == 't')
                ADVANCE(445);
            END_STATE();
        case 716:
            if(lookahead == 't')
                ADVANCE(640);
            END_STATE();
        case 717:
            if(lookahead == 't')
                ADVANCE(588);
            END_STATE();
        case 718:
            if(lookahead == 't')
                ADVANCE(470);
            END_STATE();
        case 719:
            if(lookahead == 't')
                ADVANCE(782);
            END_STATE();
        case 720:
            if(lookahead == 't')
                ADVANCE(451);
            END_STATE();
        case 721:
            if(lookahead == 't')
                ADVANCE(668);
            END_STATE();
        case 722:
            if(lookahead == 't')
                ADVANCE(637);
            END_STATE();
        case 723:
            if(lookahead == 't')
                ADVANCE(382);
            END_STATE();
        case 724:
            if(lookahead == 't')
                ADVANCE(448);
            END_STATE();
        case 725:
            if(lookahead == 't')
                ADVANCE(280);
            END_STATE();
        case 726:
            if(lookahead == 't')
                ADVANCE(713);
            END_STATE();
        case 727:
            if(lookahead == 't')
                ADVANCE(356);
            END_STATE();
        case 728:
            if(lookahead == 't')
                ADVANCE(362);
            END_STATE();
        case 729:
            if(lookahead == 't')
                ADVANCE(397);
            END_STATE();
        case 730:
            if(lookahead == 't')
                ADVANCE(399);
            END_STATE();
        case 731:
            if(lookahead == 't')
                ADVANCE(398);
            END_STATE();
        case 732:
            if(lookahead == 't')
                ADVANCE(581);
            END_STATE();
        case 733:
            if(lookahead == 't')
                ADVANCE(415);
            END_STATE();
        case 734:
            if(lookahead == 't')
                ADVANCE(642);
            END_STATE();
        case 735:
            if(lookahead == 't')
                ADVANCE(641);
            END_STATE();
        case 736:
            if(lookahead == 't')
                ADVANCE(591);
            END_STATE();
        case 737:
            if(lookahead == 't')
                ADVANCE(593);
            END_STATE();
        case 738:
            if(lookahead == 't')
                ADVANCE(785);
            END_STATE();
        case 739:
            if(lookahead == 't')
                ADVANCE(474);
            END_STATE();
        case 740:
            if(lookahead == 't')
                ADVANCE(287);
            END_STATE();
        case 741:
            if(lookahead == 't')
                ADVANCE(745);
            END_STATE();
        case 742:
            if(lookahead == 't')
                ADVANCE(406);
            END_STATE();
        case 743:
            if(lookahead == 't')
                ADVANCE(475);
            END_STATE();
        case 744:
            if(lookahead == 't')
                ADVANCE(407);
            END_STATE();
        case 745:
            if(lookahead == 't')
                ADVANCE(787);
            END_STATE();
        case 746:
            if(lookahead == 't')
                ADVANCE(476);
            END_STATE();
        case 747:
            if(lookahead == 't')
                ADVANCE(288);
            END_STATE();
        case 748:
            if(lookahead == 't')
                ADVANCE(657);
            END_STATE();
        case 749:
            if(lookahead == 't')
                ADVANCE(237);
            END_STATE();
        case 750:
            if(lookahead == 'u')
                ADVANCE(518);
            END_STATE();
        case 751:
            if(lookahead == 'u')
                ADVANCE(624);
            END_STATE();
        case 752:
            if(lookahead == 'u')
                ADVANCE(544);
            END_STATE();
        case 753:
            if(lookahead == 'u')
                ADVANCE(501);
            END_STATE();
        case 754:
            if(lookahead == 'u')
                ADVANCE(376);
            END_STATE();
        case 755:
            if(lookahead == 'u')
                ADVANCE(693);
            END_STATE();
        case 756:
            if(lookahead == 'u')
                ADVANCE(387);
            END_STATE();
        case 757:
            if(lookahead == 'u')
                ADVANCE(351);
            END_STATE();
        case 758:
            if(lookahead == 'u')
                ADVANCE(525);
            END_STATE();
        case 759:
            if(lookahead == 'u')
                ADVANCE(297);
            END_STATE();
        case 760:
            if(lookahead == 'u')
                ADVANCE(569);
            END_STATE();
        case 761:
            if(lookahead == 'u')
                ADVANCE(504);
            END_STATE();
        case 762:
            if(lookahead == 'u')
                ADVANCE(312);
            END_STATE();
        case 763:
            if(lookahead == 'u')
                ADVANCE(500);
            END_STATE();
        case 764:
            if(lookahead == 'u')
                ADVANCE(557);
            END_STATE();
        case 765:
            if(lookahead == 'u')
                ADVANCE(505);
            END_STATE();
        case 766:
            if(lookahead == 'u')
                ADVANCE(728);
            END_STATE();
        case 767:
            if(lookahead == 'u')
                ADVANCE(408);
            END_STATE();
        case 768:
            if(lookahead == 'u')
                ADVANCE(302);
            END_STATE();
        case 769:
            if(lookahead == 'v')
                ADVANCE(244);
            END_STATE();
        case 770:
            if(lookahead == 'v')
                ADVANCE(458);
            END_STATE();
        case 771:
            if(lookahead == 'v')
                ADVANCE(447);
            END_STATE();
        case 772:
            if(lookahead == 'v')
                ADVANCE(354);
            END_STATE();
        case 773:
            if(lookahead == 'w')
                ADVANCE(247);
            END_STATE();
        case 774:
            if(lookahead == 'x')
                ADVANCE(1096);
            END_STATE();
        case 775:
            if(lookahead == 'x')
                ADVANCE(700);
            END_STATE();
        case 776:
            if(lookahead == 'y')
                ADVANCE(859);
            END_STATE();
        case 777:
            if(lookahead == 'y')
                ADVANCE(1015);
            END_STATE();
        case 778:
            if(lookahead == 'y')
                ADVANCE(1052);
            END_STATE();
        case 779:
            if(lookahead == 'y')
                ADVANCE(1082);
            END_STATE();
        case 780:
            if(lookahead == 'y')
                ADVANCE(970);
            END_STATE();
        case 781:
            if(lookahead == 'y')
                ADVANCE(1114);
            END_STATE();
        case 782:
            if(lookahead == 'y')
                ADVANCE(1004);
            END_STATE();
        case 783:
            if(lookahead == 'y')
                ADVANCE(483);
            END_STATE();
        case 784:
            if(lookahead == 'y')
                ADVANCE(614);
            END_STATE();
        case 785:
            if(lookahead == 'y')
                ADVANCE(615);
            END_STATE();
        case 786:
            if(lookahead == 'y')
                ADVANCE(616);
            END_STATE();
        case 787:
            if(lookahead == 'y')
                ADVANCE(617);
            END_STATE();
        case 788:
            if(lookahead == 'y')
                ADVANCE(618);
            END_STATE();
        case 789:
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(880);
            END_STATE();
        case 790:
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(884);
            END_STATE();
        case 791:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(890);
            END_STATE();
        case 792:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(899);
            END_STATE();
        case 793:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(792);
            END_STATE();
        case 794:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(793);
            END_STATE();
        case 795:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(794);
            END_STATE();
        case 796:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(795);
            END_STATE();
        case 797:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(796);
            END_STATE();
        case 798:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(797);
            END_STATE();
        case 799:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(798);
            END_STATE();
        case 800:
            if(lookahead != 0 &&
               lookahead != '*')
                ADVANCE(940);
            END_STATE();
        case 801:
            if(eof)
                ADVANCE(809);
            if(lookahead == '\n')
                SKIP(0);
            END_STATE();
        case 802:
            if(eof)
                ADVANCE(809);
            if(lookahead == '\n')
                SKIP(0);
            if(lookahead == '\r')
                SKIP(801);
            END_STATE();
        case 803:
            if(eof)
                ADVANCE(809);
            if(lookahead == '\n')
                SKIP(808);
            END_STATE();
        case 804:
            if(eof)
                ADVANCE(809);
            if(lookahead == '\n')
                SKIP(808);
            if(lookahead == '\r')
                SKIP(803);
            END_STATE();
        case 805:
            if(eof)
                ADVANCE(809);
            if(lookahead == '\n')
                SKIP(807);
            END_STATE();
        case 806:
            if(eof)
                ADVANCE(809);
            if(lookahead == '\n')
                SKIP(807);
            if(lookahead == '\r')
                SKIP(805);
            END_STATE();
        case 807:
            if(eof)
                ADVANCE(809);
            ADVANCE_MAP(
                '"', 903,
                '%', 876,
                '&', 868,
                '\'', 909,
                '(', 877,
                ')', 878,
                '*', 873,
                '+', 871,
                ',', 861,
                '-', 872,
                '/', 875,
                '0', 887,
                ':', 958,
                ';', 959,
                '<', 122,
                '=', 991,
                '>', 856,
                'F', 1133,
                'L', 908,
                'O', 1178,
                'T', 1138,
                'V', 1143,
            );
            if(lookahead == '\\')
                SKIP(806);
            if(lookahead == ']')
                ADVANCE(1087);
            if(lookahead == '^')
                ADVANCE(867);
            if(lookahead == 'a')
                ADVANCE(1355);
            if(lookahead == 'b')
                ADVANCE(1387);
            if(lookahead == 'c')
                ADVANCE(1283);
            if(lookahead == 'd')
                ADVANCE(1383);
            if(lookahead == 'f')
                ADVANCE(1286);
            if(lookahead == 'i')
                ADVANCE(1359);
            if(lookahead == 'l')
                ADVANCE(1385);
            if(lookahead == 'm')
                ADVANCE(1148);
            if(lookahead == 'o')
                ADVANCE(1196);
            if(lookahead == 's')
                ADVANCE(1223);
            if(lookahead == 'u')
                ADVANCE(1295);
            if(lookahead == 'w')
                ADVANCE(1189);
            if(lookahead == '{')
                ADVANCE(950);
            if(lookahead == '|')
                ADVANCE(866);
            if(lookahead == '}')
                ADVANCE(951);
            if(lookahead == '~')
                ADVANCE(879);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(807);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(889);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 808:
            if(eof)
                ADVANCE(809);
            if(lookahead == '#')
                ADVANCE(322);
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == '@')
                ADVANCE(987);
            if(lookahead == '\\')
                SKIP(804);
            if(lookahead == 'a')
                ADVANCE(291);
            if(lookahead == 'b')
                ADVANCE(465);
            if(lookahead == 'c')
                ADVANCE(580);
            if(lookahead == 'e')
                ADVANCE(542);
            if(lookahead == 'h')
                ADVANCE(575);
            if(lookahead == 'i')
                ADVANCE(521);
            if(lookahead == 'l')
                ADVANCE(582);
            if(lookahead == 'm')
                ADVANCE(577);
            if(lookahead == 'n')
                ADVANCE(250);
            if(lookahead == 'p')
                ADVANCE(606);
            if(lookahead == 's')
                ADVANCE(722);
            if(lookahead == 't')
                ADVANCE(786);
            if(lookahead == 'u')
                ADVANCE(568);
            if(lookahead == 'v')
                ADVANCE(269);
            if(lookahead == '}')
                ADVANCE(951);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(808);
            END_STATE();
        case 809:
            ACCEPT_TOKEN(ts_builtin_sym_end);
            END_STATE();
        case 810:
            ACCEPT_TOKEN(anon_sym_short);
            END_STATE();
        case 811:
            ACCEPT_TOKEN(anon_sym_short);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 812:
            ACCEPT_TOKEN(anon_sym_int16);
            END_STATE();
        case 813:
            ACCEPT_TOKEN(anon_sym_int16);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 814:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(334);
            END_STATE();
        case 815:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(334);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 816:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(512);
            END_STATE();
        case 817:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(512);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 818:
            ACCEPT_TOKEN(anon_sym_int32);
            END_STATE();
        case 819:
            ACCEPT_TOKEN(anon_sym_int32);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 820:
            ACCEPT_TOKEN(anon_sym_longlong);
            END_STATE();
        case 821:
            ACCEPT_TOKEN(anon_sym_int64);
            END_STATE();
        case 822:
            ACCEPT_TOKEN(anon_sym_int64);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 823:
            ACCEPT_TOKEN(sym_unsigned_tiny_int);
            END_STATE();
        case 824:
            ACCEPT_TOKEN(sym_unsigned_tiny_int);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 825:
            ACCEPT_TOKEN(sym_boolean_type);
            END_STATE();
        case 826:
            ACCEPT_TOKEN(sym_boolean_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 827:
            ACCEPT_TOKEN(anon_sym_fixed);
            END_STATE();
        case 828:
            ACCEPT_TOKEN(anon_sym_fixed);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 829:
            ACCEPT_TOKEN(sym_octet_type);
            END_STATE();
        case 830:
            ACCEPT_TOKEN(sym_octet_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 831:
            ACCEPT_TOKEN(sym_signed_tiny_int);
            END_STATE();
        case 832:
            ACCEPT_TOKEN(sym_signed_tiny_int);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 833:
            ACCEPT_TOKEN(anon_sym_unsignedshort);
            END_STATE();
        case 834:
            ACCEPT_TOKEN(anon_sym_uint16);
            END_STATE();
        case 835:
            ACCEPT_TOKEN(anon_sym_uint16);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 836:
            ACCEPT_TOKEN(anon_sym_unsignedlong);
            if(lookahead == ' ')
                ADVANCE(515);
            END_STATE();
        case 837:
            ACCEPT_TOKEN(anon_sym_uint32);
            END_STATE();
        case 838:
            ACCEPT_TOKEN(anon_sym_uint32);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 839:
            ACCEPT_TOKEN(anon_sym_unsignedlonglong);
            END_STATE();
        case 840:
            ACCEPT_TOKEN(anon_sym_uint64);
            END_STATE();
        case 841:
            ACCEPT_TOKEN(anon_sym_uint64);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 842:
            ACCEPT_TOKEN(anon_sym_float);
            END_STATE();
        case 843:
            ACCEPT_TOKEN(anon_sym_float);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 844:
            ACCEPT_TOKEN(anon_sym_double);
            END_STATE();
        case 845:
            ACCEPT_TOKEN(anon_sym_double);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 846:
            ACCEPT_TOKEN(anon_sym_longdouble);
            END_STATE();
        case 847:
            ACCEPT_TOKEN(sym_char_type);
            END_STATE();
        case 848:
            ACCEPT_TOKEN(sym_char_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 849:
            ACCEPT_TOKEN(sym_wide_char_type);
            END_STATE();
        case 850:
            ACCEPT_TOKEN(sym_wide_char_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 851:
            ACCEPT_TOKEN(anon_sym_COLON_COLON);
            END_STATE();
        case 852:
            ACCEPT_TOKEN(anon_sym_string);
            END_STATE();
        case 853:
            ACCEPT_TOKEN(anon_sym_string);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 854:
            ACCEPT_TOKEN(anon_sym_LT);
            END_STATE();
        case 855:
            ACCEPT_TOKEN(anon_sym_GT);
            END_STATE();
        case 856:
            ACCEPT_TOKEN(anon_sym_GT);
            if(lookahead == '>')
                ADVANCE(869);
            END_STATE();
        case 857:
            ACCEPT_TOKEN(anon_sym_wstring);
            END_STATE();
        case 858:
            ACCEPT_TOKEN(anon_sym_wstring);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 859:
            ACCEPT_TOKEN(anon_sym_any);
            END_STATE();
        case 860:
            ACCEPT_TOKEN(anon_sym_any);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 861:
            ACCEPT_TOKEN(anon_sym_COMMA);
            END_STATE();
        case 862:
            ACCEPT_TOKEN(anon_sym_sequence);
            END_STATE();
        case 863:
            ACCEPT_TOKEN(anon_sym_sequence);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 864:
            ACCEPT_TOKEN(anon_sym_map);
            END_STATE();
        case 865:
            ACCEPT_TOKEN(anon_sym_map);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 866:
            ACCEPT_TOKEN(anon_sym_PIPE);
            END_STATE();
        case 867:
            ACCEPT_TOKEN(anon_sym_CARET);
            END_STATE();
        case 868:
            ACCEPT_TOKEN(anon_sym_AMP);
            END_STATE();
        case 869:
            ACCEPT_TOKEN(anon_sym_GT_GT);
            END_STATE();
        case 870:
            ACCEPT_TOKEN(anon_sym_LT_LT);
            END_STATE();
        case 871:
            ACCEPT_TOKEN(anon_sym_PLUS);
            END_STATE();
        case 872:
            ACCEPT_TOKEN(anon_sym_DASH);
            END_STATE();
        case 873:
            ACCEPT_TOKEN(anon_sym_STAR);
            END_STATE();
        case 874:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '*')
                ADVANCE(1544);
            if(lookahead == '/')
                ADVANCE(1534);
            END_STATE();
        case 875:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '*')
                ADVANCE(1544);
            if(lookahead == '/')
                ADVANCE(1532);
            END_STATE();
        case 876:
            ACCEPT_TOKEN(anon_sym_PERCENT);
            END_STATE();
        case 877:
            ACCEPT_TOKEN(anon_sym_LPAREN);
            END_STATE();
        case 878:
            ACCEPT_TOKEN(anon_sym_RPAREN);
            END_STATE();
        case 879:
            ACCEPT_TOKEN(anon_sym_TILDE);
            END_STATE();
        case 880:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(880);
            END_STATE();
        case 881:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(881);
            if(('2' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 882:
            ACCEPT_TOKEN(aux_sym_oct_number_token1);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(882);
            END_STATE();
        case 883:
            ACCEPT_TOKEN(aux_sym_oct_number_token1);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(883);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 884:
            ACCEPT_TOKEN(aux_sym_oct_number_token2);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(884);
            END_STATE();
        case 885:
            ACCEPT_TOKEN(aux_sym_oct_number_token2);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(885);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 886:
            ACCEPT_TOKEN(anon_sym_0);
            if(lookahead == 'o')
                ADVANCE(790);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(789);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(791);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(882);
            END_STATE();
        case 887:
            ACCEPT_TOKEN(anon_sym_0);
            if(lookahead == 'o')
                ADVANCE(1529);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1528);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1530);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(883);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 888:
            ACCEPT_TOKEN(aux_sym_dec_number_token1);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(888);
            END_STATE();
        case 889:
            ACCEPT_TOKEN(aux_sym_dec_number_token1);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(889);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 890:
            ACCEPT_TOKEN(sym_hex_number);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(890);
            END_STATE();
        case 891:
            ACCEPT_TOKEN(sym_hex_number);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(891);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 892:
            ACCEPT_TOKEN(anon_sym_DOT);
            END_STATE();
        case 893:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            END_STATE();
        case 894:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            if(lookahead == 'N')
                ADVANCE(147);
            END_STATE();
        case 895:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            if(lookahead == 'm')
                ADVANCE(457);
            if(lookahead == 'n')
                ADVANCE(750);
            if(lookahead == 'v')
                ADVANCE(403);
            if(lookahead == 'x')
                ADVANCE(310);
            END_STATE();
        case 896:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            END_STATE();
        case 897:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            if(lookahead == 'D')
                ADVANCE(217);
            END_STATE();
        case 898:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            if(lookahead == 'e')
                ADVANCE(414);
            if(lookahead == 'o')
                ADVANCE(759);
            END_STATE();
        case 899:
            ACCEPT_TOKEN(sym_escape_sequence);
            END_STATE();
        case 900:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(lookahead == '\\')
                ADVANCE(55);
            END_STATE();
        case 901:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(899);
            END_STATE();
        case 902:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(901);
            END_STATE();
        case 903:
            ACCEPT_TOKEN(anon_sym_DQUOTE);
            END_STATE();
        case 904:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '*')
                ADVANCE(906);
            if(lookahead == '/')
                ADVANCE(906);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(906);
            END_STATE();
        case 905:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '/')
                ADVANCE(904);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(905);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead) &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(906);
            END_STATE();
        case 906:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(906);
            END_STATE();
        case 907:
            ACCEPT_TOKEN(anon_sym_L);
            END_STATE();
        case 908:
            ACCEPT_TOKEN(anon_sym_L);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 909:
            ACCEPT_TOKEN(anon_sym_SQUOTE);
            END_STATE();
        case 910:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            END_STATE();
        case 911:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '\n')
                ADVANCE(900);
            if(lookahead == '\r')
                ADVANCE(899);
            if(lookahead == 'U')
                ADVANCE(799);
            if(lookahead == 'u')
                ADVANCE(795);
            if(lookahead == 'x')
                ADVANCE(793);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(902);
            if(lookahead != 0)
                ADVANCE(899);
            END_STATE();
        case 912:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '*')
                ADVANCE(1544);
            if(lookahead == '/')
                ADVANCE(1532);
            END_STATE();
        case 913:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '\\')
                ADVANCE(55);
            END_STATE();
        case 914:
            ACCEPT_TOKEN(anon_sym_TRUE);
            END_STATE();
        case 915:
            ACCEPT_TOKEN(anon_sym_TRUE);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 916:
            ACCEPT_TOKEN(anon_sym_FALSE);
            END_STATE();
        case 917:
            ACCEPT_TOKEN(anon_sym_FALSE);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 918:
            ACCEPT_TOKEN(anon_sym_POUNDdefine);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(935);
            END_STATE();
        case 919:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '\r')
                ADVANCE(922);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(922);
            END_STATE();
        case 920:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '*')
                ADVANCE(1548);
            if(lookahead == '/')
                ADVANCE(1537);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(922);
            END_STATE();
        case 921:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '/')
                ADVANCE(920);
            if(lookahead == '\\')
                ADVANCE(919);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(921);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(922);
            END_STATE();
        case 922:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(922);
            END_STATE();
        case 923:
            ACCEPT_TOKEN(aux_sym_preproc_call_token1);
            END_STATE();
        case 924:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'c')
                ADVANCE(931);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(935);
            END_STATE();
        case 925:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'd')
                ADVANCE(928);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(935);
            END_STATE();
        case 926:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(929);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(935);
            END_STATE();
        case 927:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(918);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(935);
            END_STATE();
        case 928:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(942);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(935);
            END_STATE();
        case 929:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'f')
                ADVANCE(930);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(935);
            END_STATE();
        case 930:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'i')
                ADVANCE(933);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(935);
            END_STATE();
        case 931:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'l')
                ADVANCE(934);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(935);
            END_STATE();
        case 932:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'n')
                ADVANCE(924);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(935);
            END_STATE();
        case 933:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'n')
                ADVANCE(927);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(935);
            END_STATE();
        case 934:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'u')
                ADVANCE(925);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(935);
            END_STATE();
        case 935:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(935);
            END_STATE();
        case 936:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\n')
                SKIP(98);
            if(lookahead == '\r')
                ADVANCE(937);
            if(lookahead == '/')
                ADVANCE(800);
            if(lookahead == '\\')
                ADVANCE(938);
            if(lookahead != 0)
                ADVANCE(940);
            END_STATE();
        case 937:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\n')
                SKIP(98);
            if(lookahead == '/')
                ADVANCE(800);
            if(lookahead == '\\')
                ADVANCE(938);
            if(lookahead != 0)
                ADVANCE(940);
            END_STATE();
        case 938:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\r')
                ADVANCE(941);
            if(lookahead == '/')
                ADVANCE(800);
            if(lookahead == '\\')
                ADVANCE(938);
            if(lookahead != 0)
                ADVANCE(940);
            END_STATE();
        case 939:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '*')
                ADVANCE(1544);
            if(lookahead == '/')
                ADVANCE(1532);
            if(lookahead == '\\')
                ADVANCE(938);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(940);
            END_STATE();
        case 940:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '/')
                ADVANCE(800);
            if(lookahead == '\\')
                ADVANCE(938);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(940);
            END_STATE();
        case 941:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '/')
                ADVANCE(800);
            if(lookahead == '\\')
                ADVANCE(938);
            if(lookahead != 0)
                ADVANCE(940);
            END_STATE();
        case 942:
            ACCEPT_TOKEN(aux_sym_preproc_include_token1);
            END_STATE();
        case 943:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\r')
                ADVANCE(946);
            if(lookahead == '\\')
                ADVANCE(947);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(946);
            END_STATE();
        case 944:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '*')
                ADVANCE(1546);
            if(lookahead == '/')
                ADVANCE(1535);
            if(lookahead == '\\')
                ADVANCE(947);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(946);
            END_STATE();
        case 945:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '/')
                ADVANCE(944);
            if(lookahead == '\\')
                ADVANCE(943);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(945);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead) &&
               lookahead != '>')
                ADVANCE(946);
            END_STATE();
        case 946:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\\')
                ADVANCE(947);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(946);
            END_STATE();
        case 947:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\\')
                ADVANCE(947);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(946);
            END_STATE();
        case 948:
            ACCEPT_TOKEN(anon_sym_exception);
            END_STATE();
        case 949:
            ACCEPT_TOKEN(anon_sym_exception);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 950:
            ACCEPT_TOKEN(anon_sym_LBRACE);
            END_STATE();
        case 951:
            ACCEPT_TOKEN(anon_sym_RBRACE);
            END_STATE();
        case 952:
            ACCEPT_TOKEN(anon_sym_local);
            END_STATE();
        case 953:
            ACCEPT_TOKEN(anon_sym_abstract);
            END_STATE();
        case 954:
            ACCEPT_TOKEN(anon_sym_abstract);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 955:
            ACCEPT_TOKEN(anon_sym_interface);
            END_STATE();
        case 956:
            ACCEPT_TOKEN(anon_sym_interface);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 957:
            ACCEPT_TOKEN(anon_sym_COLON);
            END_STATE();
        case 958:
            ACCEPT_TOKEN(anon_sym_COLON);
            if(lookahead == ':')
                ADVANCE(851);
            END_STATE();
        case 959:
            ACCEPT_TOKEN(anon_sym_SEMI);
            END_STATE();
        case 960:
            ACCEPT_TOKEN(anon_sym_void);
            END_STATE();
        case 961:
            ACCEPT_TOKEN(anon_sym_void);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 962:
            ACCEPT_TOKEN(anon_sym_in);
            END_STATE();
        case 963:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 'o')
                ADVANCE(755);
            if(lookahead == 't')
                ADVANCE(112);
            END_STATE();
        case 964:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 'o')
                ADVANCE(1498);
            if(lookahead == 't')
                ADVANCE(1125);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 965:
            ACCEPT_TOKEN(anon_sym_out);
            END_STATE();
        case 966:
            ACCEPT_TOKEN(anon_sym_out);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 967:
            ACCEPT_TOKEN(anon_sym_inout);
            END_STATE();
        case 968:
            ACCEPT_TOKEN(anon_sym_inout);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 969:
            ACCEPT_TOKEN(anon_sym_raises);
            END_STATE();
        case 970:
            ACCEPT_TOKEN(anon_sym_readonly);
            END_STATE();
        case 971:
            ACCEPT_TOKEN(anon_sym_readonly);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 972:
            ACCEPT_TOKEN(anon_sym_attribute);
            END_STATE();
        case 973:
            ACCEPT_TOKEN(anon_sym_attribute);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 974:
            ACCEPT_TOKEN(anon_sym_getraises);
            END_STATE();
        case 975:
            ACCEPT_TOKEN(anon_sym_setraises);
            END_STATE();
        case 976:
            ACCEPT_TOKEN(anon_sym_bitset);
            END_STATE();
        case 977:
            ACCEPT_TOKEN(anon_sym_bitset);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 978:
            ACCEPT_TOKEN(anon_sym_bitfield);
            END_STATE();
        case 979:
            ACCEPT_TOKEN(anon_sym_bitmask);
            END_STATE();
        case 980:
            ACCEPT_TOKEN(anon_sym_bitmask);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 981:
            ACCEPT_TOKEN(anon_sym_ATannotation);
            END_STATE();
        case 982:
            ACCEPT_TOKEN(anon_sym_default);
            END_STATE();
        case 983:
            ACCEPT_TOKEN(anon_sym_default);
            if(lookahead == '_')
                ADVANCE(1328);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 984:
            ACCEPT_TOKEN(anon_sym_default);
            if(lookahead == '_')
                ADVANCE(516);
            END_STATE();
        case 985:
            ACCEPT_TOKEN(anon_sym_default);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 986:
            ACCEPT_TOKEN(anon_sym_AT);
            END_STATE();
        case 987:
            ACCEPT_TOKEN(anon_sym_AT);
            if(lookahead == 'a')
                ADVANCE(543);
            if(lookahead == 'i')
                ADVANCE(430);
            END_STATE();
        case 988:
            ACCEPT_TOKEN(anon_sym_AT);
            if(lookahead == 'i')
                ADVANCE(430);
            END_STATE();
        case 989:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH_AT);
            END_STATE();
        case 990:
            ACCEPT_TOKEN(aux_sym_extend_annotation_appl_token1);
            if(lookahead == '\n')
                ADVANCE(990);
            if(lookahead == '\r')
                ADVANCE(47);
            if(lookahead == '/')
                ADVANCE(86);
            END_STATE();
        case 991:
            ACCEPT_TOKEN(anon_sym_EQ);
            END_STATE();
        case 992:
            ACCEPT_TOKEN(anon_sym_id);
            if(lookahead == 'l')
                ADVANCE(1041);
            END_STATE();
        case 993:
            ACCEPT_TOKEN(anon_sym_id);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 994:
            ACCEPT_TOKEN(anon_sym_autoid);
            END_STATE();
        case 995:
            ACCEPT_TOKEN(anon_sym_autoid);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 996:
            ACCEPT_TOKEN(anon_sym_SEQUENTIAL);
            END_STATE();
        case 997:
            ACCEPT_TOKEN(anon_sym_HASH);
            END_STATE();
        case 998:
            ACCEPT_TOKEN(anon_sym_optional);
            END_STATE();
        case 999:
            ACCEPT_TOKEN(anon_sym_optional);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1000:
            ACCEPT_TOKEN(anon_sym_position);
            END_STATE();
        case 1001:
            ACCEPT_TOKEN(anon_sym_position);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1002:
            ACCEPT_TOKEN(anon_sym_value);
            if(lookahead == 't')
                ADVANCE(785);
            END_STATE();
        case 1003:
            ACCEPT_TOKEN(anon_sym_value);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1004:
            ACCEPT_TOKEN(anon_sym_extensibility);
            END_STATE();
        case 1005:
            ACCEPT_TOKEN(anon_sym_extensibility);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1006:
            ACCEPT_TOKEN(anon_sym_FINAL);
            END_STATE();
        case 1007:
            ACCEPT_TOKEN(anon_sym_APPENDABLE);
            END_STATE();
        case 1008:
            ACCEPT_TOKEN(anon_sym_MUTABLE);
            END_STATE();
        case 1009:
            ACCEPT_TOKEN(anon_sym_final);
            END_STATE();
        case 1010:
            ACCEPT_TOKEN(anon_sym_final);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1011:
            ACCEPT_TOKEN(anon_sym_appendable);
            END_STATE();
        case 1012:
            ACCEPT_TOKEN(anon_sym_appendable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1013:
            ACCEPT_TOKEN(anon_sym_mutable);
            END_STATE();
        case 1014:
            ACCEPT_TOKEN(anon_sym_mutable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1015:
            ACCEPT_TOKEN(anon_sym_key);
            END_STATE();
        case 1016:
            ACCEPT_TOKEN(anon_sym_key);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1017:
            ACCEPT_TOKEN(anon_sym_must_understand);
            END_STATE();
        case 1018:
            ACCEPT_TOKEN(anon_sym_must_understand);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1019:
            ACCEPT_TOKEN(anon_sym_default_literal);
            END_STATE();
        case 1020:
            ACCEPT_TOKEN(anon_sym_default_literal);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1021:
            ACCEPT_TOKEN(anon_sym_range);
            END_STATE();
        case 1022:
            ACCEPT_TOKEN(anon_sym_range);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1023:
            ACCEPT_TOKEN(anon_sym_min);
            END_STATE();
        case 1024:
            ACCEPT_TOKEN(anon_sym_min);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1025:
            ACCEPT_TOKEN(anon_sym_max);
            END_STATE();
        case 1026:
            ACCEPT_TOKEN(anon_sym_max);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1027:
            ACCEPT_TOKEN(anon_sym_unit);
            END_STATE();
        case 1028:
            ACCEPT_TOKEN(anon_sym_unit);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1029:
            ACCEPT_TOKEN(anon_sym_bit_bound);
            END_STATE();
        case 1030:
            ACCEPT_TOKEN(anon_sym_bit_bound);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1031:
            ACCEPT_TOKEN(anon_sym_external);
            END_STATE();
        case 1032:
            ACCEPT_TOKEN(anon_sym_external);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1033:
            ACCEPT_TOKEN(anon_sym_nested);
            END_STATE();
        case 1034:
            ACCEPT_TOKEN(anon_sym_nested);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1035:
            ACCEPT_TOKEN(anon_sym_verbatim);
            END_STATE();
        case 1036:
            ACCEPT_TOKEN(anon_sym_verbatim);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1037:
            ACCEPT_TOKEN(anon_sym_c);
            if(lookahead == '+')
                ADVANCE(91);
            END_STATE();
        case 1038:
            ACCEPT_TOKEN(anon_sym_c);
            if(lookahead == '+')
                ADVANCE(91);
            if(lookahead == 'a')
                ADVANCE(676);
            if(lookahead == 'h')
                ADVANCE(252);
            if(lookahead == 'o')
                ADVANCE(528);
            if(lookahead == 'u')
                ADVANCE(675);
            END_STATE();
        case 1039:
            ACCEPT_TOKEN(anon_sym_c_PLUS_PLUS);
            END_STATE();
        case 1040:
            ACCEPT_TOKEN(anon_sym_java);
            END_STATE();
        case 1041:
            ACCEPT_TOKEN(anon_sym_idl);
            END_STATE();
        case 1042:
            ACCEPT_TOKEN(anon_sym_BEGIN_FILE);
            END_STATE();
        case 1043:
            ACCEPT_TOKEN(anon_sym_BEFORE_DECLARATION);
            END_STATE();
        case 1044:
            ACCEPT_TOKEN(anon_sym_BEGIN_DECLARATION);
            END_STATE();
        case 1045:
            ACCEPT_TOKEN(anon_sym_END_DECLARATION);
            END_STATE();
        case 1046:
            ACCEPT_TOKEN(anon_sym_AFTER_DECLARATION);
            END_STATE();
        case 1047:
            ACCEPT_TOKEN(anon_sym_END_FILE);
            END_STATE();
        case 1048:
            ACCEPT_TOKEN(anon_sym_service);
            END_STATE();
        case 1049:
            ACCEPT_TOKEN(anon_sym_service);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1050:
            ACCEPT_TOKEN(anon_sym_CORBA);
            END_STATE();
        case 1051:
            ACCEPT_TOKEN(anon_sym_DDS);
            END_STATE();
        case 1052:
            ACCEPT_TOKEN(anon_sym_oneway);
            END_STATE();
        case 1053:
            ACCEPT_TOKEN(anon_sym_oneway);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1054:
            ACCEPT_TOKEN(anon_sym_ami);
            END_STATE();
        case 1055:
            ACCEPT_TOKEN(anon_sym_ami);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1056:
            ACCEPT_TOKEN(anon_sym_module);
            END_STATE();
        case 1057:
            ACCEPT_TOKEN(anon_sym_typename);
            END_STATE();
        case 1058:
            ACCEPT_TOKEN(anon_sym_typename);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1059:
            ACCEPT_TOKEN(anon_sym_valuetype);
            END_STATE();
        case 1060:
            ACCEPT_TOKEN(anon_sym_valuetype);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1061:
            ACCEPT_TOKEN(anon_sym_eventtype);
            END_STATE();
        case 1062:
            ACCEPT_TOKEN(anon_sym_eventtype);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1063:
            ACCEPT_TOKEN(anon_sym_struct);
            END_STATE();
        case 1064:
            ACCEPT_TOKEN(anon_sym_struct);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1065:
            ACCEPT_TOKEN(anon_sym_union);
            END_STATE();
        case 1066:
            ACCEPT_TOKEN(anon_sym_union);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1067:
            ACCEPT_TOKEN(anon_sym_enum);
            END_STATE();
        case 1068:
            ACCEPT_TOKEN(anon_sym_enum);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1069:
            ACCEPT_TOKEN(anon_sym_const);
            END_STATE();
        case 1070:
            ACCEPT_TOKEN(anon_sym_const);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1071:
            ACCEPT_TOKEN(anon_sym_alias);
            END_STATE();
        case 1072:
            ACCEPT_TOKEN(anon_sym_custom);
            END_STATE();
        case 1073:
            ACCEPT_TOKEN(anon_sym_custom);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1074:
            ACCEPT_TOKEN(anon_sym_truncatable);
            END_STATE();
        case 1075:
            ACCEPT_TOKEN(anon_sym_truncatable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1076:
            ACCEPT_TOKEN(anon_sym_supports);
            END_STATE();
        case 1077:
            ACCEPT_TOKEN(anon_sym_supports);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1078:
            ACCEPT_TOKEN(anon_sym_public);
            END_STATE();
        case 1079:
            ACCEPT_TOKEN(anon_sym_public);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1080:
            ACCEPT_TOKEN(anon_sym_private);
            END_STATE();
        case 1081:
            ACCEPT_TOKEN(anon_sym_private);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1082:
            ACCEPT_TOKEN(anon_sym_factory);
            END_STATE();
        case 1083:
            ACCEPT_TOKEN(anon_sym_factory);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1084:
            ACCEPT_TOKEN(anon_sym_typedef);
            END_STATE();
        case 1085:
            ACCEPT_TOKEN(anon_sym_typedef);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1086:
            ACCEPT_TOKEN(anon_sym_LBRACK);
            END_STATE();
        case 1087:
            ACCEPT_TOKEN(anon_sym_RBRACK);
            END_STATE();
        case 1088:
            ACCEPT_TOKEN(anon_sym_ATdefault_literal);
            END_STATE();
        case 1089:
            ACCEPT_TOKEN(anon_sym_ATignore_literal_names);
            END_STATE();
        case 1090:
            ACCEPT_TOKEN(anon_sym_switch);
            END_STATE();
        case 1091:
            ACCEPT_TOKEN(anon_sym_switch);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1092:
            ACCEPT_TOKEN(anon_sym_case);
            END_STATE();
        case 1093:
            ACCEPT_TOKEN(anon_sym_case);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1094:
            ACCEPT_TOKEN(anon_sym_typeid);
            END_STATE();
        case 1095:
            ACCEPT_TOKEN(anon_sym_typeid);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1096:
            ACCEPT_TOKEN(anon_sym_typeprefix);
            END_STATE();
        case 1097:
            ACCEPT_TOKEN(anon_sym_import);
            END_STATE();
        case 1098:
            ACCEPT_TOKEN(anon_sym_import);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1099:
            ACCEPT_TOKEN(anon_sym_Object);
            END_STATE();
        case 1100:
            ACCEPT_TOKEN(anon_sym_Object);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1101:
            ACCEPT_TOKEN(anon_sym_context);
            END_STATE();
        case 1102:
            ACCEPT_TOKEN(sym_value_base_type);
            END_STATE();
        case 1103:
            ACCEPT_TOKEN(sym_value_base_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1104:
            ACCEPT_TOKEN(anon_sym_component);
            END_STATE();
        case 1105:
            ACCEPT_TOKEN(anon_sym_provides);
            END_STATE();
        case 1106:
            ACCEPT_TOKEN(anon_sym_uses);
            END_STATE();
        case 1107:
            ACCEPT_TOKEN(anon_sym_multiple);
            END_STATE();
        case 1108:
            ACCEPT_TOKEN(anon_sym_multiple);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1109:
            ACCEPT_TOKEN(anon_sym_home);
            END_STATE();
        case 1110:
            ACCEPT_TOKEN(anon_sym_manages);
            END_STATE();
        case 1111:
            ACCEPT_TOKEN(anon_sym_emits);
            END_STATE();
        case 1112:
            ACCEPT_TOKEN(anon_sym_publishes);
            END_STATE();
        case 1113:
            ACCEPT_TOKEN(anon_sym_consumes);
            END_STATE();
        case 1114:
            ACCEPT_TOKEN(anon_sym_primarykey);
            END_STATE();
        case 1115:
            ACCEPT_TOKEN(anon_sym_finder);
            END_STATE();
        case 1116:
            ACCEPT_TOKEN(anon_sym_finder);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1117:
            ACCEPT_TOKEN(anon_sym_porttype);
            END_STATE();
        case 1118:
            ACCEPT_TOKEN(anon_sym_port);
            END_STATE();
        case 1119:
            ACCEPT_TOKEN(anon_sym_mirrorport);
            END_STATE();
        case 1120:
            ACCEPT_TOKEN(anon_sym_connector);
            END_STATE();
        case 1121:
            ACCEPT_TOKEN(anon_sym_native);
            END_STATE();
        case 1122:
            ACCEPT_TOKEN(anon_sym_native);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1123:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == ' ')
                ADVANCE(514);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1124:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1131);
            if(lookahead == '3')
                ADVANCE(1127);
            if(lookahead == '6')
                ADVANCE(1129);
            if(lookahead == '8')
                ADVANCE(832);
            if(lookahead == 'e')
                ADVANCE(1431);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1125:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1131);
            if(lookahead == '3')
                ADVANCE(1127);
            if(lookahead == '6')
                ADVANCE(1129);
            if(lookahead == '8')
                ADVANCE(832);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1126:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1132);
            if(lookahead == '3')
                ADVANCE(1128);
            if(lookahead == '6')
                ADVANCE(1130);
            if(lookahead == '8')
                ADVANCE(824);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1127:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '2')
                ADVANCE(819);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1128:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '2')
                ADVANCE(838);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1129:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '4')
                ADVANCE(822);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1130:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '4')
                ADVANCE(841);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1131:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '6')
                ADVANCE(813);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1132:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '6')
                ADVANCE(835);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1133:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A')
                ADVANCE(1137);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1134:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B')
                ADVANCE(1150);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1135:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E')
                ADVANCE(915);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1136:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E')
                ADVANCE(917);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1137:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L')
                ADVANCE(1139);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1138:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R')
                ADVANCE(1140);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1139:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S')
                ADVANCE(1136);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1140:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U')
                ADVANCE(1135);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1141:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1184);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1142:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1499);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1143:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1323);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1144:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1218);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1145:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1435);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1146:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1197);
            if(lookahead == 'i')
                ADVANCE(1515);
            if(lookahead == 'l')
                ADVANCE(1397);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1147:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1197);
            if(lookahead == 'i')
                ADVANCE(1365);
            if(lookahead == 'l')
                ADVANCE(1397);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1148:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1402);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1149:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1518);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1150:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1441);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1151:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1514);
            if(lookahead == 'i')
                ADVANCE(1352);
            if(lookahead == 'u')
                ADVANCE(1443);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1152:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1417);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1153:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1346);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1154:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1485);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1155:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1495);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1156:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1418);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1157:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1319);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1158:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1320);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1159:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1321);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1160:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1451);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1161:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1349);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1162:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1322);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1163:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1364);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1164:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1369);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1165:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1479);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1166:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1491);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1167:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1442);
            if(lookahead == 'h')
                ADVANCE(1152);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1168:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1478);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1169:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1202);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1170:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1185);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1171:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1186);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1172:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1201);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1173:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1188);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1174:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1337);
            if(lookahead == 'o')
                ADVANCE(1292);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1175:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1337);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1176:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1504);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1177:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1338);
            if(lookahead == 'e')
                ADVANCE(1421);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1178:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1317);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1179:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1445);
            if(lookahead == 'n')
                ADVANCE(1517);
            if(lookahead == 't')
                ADVANCE(1466);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1180:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1326);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1181:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1327);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1182:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1506);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1183:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1310);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1184:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1399);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1185:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1332);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1186:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1333);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1187:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1165);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1188:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1335);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1189:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1285);
            if(lookahead == 's')
                ADVANCE(1486);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1190:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1285);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1191:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1079);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1192:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1280);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1193:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1249);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1194:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1472);
            if(lookahead == 'n')
                ADVANCE(1224);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1195:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1472);
            if(lookahead == 'u')
                ADVANCE(1460);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1196:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1472);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1197:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1474);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1198:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1454);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1199:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1231);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1200:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1457);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1201:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1458);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1202:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1238);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1203:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1243);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1204:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1166);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1205:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(961);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1206:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(828);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1207:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1095);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1208:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1123);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1209:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(993);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1210:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(995);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1211:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1034);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1212:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1030);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1213:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1018);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1214:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1229);
            if(lookahead == 'i')
                ADVANCE(1207);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1215:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1229);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1216:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1254);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1217:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1259);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1218:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1391);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1219:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1171);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1220:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1414);
            if(lookahead == 'h')
                ADVANCE(1388);
            if(lookahead == 't')
                ADVANCE(1416);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1221:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1414);
            if(lookahead == 'h')
                ADVANCE(1388);
            if(lookahead == 't')
                ADVANCE(1424);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1222:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1414);
            if(lookahead == 'h')
                ADVANCE(1388);
            if(lookahead == 't')
                ADVANCE(1426);
            if(lookahead == 'u')
                ADVANCE(1413);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1223:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1414);
            if(lookahead == 'h')
                ADVANCE(1388);
            if(lookahead == 't')
                ADVANCE(1426);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1224:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1512);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1225:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1214);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1226:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1134);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1227:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(845);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1228:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1122);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1229:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1270);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1230:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1081);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1231:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(863);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1232:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1103);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1233:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(973);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1234:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1060);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1235:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1093);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1236:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1058);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1237:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1062);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1238:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(956);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1239:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1377);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1240:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1022);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1241:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1003);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1242:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1014);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1243:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1049);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1244:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1012);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1245:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1108);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1246:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1075);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1247:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1271);
            if(lookahead == 'o')
                ADVANCE(1503);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1248:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1206);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1249:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1404);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1250:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1144);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1251:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1208);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1252:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1521);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1253:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1375);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1254:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1419);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1255:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1161);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1256:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1211);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1257:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1452);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1258:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1420);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1259:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1434);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1260:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1455);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1261:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1433);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1262:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1370);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1263:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1488);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1264:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1367);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1265:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1198);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1266:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1215);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1267:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1373);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1268:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1447);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1269:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1273);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1270:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1085);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1271:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1155);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1272:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1169);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1273:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1176);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1274:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(815);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1275:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(853);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1276:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(858);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1277:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(817);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1278:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(1371);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1279:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(1240);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1280:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1091);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1281:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1152);
            if(lookahead == 'o')
                ADVANCE(1380);
            if(lookahead == 'u')
                ADVANCE(1438);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1282:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1152);
            if(lookahead == 'o')
                ADVANCE(1380);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1283:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1152);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1284:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1388);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1285:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1156);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1286:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1515);
            if(lookahead == 'l')
                ADVANCE(1397);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1287:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1511);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1288:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1055);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1289:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1448);
            if(lookahead == 'o')
                ADVANCE(1384);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1290:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1278);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1291:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1509);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1292:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1205);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1293:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1182);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1294:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1366);
            if(lookahead == 'n')
                ADVANCE(1309);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1295:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1366);
            if(lookahead == 'n')
                ADVANCE(1437);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1296:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1191);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1297:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1360);
            if(lookahead == 'u')
                ADVANCE(1200);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1298:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1360);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1299:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1343);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1300:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1183);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1301:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1412);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1302:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1361);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1303:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1210);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1304:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1374);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1305:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1463);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1306:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1464);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1307:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1475);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1308:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1473);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1309:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1389);
            if(lookahead == 's')
                ADVANCE(1290);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1310:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1339);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1311:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1203);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1312:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1393);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1313:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1401);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1314:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1394);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1315:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1484);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1316:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1490);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1317:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'j')
                ADVANCE(1265);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1318:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'k')
                ADVANCE(980);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1319:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1010);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1320:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1032);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1321:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(999);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1322:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1020);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1323:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1496);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1324:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1397);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1325:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1520);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1326:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1296);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1327:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1227);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1328:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1315);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1329:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1459);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1330:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1465);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1331:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1480);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1332:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1242);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1333:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1244);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1334:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1245);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1335:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1246);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1336:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1255);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1337:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1507);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1338:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1502);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1339:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1307);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1340:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1410);
            if(lookahead == 'n')
                ADVANCE(1449);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1341:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1068);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1342:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1073);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1343:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1036);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1344:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1145);
            if(lookahead == 's')
                ADVANCE(1260);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1345:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1288);
            if(lookahead == 'p')
                ADVANCE(1409);
            if(lookahead == 'u')
                ADVANCE(1477);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1346:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1236);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1347:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1274);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1348:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1066);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1349:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(826);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1350:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(949);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1351:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(964);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1352:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1024);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1353:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1001);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1354:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1224);
            if(lookahead == 'p')
                ADVANCE(1489);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1355:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1517);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1356:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1494);
            if(lookahead == 'v')
                ADVANCE(1267);
            if(lookahead == 'x')
                ADVANCE(1193);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1357:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1494);
            if(lookahead == 'x')
                ADVANCE(1193);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1358:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1494);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1359:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1449);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1360:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1275);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1361:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1276);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1362:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1325);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1363:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1204);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1364:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1279);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1365:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1216);
            if(lookahead == 'x')
                ADVANCE(1248);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1366:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1467);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1367:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1219);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1368:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1212);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1369:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1213);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1370:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1153);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1371:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1251);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1372:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1462);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1373:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1493);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1374:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1157);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1375:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1199);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1376:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1277);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1377:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1440);
            if(lookahead == 'r')
                ADVANCE(1379);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1378:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1306);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1379:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1158);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1380:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1439);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1381:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1217);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1382:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1159);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1383:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1503);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1384:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1336);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1385:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1347);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1386:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1342);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1387:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1384);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1388:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1428);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1389:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1348);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1390:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1446);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1391:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1362);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1392:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1422);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1393:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1350);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1394:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1353);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1395:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1376);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1396:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1303);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1397:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1160);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1398:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1429);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1399:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1500);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1400:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1430);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1401:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1382);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1402:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(865);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1403:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1225);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1404:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1476);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1405:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1234);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1406:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1266);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1407:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1262);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1408:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1237);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1409:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1264);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1410:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1398);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1411:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1400);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1412:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1334);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1413:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1411);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1414:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'q')
                ADVANCE(1497);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1415:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1287);
            if(lookahead == 'u')
                ADVANCE(1180);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1416:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1297);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1417:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(848);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1418:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(850);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1419:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1116);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1420:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1510);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1421:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1187);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1422:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1519);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1423:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1293);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1424:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1505);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1425:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1302);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1426:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1298);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1427:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1172);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1428:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1453);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1429:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1456);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1430:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1469);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1431:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1272);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1432:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1501);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1433:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1162);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1434:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1444);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1435:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1318);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1436:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1077);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1437:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1290);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1438:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1471);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1439:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1450);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1440:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1300);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1441:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1232);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1442:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1235);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1443:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1468);
            if(lookahead == 't')
                ADVANCE(1170);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1444:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1487);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1445:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1470);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1446:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1316);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1447:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1483);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1448:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1344);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1449:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1125);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1450:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1070);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1451:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(843);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1452:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(830);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1453:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(811);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1454:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1100);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1455:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(977);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1456:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1098);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1457:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1064);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1458:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(954);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1459:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(985);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1460:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(966);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1461:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(968);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1462:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1124);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1463:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1141);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1464:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1028);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1465:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(983);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1466:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1423);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1467:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1126);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1468:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1142);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1469:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1436);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1470:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1427);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1471:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1386);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1472:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1257);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1473:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1192);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1474:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1392);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1475:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1522);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1476:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1312);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1477:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1396);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1478:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1230);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1479:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1299);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1480:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1301);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1481:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1233);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1482:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1239);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1483:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1256);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1484:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1261);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1485:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1291);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1486:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1425);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1487:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1164);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1488:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1524);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1489:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1313);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1490:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1314);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1491:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1173);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1492:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1527);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1493:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1492);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1494:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1341);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1495:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1329);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1496:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1226);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1497:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1253);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1498:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1461);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1499:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1381);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1500:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1368);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1501:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1363);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1502:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1241);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1503:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1181);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1504:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1330);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1505:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1200);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1506:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1481);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1507:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1263);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1508:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1331);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1509:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1228);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1510:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1311);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1511:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1168);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1512:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(1149);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1513:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(1308);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1514:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1026);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1515:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1248);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1516:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1482);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1517:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(860);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1518:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1053);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1519:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1083);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1520:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(971);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1521:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1016);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1522:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1005);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1523:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1403);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1524:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1405);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1525:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1406);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1526:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1407);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1527:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1408);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1528:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(881);
            if(('2' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1529:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(885);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1530:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(891);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1531:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1531);
            END_STATE();
        case 1532:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            END_STATE();
        case 1533:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '*')
                ADVANCE(1549);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 1534:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '@')
                ADVANCE(989);
            END_STATE();
        case 1535:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '\\')
                ADVANCE(947);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(946);
            END_STATE();
        case 1536:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1542);
            END_STATE();
        case 1537:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(922);
            END_STATE();
        case 1538:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\n')
                ADVANCE(1541);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0)
                ADVANCE(1542);
            END_STATE();
        case 1539:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\r')
                ADVANCE(1543);
            if(lookahead == '\\')
                ADVANCE(1539);
            if(lookahead != 0)
                ADVANCE(1542);
            END_STATE();
        case 1540:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '*')
                ADVANCE(1547);
            if(lookahead == '/')
                ADVANCE(1536);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1542);
            END_STATE();
        case 1541:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '/')
                ADVANCE(1540);
            if(lookahead == '\\')
                ADVANCE(67);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(1541);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(1542);
            END_STATE();
        case 1542:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1542);
            END_STATE();
        case 1543:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0)
                ADVANCE(1542);
            END_STATE();
        case 1544:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            END_STATE();
        case 1545:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '*')
                ADVANCE(1549);
            if(lookahead != 0 &&
               lookahead != '/')
                ADVANCE(89);
            END_STATE();
        case 1546:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '\\')
                ADVANCE(947);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(946);
            END_STATE();
        case 1547:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1542);
            END_STATE();
        case 1548:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(922);
            END_STATE();
        case 1549:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '*')
                ADVANCE(1549);
            if(lookahead != 0 &&
               lookahead != '/')
                ADVANCE(89);
            END_STATE();
        default:
            return false;
    }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
    [0] = { .lex_state = 0 },
    [1] = { .lex_state = 808 },
    [2] = { .lex_state = 94 },
    [3] = { .lex_state = 94 },
    [4] = { .lex_state = 94 },
    [5] = { .lex_state = 95 },
    [6] = { .lex_state = 94 },
    [7] = { .lex_state = 94 },
    [8] = { .lex_state = 95 },
    [9] = { .lex_state = 95 },
    [10] = { .lex_state = 96 },
    [11] = { .lex_state = 96 },
    [12] = { .lex_state = 96 },
    [13] = { .lex_state = 96 },
    [14] = { .lex_state = 96 },
    [15] = { .lex_state = 96 },
    [16] = { .lex_state = 96 },
    [17] = { .lex_state = 96 },
    [18] = { .lex_state = 96 },
    [19] = { .lex_state = 96 },
    [20] = { .lex_state = 96 },
    [21] = { .lex_state = 807 },
    [22] = { .lex_state = 807 },
    [23] = { .lex_state = 808 },
    [24] = { .lex_state = 808 },
    [25] = { .lex_state = 808 },
    [26] = { .lex_state = 808 },
    [27] = { .lex_state = 808 },
    [28] = { .lex_state = 808 },
    [29] = { .lex_state = 808 },
    [30] = { .lex_state = 808 },
    [31] = { .lex_state = 97 },
    [32] = { .lex_state = 92 },
    [33] = { .lex_state = 83 },
    [34] = { .lex_state = 83 },
    [35] = { .lex_state = 83 },
    [36] = { .lex_state = 83 },
    [37] = { .lex_state = 83 },
    [38] = { .lex_state = 83 },
    [39] = { .lex_state = 83 },
    [40] = { .lex_state = 85 },
    [41] = { .lex_state = 99 },
    [42] = { .lex_state = 100 },
    [43] = { .lex_state = 85 },
    [44] = { .lex_state = 100 },
    [45] = { .lex_state = 83 },
    [46] = { .lex_state = 100 },
    [47] = { .lex_state = 83 },
    [48] = { .lex_state = 94 },
    [49] = { .lex_state = 94 },
    [50] = { .lex_state = 94 },
    [51] = { .lex_state = 94 },
    [52] = { .lex_state = 94 },
    [53] = { .lex_state = 94 },
    [54] = { .lex_state = 94 },
    [55] = { .lex_state = 95 },
    [56] = { .lex_state = 95 },
    [57] = { .lex_state = 95 },
    [58] = { .lex_state = 95 },
    [59] = { .lex_state = 101 },
    [60] = { .lex_state = 101 },
    [61] = { .lex_state = 102 },
    [62] = { .lex_state = 105 },
    [63] = { .lex_state = 105 },
    [64] = { .lex_state = 102 },
    [65] = { .lex_state = 105 },
    [66] = { .lex_state = 105 },
    [67] = { .lex_state = 102 },
    [68] = { .lex_state = 105 },
    [69] = { .lex_state = 102 },
    [70] = { .lex_state = 102 },
    [71] = { .lex_state = 105 },
    [72] = { .lex_state = 102 },
    [73] = { .lex_state = 96 },
    [74] = { .lex_state = 102 },
    [75] = { .lex_state = 105 },
    [76] = { .lex_state = 102 },
    [77] = { .lex_state = 96 },
    [78] = { .lex_state = 105 },
    [79] = { .lex_state = 102 },
    [80] = { .lex_state = 102 },
    [81] = { .lex_state = 106 },
    [82] = { .lex_state = 97 },
    [83] = { .lex_state = 106 },
    [84] = { .lex_state = 77 },
    [85] = { .lex_state = 77 },
    [86] = { .lex_state = 77 },
    [87] = { .lex_state = 77 },
    [88] = { .lex_state = 97 },
    [89] = { .lex_state = 97 },
    [90] = { .lex_state = 77 },
    [91] = { .lex_state = 77 },
    [92] = { .lex_state = 77 },
    [93] = { .lex_state = 77 },
    [94] = { .lex_state = 77 },
    [95] = { .lex_state = 77 },
    [96] = { .lex_state = 97 },
    [97] = { .lex_state = 77 },
    [98] = { .lex_state = 77 },
    [99] = { .lex_state = 77 },
    [100] = { .lex_state = 77 },
    [101] = { .lex_state = 77 },
    [102] = { .lex_state = 77 },
    [103] = { .lex_state = 77 },
    [104] = { .lex_state = 77 },
    [105] = { .lex_state = 77 },
    [106] = { .lex_state = 77 },
    [107] = { .lex_state = 83 },
    [108] = { .lex_state = 77 },
    [109] = { .lex_state = 83 },
    [110] = { .lex_state = 83 },
    [111] = { .lex_state = 77 },
    [112] = { .lex_state = 83 },
    [113] = { .lex_state = 83 },
    [114] = { .lex_state = 83 },
    [115] = { .lex_state = 83 },
    [116] = { .lex_state = 83 },
    [117] = { .lex_state = 83 },
    [118] = { .lex_state = 83 },
    [119] = { .lex_state = 83 },
    [120] = { .lex_state = 83 },
    [121] = { .lex_state = 83 },
    [122] = { .lex_state = 83 },
    [123] = { .lex_state = 83 },
    [124] = { .lex_state = 83 },
    [125] = { .lex_state = 83 },
    [126] = { .lex_state = 83 },
    [127] = { .lex_state = 83 },
    [128] = { .lex_state = 83 },
    [129] = { .lex_state = 83 },
    [130] = { .lex_state = 83 },
    [131] = { .lex_state = 83 },
    [132] = { .lex_state = 77 },
    [133] = { .lex_state = 83 },
    [134] = { .lex_state = 83 },
    [135] = { .lex_state = 83 },
    [136] = { .lex_state = 83 },
    [137] = { .lex_state = 83 },
    [138] = { .lex_state = 83 },
    [139] = { .lex_state = 83 },
    [140] = { .lex_state = 83 },
    [141] = { .lex_state = 83 },
    [142] = { .lex_state = 83 },
    [143] = { .lex_state = 83 },
    [144] = { .lex_state = 83 },
    [145] = { .lex_state = 100 },
    [146] = { .lex_state = 83 },
    [147] = { .lex_state = 83 },
    [148] = { .lex_state = 77 },
    [149] = { .lex_state = 83 },
    [150] = { .lex_state = 808 },
    [151] = { .lex_state = 83 },
    [152] = { .lex_state = 83 },
    [153] = { .lex_state = 83 },
    [154] = { .lex_state = 83 },
    [155] = { .lex_state = 83 },
    [156] = { .lex_state = 83 },
    [157] = { .lex_state = 83 },
    [158] = { .lex_state = 100 },
    [159] = { .lex_state = 83 },
    [160] = { .lex_state = 83 },
    [161] = { .lex_state = 83 },
    [162] = { .lex_state = 100 },
    [163] = { .lex_state = 83 },
    [164] = { .lex_state = 83 },
    [165] = { .lex_state = 100 },
    [166] = { .lex_state = 83 },
    [167] = { .lex_state = 83 },
    [168] = { .lex_state = 83 },
    [169] = { .lex_state = 83 },
    [170] = { .lex_state = 82 },
    [171] = { .lex_state = 83 },
    [172] = { .lex_state = 83 },
    [173] = { .lex_state = 100 },
    [174] = { .lex_state = 83 },
    [175] = { .lex_state = 83 },
    [176] = { .lex_state = 83 },
    [177] = { .lex_state = 808 },
    [178] = { .lex_state = 808 },
    [179] = { .lex_state = 808 },
    [180] = { .lex_state = 808 },
    [181] = { .lex_state = 808 },
    [182] = { .lex_state = 107 },
    [183] = { .lex_state = 102 },
    [184] = { .lex_state = 77 },
    [185] = { .lex_state = 808 },
    [186] = { .lex_state = 808 },
    [187] = { .lex_state = 808 },
    [188] = { .lex_state = 808 },
    [189] = { .lex_state = 82 },
    [190] = { .lex_state = 74 },
    [191] = { .lex_state = 74 },
    [192] = { .lex_state = 74 },
    [193] = { .lex_state = 74 },
    [194] = { .lex_state = 74 },
    [195] = { .lex_state = 74 },
    [196] = { .lex_state = 74 },
    [197] = { .lex_state = 74 },
    [198] = { .lex_state = 74 },
    [199] = { .lex_state = 74 },
    [200] = { .lex_state = 74 },
    [201] = { .lex_state = 74 },
    [202] = { .lex_state = 74 },
    [203] = { .lex_state = 74 },
    [204] = { .lex_state = 74 },
    [205] = { .lex_state = 74 },
    [206] = { .lex_state = 74 },
    [207] = { .lex_state = 74 },
    [208] = { .lex_state = 74 },
    [209] = { .lex_state = 74 },
    [210] = { .lex_state = 74 },
    [211] = { .lex_state = 74 },
    [212] = { .lex_state = 74 },
    [213] = { .lex_state = 74 },
    [214] = { .lex_state = 75 },
    [215] = { .lex_state = 80 },
    [216] = { .lex_state = 80 },
    [217] = { .lex_state = 80 },
    [218] = { .lex_state = 807 },
    [219] = { .lex_state = 80 },
    [220] = { .lex_state = 80 },
    [221] = { .lex_state = 77 },
    [222] = { .lex_state = 80 },
    [223] = { .lex_state = 80 },
    [224] = { .lex_state = 80 },
    [225] = { .lex_state = 74 },
    [226] = { .lex_state = 80 },
    [227] = { .lex_state = 80 },
    [228] = { .lex_state = 80 },
    [229] = { .lex_state = 74 },
    [230] = { .lex_state = 80 },
    [231] = { .lex_state = 77 },
    [232] = { .lex_state = 80 },
    [233] = { .lex_state = 80 },
    [234] = { .lex_state = 74 },
    [235] = { .lex_state = 80 },
    [236] = { .lex_state = 80 },
    [237] = { .lex_state = 80 },
    [238] = { .lex_state = 80 },
    [239] = { .lex_state = 74 },
    [240] = { .lex_state = 80 },
    [241] = { .lex_state = 80 },
    [242] = { .lex_state = 80 },
    [243] = { .lex_state = 80 },
    [244] = { .lex_state = 82 },
    [245] = { .lex_state = 80 },
    [246] = { .lex_state = 80 },
    [247] = { .lex_state = 74 },
    [248] = { .lex_state = 80 },
    [249] = { .lex_state = 82 },
    [250] = { .lex_state = 76 },
    [251] = { .lex_state = 74 },
    [252] = { .lex_state = 82 },
    [253] = { .lex_state = 82 },
    [254] = { .lex_state = 82 },
    [255] = { .lex_state = 76 },
    [256] = { .lex_state = 76 },
    [257] = { .lex_state = 76 },
    [258] = { .lex_state = 82 },
    [259] = { .lex_state = 82 },
    [260] = { .lex_state = 82 },
    [261] = { .lex_state = 82 },
    [262] = { .lex_state = 82 },
    [263] = { .lex_state = 82 },
    [264] = { .lex_state = 82 },
    [265] = { .lex_state = 82 },
    [266] = { .lex_state = 82 },
    [267] = { .lex_state = 82 },
    [268] = { .lex_state = 82 },
    [269] = { .lex_state = 82 },
    [270] = { .lex_state = 82 },
    [271] = { .lex_state = 82 },
    [272] = { .lex_state = 82 },
    [273] = { .lex_state = 82 },
    [274] = { .lex_state = 807 },
    [275] = { .lex_state = 82 },
    [276] = { .lex_state = 82 },
    [277] = { .lex_state = 80 },
    [278] = { .lex_state = 82 },
    [279] = { .lex_state = 82 },
    [280] = { .lex_state = 82 },
    [281] = { .lex_state = 82 },
    [282] = { .lex_state = 80 },
    [283] = { .lex_state = 82 },
    [284] = { .lex_state = 82 },
    [285] = { .lex_state = 807 },
    [286] = { .lex_state = 82 },
    [287] = { .lex_state = 82 },
    [288] = { .lex_state = 82 },
    [289] = { .lex_state = 82 },
    [290] = { .lex_state = 82 },
    [291] = { .lex_state = 82 },
    [292] = { .lex_state = 82 },
    [293] = { .lex_state = 82 },
    [294] = { .lex_state = 82 },
    [295] = { .lex_state = 82 },
    [296] = { .lex_state = 82 },
    [297] = { .lex_state = 82 },
    [298] = { .lex_state = 82 },
    [299] = { .lex_state = 82 },
    [300] = { .lex_state = 82 },
    [301] = { .lex_state = 82 },
    [302] = { .lex_state = 82 },
    [303] = { .lex_state = 82 },
    [304] = { .lex_state = 82 },
    [305] = { .lex_state = 82 },
    [306] = { .lex_state = 82 },
    [307] = { .lex_state = 74 },
    [308] = { .lex_state = 74 },
    [309] = { .lex_state = 74 },
    [310] = { .lex_state = 74 },
    [311] = { .lex_state = 74 },
    [312] = { .lex_state = 74 },
    [313] = { .lex_state = 74 },
    [314] = { .lex_state = 74 },
    [315] = { .lex_state = 74 },
    [316] = { .lex_state = 74 },
    [317] = { .lex_state = 74 },
    [318] = { .lex_state = 74 },
    [319] = { .lex_state = 80 },
    [320] = { .lex_state = 80 },
    [321] = { .lex_state = 74 },
    [322] = { .lex_state = 74 },
    [323] = { .lex_state = 74 },
    [324] = { .lex_state = 76 },
    [325] = { .lex_state = 74 },
    [326] = { .lex_state = 74 },
    [327] = { .lex_state = 74 },
    [328] = { .lex_state = 76 },
    [329] = { .lex_state = 78 },
    [330] = { .lex_state = 78 },
    [331] = { .lex_state = 74 },
    [332] = { .lex_state = 74 },
    [333] = { .lex_state = 76 },
    [334] = { .lex_state = 76 },
    [335] = { .lex_state = 74 },
    [336] = { .lex_state = 74 },
    [337] = { .lex_state = 84 },
    [338] = { .lex_state = 93 },
    [339] = { .lex_state = 74 },
    [340] = { .lex_state = 84 },
    [341] = { .lex_state = 74 },
    [342] = { .lex_state = 74 },
    [343] = { .lex_state = 80 },
    [344] = { .lex_state = 74 },
    [345] = { .lex_state = 74 },
    [346] = { .lex_state = 80 },
    [347] = { .lex_state = 74 },
    [348] = { .lex_state = 74 },
    [349] = { .lex_state = 74 },
    [350] = { .lex_state = 74 },
    [351] = { .lex_state = 74 },
    [352] = { .lex_state = 76 },
    [353] = { .lex_state = 74 },
    [354] = { .lex_state = 47 },
    [355] = { .lex_state = 47 },
    [356] = { .lex_state = 47 },
    [357] = { .lex_state = 74 },
    [358] = { .lex_state = 80 },
    [359] = { .lex_state = 84 },
    [360] = { .lex_state = 84 },
    [361] = { .lex_state = 75 },
    [362] = { .lex_state = 75 },
    [363] = { .lex_state = 80 },
    [364] = { .lex_state = 47 },
    [365] = { .lex_state = 74 },
    [366] = { .lex_state = 47 },
    [367] = { .lex_state = 47 },
    [368] = { .lex_state = 75 },
    [369] = { .lex_state = 80 },
    [370] = { .lex_state = 74 },
    [371] = { .lex_state = 47 },
    [372] = { .lex_state = 74 },
    [373] = { .lex_state = 47 },
    [374] = { .lex_state = 47 },
    [375] = { .lex_state = 103 },
    [376] = { .lex_state = 104 },
    [377] = { .lex_state = 78 },
    [378] = { .lex_state = 47 },
    [379] = { .lex_state = 78 },
    [380] = { .lex_state = 78 },
    [381] = { .lex_state = 74 },
    [382] = { .lex_state = 84 },
    [383] = { .lex_state = 75 },
    [384] = { .lex_state = 78 },
    [385] = { .lex_state = 78 },
    [386] = { .lex_state = 47 },
    [387] = { .lex_state = 47 },
    [388] = { .lex_state = 74 },
    [389] = { .lex_state = 78 },
    [390] = { .lex_state = 78 },
    [391] = { .lex_state = 78 },
    [392] = { .lex_state = 78 },
    [393] = { .lex_state = 84 },
    [394] = { .lex_state = 84 },
    [395] = { .lex_state = 84 },
    [396] = { .lex_state = 75 },
    [397] = { .lex_state = 75 },
    [398] = { .lex_state = 78 },
    [399] = { .lex_state = 74 },
    [400] = { .lex_state = 74 },
    [401] = { .lex_state = 108 },
    [402] = { .lex_state = 75 },
    [403] = { .lex_state = 75 },
    [404] = { .lex_state = 47 },
    [405] = { .lex_state = 74 },
    [406] = { .lex_state = 80 },
    [407] = { .lex_state = 78 },
    [408] = { .lex_state = 78 },
    [409] = { .lex_state = 74 },
    [410] = { .lex_state = 104 },
    [411] = { .lex_state = 78 },
    [412] = { .lex_state = 47 },
    [413] = { .lex_state = 75 },
    [414] = { .lex_state = 80 },
    [415] = { .lex_state = 80 },
    [416] = { .lex_state = 80 },
    [417] = { .lex_state = 74 },
    [418] = { .lex_state = 54 },
    [419] = { .lex_state = 74 },
    [420] = { .lex_state = 75 },
    [421] = { .lex_state = 75 },
    [422] = { .lex_state = 74 },
    [423] = { .lex_state = 75 },
    [424] = { .lex_state = 75 },
    [425] = { .lex_state = 74 },
    [426] = { .lex_state = 74 },
    [427] = { .lex_state = 807 },
    [428] = { .lex_state = 75 },
    [429] = { .lex_state = 74 },
    [430] = { .lex_state = 74 },
    [431] = { .lex_state = 75 },
    [432] = { .lex_state = 74 },
    [433] = { .lex_state = 74 },
    [434] = { .lex_state = 807 },
    [435] = { .lex_state = 807 },
    [436] = { .lex_state = 78 },
    [437] = { .lex_state = 78 },
    [438] = { .lex_state = 74 },
    [439] = { .lex_state = 78 },
    [440] = { .lex_state = 75 },
    [441] = { .lex_state = 80 },
    [442] = { .lex_state = 74 },
    [443] = { .lex_state = 74 },
    [444] = { .lex_state = 74 },
    [445] = { .lex_state = 75 },
    [446] = { .lex_state = 75 },
    [447] = { .lex_state = 807 },
    [448] = { .lex_state = 75 },
    [449] = { .lex_state = 74 },
    [450] = { .lex_state = 78 },
    [451] = { .lex_state = 78 },
    [452] = { .lex_state = 78 },
    [453] = { .lex_state = 74 },
    [454] = { .lex_state = 56 },
    [455] = { .lex_state = 807 },
    [456] = { .lex_state = 75 },
    [457] = { .lex_state = 78 },
    [458] = { .lex_state = 807 },
    [459] = { .lex_state = 78 },
    [460] = { .lex_state = 47 },
    [461] = { .lex_state = 47 },
    [462] = { .lex_state = 47 },
    [463] = { .lex_state = 47 },
    [464] = { .lex_state = 47 },
    [465] = { .lex_state = 47 },
    [466] = { .lex_state = 47 },
    [467] = { .lex_state = 78 },
    [468] = { .lex_state = 47 },
    [469] = { .lex_state = 75 },
    [470] = { .lex_state = 75 },
    [471] = { .lex_state = 74 },
    [472] = { .lex_state = 74 },
    [473] = { .lex_state = 807 },
    [474] = { .lex_state = 74 },
    [475] = { .lex_state = 74 },
    [476] = { .lex_state = 56 },
    [477] = { .lex_state = 80 },
    [478] = { .lex_state = 78 },
    [479] = { .lex_state = 78 },
    [480] = { .lex_state = 74 },
    [481] = { .lex_state = 78 },
    [482] = { .lex_state = 78 },
    [483] = { .lex_state = 84 },
    [484] = { .lex_state = 78 },
    [485] = { .lex_state = 84 },
    [486] = { .lex_state = 84 },
    [487] = { .lex_state = 84 },
    [488] = { .lex_state = 84 },
    [489] = { .lex_state = 109 },
    [490] = { .lex_state = 84 },
    [491] = { .lex_state = 84 },
    [492] = { .lex_state = 84 },
    [493] = { .lex_state = 84 },
    [494] = { .lex_state = 56 },
    [495] = { .lex_state = 56 },
    [496] = { .lex_state = 74 },
    [497] = { .lex_state = 807 },
    [498] = { .lex_state = 56 },
    [499] = { .lex_state = 74 },
    [500] = { .lex_state = 807 },
    [501] = { .lex_state = 74 },
    [502] = { .lex_state = 807 },
    [503] = { .lex_state = 74 },
    [504] = { .lex_state = 54 },
    [505] = { .lex_state = 74 },
    [506] = { .lex_state = 74 },
    [507] = { .lex_state = 74 },
    [508] = { .lex_state = 74 },
    [509] = { .lex_state = 74 },
    [510] = { .lex_state = 807 },
    [511] = { .lex_state = 84 },
    [512] = { .lex_state = 54 },
    [513] = { .lex_state = 74 },
    [514] = { .lex_state = 75 },
    [515] = { .lex_state = 807 },
    [516] = { .lex_state = 807 },
    [517] = { .lex_state = 807 },
    [518] = { .lex_state = 75 },
    [519] = { .lex_state = 75 },
    [520] = { .lex_state = 75 },
    [521] = { .lex_state = 75 },
    [522] = { .lex_state = 807 },
    [523] = { .lex_state = 74 },
    [524] = { .lex_state = 92 },
    [525] = { .lex_state = 807 },
    [526] = { .lex_state = 92 },
    [527] = { .lex_state = 47 },
    [528] = { .lex_state = 74 },
    [529] = { .lex_state = 74 },
    [530] = { .lex_state = 807 },
    [531] = { .lex_state = 47 },
    [532] = { .lex_state = 807 },
    [533] = { .lex_state = 807 },
    [534] = { .lex_state = 807 },
    [535] = { .lex_state = 807 },
    [536] = { .lex_state = 807 },
    [537] = { .lex_state = 47 },
    [538] = { .lex_state = 47 },
    [539] = { .lex_state = 807 },
    [540] = { .lex_state = 807 },
    [541] = { .lex_state = 47 },
    [542] = { .lex_state = 807 },
    [543] = { .lex_state = 807 },
    [544] = { .lex_state = 74 },
    [545] = { .lex_state = 807 },
    [546] = { .lex_state = 92 },
    [547] = { .lex_state = 75 },
    [548] = { .lex_state = 807 },
    [549] = { .lex_state = 75 },
    [550] = { .lex_state = 47 },
    [551] = { .lex_state = 74 },
    [552] = { .lex_state = 92 },
    [553] = { .lex_state = 47 },
    [554] = { .lex_state = 47 },
    [555] = { .lex_state = 807 },
    [556] = { .lex_state = 807 },
    [557] = { .lex_state = 74 },
    [558] = { .lex_state = 47 },
    [559] = { .lex_state = 807 },
    [560] = { .lex_state = 47 },
    [561] = { .lex_state = 807 },
    [562] = { .lex_state = 807 },
    [563] = { .lex_state = 807 },
    [564] = { .lex_state = 807 },
    [565] = { .lex_state = 47 },
    [566] = { .lex_state = 75 },
    [567] = { .lex_state = 75 },
    [568] = { .lex_state = 75 },
    [569] = { .lex_state = 807 },
    [570] = { .lex_state = 47 },
    [571] = { .lex_state = 807 },
    [572] = { .lex_state = 807 },
    [573] = { .lex_state = 47 },
    [574] = { .lex_state = 47 },
    [575] = { .lex_state = 74 },
    [576] = { .lex_state = 47 },
    [577] = { .lex_state = 807 },
    [578] = { .lex_state = 75 },
    [579] = { .lex_state = 807 },
    [580] = { .lex_state = 75 },
    [581] = { .lex_state = 47 },
    [582] = { .lex_state = 75 },
    [583] = { .lex_state = 75 },
    [584] = { .lex_state = 47 },
    [585] = { .lex_state = 807 },
    [586] = { .lex_state = 74 },
    [587] = { .lex_state = 807 },
    [588] = { .lex_state = 74 },
    [589] = { .lex_state = 807 },
    [590] = { .lex_state = 807 },
    [591] = { .lex_state = 75 },
    [592] = { .lex_state = 47 },
    [593] = { .lex_state = 807 },
    [594] = { .lex_state = 807 },
    [595] = { .lex_state = 807 },
    [596] = { .lex_state = 47 },
    [597] = { .lex_state = 807 },
    [598] = { .lex_state = 807 },
    [599] = { .lex_state = 807 },
    [600] = { .lex_state = 75 },
    [601] = { .lex_state = 74 },
    [602] = { .lex_state = 74 },
    [603] = { .lex_state = 74 },
    [604] = { .lex_state = 75 },
    [605] = { .lex_state = 74 },
    [606] = { .lex_state = 75 },
    [607] = { .lex_state = 74 },
    [608] = { .lex_state = 47 },
    [609] = { .lex_state = 92 },
    [610] = { .lex_state = 84 },
    [611] = { .lex_state = 807 },
    [612] = { .lex_state = 807 },
    [613] = { .lex_state = 84 },
    [614] = { .lex_state = 74 },
    [615] = { .lex_state = 84 },
    [616] = { .lex_state = 74 },
    [617] = { .lex_state = 75 },
    [618] = { .lex_state = 47 },
    [619] = { .lex_state = 807 },
    [620] = { .lex_state = 74 },
    [621] = { .lex_state = 75 },
    [622] = { .lex_state = 47 },
    [623] = { .lex_state = 807 },
    [624] = { .lex_state = 47 },
    [625] = { .lex_state = 807 },
    [626] = { .lex_state = 807 },
    [627] = { .lex_state = 47 },
    [628] = { .lex_state = 807 },
    [629] = { .lex_state = 84 },
    [630] = { .lex_state = 84 },
    [631] = { .lex_state = 74 },
    [632] = { .lex_state = 47 },
    [633] = { .lex_state = 84 },
    [634] = { .lex_state = 84 },
    [635] = { .lex_state = 84 },
    [636] = { .lex_state = 84 },
    [637] = { .lex_state = 84 },
    [638] = { .lex_state = 84 },
    [639] = { .lex_state = 807 },
    [640] = { .lex_state = 47 },
    [641] = { .lex_state = 92 },
    [642] = { .lex_state = 84 },
    [643] = { .lex_state = 807 },
    [644] = { .lex_state = 84 },
    [645] = { .lex_state = 84 },
    [646] = { .lex_state = 92 },
    [647] = { .lex_state = 84 },
    [648] = { .lex_state = 47 },
    [649] = { .lex_state = 807 },
    [650] = { .lex_state = 84 },
    [651] = { .lex_state = 47 },
    [652] = { .lex_state = 92 },
    [653] = { .lex_state = 84 },
    [654] = { .lex_state = 75 },
    [655] = { .lex_state = 92 },
    [656] = { .lex_state = 84 },
    [657] = { .lex_state = 807 },
    [658] = { .lex_state = 74 },
    [659] = { .lex_state = 807 },
    [660] = { .lex_state = 807 },
    [661] = { .lex_state = 47 },
    [662] = { .lex_state = 84 },
    [663] = { .lex_state = 84 },
    [664] = { .lex_state = 47 },
    [665] = { .lex_state = 47 },
    [666] = { .lex_state = 807 },
    [667] = { .lex_state = 84 },
    [668] = { .lex_state = 84 },
    [669] = { .lex_state = 47 },
    [670] = { .lex_state = 84 },
    [671] = { .lex_state = 84 },
    [672] = { .lex_state = 84 },
    [673] = { .lex_state = 47 },
    [674] = { .lex_state = 84 },
    [675] = { .lex_state = 84 },
    [676] = { .lex_state = 84 },
    [677] = { .lex_state = 84 },
    [678] = { .lex_state = 54 },
    [679] = { .lex_state = 807 },
    [680] = { .lex_state = 92 },
    [681] = { .lex_state = 92 },
    [682] = { .lex_state = 807 },
    [683] = { .lex_state = 47 },
    [684] = { .lex_state = 807 },
    [685] = { .lex_state = 110 },
    [686] = { .lex_state = 74 },
    [687] = { .lex_state = 84 },
    [688] = { .lex_state = 807 },
    [689] = { .lex_state = 84 },
    [690] = { .lex_state = 84 },
    [691] = { .lex_state = 807 },
    [692] = { .lex_state = 84 },
    [693] = { .lex_state = 47 },
    [694] = { .lex_state = 47 },
    [695] = { .lex_state = 84 },
    [696] = { .lex_state = 807 },
    [697] = { .lex_state = 84 },
    [698] = { .lex_state = 75 },
    [699] = { .lex_state = 74 },
    [700] = { .lex_state = 807 },
    [701] = { .lex_state = 807 },
    [702] = { .lex_state = 807 },
    [703] = { .lex_state = 807 },
    [704] = { .lex_state = 74 },
    [705] = { .lex_state = 74 },
    [706] = { .lex_state = 75 },
    [707] = { .lex_state = 80 },
    [708] = { .lex_state = 807 },
    [709] = { .lex_state = 74 },
    [710] = { .lex_state = 56 },
    [711] = { .lex_state = 74 },
    [712] = { .lex_state = 75 },
    [713] = { .lex_state = 807 },
    [714] = { .lex_state = 807 },
    [715] = { .lex_state = 75 },
    [716] = { .lex_state = 807 },
    [717] = { .lex_state = 807 },
    [718] = { .lex_state = 807 },
    [719] = { .lex_state = 807 },
    [720] = { .lex_state = 75 },
    [721] = { .lex_state = 74 },
    [722] = { .lex_state = 74 },
    [723] = { .lex_state = 75 },
    [724] = { .lex_state = 807 },
    [725] = { .lex_state = 75 },
    [726] = { .lex_state = 92 },
    [727] = { .lex_state = 80 },
    [728] = { .lex_state = 807 },
    [729] = { .lex_state = 92 },
    [730] = { .lex_state = 807 },
    [731] = { .lex_state = 75 },
    [732] = { .lex_state = 75 },
    [733] = { .lex_state = 807 },
    [734] = { .lex_state = 807 },
    [735] = { .lex_state = 807 },
    [736] = { .lex_state = 75 },
    [737] = { .lex_state = 75 },
    [738] = { .lex_state = 75 },
    [739] = { .lex_state = 807 },
    [740] = { .lex_state = 807 },
    [741] = { .lex_state = 75 },
    [742] = { .lex_state = 75 },
    [743] = { .lex_state = 807 },
    [744] = { .lex_state = 807 },
    [745] = { .lex_state = 75 },
    [746] = { .lex_state = 75 },
    [747] = { .lex_state = 92 },
    [748] = { .lex_state = 75 },
    [749] = { .lex_state = 807 },
    [750] = { .lex_state = 75 },
    [751] = { .lex_state = 807 },
    [752] = { .lex_state = 78 },
    [753] = { .lex_state = 74 },
    [754] = { .lex_state = 92 },
    [755] = { .lex_state = 92 },
    [756] = { .lex_state = 807 },
    [757] = { .lex_state = 74 },
    [758] = { .lex_state = 105 },
    [759] = { .lex_state = 807 },
    [760] = { .lex_state = 80 },
    [761] = { .lex_state = 807 },
    [762] = { .lex_state = 75 },
    [763] = { .lex_state = 807 },
    [764] = { .lex_state = 74 },
    [765] = { .lex_state = 807 },
    [766] = { .lex_state = 75 },
    [767] = { .lex_state = 807 },
    [768] = { .lex_state = 807 },
    [769] = { .lex_state = 75 },
    [770] = { .lex_state = 75 },
    [771] = { .lex_state = 75 },
    [772] = { .lex_state = 75 },
    [773] = { .lex_state = 75 },
    [774] = { .lex_state = 80 },
    [775] = { .lex_state = 74 },
    [776] = { .lex_state = 75 },
    [777] = { .lex_state = 92 },
    [778] = { .lex_state = 75 },
    [779] = { .lex_state = 75 },
    [780] = { .lex_state = 80 },
    [781] = { .lex_state = 807 },
    [782] = { .lex_state = 75 },
    [783] = { .lex_state = 80 },
    [784] = { .lex_state = 807 },
    [785] = { .lex_state = 92 },
    [786] = { .lex_state = 74 },
    [787] = { .lex_state = 75 },
    [788] = { .lex_state = 807 },
    [789] = { .lex_state = 75 },
    [790] = { .lex_state = 75 },
    [791] = { .lex_state = 105 },
    [792] = { .lex_state = 807 },
    [793] = { .lex_state = 807 },
    [794] = { .lex_state = 92 },
    [795] = { .lex_state = 807 },
    [796] = { .lex_state = 75 },
    [797] = { .lex_state = 807 },
    [798] = { .lex_state = 807 },
    [799] = { .lex_state = 75 },
    [800] = { .lex_state = 75 },
    [801] = { .lex_state = 807 },
    [802] = { .lex_state = 807 },
    [803] = { .lex_state = 74 },
    [804] = { .lex_state = 75 },
    [805] = { .lex_state = 105 },
    [806] = { .lex_state = 807 },
    [807] = { .lex_state = 75 },
    [808] = { .lex_state = 807 },
    [809] = { .lex_state = 105 },
    [810] = { .lex_state = 75 },
    [811] = { .lex_state = 74 },
    [812] = { .lex_state = 80 },
    [813] = { .lex_state = 92 },
    [814] = { .lex_state = 807 },
    [815] = { .lex_state = 807 },
    [816] = { .lex_state = 75 },
    [817] = { .lex_state = 74 },
    [818] = { .lex_state = 807 },
    [819] = { .lex_state = 75 },
    [820] = { .lex_state = 807 },
    [821] = { .lex_state = 75 },
    [822] = { .lex_state = 807 },
    [823] = { .lex_state = 75 },
    [824] = { .lex_state = 807 },
    [825] = { .lex_state = 75 },
    [826] = { .lex_state = 807 },
    [827] = { .lex_state = 61 },
    [828] = { .lex_state = 807 },
    [829] = { .lex_state = 105 },
    [830] = { .lex_state = 807 },
    [831] = { .lex_state = 807 },
    [832] = { .lex_state = 75 },
    [833] = { .lex_state = 74 },
    [834] = { .lex_state = 75 },
    [835] = { .lex_state = 807 },
    [836] = { .lex_state = 92 },
    [837] = { .lex_state = 105 },
    [838] = { .lex_state = 75 },
    [839] = { .lex_state = 105 },
    [840] = { .lex_state = 74 },
    [841] = { .lex_state = 74 },
    [842] = { .lex_state = 74 },
    [843] = { .lex_state = 75 },
    [844] = { .lex_state = 75 },
    [845] = { .lex_state = 75 },
    [846] = { .lex_state = 74 },
    [847] = { .lex_state = 105 },
    [848] = { .lex_state = 807 },
    [849] = { .lex_state = 807 },
    [850] = { .lex_state = 807 },
    [851] = { .lex_state = 74 },
    [852] = { .lex_state = 75 },
    [853] = { .lex_state = 807 },
    [854] = { .lex_state = 75 },
    [855] = { .lex_state = 80 },
    [856] = { .lex_state = 807 },
    [857] = { .lex_state = 807 },
    [858] = { .lex_state = 807 },
    [859] = { .lex_state = 807 },
    [860] = { .lex_state = 92 },
    [861] = { .lex_state = 807 },
    [862] = { .lex_state = 807 },
    [863] = { .lex_state = 807 },
    [864] = { .lex_state = 75 },
    [865] = { .lex_state = 75 },
    [866] = { .lex_state = 807 },
    [867] = { .lex_state = 807 },
    [868] = { .lex_state = 807 },
    [869] = { .lex_state = 807 },
    [870] = { .lex_state = 807 },
    [871] = { .lex_state = 75 },
    [872] = { .lex_state = 807 },
    [873] = { .lex_state = 807 },
    [874] = { .lex_state = 807 },
    [875] = { .lex_state = 807 },
    [876] = { .lex_state = 807 },
    [877] = { .lex_state = 807 },
    [878] = { .lex_state = 807 },
    [879] = { .lex_state = 807 },
    [880] = { .lex_state = 807 },
    [881] = { .lex_state = 92 },
    [882] = { .lex_state = 807 },
    [883] = { .lex_state = 807 },
    [884] = { .lex_state = 74 },
    [885] = { .lex_state = 74 },
    [886] = { .lex_state = 807 },
    [887] = { .lex_state = 807 },
    [888] = { .lex_state = 74 },
    [889] = { .lex_state = 75 },
    [890] = { .lex_state = 74 },
    [891] = { .lex_state = 62 },
    [892] = { .lex_state = 807 },
    [893] = { .lex_state = 62 },
    [894] = { .lex_state = 80 },
    [895] = { .lex_state = 807 },
    [896] = { .lex_state = 807 },
    [897] = { .lex_state = 807 },
    [898] = { .lex_state = 807 },
    [899] = { .lex_state = 807 },
    [900] = { .lex_state = 807 },
    [901] = { .lex_state = 807 },
    [902] = { .lex_state = 807 },
    [903] = { .lex_state = 92 },
    [904] = { .lex_state = 92 },
    [905] = { .lex_state = 92 },
    [906] = { .lex_state = 807 },
    [907] = { .lex_state = 807 },
    [908] = { .lex_state = 807 },
    [909] = { .lex_state = 75 },
    [910] = { .lex_state = 807 },
    [911] = { .lex_state = 807 },
    [912] = { .lex_state = 807 },
    [913] = { .lex_state = 807 },
    [914] = { .lex_state = 807 },
    [915] = { .lex_state = 807 },
    [916] = { .lex_state = 807 },
    [917] = { .lex_state = 807 },
    [918] = { .lex_state = 75 },
    [919] = { .lex_state = 807 },
    [920] = { .lex_state = 807 },
    [921] = { .lex_state = 807 },
    [922] = { .lex_state = 807 },
    [923] = { .lex_state = 74 },
    [924] = { .lex_state = 807 },
    [925] = { .lex_state = 807 },
    [926] = { .lex_state = 807 },
    [927] = { .lex_state = 807 },
    [928] = { .lex_state = 807 },
    [929] = { .lex_state = 807 },
    [930] = { .lex_state = 807 },
    [931] = { .lex_state = 807 },
    [932] = { .lex_state = 807 },
    [933] = { .lex_state = 807 },
    [934] = { .lex_state = 807 },
    [935] = { .lex_state = 807 },
    [936] = { .lex_state = 807 },
    [937] = { .lex_state = 807 },
    [938] = { .lex_state = 807 },
    [939] = { .lex_state = 807 },
    [940] = { .lex_state = 807 },
    [941] = { .lex_state = 807 },
    [942] = { .lex_state = 75 },
    [943] = { .lex_state = 807 },
    [944] = { .lex_state = 807 },
    [945] = { .lex_state = 807 },
    [946] = { .lex_state = 807 },
    [947] = { .lex_state = 807 },
    [948] = { .lex_state = 92 },
    [949] = { .lex_state = 807 },
    [950] = { .lex_state = 807 },
    [951] = { .lex_state = 807 },
    [952] = { .lex_state = 62 },
    [953] = { .lex_state = 807 },
    [954] = { .lex_state = 92 },
    [955] = { .lex_state = 807 },
    [956] = { .lex_state = 807 },
    [957] = { .lex_state = 807 },
    [958] = { .lex_state = 75 },
    [959] = { .lex_state = 807 },
    [960] = { .lex_state = 807 },
    [961] = { .lex_state = 807 },
    [962] = { .lex_state = 807 },
    [963] = { .lex_state = 807 },
    [964] = { .lex_state = 807 },
    [965] = { .lex_state = 807 },
    [966] = { .lex_state = 807 },
    [967] = { .lex_state = 807 },
    [968] = { .lex_state = 92 },
    [969] = { .lex_state = 807 },
    [970] = { .lex_state = 75 },
    [971] = { .lex_state = 75 },
    [972] = { .lex_state = 75 },
    [973] = { .lex_state = 807 },
    [974] = { .lex_state = 807 },
    [975] = { .lex_state = 807 },
    [976] = { .lex_state = 92 },
    [977] = { .lex_state = 807 },
    [978] = { .lex_state = 807 },
    [979] = { .lex_state = 807 },
    [980] = { .lex_state = 75 },
    [981] = { .lex_state = 75 },
    [982] = { .lex_state = 807 },
    [983] = { .lex_state = 807 },
    [984] = { .lex_state = 807 },
    [985] = { .lex_state = 807 },
    [986] = { .lex_state = 807 },
    [987] = { .lex_state = 807 },
    [988] = { .lex_state = 807 },
    [989] = { .lex_state = 807 },
    [990] = { .lex_state = 807 },
    [991] = { .lex_state = 807 },
    [992] = { .lex_state = 807 },
    [993] = { .lex_state = 807 },
    [994] = { .lex_state = 807 },
    [995] = { .lex_state = 92 },
    [996] = { .lex_state = 807 },
    [997] = { .lex_state = 807 },
    [998] = { .lex_state = 807 },
    [999] = { .lex_state = 807 },
    [1000] = { .lex_state = 807 },
    [1001] = { .lex_state = 92 },
    [1002] = { .lex_state = 92 },
    [1003] = { .lex_state = 807 },
    [1004] = { .lex_state = 807 },
    [1005] = { .lex_state = 75 },
    [1006] = { .lex_state = 807 },
    [1007] = { .lex_state = 807 },
    [1008] = { .lex_state = 807 },
    [1009] = { .lex_state = 75 },
    [1010] = { .lex_state = 807 },
    [1011] = { .lex_state = 75 },
    [1012] = { .lex_state = 807 },
    [1013] = { .lex_state = 807 },
    [1014] = { .lex_state = 807 },
    [1015] = { .lex_state = 807 },
    [1016] = { .lex_state = 807 },
    [1017] = { .lex_state = 807 },
    [1018] = { .lex_state = 807 },
    [1019] = { .lex_state = 807 },
    [1020] = { .lex_state = 807 },
    [1021] = { .lex_state = 807 },
    [1022] = { .lex_state = 807 },
    [1023] = { .lex_state = 807 },
    [1024] = { .lex_state = 807 },
    [1025] = { .lex_state = 807 },
    [1026] = { .lex_state = 807 },
    [1027] = { .lex_state = 807 },
    [1028] = { .lex_state = 75 },
    [1029] = { .lex_state = 807 },
    [1030] = { .lex_state = 807 },
    [1031] = { .lex_state = 75 },
    [1032] = { .lex_state = 92 },
    [1033] = { .lex_state = 75 },
    [1034] = { .lex_state = 75 },
    [1035] = { .lex_state = 75 },
    [1036] = { .lex_state = 75 },
    [1037] = { .lex_state = 807 },
    [1038] = { .lex_state = 92 },
    [1039] = { .lex_state = 807 },
    [1040] = { .lex_state = 807 },
    [1041] = { .lex_state = 807 },
    [1042] = { .lex_state = 807 },
    [1043] = { .lex_state = 807 },
    [1044] = { .lex_state = 807 },
    [1045] = { .lex_state = 807 },
    [1046] = { .lex_state = 807 },
    [1047] = { .lex_state = 807 },
    [1048] = { .lex_state = 807 },
    [1049] = { .lex_state = 807 },
    [1050] = { .lex_state = 807 },
    [1051] = { .lex_state = 807 },
    [1052] = { .lex_state = 807 },
    [1053] = { .lex_state = 75 },
    [1054] = { .lex_state = 807 },
    [1055] = { .lex_state = 807 },
    [1056] = { .lex_state = 807 },
    [1057] = { .lex_state = 807 },
    [1058] = { .lex_state = 807 },
    [1059] = { .lex_state = 807 },
    [1060] = { .lex_state = 807 },
    [1061] = { .lex_state = 807 },
    [1062] = { .lex_state = 807 },
    [1063] = { .lex_state = 807 },
    [1064] = { .lex_state = 807 },
    [1065] = { .lex_state = 807 },
    [1066] = { .lex_state = 807 },
    [1067] = { .lex_state = 807 },
    [1068] = { .lex_state = 62 },
    [1069] = { .lex_state = 75 },
    [1070] = { .lex_state = 945 },
    [1071] = { .lex_state = 62 },
    [1072] = { .lex_state = 807 },
    [1073] = { .lex_state = 75 },
    [1074] = { .lex_state = 807 },
    [1075] = { .lex_state = 807 },
    [1076] = { .lex_state = 807 },
    [1077] = { .lex_state = 807 },
    [1078] = { .lex_state = 807 },
    [1079] = { .lex_state = 807 },
    [1080] = { .lex_state = 807 },
    [1081] = { .lex_state = 807 },
    [1082] = { .lex_state = 807 },
    [1083] = { .lex_state = 807 },
    [1084] = { .lex_state = 807 },
    [1085] = { .lex_state = 807 },
    [1086] = { .lex_state = 807 },
    [1087] = { .lex_state = 807 },
    [1088] = { .lex_state = 807 },
    [1089] = { .lex_state = 807 },
    [1090] = { .lex_state = 807 },
    [1091] = { .lex_state = 807 },
    [1092] = { .lex_state = 807 },
    [1093] = { .lex_state = 807 },
    [1094] = { .lex_state = 807 },
    [1095] = { .lex_state = 807 },
    [1096] = { .lex_state = 807 },
    [1097] = { .lex_state = 807 },
    [1098] = { .lex_state = 807 },
    [1099] = { .lex_state = 807 },
    [1100] = { .lex_state = 807 },
    [1101] = { .lex_state = 1541 },
    [1102] = { .lex_state = 75 },
    [1103] = { .lex_state = 807 },
    [1104] = { .lex_state = 807 },
    [1105] = { .lex_state = 807 },
    [1106] = { .lex_state = 75 },
    [1107] = { .lex_state = 807 },
    [1108] = { .lex_state = 807 },
    [1109] = { .lex_state = 807 },
    [1110] = { .lex_state = 807 },
    [1111] = { .lex_state = 807 },
    [1112] = { .lex_state = 807 },
    [1113] = { .lex_state = 807 },
    [1114] = { .lex_state = 807 },
    [1115] = { .lex_state = 807 },
    [1116] = { .lex_state = 807 },
    [1117] = { .lex_state = 807 },
    [1118] = { .lex_state = 807 },
    [1119] = { .lex_state = 807 },
    [1120] = { .lex_state = 807 },
    [1121] = { .lex_state = 807 },
    [1122] = { .lex_state = 807 },
    [1123] = { .lex_state = 807 },
    [1124] = { .lex_state = 807 },
    [1125] = { .lex_state = 807 },
    [1126] = { .lex_state = 807 },
    [1127] = { .lex_state = 807 },
    [1128] = { .lex_state = 807 },
    [1129] = { .lex_state = 807 },
    [1130] = { .lex_state = 807 },
    [1131] = { .lex_state = 807 },
    [1132] = { .lex_state = 75 },
    [1133] = { .lex_state = 75 },
    [1134] = { .lex_state = 75 },
    [1135] = { .lex_state = 807 },
    [1136] = { .lex_state = 807 },
    [1137] = { .lex_state = 807 },
    [1138] = { .lex_state = 807 },
    [1139] = { .lex_state = 74 },
    [1140] = { .lex_state = 807 },
    [1141] = { .lex_state = 807 },
    [1142] = { .lex_state = 807 },
    [1143] = { .lex_state = 807 },
    [1144] = { .lex_state = 75 },
    [1145] = { .lex_state = 807 },
    [1146] = { .lex_state = 807 },
    [1147] = { .lex_state = 807 },
    [1148] = { .lex_state = 807 },
    [1149] = { .lex_state = 807 },
    [1150] = { .lex_state = 807 },
    [1151] = { .lex_state = 807 },
    [1152] = { .lex_state = 807 },
    [1153] = { .lex_state = 807 },
    [1154] = { .lex_state = 75 },
    [1155] = { .lex_state = 807 },
    [1156] = { .lex_state = 807 },
    [1157] = { .lex_state = 807 },
    [1158] = { .lex_state = 807 },
    [1159] = { .lex_state = 74 },
    [1160] = { .lex_state = 807 },
    [1161] = { .lex_state = 807 },
    [1162] = { .lex_state = 75 },
    [1163] = { .lex_state = 75 },
    [1164] = { .lex_state = 75 },
    [1165] = { .lex_state = 75 },
    [1166] = { .lex_state = 807 },
    [1167] = { .lex_state = 807 },
    [1168] = { .lex_state = 807 },
    [1169] = { .lex_state = 75 },
    [1170] = { .lex_state = 92 },
    [1171] = { .lex_state = 74 },
    [1172] = { .lex_state = 807 },
    [1173] = { .lex_state = 807 },
    [1174] = { .lex_state = 807 },
    [1175] = { .lex_state = 75 },
    [1176] = { .lex_state = 807 },
    [1177] = { .lex_state = 807 },
    [1178] = { .lex_state = 75 },
    [1179] = { .lex_state = 807 },
    [1180] = { .lex_state = 75 },
    [1181] = { .lex_state = 807 },
    [1182] = { .lex_state = 75 },
    [1183] = { .lex_state = 75 },
    [1184] = { .lex_state = 75 },
    [1185] = { .lex_state = 75 },
    [1186] = { .lex_state = 75 },
    [1187] = { .lex_state = 75 },
    [1188] = { .lex_state = 75 },
    [1189] = { .lex_state = 75 },
    [1190] = { .lex_state = 807 },
    [1191] = { .lex_state = 75 },
    [1192] = { .lex_state = 75 },
    [1193] = { .lex_state = 807 },
    [1194] = { .lex_state = 74 },
    [1195] = { .lex_state = 75 },
    [1196] = { .lex_state = 807 },
    [1197] = { .lex_state = 75 },
    [1198] = { .lex_state = 807 },
    [1199] = { .lex_state = 807 },
    [1200] = { .lex_state = 807 },
    [1201] = { .lex_state = 921 },
    [1202] = { .lex_state = 807 },
    [1203] = { .lex_state = 88 },
    [1204] = { .lex_state = 807 },
    [1205] = { .lex_state = 807 },
    [1206] = { .lex_state = 807 },
    [1207] = { .lex_state = 807 },
    [1208] = { .lex_state = 807 },
    [1209] = { .lex_state = 807 },
    [1210] = { .lex_state = 807 },
    [1211] = { .lex_state = 807 },
    [1212] = { .lex_state = 807 },
    [1213] = { .lex_state = 807 },
    [1214] = { .lex_state = 807 },
    [1215] = { .lex_state = 807 },
    [1216] = { .lex_state = 807 },
    [1217] = { .lex_state = 807 },
    [1218] = { .lex_state = 807 },
    [1219] = { .lex_state = 807 },
    [1220] = { .lex_state = 807 },
    [1221] = { .lex_state = 807 },
    [1222] = { .lex_state = 807 },
    [1223] = { .lex_state = 807 },
    [1224] = { .lex_state = 807 },
    [1225] = { .lex_state = 807 },
    [1226] = { .lex_state = 807 },
    [1227] = { .lex_state = 807 },
    [1228] = { .lex_state = 807 },
    [1229] = { .lex_state = 807 },
    [1230] = { .lex_state = 807 },
    [1231] = { .lex_state = 807 },
    [1232] = { .lex_state = 807 },
    [1233] = { .lex_state = 807 },
    [1234] = { .lex_state = 807 },
    [1235] = { .lex_state = 807 },
    [1236] = { .lex_state = 807 },
    [1237] = { .lex_state = 807 },
    [1238] = { .lex_state = 807 },
    [1239] = { .lex_state = 807 },
    [1240] = { .lex_state = 807 },
    [1241] = { .lex_state = 807 },
    [1242] = { .lex_state = 807 },
    [1243] = { .lex_state = 807 },
    [1244] = { .lex_state = 807 },
    [1245] = { .lex_state = 807 },
    [1246] = { .lex_state = 807 },
    [1247] = { .lex_state = 807 },
    [1248] = { .lex_state = 807 },
    [1249] = { .lex_state = 807 },
    [1250] = { .lex_state = 807 },
    [1251] = { .lex_state = 807 },
    [1252] = { (TSStateId)(-1) },
    [1253] = { (TSStateId)(-1) },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
    [0] = {
        [sym_comment] = STATE(0),
        [ts_builtin_sym_end] = ACTIONS(1),
        [anon_sym_short] = ACTIONS(1),
        [anon_sym_int16] = ACTIONS(1),
        [anon_sym_long] = ACTIONS(1),
        [anon_sym_int32] = ACTIONS(1),
        [anon_sym_longlong] = ACTIONS(1),
        [anon_sym_int64] = ACTIONS(1),
        [sym_unsigned_tiny_int] = ACTIONS(1),
        [sym_boolean_type] = ACTIONS(1),
        [anon_sym_fixed] = ACTIONS(1),
        [sym_octet_type] = ACTIONS(1),
        [sym_signed_tiny_int] = ACTIONS(1),
        [anon_sym_unsignedshort] = ACTIONS(1),
        [anon_sym_uint16] = ACTIONS(1),
        [anon_sym_unsignedlong] = ACTIONS(1),
        [anon_sym_uint32] = ACTIONS(1),
        [anon_sym_unsignedlonglong] = ACTIONS(1),
        [anon_sym_uint64] = ACTIONS(1),
        [anon_sym_float] = ACTIONS(1),
        [anon_sym_double] = ACTIONS(1),
        [anon_sym_longdouble] = ACTIONS(1),
        [sym_char_type] = ACTIONS(1),
        [sym_wide_char_type] = ACTIONS(1),
        [anon_sym_COLON_COLON] = ACTIONS(1),
        [anon_sym_string] = ACTIONS(1),
        [anon_sym_LT] = ACTIONS(1),
        [anon_sym_GT] = ACTIONS(1),
        [anon_sym_wstring] = ACTIONS(1),
        [anon_sym_any] = ACTIONS(1),
        [anon_sym_COMMA] = ACTIONS(1),
        [anon_sym_sequence] = ACTIONS(1),
        [anon_sym_map] = ACTIONS(1),
        [anon_sym_PIPE] = ACTIONS(1),
        [anon_sym_CARET] = ACTIONS(1),
        [anon_sym_AMP] = ACTIONS(1),
        [anon_sym_GT_GT] = ACTIONS(1),
        [anon_sym_PLUS] = ACTIONS(1),
        [anon_sym_DASH] = ACTIONS(1),
        [anon_sym_STAR] = ACTIONS(1),
        [anon_sym_SLASH] = ACTIONS(1),
        [anon_sym_PERCENT] = ACTIONS(1),
        [anon_sym_LPAREN] = ACTIONS(1),
        [anon_sym_RPAREN] = ACTIONS(1),
        [anon_sym_TILDE] = ACTIONS(1),
        [sym_bin_number] = ACTIONS(1),
        [aux_sym_oct_number_token1] = ACTIONS(1),
        [aux_sym_oct_number_token2] = ACTIONS(1),
        [anon_sym_0] = ACTIONS(1),
        [aux_sym_dec_number_token1] = ACTIONS(1),
        [sym_hex_number] = ACTIONS(1),
        [anon_sym_DOT] = ACTIONS(1),
        [aux_sym_floating_pt_literal_token1] = ACTIONS(1),
        [aux_sym_fixed_pt_literal_token1] = ACTIONS(1),
        [anon_sym_DQUOTE] = ACTIONS(1),
        [anon_sym_L] = ACTIONS(1),
        [anon_sym_SQUOTE] = ACTIONS(1),
        [anon_sym_TRUE] = ACTIONS(1),
        [anon_sym_FALSE] = ACTIONS(1),
        [anon_sym_POUNDdefine] = ACTIONS(1),
        [sym_preproc_directive] = ACTIONS(1),
        [aux_sym_preproc_include_token1] = ACTIONS(1),
        [anon_sym_exception] = ACTIONS(1),
        [anon_sym_LBRACE] = ACTIONS(1),
        [anon_sym_RBRACE] = ACTIONS(1),
        [anon_sym_local] = ACTIONS(1),
        [anon_sym_abstract] = ACTIONS(1),
        [anon_sym_COLON] = ACTIONS(1),
        [anon_sym_SEMI] = ACTIONS(1),
        [anon_sym_void] = ACTIONS(1),
        [anon_sym_in] = ACTIONS(1),
        [anon_sym_out] = ACTIONS(1),
        [anon_sym_inout] = ACTIONS(1),
        [anon_sym_raises] = ACTIONS(1),
        [anon_sym_readonly] = ACTIONS(1),
        [anon_sym_attribute] = ACTIONS(1),
        [anon_sym_getraises] = ACTIONS(1),
        [anon_sym_setraises] = ACTIONS(1),
        [anon_sym_bitset] = ACTIONS(1),
        [anon_sym_bitfield] = ACTIONS(1),
        [anon_sym_bitmask] = ACTIONS(1),
        [anon_sym_ATannotation] = ACTIONS(1),
        [anon_sym_default] = ACTIONS(1),
        [anon_sym_AT] = ACTIONS(1),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(1),
        [anon_sym_EQ] = ACTIONS(1),
        [anon_sym_id] = ACTIONS(1),
        [anon_sym_autoid] = ACTIONS(1),
        [anon_sym_SEQUENTIAL] = ACTIONS(1),
        [anon_sym_HASH] = ACTIONS(1),
        [anon_sym_optional] = ACTIONS(1),
        [anon_sym_position] = ACTIONS(1),
        [anon_sym_value] = ACTIONS(1),
        [anon_sym_extensibility] = ACTIONS(1),
        [anon_sym_FINAL] = ACTIONS(1),
        [anon_sym_APPENDABLE] = ACTIONS(1),
        [anon_sym_MUTABLE] = ACTIONS(1),
        [anon_sym_final] = ACTIONS(1),
        [anon_sym_appendable] = ACTIONS(1),
        [anon_sym_mutable] = ACTIONS(1),
        [anon_sym_key] = ACTIONS(1),
        [anon_sym_must_understand] = ACTIONS(1),
        [anon_sym_default_literal] = ACTIONS(1),
        [anon_sym_range] = ACTIONS(1),
        [anon_sym_min] = ACTIONS(1),
        [anon_sym_max] = ACTIONS(1),
        [anon_sym_unit] = ACTIONS(1),
        [anon_sym_bit_bound] = ACTIONS(1),
        [anon_sym_external] = ACTIONS(1),
        [anon_sym_nested] = ACTIONS(1),
        [anon_sym_verbatim] = ACTIONS(1),
        [anon_sym_c] = ACTIONS(1),
        [anon_sym_c_PLUS_PLUS] = ACTIONS(1),
        [anon_sym_java] = ACTIONS(1),
        [anon_sym_idl] = ACTIONS(1),
        [anon_sym_BEGIN_FILE] = ACTIONS(1),
        [anon_sym_BEFORE_DECLARATION] = ACTIONS(1),
        [anon_sym_BEGIN_DECLARATION] = ACTIONS(1),
        [anon_sym_END_DECLARATION] = ACTIONS(1),
        [anon_sym_AFTER_DECLARATION] = ACTIONS(1),
        [anon_sym_END_FILE] = ACTIONS(1),
        [anon_sym_service] = ACTIONS(1),
        [anon_sym_CORBA] = ACTIONS(1),
        [anon_sym_DDS] = ACTIONS(1),
        [anon_sym_oneway] = ACTIONS(1),
        [anon_sym_ami] = ACTIONS(1),
        [anon_sym_module] = ACTIONS(1),
        [anon_sym_typename] = ACTIONS(1),
        [anon_sym_valuetype] = ACTIONS(1),
        [anon_sym_eventtype] = ACTIONS(1),
        [anon_sym_struct] = ACTIONS(1),
        [anon_sym_union] = ACTIONS(1),
        [anon_sym_enum] = ACTIONS(1),
        [anon_sym_const] = ACTIONS(1),
        [anon_sym_alias] = ACTIONS(1),
        [anon_sym_custom] = ACTIONS(1),
        [anon_sym_truncatable] = ACTIONS(1),
        [anon_sym_supports] = ACTIONS(1),
        [anon_sym_public] = ACTIONS(1),
        [anon_sym_private] = ACTIONS(1),
        [anon_sym_factory] = ACTIONS(1),
        [anon_sym_typedef] = ACTIONS(1),
        [anon_sym_LBRACK] = ACTIONS(1),
        [anon_sym_RBRACK] = ACTIONS(1),
        [anon_sym_ATignore_literal_names] = ACTIONS(1),
        [anon_sym_switch] = ACTIONS(1),
        [anon_sym_case] = ACTIONS(1),
        [anon_sym_typeid] = ACTIONS(1),
        [anon_sym_typeprefix] = ACTIONS(1),
        [anon_sym_import] = ACTIONS(1),
        [anon_sym_Object] = ACTIONS(1),
        [anon_sym_context] = ACTIONS(1),
        [sym_value_base_type] = ACTIONS(1),
        [anon_sym_component] = ACTIONS(1),
        [anon_sym_provides] = ACTIONS(1),
        [anon_sym_uses] = ACTIONS(1),
        [anon_sym_multiple] = ACTIONS(1),
        [anon_sym_home] = ACTIONS(1),
        [anon_sym_manages] = ACTIONS(1),
        [anon_sym_emits] = ACTIONS(1),
        [anon_sym_publishes] = ACTIONS(1),
        [anon_sym_consumes] = ACTIONS(1),
        [anon_sym_primarykey] = ACTIONS(1),
        [anon_sym_finder] = ACTIONS(1),
        [anon_sym_port] = ACTIONS(1),
        [anon_sym_mirrorport] = ACTIONS(1),
        [anon_sym_connector] = ACTIONS(1),
        [anon_sym_native] = ACTIONS(1),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [1] = {
        [sym_specification] = STATE(1160),
        [sym_preproc_define] = STATE(181),
        [sym_preproc_call] = STATE(181),
        [sym_preproc_include] = STATE(181),
        [sym_except_dcl] = STATE(1156),
        [sym_interface_dcl] = STATE(1156),
        [sym_interface_kind] = STATE(1154),
        [sym_interface_forward_dcl] = STATE(1153),
        [sym_interface_def] = STATE(1153),
        [sym_interface_header] = STATE(1150),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_dcl] = STATE(1156),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_template_module_dcl] = STATE(1156),
        [sym_template_module_inst] = STATE(1156),
        [sym_value_dcl] = STATE(1156),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1156),
        [sym_type_prefix_dcl] = STATE(1156),
        [sym_import_dcl] = STATE(1156),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_component_dcl] = STATE(1156),
        [sym_component_forward_dcl] = STATE(1137),
        [sym_component_def] = STATE(1137),
        [sym_component_header] = STATE(1136),
        [sym_home_dcl] = STATE(1156),
        [sym_home_header] = STATE(1135),
        [sym_event_dcl] = STATE(1156),
        [sym_event_forward_dcl] = STATE(1107),
        [sym_event_abs_def] = STATE(1107),
        [sym_event_def] = STATE(1107),
        [sym_event_header] = STATE(1105),
        [sym_porttype_dcl] = STATE(1156),
        [sym_porttype_forward_dcl] = STATE(1104),
        [sym_porttype_def] = STATE(1104),
        [sym_connector_dcl] = STATE(1156),
        [sym_connector_header] = STATE(1103),
        [sym_definition] = STATE(181),
        [sym_type_dcl] = STATE(1156),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_module_dcl] = STATE(1156),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1156),
        [sym_comment] = STATE(1),
        [aux_sym_specification_repeat1] = STATE(24),
        [aux_sym_interface_dcl_repeat1] = STATE(170),
        [ts_builtin_sym_end] = ACTIONS(7),
        [anon_sym_POUNDdefine] = ACTIONS(9),
        [sym_preproc_directive] = ACTIONS(11),
        [aux_sym_preproc_include_token1] = ACTIONS(13),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [2] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(1039),
        [sym_export] = STATE(52),
        [sym_op_dcl] = STATE(605),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(1039),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(1039),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_element] = STATE(50),
        [sym_state_member] = STATE(52),
        [sym_init_dcl] = STATE(52),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1039),
        [sym_import_dcl] = STATE(1039),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(605),
        [sym_op_with_context] = STATE(1039),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(1039),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1039),
        [sym_comment] = STATE(2),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_value_def_repeat1] = STATE(3),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(113),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [3] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(1039),
        [sym_export] = STATE(52),
        [sym_op_dcl] = STATE(605),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(1039),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(1039),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_element] = STATE(50),
        [sym_state_member] = STATE(52),
        [sym_init_dcl] = STATE(52),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1039),
        [sym_import_dcl] = STATE(1039),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(605),
        [sym_op_with_context] = STATE(1039),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(1039),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1039),
        [sym_comment] = STATE(3),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_value_def_repeat1] = STATE(3),
        [anon_sym_short] = ACTIONS(157),
        [anon_sym_int16] = ACTIONS(157),
        [anon_sym_long] = ACTIONS(160),
        [anon_sym_int32] = ACTIONS(160),
        [anon_sym_longlong] = ACTIONS(163),
        [anon_sym_int64] = ACTIONS(166),
        [sym_unsigned_tiny_int] = ACTIONS(169),
        [sym_boolean_type] = ACTIONS(172),
        [anon_sym_fixed] = ACTIONS(175),
        [sym_octet_type] = ACTIONS(172),
        [sym_signed_tiny_int] = ACTIONS(178),
        [anon_sym_unsignedshort] = ACTIONS(181),
        [anon_sym_uint16] = ACTIONS(184),
        [anon_sym_unsignedlong] = ACTIONS(187),
        [anon_sym_uint32] = ACTIONS(187),
        [anon_sym_unsignedlonglong] = ACTIONS(190),
        [anon_sym_uint64] = ACTIONS(193),
        [anon_sym_float] = ACTIONS(196),
        [anon_sym_double] = ACTIONS(196),
        [anon_sym_longdouble] = ACTIONS(199),
        [sym_char_type] = ACTIONS(172),
        [sym_wide_char_type] = ACTIONS(172),
        [anon_sym_COLON_COLON] = ACTIONS(202),
        [anon_sym_string] = ACTIONS(205),
        [anon_sym_wstring] = ACTIONS(208),
        [anon_sym_any] = ACTIONS(211),
        [anon_sym_sequence] = ACTIONS(214),
        [anon_sym_map] = ACTIONS(217),
        [anon_sym_exception] = ACTIONS(220),
        [anon_sym_RBRACE] = ACTIONS(223),
        [anon_sym_abstract] = ACTIONS(225),
        [anon_sym_void] = ACTIONS(228),
        [anon_sym_readonly] = ACTIONS(231),
        [anon_sym_attribute] = ACTIONS(234),
        [anon_sym_bitset] = ACTIONS(237),
        [anon_sym_bitmask] = ACTIONS(240),
        [anon_sym_AT] = ACTIONS(243),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(246),
        [anon_sym_oneway] = ACTIONS(249),
        [anon_sym_valuetype] = ACTIONS(252),
        [anon_sym_struct] = ACTIONS(255),
        [anon_sym_union] = ACTIONS(258),
        [anon_sym_enum] = ACTIONS(261),
        [anon_sym_const] = ACTIONS(264),
        [anon_sym_custom] = ACTIONS(267),
        [anon_sym_public] = ACTIONS(270),
        [anon_sym_private] = ACTIONS(270),
        [anon_sym_factory] = ACTIONS(273),
        [anon_sym_typedef] = ACTIONS(276),
        [anon_sym_ATignore_literal_names] = ACTIONS(279),
        [anon_sym_typeid] = ACTIONS(282),
        [anon_sym_import] = ACTIONS(285),
        [anon_sym_Object] = ACTIONS(288),
        [sym_value_base_type] = ACTIONS(172),
        [anon_sym_native] = ACTIONS(291),
        [sym_identifier] = ACTIONS(294),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [4] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(1039),
        [sym_export] = STATE(52),
        [sym_op_dcl] = STATE(605),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(1039),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(1039),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_element] = STATE(50),
        [sym_state_member] = STATE(52),
        [sym_init_dcl] = STATE(52),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1039),
        [sym_import_dcl] = STATE(1039),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(605),
        [sym_op_with_context] = STATE(1039),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(1039),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1039),
        [sym_comment] = STATE(4),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_value_def_repeat1] = STATE(7),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(297),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [5] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(1075),
        [sym_export] = STATE(55),
        [sym_op_dcl] = STATE(601),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(1075),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(1075),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1075),
        [sym_import_dcl] = STATE(1075),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(601),
        [sym_op_with_context] = STATE(1075),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_home_body] = STATE(869),
        [sym_home_export] = STATE(56),
        [sym_factory_dcl] = STATE(978),
        [sym_finder_dcl] = STATE(978),
        [sym_type_dcl] = STATE(1075),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1075),
        [sym_comment] = STATE(5),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_home_body_repeat1] = STATE(9),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(299),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_factory] = ACTIONS(301),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_finder] = ACTIONS(303),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [6] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(1039),
        [sym_export] = STATE(52),
        [sym_op_dcl] = STATE(605),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(1039),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(1039),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_element] = STATE(50),
        [sym_state_member] = STATE(52),
        [sym_init_dcl] = STATE(52),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1039),
        [sym_import_dcl] = STATE(1039),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(605),
        [sym_op_with_context] = STATE(1039),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(1039),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1039),
        [sym_comment] = STATE(6),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_value_def_repeat1] = STATE(2),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(305),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [7] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(1039),
        [sym_export] = STATE(52),
        [sym_op_dcl] = STATE(605),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(1039),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(1039),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_element] = STATE(50),
        [sym_state_member] = STATE(52),
        [sym_init_dcl] = STATE(52),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1039),
        [sym_import_dcl] = STATE(1039),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(605),
        [sym_op_with_context] = STATE(1039),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(1039),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1039),
        [sym_comment] = STATE(7),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_value_def_repeat1] = STATE(3),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(307),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [8] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(1075),
        [sym_export] = STATE(55),
        [sym_op_dcl] = STATE(601),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(1075),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(1075),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1075),
        [sym_import_dcl] = STATE(1075),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(601),
        [sym_op_with_context] = STATE(1075),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_home_export] = STATE(56),
        [sym_factory_dcl] = STATE(978),
        [sym_finder_dcl] = STATE(978),
        [sym_type_dcl] = STATE(1075),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1075),
        [sym_comment] = STATE(8),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_home_body_repeat1] = STATE(8),
        [anon_sym_short] = ACTIONS(309),
        [anon_sym_int16] = ACTIONS(309),
        [anon_sym_long] = ACTIONS(312),
        [anon_sym_int32] = ACTIONS(312),
        [anon_sym_longlong] = ACTIONS(315),
        [anon_sym_int64] = ACTIONS(318),
        [sym_unsigned_tiny_int] = ACTIONS(321),
        [sym_boolean_type] = ACTIONS(324),
        [anon_sym_fixed] = ACTIONS(327),
        [sym_octet_type] = ACTIONS(324),
        [sym_signed_tiny_int] = ACTIONS(330),
        [anon_sym_unsignedshort] = ACTIONS(333),
        [anon_sym_uint16] = ACTIONS(336),
        [anon_sym_unsignedlong] = ACTIONS(339),
        [anon_sym_uint32] = ACTIONS(339),
        [anon_sym_unsignedlonglong] = ACTIONS(342),
        [anon_sym_uint64] = ACTIONS(345),
        [anon_sym_float] = ACTIONS(348),
        [anon_sym_double] = ACTIONS(348),
        [anon_sym_longdouble] = ACTIONS(351),
        [sym_char_type] = ACTIONS(324),
        [sym_wide_char_type] = ACTIONS(324),
        [anon_sym_COLON_COLON] = ACTIONS(354),
        [anon_sym_string] = ACTIONS(357),
        [anon_sym_wstring] = ACTIONS(360),
        [anon_sym_any] = ACTIONS(363),
        [anon_sym_sequence] = ACTIONS(366),
        [anon_sym_map] = ACTIONS(369),
        [anon_sym_exception] = ACTIONS(372),
        [anon_sym_RBRACE] = ACTIONS(375),
        [anon_sym_abstract] = ACTIONS(377),
        [anon_sym_void] = ACTIONS(380),
        [anon_sym_readonly] = ACTIONS(383),
        [anon_sym_attribute] = ACTIONS(386),
        [anon_sym_bitset] = ACTIONS(389),
        [anon_sym_bitmask] = ACTIONS(392),
        [anon_sym_AT] = ACTIONS(395),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(398),
        [anon_sym_oneway] = ACTIONS(401),
        [anon_sym_valuetype] = ACTIONS(404),
        [anon_sym_struct] = ACTIONS(407),
        [anon_sym_union] = ACTIONS(410),
        [anon_sym_enum] = ACTIONS(413),
        [anon_sym_const] = ACTIONS(416),
        [anon_sym_custom] = ACTIONS(419),
        [anon_sym_factory] = ACTIONS(422),
        [anon_sym_typedef] = ACTIONS(425),
        [anon_sym_ATignore_literal_names] = ACTIONS(428),
        [anon_sym_typeid] = ACTIONS(431),
        [anon_sym_import] = ACTIONS(434),
        [anon_sym_Object] = ACTIONS(437),
        [sym_value_base_type] = ACTIONS(324),
        [anon_sym_finder] = ACTIONS(440),
        [anon_sym_native] = ACTIONS(443),
        [sym_identifier] = ACTIONS(446),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [9] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(1075),
        [sym_export] = STATE(55),
        [sym_op_dcl] = STATE(601),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(1075),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(1075),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1075),
        [sym_import_dcl] = STATE(1075),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(601),
        [sym_op_with_context] = STATE(1075),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_home_export] = STATE(56),
        [sym_factory_dcl] = STATE(978),
        [sym_finder_dcl] = STATE(978),
        [sym_type_dcl] = STATE(1075),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1075),
        [sym_comment] = STATE(9),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_home_body_repeat1] = STATE(8),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(449),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_factory] = ACTIONS(301),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_finder] = ACTIONS(303),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [10] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(883),
        [sym_interface_body] = STATE(882),
        [sym_export] = STATE(73),
        [sym_op_dcl] = STATE(551),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(883),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(883),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(883),
        [sym_import_dcl] = STATE(883),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(551),
        [sym_op_with_context] = STATE(883),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(883),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(883),
        [sym_comment] = STATE(10),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_interface_body_repeat1] = STATE(20),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(451),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [11] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(883),
        [sym_export] = STATE(73),
        [sym_op_dcl] = STATE(551),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(883),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(883),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(883),
        [sym_import_dcl] = STATE(883),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(551),
        [sym_op_with_context] = STATE(883),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(883),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(883),
        [sym_comment] = STATE(11),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_interface_body_repeat1] = STATE(11),
        [anon_sym_short] = ACTIONS(453),
        [anon_sym_int16] = ACTIONS(453),
        [anon_sym_long] = ACTIONS(456),
        [anon_sym_int32] = ACTIONS(456),
        [anon_sym_longlong] = ACTIONS(459),
        [anon_sym_int64] = ACTIONS(462),
        [sym_unsigned_tiny_int] = ACTIONS(465),
        [sym_boolean_type] = ACTIONS(468),
        [anon_sym_fixed] = ACTIONS(471),
        [sym_octet_type] = ACTIONS(468),
        [sym_signed_tiny_int] = ACTIONS(474),
        [anon_sym_unsignedshort] = ACTIONS(477),
        [anon_sym_uint16] = ACTIONS(480),
        [anon_sym_unsignedlong] = ACTIONS(483),
        [anon_sym_uint32] = ACTIONS(483),
        [anon_sym_unsignedlonglong] = ACTIONS(486),
        [anon_sym_uint64] = ACTIONS(489),
        [anon_sym_float] = ACTIONS(492),
        [anon_sym_double] = ACTIONS(492),
        [anon_sym_longdouble] = ACTIONS(495),
        [sym_char_type] = ACTIONS(468),
        [sym_wide_char_type] = ACTIONS(468),
        [anon_sym_COLON_COLON] = ACTIONS(498),
        [anon_sym_string] = ACTIONS(501),
        [anon_sym_wstring] = ACTIONS(504),
        [anon_sym_any] = ACTIONS(507),
        [anon_sym_sequence] = ACTIONS(510),
        [anon_sym_map] = ACTIONS(513),
        [anon_sym_exception] = ACTIONS(516),
        [anon_sym_RBRACE] = ACTIONS(519),
        [anon_sym_abstract] = ACTIONS(521),
        [anon_sym_void] = ACTIONS(524),
        [anon_sym_readonly] = ACTIONS(527),
        [anon_sym_attribute] = ACTIONS(530),
        [anon_sym_bitset] = ACTIONS(533),
        [anon_sym_bitmask] = ACTIONS(536),
        [anon_sym_AT] = ACTIONS(539),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(542),
        [anon_sym_oneway] = ACTIONS(545),
        [anon_sym_valuetype] = ACTIONS(548),
        [anon_sym_struct] = ACTIONS(551),
        [anon_sym_union] = ACTIONS(554),
        [anon_sym_enum] = ACTIONS(557),
        [anon_sym_const] = ACTIONS(560),
        [anon_sym_custom] = ACTIONS(563),
        [anon_sym_typedef] = ACTIONS(566),
        [anon_sym_ATignore_literal_names] = ACTIONS(569),
        [anon_sym_typeid] = ACTIONS(572),
        [anon_sym_import] = ACTIONS(575),
        [anon_sym_Object] = ACTIONS(578),
        [sym_value_base_type] = ACTIONS(468),
        [anon_sym_native] = ACTIONS(581),
        [sym_identifier] = ACTIONS(584),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [12] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(883),
        [sym_export] = STATE(73),
        [sym_op_dcl] = STATE(551),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(883),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(883),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(883),
        [sym_import_dcl] = STATE(883),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(551),
        [sym_op_with_context] = STATE(883),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(883),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(883),
        [sym_comment] = STATE(12),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_interface_body_repeat1] = STATE(11),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(587),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [13] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(883),
        [sym_export] = STATE(73),
        [sym_op_dcl] = STATE(551),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(883),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(883),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(883),
        [sym_import_dcl] = STATE(883),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(551),
        [sym_op_with_context] = STATE(883),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(883),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(883),
        [sym_comment] = STATE(13),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_interface_body_repeat1] = STATE(18),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(589),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [14] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(883),
        [sym_export] = STATE(73),
        [sym_op_dcl] = STATE(551),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(883),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(883),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(883),
        [sym_import_dcl] = STATE(883),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(551),
        [sym_op_with_context] = STATE(883),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(883),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(883),
        [sym_comment] = STATE(14),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_interface_body_repeat1] = STATE(11),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(591),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [15] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(883),
        [sym_export] = STATE(73),
        [sym_op_dcl] = STATE(551),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(883),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(883),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(883),
        [sym_import_dcl] = STATE(883),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(551),
        [sym_op_with_context] = STATE(883),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(883),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(883),
        [sym_comment] = STATE(15),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_interface_body_repeat1] = STATE(14),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(587),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [16] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(883),
        [sym_export] = STATE(73),
        [sym_op_dcl] = STATE(551),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(883),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(883),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(883),
        [sym_import_dcl] = STATE(883),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(551),
        [sym_op_with_context] = STATE(883),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(883),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(883),
        [sym_comment] = STATE(16),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_interface_body_repeat1] = STATE(19),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(593),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [17] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(883),
        [sym_export] = STATE(73),
        [sym_op_dcl] = STATE(551),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(883),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(883),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(883),
        [sym_import_dcl] = STATE(883),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(551),
        [sym_op_with_context] = STATE(883),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(883),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(883),
        [sym_comment] = STATE(17),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(595),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [18] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(883),
        [sym_export] = STATE(73),
        [sym_op_dcl] = STATE(551),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(883),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(883),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(883),
        [sym_import_dcl] = STATE(883),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(551),
        [sym_op_with_context] = STATE(883),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(883),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(883),
        [sym_comment] = STATE(18),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_interface_body_repeat1] = STATE(11),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(597),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [19] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(883),
        [sym_export] = STATE(73),
        [sym_op_dcl] = STATE(551),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(883),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(883),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(883),
        [sym_import_dcl] = STATE(883),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(551),
        [sym_op_with_context] = STATE(883),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(883),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(883),
        [sym_comment] = STATE(19),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_interface_body_repeat1] = STATE(11),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(589),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [20] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(889),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_except_dcl] = STATE(883),
        [sym_export] = STATE(73),
        [sym_op_dcl] = STATE(551),
        [sym_op_type_spec] = STATE(852),
        [sym_attr_dcl] = STATE(883),
        [sym_readonly_attr_spec] = STATE(879),
        [sym_attr_spec] = STATE(879),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_value_dcl] = STATE(883),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(883),
        [sym_import_dcl] = STATE(883),
        [sym_object_type] = STATE(482),
        [sym_op_oneway_dcl] = STATE(551),
        [sym_op_with_context] = STATE(883),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_type_dcl] = STATE(883),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(883),
        [sym_comment] = STATE(20),
        [aux_sym_interface_dcl_repeat1] = STATE(189),
        [aux_sym_interface_body_repeat1] = STATE(11),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(599),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [21] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(274),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(729),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_const_expr] = STATE(729),
        [sym_or_expr] = STATE(352),
        [sym_xor_expr] = STATE(334),
        [sym_and_expr] = STATE(328),
        [sym_shift_expr] = STATE(319),
        [sym_add_expr] = STATE(282),
        [sym_mult_expr] = STATE(222),
        [sym_unary_expr] = STATE(224),
        [sym_primary_expr] = STATE(226),
        [sym_unary_operator] = STATE(184),
        [sym_literal] = STATE(232),
        [sym_integer_literal] = STATE(220),
        [sym_integer_sign] = STATE(335),
        [sym_oct_number] = STATE(228),
        [sym_dec_number] = STATE(216),
        [sym_floating_pt_literal] = STATE(220),
        [sym_fixed_pt_literal] = STATE(220),
        [sym_string_literal] = STATE(220),
        [sym_wide_string_literal] = STATE(220),
        [sym_char_literal] = STATE(220),
        [sym_wide_character_literal] = STATE(220),
        [sym_boolean_literal] = STATE(220),
        [sym_actual_parameters] = STATE(995),
        [sym_actual_parameter] = STATE(641),
        [sym_object_type] = STATE(482),
        [sym_comment] = STATE(21),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(601),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_PLUS] = ACTIONS(603),
        [anon_sym_DASH] = ACTIONS(603),
        [anon_sym_LPAREN] = ACTIONS(605),
        [anon_sym_TILDE] = ACTIONS(607),
        [sym_bin_number] = ACTIONS(609),
        [aux_sym_oct_number_token1] = ACTIONS(611),
        [aux_sym_oct_number_token2] = ACTIONS(611),
        [anon_sym_0] = ACTIONS(613),
        [aux_sym_dec_number_token1] = ACTIONS(613),
        [sym_hex_number] = ACTIONS(609),
        [anon_sym_DQUOTE] = ACTIONS(615),
        [anon_sym_L] = ACTIONS(617),
        [anon_sym_SQUOTE] = ACTIONS(619),
        [anon_sym_TRUE] = ACTIONS(621),
        [anon_sym_FALSE] = ACTIONS(621),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(623),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [22] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(274),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(729),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_const_expr] = STATE(729),
        [sym_or_expr] = STATE(352),
        [sym_xor_expr] = STATE(334),
        [sym_and_expr] = STATE(328),
        [sym_shift_expr] = STATE(319),
        [sym_add_expr] = STATE(282),
        [sym_mult_expr] = STATE(222),
        [sym_unary_expr] = STATE(224),
        [sym_primary_expr] = STATE(226),
        [sym_unary_operator] = STATE(184),
        [sym_literal] = STATE(232),
        [sym_integer_literal] = STATE(220),
        [sym_integer_sign] = STATE(335),
        [sym_oct_number] = STATE(228),
        [sym_dec_number] = STATE(216),
        [sym_floating_pt_literal] = STATE(220),
        [sym_fixed_pt_literal] = STATE(220),
        [sym_string_literal] = STATE(220),
        [sym_wide_string_literal] = STATE(220),
        [sym_char_literal] = STATE(220),
        [sym_wide_character_literal] = STATE(220),
        [sym_boolean_literal] = STATE(220),
        [sym_actual_parameter] = STATE(754),
        [sym_object_type] = STATE(482),
        [sym_comment] = STATE(22),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(601),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_PLUS] = ACTIONS(603),
        [anon_sym_DASH] = ACTIONS(603),
        [anon_sym_LPAREN] = ACTIONS(605),
        [anon_sym_TILDE] = ACTIONS(607),
        [sym_bin_number] = ACTIONS(609),
        [aux_sym_oct_number_token1] = ACTIONS(611),
        [aux_sym_oct_number_token2] = ACTIONS(611),
        [anon_sym_0] = ACTIONS(613),
        [aux_sym_dec_number_token1] = ACTIONS(613),
        [sym_hex_number] = ACTIONS(609),
        [anon_sym_DQUOTE] = ACTIONS(615),
        [anon_sym_L] = ACTIONS(617),
        [anon_sym_SQUOTE] = ACTIONS(619),
        [anon_sym_TRUE] = ACTIONS(621),
        [anon_sym_FALSE] = ACTIONS(621),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(623),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [23] = {
        [sym_preproc_define] = STATE(181),
        [sym_preproc_call] = STATE(181),
        [sym_preproc_include] = STATE(181),
        [sym_except_dcl] = STATE(1156),
        [sym_interface_dcl] = STATE(1156),
        [sym_interface_kind] = STATE(1154),
        [sym_interface_forward_dcl] = STATE(1153),
        [sym_interface_def] = STATE(1153),
        [sym_interface_header] = STATE(1150),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_dcl] = STATE(1156),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_template_module_dcl] = STATE(1156),
        [sym_template_module_inst] = STATE(1156),
        [sym_value_dcl] = STATE(1156),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1156),
        [sym_type_prefix_dcl] = STATE(1156),
        [sym_import_dcl] = STATE(1156),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_component_dcl] = STATE(1156),
        [sym_component_forward_dcl] = STATE(1137),
        [sym_component_def] = STATE(1137),
        [sym_component_header] = STATE(1136),
        [sym_home_dcl] = STATE(1156),
        [sym_home_header] = STATE(1135),
        [sym_event_dcl] = STATE(1156),
        [sym_event_forward_dcl] = STATE(1107),
        [sym_event_abs_def] = STATE(1107),
        [sym_event_def] = STATE(1107),
        [sym_event_header] = STATE(1105),
        [sym_porttype_dcl] = STATE(1156),
        [sym_porttype_forward_dcl] = STATE(1104),
        [sym_porttype_def] = STATE(1104),
        [sym_connector_dcl] = STATE(1156),
        [sym_connector_header] = STATE(1103),
        [sym_definition] = STATE(181),
        [sym_type_dcl] = STATE(1156),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_module_dcl] = STATE(1156),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1156),
        [sym_comment] = STATE(23),
        [aux_sym_specification_repeat1] = STATE(23),
        [aux_sym_interface_dcl_repeat1] = STATE(170),
        [ts_builtin_sym_end] = ACTIONS(625),
        [anon_sym_POUNDdefine] = ACTIONS(627),
        [sym_preproc_directive] = ACTIONS(630),
        [aux_sym_preproc_include_token1] = ACTIONS(633),
        [anon_sym_exception] = ACTIONS(636),
        [anon_sym_local] = ACTIONS(639),
        [anon_sym_abstract] = ACTIONS(642),
        [anon_sym_interface] = ACTIONS(645),
        [anon_sym_bitset] = ACTIONS(648),
        [anon_sym_bitmask] = ACTIONS(651),
        [anon_sym_ATannotation] = ACTIONS(654),
        [anon_sym_AT] = ACTIONS(657),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(660),
        [anon_sym_module] = ACTIONS(663),
        [anon_sym_valuetype] = ACTIONS(666),
        [anon_sym_eventtype] = ACTIONS(669),
        [anon_sym_struct] = ACTIONS(672),
        [anon_sym_union] = ACTIONS(675),
        [anon_sym_enum] = ACTIONS(678),
        [anon_sym_const] = ACTIONS(681),
        [anon_sym_custom] = ACTIONS(684),
        [anon_sym_typedef] = ACTIONS(687),
        [anon_sym_ATignore_literal_names] = ACTIONS(690),
        [anon_sym_typeid] = ACTIONS(693),
        [anon_sym_typeprefix] = ACTIONS(696),
        [anon_sym_import] = ACTIONS(699),
        [anon_sym_component] = ACTIONS(702),
        [anon_sym_home] = ACTIONS(705),
        [anon_sym_porttype] = ACTIONS(708),
        [anon_sym_connector] = ACTIONS(711),
        [anon_sym_native] = ACTIONS(714),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [24] = {
        [sym_preproc_define] = STATE(181),
        [sym_preproc_call] = STATE(181),
        [sym_preproc_include] = STATE(181),
        [sym_except_dcl] = STATE(1156),
        [sym_interface_dcl] = STATE(1156),
        [sym_interface_kind] = STATE(1154),
        [sym_interface_forward_dcl] = STATE(1153),
        [sym_interface_def] = STATE(1153),
        [sym_interface_header] = STATE(1150),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_dcl] = STATE(1156),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_template_module_dcl] = STATE(1156),
        [sym_template_module_inst] = STATE(1156),
        [sym_value_dcl] = STATE(1156),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1156),
        [sym_type_prefix_dcl] = STATE(1156),
        [sym_import_dcl] = STATE(1156),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_component_dcl] = STATE(1156),
        [sym_component_forward_dcl] = STATE(1137),
        [sym_component_def] = STATE(1137),
        [sym_component_header] = STATE(1136),
        [sym_home_dcl] = STATE(1156),
        [sym_home_header] = STATE(1135),
        [sym_event_dcl] = STATE(1156),
        [sym_event_forward_dcl] = STATE(1107),
        [sym_event_abs_def] = STATE(1107),
        [sym_event_def] = STATE(1107),
        [sym_event_header] = STATE(1105),
        [sym_porttype_dcl] = STATE(1156),
        [sym_porttype_forward_dcl] = STATE(1104),
        [sym_porttype_def] = STATE(1104),
        [sym_connector_dcl] = STATE(1156),
        [sym_connector_header] = STATE(1103),
        [sym_definition] = STATE(181),
        [sym_type_dcl] = STATE(1156),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_module_dcl] = STATE(1156),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1156),
        [sym_comment] = STATE(24),
        [aux_sym_specification_repeat1] = STATE(23),
        [aux_sym_interface_dcl_repeat1] = STATE(170),
        [ts_builtin_sym_end] = ACTIONS(717),
        [anon_sym_POUNDdefine] = ACTIONS(9),
        [sym_preproc_directive] = ACTIONS(11),
        [aux_sym_preproc_include_token1] = ACTIONS(13),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [25] = {
        [sym_except_dcl] = STATE(1156),
        [sym_interface_dcl] = STATE(1156),
        [sym_interface_kind] = STATE(1154),
        [sym_interface_forward_dcl] = STATE(1153),
        [sym_interface_def] = STATE(1153),
        [sym_interface_header] = STATE(1150),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_dcl] = STATE(1156),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_template_module_dcl] = STATE(1156),
        [sym_tpl_definition] = STATE(185),
        [sym_template_module_inst] = STATE(1156),
        [sym_template_module_ref] = STATE(924),
        [sym_value_dcl] = STATE(1156),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1156),
        [sym_type_prefix_dcl] = STATE(1156),
        [sym_import_dcl] = STATE(1156),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_component_dcl] = STATE(1156),
        [sym_component_forward_dcl] = STATE(1137),
        [sym_component_def] = STATE(1137),
        [sym_component_header] = STATE(1136),
        [sym_home_dcl] = STATE(1156),
        [sym_home_header] = STATE(1135),
        [sym_event_dcl] = STATE(1156),
        [sym_event_forward_dcl] = STATE(1107),
        [sym_event_abs_def] = STATE(1107),
        [sym_event_def] = STATE(1107),
        [sym_event_header] = STATE(1105),
        [sym_porttype_dcl] = STATE(1156),
        [sym_porttype_forward_dcl] = STATE(1104),
        [sym_porttype_def] = STATE(1104),
        [sym_connector_dcl] = STATE(1156),
        [sym_connector_header] = STATE(1103),
        [sym_definition] = STATE(186),
        [sym_type_dcl] = STATE(1156),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_module_dcl] = STATE(1156),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1156),
        [sym_comment] = STATE(25),
        [aux_sym_interface_dcl_repeat1] = STATE(170),
        [aux_sym_template_module_dcl_repeat1] = STATE(26),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(719),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_alias] = ACTIONS(721),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [26] = {
        [sym_except_dcl] = STATE(1156),
        [sym_interface_dcl] = STATE(1156),
        [sym_interface_kind] = STATE(1154),
        [sym_interface_forward_dcl] = STATE(1153),
        [sym_interface_def] = STATE(1153),
        [sym_interface_header] = STATE(1150),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_dcl] = STATE(1156),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_template_module_dcl] = STATE(1156),
        [sym_tpl_definition] = STATE(185),
        [sym_template_module_inst] = STATE(1156),
        [sym_template_module_ref] = STATE(924),
        [sym_value_dcl] = STATE(1156),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1156),
        [sym_type_prefix_dcl] = STATE(1156),
        [sym_import_dcl] = STATE(1156),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_component_dcl] = STATE(1156),
        [sym_component_forward_dcl] = STATE(1137),
        [sym_component_def] = STATE(1137),
        [sym_component_header] = STATE(1136),
        [sym_home_dcl] = STATE(1156),
        [sym_home_header] = STATE(1135),
        [sym_event_dcl] = STATE(1156),
        [sym_event_forward_dcl] = STATE(1107),
        [sym_event_abs_def] = STATE(1107),
        [sym_event_def] = STATE(1107),
        [sym_event_header] = STATE(1105),
        [sym_porttype_dcl] = STATE(1156),
        [sym_porttype_forward_dcl] = STATE(1104),
        [sym_porttype_def] = STATE(1104),
        [sym_connector_dcl] = STATE(1156),
        [sym_connector_header] = STATE(1103),
        [sym_definition] = STATE(186),
        [sym_type_dcl] = STATE(1156),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_module_dcl] = STATE(1156),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1156),
        [sym_comment] = STATE(26),
        [aux_sym_interface_dcl_repeat1] = STATE(170),
        [aux_sym_template_module_dcl_repeat1] = STATE(26),
        [anon_sym_exception] = ACTIONS(723),
        [anon_sym_RBRACE] = ACTIONS(726),
        [anon_sym_local] = ACTIONS(728),
        [anon_sym_abstract] = ACTIONS(731),
        [anon_sym_interface] = ACTIONS(734),
        [anon_sym_bitset] = ACTIONS(737),
        [anon_sym_bitmask] = ACTIONS(740),
        [anon_sym_ATannotation] = ACTIONS(743),
        [anon_sym_AT] = ACTIONS(746),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(749),
        [anon_sym_module] = ACTIONS(752),
        [anon_sym_valuetype] = ACTIONS(755),
        [anon_sym_eventtype] = ACTIONS(758),
        [anon_sym_struct] = ACTIONS(761),
        [anon_sym_union] = ACTIONS(764),
        [anon_sym_enum] = ACTIONS(767),
        [anon_sym_const] = ACTIONS(770),
        [anon_sym_alias] = ACTIONS(773),
        [anon_sym_custom] = ACTIONS(776),
        [anon_sym_typedef] = ACTIONS(779),
        [anon_sym_ATignore_literal_names] = ACTIONS(782),
        [anon_sym_typeid] = ACTIONS(785),
        [anon_sym_typeprefix] = ACTIONS(788),
        [anon_sym_import] = ACTIONS(791),
        [anon_sym_component] = ACTIONS(794),
        [anon_sym_home] = ACTIONS(797),
        [anon_sym_porttype] = ACTIONS(800),
        [anon_sym_connector] = ACTIONS(803),
        [anon_sym_native] = ACTIONS(806),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [27] = {
        [sym_except_dcl] = STATE(1156),
        [sym_interface_dcl] = STATE(1156),
        [sym_interface_kind] = STATE(1154),
        [sym_interface_forward_dcl] = STATE(1153),
        [sym_interface_def] = STATE(1153),
        [sym_interface_header] = STATE(1150),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_dcl] = STATE(1156),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_template_module_dcl] = STATE(1156),
        [sym_tpl_definition] = STATE(185),
        [sym_template_module_inst] = STATE(1156),
        [sym_template_module_ref] = STATE(924),
        [sym_value_dcl] = STATE(1156),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1156),
        [sym_type_prefix_dcl] = STATE(1156),
        [sym_import_dcl] = STATE(1156),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_component_dcl] = STATE(1156),
        [sym_component_forward_dcl] = STATE(1137),
        [sym_component_def] = STATE(1137),
        [sym_component_header] = STATE(1136),
        [sym_home_dcl] = STATE(1156),
        [sym_home_header] = STATE(1135),
        [sym_event_dcl] = STATE(1156),
        [sym_event_forward_dcl] = STATE(1107),
        [sym_event_abs_def] = STATE(1107),
        [sym_event_def] = STATE(1107),
        [sym_event_header] = STATE(1105),
        [sym_porttype_dcl] = STATE(1156),
        [sym_porttype_forward_dcl] = STATE(1104),
        [sym_porttype_def] = STATE(1104),
        [sym_connector_dcl] = STATE(1156),
        [sym_connector_header] = STATE(1103),
        [sym_definition] = STATE(186),
        [sym_type_dcl] = STATE(1156),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_module_dcl] = STATE(1156),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1156),
        [sym_comment] = STATE(27),
        [aux_sym_interface_dcl_repeat1] = STATE(170),
        [aux_sym_template_module_dcl_repeat1] = STATE(25),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(809),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_alias] = ACTIONS(721),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [28] = {
        [sym_except_dcl] = STATE(1156),
        [sym_interface_dcl] = STATE(1156),
        [sym_interface_kind] = STATE(1154),
        [sym_interface_forward_dcl] = STATE(1153),
        [sym_interface_def] = STATE(1153),
        [sym_interface_header] = STATE(1150),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_dcl] = STATE(1156),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_template_module_dcl] = STATE(1156),
        [sym_template_module_inst] = STATE(1156),
        [sym_value_dcl] = STATE(1156),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1156),
        [sym_type_prefix_dcl] = STATE(1156),
        [sym_import_dcl] = STATE(1156),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_component_dcl] = STATE(1156),
        [sym_component_forward_dcl] = STATE(1137),
        [sym_component_def] = STATE(1137),
        [sym_component_header] = STATE(1136),
        [sym_home_dcl] = STATE(1156),
        [sym_home_header] = STATE(1135),
        [sym_event_dcl] = STATE(1156),
        [sym_event_forward_dcl] = STATE(1107),
        [sym_event_abs_def] = STATE(1107),
        [sym_event_def] = STATE(1107),
        [sym_event_header] = STATE(1105),
        [sym_porttype_dcl] = STATE(1156),
        [sym_porttype_forward_dcl] = STATE(1104),
        [sym_porttype_def] = STATE(1104),
        [sym_connector_dcl] = STATE(1156),
        [sym_connector_header] = STATE(1103),
        [sym_definition] = STATE(188),
        [sym_type_dcl] = STATE(1156),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_module_dcl] = STATE(1156),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1156),
        [sym_comment] = STATE(28),
        [aux_sym_interface_dcl_repeat1] = STATE(170),
        [aux_sym_module_dcl_repeat1] = STATE(30),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(811),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [29] = {
        [sym_except_dcl] = STATE(1156),
        [sym_interface_dcl] = STATE(1156),
        [sym_interface_kind] = STATE(1154),
        [sym_interface_forward_dcl] = STATE(1153),
        [sym_interface_def] = STATE(1153),
        [sym_interface_header] = STATE(1150),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_dcl] = STATE(1156),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_template_module_dcl] = STATE(1156),
        [sym_template_module_inst] = STATE(1156),
        [sym_value_dcl] = STATE(1156),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1156),
        [sym_type_prefix_dcl] = STATE(1156),
        [sym_import_dcl] = STATE(1156),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_component_dcl] = STATE(1156),
        [sym_component_forward_dcl] = STATE(1137),
        [sym_component_def] = STATE(1137),
        [sym_component_header] = STATE(1136),
        [sym_home_dcl] = STATE(1156),
        [sym_home_header] = STATE(1135),
        [sym_event_dcl] = STATE(1156),
        [sym_event_forward_dcl] = STATE(1107),
        [sym_event_abs_def] = STATE(1107),
        [sym_event_def] = STATE(1107),
        [sym_event_header] = STATE(1105),
        [sym_porttype_dcl] = STATE(1156),
        [sym_porttype_forward_dcl] = STATE(1104),
        [sym_porttype_def] = STATE(1104),
        [sym_connector_dcl] = STATE(1156),
        [sym_connector_header] = STATE(1103),
        [sym_definition] = STATE(188),
        [sym_type_dcl] = STATE(1156),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_module_dcl] = STATE(1156),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1156),
        [sym_comment] = STATE(29),
        [aux_sym_interface_dcl_repeat1] = STATE(170),
        [aux_sym_module_dcl_repeat1] = STATE(29),
        [anon_sym_exception] = ACTIONS(813),
        [anon_sym_RBRACE] = ACTIONS(816),
        [anon_sym_local] = ACTIONS(818),
        [anon_sym_abstract] = ACTIONS(821),
        [anon_sym_interface] = ACTIONS(824),
        [anon_sym_bitset] = ACTIONS(827),
        [anon_sym_bitmask] = ACTIONS(830),
        [anon_sym_ATannotation] = ACTIONS(833),
        [anon_sym_AT] = ACTIONS(836),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(839),
        [anon_sym_module] = ACTIONS(842),
        [anon_sym_valuetype] = ACTIONS(845),
        [anon_sym_eventtype] = ACTIONS(848),
        [anon_sym_struct] = ACTIONS(851),
        [anon_sym_union] = ACTIONS(854),
        [anon_sym_enum] = ACTIONS(857),
        [anon_sym_const] = ACTIONS(860),
        [anon_sym_custom] = ACTIONS(863),
        [anon_sym_typedef] = ACTIONS(866),
        [anon_sym_ATignore_literal_names] = ACTIONS(869),
        [anon_sym_typeid] = ACTIONS(872),
        [anon_sym_typeprefix] = ACTIONS(875),
        [anon_sym_import] = ACTIONS(878),
        [anon_sym_component] = ACTIONS(881),
        [anon_sym_home] = ACTIONS(884),
        [anon_sym_porttype] = ACTIONS(887),
        [anon_sym_connector] = ACTIONS(890),
        [anon_sym_native] = ACTIONS(893),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [30] = {
        [sym_except_dcl] = STATE(1156),
        [sym_interface_dcl] = STATE(1156),
        [sym_interface_kind] = STATE(1154),
        [sym_interface_forward_dcl] = STATE(1153),
        [sym_interface_def] = STATE(1153),
        [sym_interface_header] = STATE(1150),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_dcl] = STATE(1156),
        [sym_annotation_appl] = STATE(275),
        [sym_extend_annotation_appl] = STATE(279),
        [sym_template_module_dcl] = STATE(1156),
        [sym_template_module_inst] = STATE(1156),
        [sym_value_dcl] = STATE(1156),
        [sym_value_def] = STATE(1146),
        [sym_value_kind] = STATE(1144),
        [sym_value_header] = STATE(1143),
        [sym_value_forward_dcl] = STATE(1146),
        [sym_typedef_dcl] = STATE(1140),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_type_id_dcl] = STATE(1156),
        [sym_type_prefix_dcl] = STATE(1156),
        [sym_import_dcl] = STATE(1156),
        [sym_value_box_def] = STATE(1146),
        [sym_value_abs_def] = STATE(1146),
        [sym_component_dcl] = STATE(1156),
        [sym_component_forward_dcl] = STATE(1137),
        [sym_component_def] = STATE(1137),
        [sym_component_header] = STATE(1136),
        [sym_home_dcl] = STATE(1156),
        [sym_home_header] = STATE(1135),
        [sym_event_dcl] = STATE(1156),
        [sym_event_forward_dcl] = STATE(1107),
        [sym_event_abs_def] = STATE(1107),
        [sym_event_def] = STATE(1107),
        [sym_event_header] = STATE(1105),
        [sym_porttype_dcl] = STATE(1156),
        [sym_porttype_forward_dcl] = STATE(1104),
        [sym_porttype_def] = STATE(1104),
        [sym_connector_dcl] = STATE(1156),
        [sym_connector_header] = STATE(1103),
        [sym_definition] = STATE(188),
        [sym_type_dcl] = STATE(1156),
        [sym_constr_type_dcl] = STATE(1140),
        [sym_native_dcl] = STATE(1140),
        [sym_module_dcl] = STATE(1156),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_const_dcl] = STATE(1156),
        [sym_comment] = STATE(30),
        [aux_sym_interface_dcl_repeat1] = STATE(170),
        [aux_sym_module_dcl_repeat1] = STATE(29),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(896),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [31] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_type_spec] = STATE(456),
        [sym_simple_type_spec] = STATE(467),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(467),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_annotation_appl] = STATE(163),
        [sym_extend_annotation_appl] = STATE(169),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_case_label] = STATE(89),
        [sym_element_spec] = STATE(858),
        [sym_object_type] = STATE(482),
        [sym_constr_type_dcl] = STATE(456),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_comment] = STATE(31),
        [aux_sym_interface_dcl_repeat1] = STATE(47),
        [aux_sym_case_repeat1] = STATE(82),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_default] = ACTIONS(898),
        [anon_sym_AT] = ACTIONS(900),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(902),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_case] = ACTIONS(904),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [32] = {
        [sym_signed_short_int] = STATE(380),
        [sym_signed_long_int] = STATE(380),
        [sym_signed_longlong_int] = STATE(380),
        [sym_unsigned_int] = STATE(392),
        [sym_integer_type] = STATE(482),
        [sym_signed_int] = STATE(392),
        [sym_unsigned_short_int] = STATE(377),
        [sym_unsigned_long_int] = STATE(377),
        [sym_unsigned_longlong_int] = STATE(377),
        [sym_floating_pt_type] = STATE(482),
        [sym_scoped_name] = STATE(398),
        [sym_string_type] = STATE(479),
        [sym_wide_string_type] = STATE(479),
        [sym_simple_type_spec] = STATE(402),
        [sym_base_type_spec] = STATE(478),
        [sym_any_type] = STATE(482),
        [sym_fixed_pt_type] = STATE(479),
        [sym_template_type_spec] = STATE(402),
        [sym_sequence_type] = STATE(479),
        [sym_map_type] = STATE(479),
        [sym_bitset_dcl] = STATE(789),
        [sym_bitmask_dcl] = STATE(789),
        [sym_type_declarator] = STATE(967),
        [sym_enum_dcl] = STATE(789),
        [sym_enum_anno] = STATE(1139),
        [sym_union_dcl] = STATE(789),
        [sym_union_forward_dcl] = STATE(787),
        [sym_union_def] = STATE(787),
        [sym_object_type] = STATE(482),
        [sym_constr_type_dcl] = STATE(402),
        [sym_struct_dcl] = STATE(789),
        [sym_struct_forward_dcl] = STATE(736),
        [sym_struct_def] = STATE(736),
        [sym_comment] = STATE(32),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [sym_char_type] = ACTIONS(79),
        [sym_wide_char_type] = ACTIONS(79),
        [anon_sym_COLON_COLON] = ACTIONS(99),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(623),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
};

static const uint16_t ts_small_parse_table[] = {
    [0] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(906),
    1,
    anon_sym_RBRACE,
    ACTIONS(908),
    1,
    anon_sym_AT,
    STATE(33),
    1,
    sym_comment,
    STATE(34),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(45),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(128),
    1,
    sym_member,
    STATE(163),
    1,
    sym_annotation_appl,
    STATE(169),
    1,
    sym_extend_annotation_appl,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(403),
    1,
    sym_type_spec,
    STATE(478),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [151] = 42,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(916),
    1,
    anon_sym_longlong,
    ACTIONS(919),
    1,
    anon_sym_int64,
    ACTIONS(922),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(928),
    1,
    anon_sym_fixed,
    ACTIONS(931),
    1,
    sym_signed_tiny_int,
    ACTIONS(934),
    1,
    anon_sym_unsignedshort,
    ACTIONS(937),
    1,
    anon_sym_uint16,
    ACTIONS(943),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(946),
    1,
    anon_sym_uint64,
    ACTIONS(952),
    1,
    anon_sym_longdouble,
    ACTIONS(955),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(958),
    1,
    anon_sym_string,
    ACTIONS(961),
    1,
    anon_sym_wstring,
    ACTIONS(964),
    1,
    anon_sym_any,
    ACTIONS(967),
    1,
    anon_sym_sequence,
    ACTIONS(970),
    1,
    anon_sym_map,
    ACTIONS(973),
    1,
    anon_sym_RBRACE,
    ACTIONS(975),
    1,
    anon_sym_AT,
    ACTIONS(978),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(981),
    1,
    anon_sym_Object,
    ACTIONS(984),
    1,
    sym_identifier,
    STATE(45),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(128),
    1,
    sym_member,
    STATE(163),
    1,
    sym_annotation_appl,
    STATE(169),
    1,
    sym_extend_annotation_appl,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(403),
    1,
    sym_type_spec,
    STATE(478),
    1,
    sym_base_type_spec,
    ACTIONS(910),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(913),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(940),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(949),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(34),
    2,
    sym_comment,
    aux_sym_except_dcl_repeat1,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(925),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [300] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(908),
    1,
    anon_sym_AT,
    ACTIONS(987),
    1,
    anon_sym_RBRACE,
    STATE(35),
    1,
    sym_comment,
    STATE(37),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(45),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(128),
    1,
    sym_member,
    STATE(163),
    1,
    sym_annotation_appl,
    STATE(169),
    1,
    sym_extend_annotation_appl,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(403),
    1,
    sym_type_spec,
    STATE(478),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [451] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(908),
    1,
    anon_sym_AT,
    ACTIONS(989),
    1,
    anon_sym_RBRACE,
    STATE(36),
    1,
    sym_comment,
    STATE(39),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(45),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(128),
    1,
    sym_member,
    STATE(163),
    1,
    sym_annotation_appl,
    STATE(169),
    1,
    sym_extend_annotation_appl,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(403),
    1,
    sym_type_spec,
    STATE(478),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [602] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(908),
    1,
    anon_sym_AT,
    ACTIONS(991),
    1,
    anon_sym_RBRACE,
    STATE(34),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(37),
    1,
    sym_comment,
    STATE(45),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(128),
    1,
    sym_member,
    STATE(163),
    1,
    sym_annotation_appl,
    STATE(169),
    1,
    sym_extend_annotation_appl,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(403),
    1,
    sym_type_spec,
    STATE(478),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [753] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(908),
    1,
    anon_sym_AT,
    ACTIONS(993),
    1,
    anon_sym_RBRACE,
    STATE(33),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(38),
    1,
    sym_comment,
    STATE(45),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(128),
    1,
    sym_member,
    STATE(163),
    1,
    sym_annotation_appl,
    STATE(169),
    1,
    sym_extend_annotation_appl,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(403),
    1,
    sym_type_spec,
    STATE(478),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [904] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(908),
    1,
    anon_sym_AT,
    ACTIONS(995),
    1,
    anon_sym_RBRACE,
    STATE(34),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(39),
    1,
    sym_comment,
    STATE(45),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(128),
    1,
    sym_member,
    STATE(163),
    1,
    sym_annotation_appl,
    STATE(169),
    1,
    sym_extend_annotation_appl,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(403),
    1,
    sym_type_spec,
    STATE(478),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1055] = 40,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(997),
    1,
    anon_sym_RPAREN,
    STATE(40),
    1,
    sym_comment,
    STATE(74),
    1,
    sym_param_attribute,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    STATE(696),
    1,
    sym_param_dcl,
    STATE(737),
    1,
    sym_type_spec,
    STATE(975),
    1,
    sym_parameter_dcls,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(999),
    3,
    anon_sym_in,
    anon_sym_out,
    anon_sym_inout,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1199] = 42,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1001),
    1,
    anon_sym_LBRACE,
    ACTIONS(1003),
    1,
    anon_sym_COLON,
    ACTIONS(1005),
    1,
    anon_sym_SEMI,
    ACTIONS(1007),
    1,
    anon_sym_supports,
    STATE(41),
    1,
    sym_comment,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    STATE(721),
    1,
    sym_value_inheritance,
    STATE(875),
    1,
    sym_value_inheritance_spec,
    STATE(877),
    1,
    sym_type_spec,
    STATE(939),
    1,
    sym_value_supports,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1347] = 41,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(135),
    1,
    anon_sym_enum,
    ACTIONS(137),
    1,
    anon_sym_const,
    ACTIONS(145),
    1,
    anon_sym_typedef,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1011),
    1,
    anon_sym_fixed,
    ACTIONS(1013),
    1,
    anon_sym_any,
    ACTIONS(1015),
    1,
    anon_sym_RBRACE,
    STATE(42),
    1,
    sym_comment,
    STATE(46),
    1,
    aux_sym_annotation_dcl_repeat1,
    STATE(145),
    1,
    sym_annotation_member,
    STATE(162),
    1,
    sym_annotation_body,
    STATE(745),
    1,
    sym_annotation_member_type,
    STATE(746),
    1,
    sym_scoped_name,
    STATE(1139),
    1,
    sym_enum_anno,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(918),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(919),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    ACTIONS(1009),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    STATE(981),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_string_type,
    sym_wide_string_type,
    sym_sequence_type,
    [1491] = 38,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(43),
    1,
    sym_comment,
    STATE(74),
    1,
    sym_param_attribute,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    STATE(737),
    1,
    sym_type_spec,
    STATE(818),
    1,
    sym_param_dcl,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(999),
    3,
    anon_sym_in,
    anon_sym_out,
    anon_sym_inout,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1629] = 41,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(135),
    1,
    anon_sym_enum,
    ACTIONS(137),
    1,
    anon_sym_const,
    ACTIONS(145),
    1,
    anon_sym_typedef,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1011),
    1,
    anon_sym_fixed,
    ACTIONS(1013),
    1,
    anon_sym_any,
    ACTIONS(1017),
    1,
    anon_sym_RBRACE,
    STATE(42),
    1,
    aux_sym_annotation_dcl_repeat1,
    STATE(44),
    1,
    sym_comment,
    STATE(145),
    1,
    sym_annotation_member,
    STATE(162),
    1,
    sym_annotation_body,
    STATE(745),
    1,
    sym_annotation_member_type,
    STATE(746),
    1,
    sym_scoped_name,
    STATE(1139),
    1,
    sym_enum_anno,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(918),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(919),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    ACTIONS(1009),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    STATE(981),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_string_type,
    sym_wide_string_type,
    sym_sequence_type,
    [1773] = 40,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(908),
    1,
    anon_sym_AT,
    STATE(45),
    1,
    sym_comment,
    STATE(107),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(163),
    1,
    sym_annotation_appl,
    STATE(169),
    1,
    sym_extend_annotation_appl,
    STATE(397),
    1,
    sym_type_spec,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [1915] = 40,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1025),
    1,
    anon_sym_longlong,
    ACTIONS(1028),
    1,
    anon_sym_int64,
    ACTIONS(1031),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1037),
    1,
    anon_sym_fixed,
    ACTIONS(1040),
    1,
    sym_signed_tiny_int,
    ACTIONS(1043),
    1,
    anon_sym_unsignedshort,
    ACTIONS(1046),
    1,
    anon_sym_uint16,
    ACTIONS(1052),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(1055),
    1,
    anon_sym_uint64,
    ACTIONS(1061),
    1,
    anon_sym_longdouble,
    ACTIONS(1064),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1067),
    1,
    anon_sym_string,
    ACTIONS(1070),
    1,
    anon_sym_wstring,
    ACTIONS(1073),
    1,
    anon_sym_any,
    ACTIONS(1076),
    1,
    anon_sym_sequence,
    ACTIONS(1079),
    1,
    anon_sym_RBRACE,
    ACTIONS(1081),
    1,
    anon_sym_enum,
    ACTIONS(1084),
    1,
    anon_sym_const,
    ACTIONS(1087),
    1,
    anon_sym_typedef,
    ACTIONS(1090),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(1093),
    1,
    sym_identifier,
    STATE(145),
    1,
    sym_annotation_member,
    STATE(162),
    1,
    sym_annotation_body,
    STATE(745),
    1,
    sym_annotation_member_type,
    STATE(746),
    1,
    sym_scoped_name,
    STATE(1139),
    1,
    sym_enum_anno,
    ACTIONS(1019),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1022),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(1049),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(1058),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(46),
    2,
    sym_comment,
    aux_sym_annotation_dcl_repeat1,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(918),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(919),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    ACTIONS(1034),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    STATE(981),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_string_type,
    sym_wide_string_type,
    sym_sequence_type,
    [2057] = 40,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(908),
    1,
    anon_sym_AT,
    STATE(47),
    1,
    sym_comment,
    STATE(107),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(163),
    1,
    sym_annotation_appl,
    STATE(169),
    1,
    sym_extend_annotation_appl,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(431),
    1,
    sym_type_spec,
    STATE(478),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [2199] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(48),
    1,
    sym_comment,
    ACTIONS(1098),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1096),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2269] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(49),
    1,
    sym_comment,
    ACTIONS(1102),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1100),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2339] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(50),
    1,
    sym_comment,
    ACTIONS(1106),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1104),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2409] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(51),
    1,
    sym_comment,
    ACTIONS(1110),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1108),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2479] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(52),
    1,
    sym_comment,
    ACTIONS(1114),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1112),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2549] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(53),
    1,
    sym_comment,
    ACTIONS(1118),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1116),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2619] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(54),
    1,
    sym_comment,
    ACTIONS(1122),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1120),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2689] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(55),
    1,
    sym_comment,
    ACTIONS(1126),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1124),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [2758] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(56),
    1,
    sym_comment,
    ACTIONS(1130),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1128),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [2827] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(57),
    1,
    sym_comment,
    ACTIONS(1102),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1100),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [2896] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(58),
    1,
    sym_comment,
    ACTIONS(1134),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1132),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [2965] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1136),
    1,
    anon_sym_sequence,
    ACTIONS(1140),
    1,
    anon_sym_const,
    STATE(59),
    1,
    sym_comment,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    STATE(646),
    1,
    sym_formal_parameter,
    STATE(1009),
    1,
    sym_formal_parameter_type,
    STATE(1170),
    1,
    sym_formal_parameters,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1005),
    2,
    sym_simple_type_spec,
    sym_sequence_type,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    ACTIONS(1138),
    8,
    anon_sym_exception,
    anon_sym_interface,
    anon_sym_typename,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    [3092] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1136),
    1,
    anon_sym_sequence,
    ACTIONS(1140),
    1,
    anon_sym_const,
    STATE(60),
    1,
    sym_comment,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    STATE(755),
    1,
    sym_formal_parameter,
    STATE(1009),
    1,
    sym_formal_parameter_type,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1005),
    2,
    sym_simple_type_spec,
    sym_sequence_type,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    ACTIONS(1138),
    8,
    anon_sym_exception,
    anon_sym_interface,
    anon_sym_typename,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    [3216] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1142),
    1,
    sym_identifier,
    STATE(61),
    1,
    sym_comment,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    STATE(747),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [3343] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1144),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1146),
    1,
    anon_sym_default,
    ACTIONS(1148),
    1,
    anon_sym_id,
    ACTIONS(1150),
    1,
    anon_sym_autoid,
    ACTIONS(1152),
    1,
    anon_sym_optional,
    ACTIONS(1154),
    1,
    anon_sym_position,
    ACTIONS(1156),
    1,
    anon_sym_value,
    ACTIONS(1158),
    1,
    anon_sym_extensibility,
    ACTIONS(1160),
    1,
    anon_sym_final,
    ACTIONS(1162),
    1,
    anon_sym_appendable,
    ACTIONS(1164),
    1,
    anon_sym_mutable,
    ACTIONS(1166),
    1,
    anon_sym_key,
    ACTIONS(1168),
    1,
    anon_sym_must_understand,
    ACTIONS(1170),
    1,
    anon_sym_default_literal,
    ACTIONS(1172),
    1,
    anon_sym_range,
    ACTIONS(1174),
    1,
    anon_sym_min,
    ACTIONS(1176),
    1,
    anon_sym_max,
    ACTIONS(1178),
    1,
    anon_sym_unit,
    ACTIONS(1180),
    1,
    anon_sym_bit_bound,
    ACTIONS(1182),
    1,
    anon_sym_external,
    ACTIONS(1184),
    1,
    anon_sym_nested,
    ACTIONS(1186),
    1,
    anon_sym_verbatim,
    ACTIONS(1188),
    1,
    anon_sym_service,
    ACTIONS(1190),
    1,
    anon_sym_oneway,
    ACTIONS(1192),
    1,
    anon_sym_ami,
    ACTIONS(1194),
    1,
    sym_identifier,
    STATE(62),
    1,
    sym_comment,
    STATE(252),
    1,
    sym_scoped_name,
    STATE(292),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(294),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [3464] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1196),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1198),
    1,
    anon_sym_default,
    ACTIONS(1200),
    1,
    anon_sym_id,
    ACTIONS(1202),
    1,
    anon_sym_autoid,
    ACTIONS(1204),
    1,
    anon_sym_optional,
    ACTIONS(1206),
    1,
    anon_sym_position,
    ACTIONS(1208),
    1,
    anon_sym_value,
    ACTIONS(1210),
    1,
    anon_sym_extensibility,
    ACTIONS(1212),
    1,
    anon_sym_final,
    ACTIONS(1214),
    1,
    anon_sym_appendable,
    ACTIONS(1216),
    1,
    anon_sym_mutable,
    ACTIONS(1218),
    1,
    anon_sym_key,
    ACTIONS(1220),
    1,
    anon_sym_must_understand,
    ACTIONS(1222),
    1,
    anon_sym_default_literal,
    ACTIONS(1224),
    1,
    anon_sym_range,
    ACTIONS(1226),
    1,
    anon_sym_min,
    ACTIONS(1228),
    1,
    anon_sym_max,
    ACTIONS(1230),
    1,
    anon_sym_unit,
    ACTIONS(1232),
    1,
    anon_sym_bit_bound,
    ACTIONS(1234),
    1,
    anon_sym_external,
    ACTIONS(1236),
    1,
    anon_sym_nested,
    ACTIONS(1238),
    1,
    anon_sym_verbatim,
    ACTIONS(1240),
    1,
    anon_sym_service,
    ACTIONS(1242),
    1,
    anon_sym_oneway,
    ACTIONS(1244),
    1,
    anon_sym_ami,
    ACTIONS(1246),
    1,
    sym_identifier,
    STATE(63),
    1,
    sym_comment,
    STATE(386),
    1,
    sym_scoped_name,
    STATE(367),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(554),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [3585] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(64),
    1,
    sym_comment,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    STATE(568),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [3712] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1248),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1250),
    1,
    anon_sym_default,
    ACTIONS(1252),
    1,
    anon_sym_id,
    ACTIONS(1254),
    1,
    anon_sym_autoid,
    ACTIONS(1256),
    1,
    anon_sym_optional,
    ACTIONS(1258),
    1,
    anon_sym_position,
    ACTIONS(1260),
    1,
    anon_sym_value,
    ACTIONS(1262),
    1,
    anon_sym_extensibility,
    ACTIONS(1264),
    1,
    anon_sym_final,
    ACTIONS(1266),
    1,
    anon_sym_appendable,
    ACTIONS(1268),
    1,
    anon_sym_mutable,
    ACTIONS(1270),
    1,
    anon_sym_key,
    ACTIONS(1272),
    1,
    anon_sym_must_understand,
    ACTIONS(1274),
    1,
    anon_sym_default_literal,
    ACTIONS(1276),
    1,
    anon_sym_range,
    ACTIONS(1278),
    1,
    anon_sym_min,
    ACTIONS(1280),
    1,
    anon_sym_max,
    ACTIONS(1282),
    1,
    anon_sym_unit,
    ACTIONS(1284),
    1,
    anon_sym_bit_bound,
    ACTIONS(1286),
    1,
    anon_sym_external,
    ACTIONS(1288),
    1,
    anon_sym_nested,
    ACTIONS(1290),
    1,
    anon_sym_verbatim,
    ACTIONS(1292),
    1,
    anon_sym_service,
    ACTIONS(1294),
    1,
    anon_sym_oneway,
    ACTIONS(1296),
    1,
    anon_sym_ami,
    ACTIONS(1298),
    1,
    sym_identifier,
    STATE(65),
    1,
    sym_comment,
    STATE(130),
    1,
    sym_scoped_name,
    STATE(160),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(159),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [3833] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1300),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1302),
    1,
    anon_sym_default,
    ACTIONS(1304),
    1,
    anon_sym_id,
    ACTIONS(1306),
    1,
    anon_sym_autoid,
    ACTIONS(1308),
    1,
    anon_sym_optional,
    ACTIONS(1310),
    1,
    anon_sym_position,
    ACTIONS(1312),
    1,
    anon_sym_value,
    ACTIONS(1314),
    1,
    anon_sym_extensibility,
    ACTIONS(1316),
    1,
    anon_sym_final,
    ACTIONS(1318),
    1,
    anon_sym_appendable,
    ACTIONS(1320),
    1,
    anon_sym_mutable,
    ACTIONS(1322),
    1,
    anon_sym_key,
    ACTIONS(1324),
    1,
    anon_sym_must_understand,
    ACTIONS(1326),
    1,
    anon_sym_default_literal,
    ACTIONS(1328),
    1,
    anon_sym_range,
    ACTIONS(1330),
    1,
    anon_sym_min,
    ACTIONS(1332),
    1,
    anon_sym_max,
    ACTIONS(1334),
    1,
    anon_sym_unit,
    ACTIONS(1336),
    1,
    anon_sym_bit_bound,
    ACTIONS(1338),
    1,
    anon_sym_external,
    ACTIONS(1340),
    1,
    anon_sym_nested,
    ACTIONS(1342),
    1,
    anon_sym_verbatim,
    ACTIONS(1344),
    1,
    anon_sym_service,
    ACTIONS(1346),
    1,
    anon_sym_oneway,
    ACTIONS(1348),
    1,
    anon_sym_ami,
    ACTIONS(1350),
    1,
    sym_identifier,
    STATE(66),
    1,
    sym_comment,
    STATE(394),
    1,
    sym_scoped_name,
    STATE(677),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(676),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [3954] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1142),
    1,
    sym_identifier,
    STATE(67),
    1,
    sym_comment,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    STATE(785),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [4081] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1196),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1198),
    1,
    anon_sym_default,
    ACTIONS(1200),
    1,
    anon_sym_id,
    ACTIONS(1202),
    1,
    anon_sym_autoid,
    ACTIONS(1204),
    1,
    anon_sym_optional,
    ACTIONS(1206),
    1,
    anon_sym_position,
    ACTIONS(1208),
    1,
    anon_sym_value,
    ACTIONS(1210),
    1,
    anon_sym_extensibility,
    ACTIONS(1212),
    1,
    anon_sym_final,
    ACTIONS(1214),
    1,
    anon_sym_appendable,
    ACTIONS(1216),
    1,
    anon_sym_mutable,
    ACTIONS(1218),
    1,
    anon_sym_key,
    ACTIONS(1220),
    1,
    anon_sym_must_understand,
    ACTIONS(1222),
    1,
    anon_sym_default_literal,
    ACTIONS(1224),
    1,
    anon_sym_range,
    ACTIONS(1226),
    1,
    anon_sym_min,
    ACTIONS(1228),
    1,
    anon_sym_max,
    ACTIONS(1230),
    1,
    anon_sym_unit,
    ACTIONS(1232),
    1,
    anon_sym_bit_bound,
    ACTIONS(1234),
    1,
    anon_sym_external,
    ACTIONS(1236),
    1,
    anon_sym_nested,
    ACTIONS(1238),
    1,
    anon_sym_verbatim,
    ACTIONS(1240),
    1,
    anon_sym_service,
    ACTIONS(1242),
    1,
    anon_sym_oneway,
    ACTIONS(1244),
    1,
    anon_sym_ami,
    ACTIONS(1246),
    1,
    sym_identifier,
    STATE(68),
    1,
    sym_comment,
    STATE(386),
    1,
    sym_scoped_name,
    STATE(354),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(554),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4202] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(69),
    1,
    sym_comment,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    STATE(778),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [4329] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(70),
    1,
    sym_comment,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    STATE(810),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [4456] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1196),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1198),
    1,
    anon_sym_default,
    ACTIONS(1200),
    1,
    anon_sym_id,
    ACTIONS(1202),
    1,
    anon_sym_autoid,
    ACTIONS(1204),
    1,
    anon_sym_optional,
    ACTIONS(1206),
    1,
    anon_sym_position,
    ACTIONS(1208),
    1,
    anon_sym_value,
    ACTIONS(1210),
    1,
    anon_sym_extensibility,
    ACTIONS(1212),
    1,
    anon_sym_final,
    ACTIONS(1214),
    1,
    anon_sym_appendable,
    ACTIONS(1216),
    1,
    anon_sym_mutable,
    ACTIONS(1218),
    1,
    anon_sym_key,
    ACTIONS(1220),
    1,
    anon_sym_must_understand,
    ACTIONS(1222),
    1,
    anon_sym_default_literal,
    ACTIONS(1224),
    1,
    anon_sym_range,
    ACTIONS(1226),
    1,
    anon_sym_min,
    ACTIONS(1228),
    1,
    anon_sym_max,
    ACTIONS(1230),
    1,
    anon_sym_unit,
    ACTIONS(1232),
    1,
    anon_sym_bit_bound,
    ACTIONS(1234),
    1,
    anon_sym_external,
    ACTIONS(1236),
    1,
    anon_sym_nested,
    ACTIONS(1238),
    1,
    anon_sym_verbatim,
    ACTIONS(1240),
    1,
    anon_sym_service,
    ACTIONS(1242),
    1,
    anon_sym_oneway,
    ACTIONS(1244),
    1,
    anon_sym_ami,
    ACTIONS(1246),
    1,
    sym_identifier,
    STATE(71),
    1,
    sym_comment,
    STATE(386),
    1,
    sym_scoped_name,
    STATE(553),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(554),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4577] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(72),
    1,
    sym_comment,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    STATE(772),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [4704] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(73),
    1,
    sym_comment,
    ACTIONS(1354),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1352),
    45,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [4771] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(74),
    1,
    sym_comment,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    STATE(769),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [4898] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1196),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1198),
    1,
    anon_sym_default,
    ACTIONS(1200),
    1,
    anon_sym_id,
    ACTIONS(1202),
    1,
    anon_sym_autoid,
    ACTIONS(1204),
    1,
    anon_sym_optional,
    ACTIONS(1206),
    1,
    anon_sym_position,
    ACTIONS(1208),
    1,
    anon_sym_value,
    ACTIONS(1210),
    1,
    anon_sym_extensibility,
    ACTIONS(1212),
    1,
    anon_sym_final,
    ACTIONS(1214),
    1,
    anon_sym_appendable,
    ACTIONS(1216),
    1,
    anon_sym_mutable,
    ACTIONS(1218),
    1,
    anon_sym_key,
    ACTIONS(1220),
    1,
    anon_sym_must_understand,
    ACTIONS(1222),
    1,
    anon_sym_default_literal,
    ACTIONS(1224),
    1,
    anon_sym_range,
    ACTIONS(1226),
    1,
    anon_sym_min,
    ACTIONS(1228),
    1,
    anon_sym_max,
    ACTIONS(1230),
    1,
    anon_sym_unit,
    ACTIONS(1232),
    1,
    anon_sym_bit_bound,
    ACTIONS(1234),
    1,
    anon_sym_external,
    ACTIONS(1236),
    1,
    anon_sym_nested,
    ACTIONS(1238),
    1,
    anon_sym_verbatim,
    ACTIONS(1240),
    1,
    anon_sym_service,
    ACTIONS(1242),
    1,
    anon_sym_oneway,
    ACTIONS(1244),
    1,
    anon_sym_ami,
    ACTIONS(1246),
    1,
    sym_identifier,
    STATE(75),
    1,
    sym_comment,
    STATE(386),
    1,
    sym_scoped_name,
    STATE(373),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(554),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [5019] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(76),
    1,
    sym_comment,
    STATE(396),
    1,
    sym_type_spec,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [5146] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(77),
    1,
    sym_comment,
    ACTIONS(1102),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1100),
    45,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [5213] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1196),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1198),
    1,
    anon_sym_default,
    ACTIONS(1200),
    1,
    anon_sym_id,
    ACTIONS(1202),
    1,
    anon_sym_autoid,
    ACTIONS(1204),
    1,
    anon_sym_optional,
    ACTIONS(1206),
    1,
    anon_sym_position,
    ACTIONS(1208),
    1,
    anon_sym_value,
    ACTIONS(1210),
    1,
    anon_sym_extensibility,
    ACTIONS(1212),
    1,
    anon_sym_final,
    ACTIONS(1214),
    1,
    anon_sym_appendable,
    ACTIONS(1216),
    1,
    anon_sym_mutable,
    ACTIONS(1218),
    1,
    anon_sym_key,
    ACTIONS(1220),
    1,
    anon_sym_must_understand,
    ACTIONS(1222),
    1,
    anon_sym_default_literal,
    ACTIONS(1224),
    1,
    anon_sym_range,
    ACTIONS(1226),
    1,
    anon_sym_min,
    ACTIONS(1228),
    1,
    anon_sym_max,
    ACTIONS(1230),
    1,
    anon_sym_unit,
    ACTIONS(1232),
    1,
    anon_sym_bit_bound,
    ACTIONS(1234),
    1,
    anon_sym_external,
    ACTIONS(1236),
    1,
    anon_sym_nested,
    ACTIONS(1238),
    1,
    anon_sym_verbatim,
    ACTIONS(1240),
    1,
    anon_sym_service,
    ACTIONS(1242),
    1,
    anon_sym_oneway,
    ACTIONS(1244),
    1,
    anon_sym_ami,
    ACTIONS(1246),
    1,
    sym_identifier,
    STATE(78),
    1,
    sym_comment,
    STATE(386),
    1,
    sym_scoped_name,
    STATE(364),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(554),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [5334] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(79),
    1,
    sym_comment,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    STATE(591),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [5461] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(80),
    1,
    sym_comment,
    STATE(398),
    1,
    sym_scoped_name,
    STATE(478),
    1,
    sym_base_type_spec,
    STATE(1149),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(467),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(482),
    4,
    sym_integer_type,
    sym_floating_pt_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(79),
    5,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    sym_value_base_type,
    STATE(479),
    5,
    sym_string_type,
    sym_wide_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    [5588] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1011),
    1,
    anon_sym_fixed,
    STATE(81),
    1,
    sym_comment,
    STATE(738),
    1,
    sym_scoped_name,
    STATE(972),
    1,
    sym_const_type,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    ACTIONS(1009),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    STATE(981),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_string_type,
    sym_wide_string_type,
    sym_sequence_type,
    [5693] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1360),
    1,
    anon_sym_default,
    ACTIONS(1363),
    1,
    anon_sym_case,
    STATE(89),
    1,
    sym_case_label,
    STATE(82),
    2,
    sym_comment,
    aux_sym_case_repeat1,
    ACTIONS(1358),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1356),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [5756] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(101),
    1,
    anon_sym_string,
    ACTIONS(103),
    1,
    anon_sym_wstring,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1011),
    1,
    anon_sym_fixed,
    STATE(83),
    1,
    sym_comment,
    STATE(738),
    1,
    sym_scoped_name,
    STATE(1195),
    1,
    sym_const_type,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    ACTIONS(1009),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    STATE(981),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_string_type,
    sym_wide_string_type,
    sym_sequence_type,
    [5861] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1366),
    1,
    sym_identifier,
    STATE(84),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(660),
    1,
    sym_annotation_appl_param,
    STATE(1000),
    1,
    sym_const_expr,
    STATE(1004),
    1,
    sym_annotation_appl_params,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5973] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1366),
    1,
    sym_identifier,
    STATE(85),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(660),
    1,
    sym_annotation_appl_param,
    STATE(1000),
    1,
    sym_const_expr,
    STATE(1060),
    1,
    sym_annotation_appl_params,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6085] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1366),
    1,
    sym_identifier,
    STATE(86),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(660),
    1,
    sym_annotation_appl_param,
    STATE(1000),
    1,
    sym_const_expr,
    STATE(1096),
    1,
    sym_annotation_appl_params,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6197] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1366),
    1,
    sym_identifier,
    STATE(87),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(660),
    1,
    sym_annotation_appl_param,
    STATE(1000),
    1,
    sym_const_expr,
    STATE(1127),
    1,
    sym_annotation_appl_params,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6309] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(88),
    1,
    sym_comment,
    ACTIONS(1370),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1368),
    34,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6364] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(89),
    1,
    sym_comment,
    ACTIONS(1374),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1372),
    34,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6419] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(90),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(609),
    1,
    sym_const_expr,
    STATE(1002),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6528] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(91),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(609),
    1,
    sym_const_expr,
    STATE(1001),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6637] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(92),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(609),
    1,
    sym_const_expr,
    STATE(1032),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6746] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(93),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(609),
    1,
    sym_const_expr,
    STATE(1038),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6855] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(94),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(609),
    1,
    sym_const_expr,
    STATE(1147),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6964] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(95),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(609),
    1,
    sym_const_expr,
    STATE(881),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7073] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(96),
    1,
    sym_comment,
    ACTIONS(1378),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1376),
    34,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7128] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(97),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(609),
    1,
    sym_const_expr,
    STATE(777),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7237] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(98),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(609),
    1,
    sym_const_expr,
    STATE(1161),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7346] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(99),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(759),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7452] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(100),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(1204),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7558] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(101),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(950),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7664] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(102),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(940),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7770] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(103),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(1168),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7876] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(104),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(334),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(352),
    1,
    sym_or_expr,
    STATE(855),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7982] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(105),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(335),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8082] = 28,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(106),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(319),
    1,
    sym_shift_expr,
    STATE(324),
    1,
    sym_and_expr,
    STATE(335),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8179] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1384),
    1,
    anon_sym_AT,
    ACTIONS(1387),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(163),
    1,
    sym_annotation_appl,
    STATE(169),
    1,
    sym_extend_annotation_appl,
    STATE(107),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    ACTIONS(1382),
    5,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    ACTIONS(1380),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8237] = 27,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(108),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(282),
    1,
    sym_add_expr,
    STATE(320),
    1,
    sym_shift_expr,
    STATE(335),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8331] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(109),
    1,
    sym_comment,
    STATE(114),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1392),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1390),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8382] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(110),
    1,
    sym_comment,
    STATE(133),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1396),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1394),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8433] = 26,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(111),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(222),
    1,
    sym_mult_expr,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(277),
    1,
    sym_add_expr,
    STATE(335),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8524] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(112),
    1,
    sym_comment,
    STATE(125),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1400),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1398),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8575] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(113),
    1,
    sym_comment,
    STATE(127),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1404),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1402),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8626] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(114),
    1,
    sym_comment,
    ACTIONS(1400),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1398),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8674] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(115),
    1,
    sym_comment,
    ACTIONS(1408),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1406),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8722] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(116),
    1,
    sym_comment,
    ACTIONS(1412),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1410),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8770] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1418),
    1,
    anon_sym_LPAREN,
    STATE(117),
    1,
    sym_comment,
    ACTIONS(1416),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1414),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8820] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1424),
    1,
    anon_sym_LPAREN,
    STATE(118),
    1,
    sym_comment,
    ACTIONS(1422),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1420),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8870] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1430),
    1,
    anon_sym_LPAREN,
    STATE(119),
    1,
    sym_comment,
    ACTIONS(1428),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1426),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8920] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1436),
    1,
    anon_sym_LPAREN,
    STATE(120),
    1,
    sym_comment,
    ACTIONS(1434),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1432),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8970] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1442),
    1,
    anon_sym_LPAREN,
    STATE(121),
    1,
    sym_comment,
    ACTIONS(1440),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1438),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9020] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1448),
    1,
    anon_sym_LPAREN,
    STATE(122),
    1,
    sym_comment,
    ACTIONS(1446),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1444),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9070] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1454),
    1,
    anon_sym_LPAREN,
    STATE(123),
    1,
    sym_comment,
    ACTIONS(1452),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1450),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9120] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1460),
    1,
    anon_sym_LPAREN,
    STATE(124),
    1,
    sym_comment,
    ACTIONS(1458),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1456),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9170] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(125),
    1,
    sym_comment,
    ACTIONS(1464),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1462),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9218] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1470),
    1,
    anon_sym_LPAREN,
    STATE(126),
    1,
    sym_comment,
    ACTIONS(1468),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1466),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9268] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(127),
    1,
    sym_comment,
    ACTIONS(1474),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1472),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9316] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(128),
    1,
    sym_comment,
    ACTIONS(1478),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1476),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9364] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(129),
    1,
    sym_comment,
    ACTIONS(1482),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1480),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9412] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1488),
    1,
    anon_sym_LPAREN,
    STATE(130),
    1,
    sym_comment,
    ACTIONS(1486),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1484),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9462] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(131),
    1,
    sym_comment,
    ACTIONS(1492),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1490),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9510] = 25,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(132),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(224),
    1,
    sym_unary_expr,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(243),
    1,
    sym_mult_expr,
    STATE(335),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [9598] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(133),
    1,
    sym_comment,
    ACTIONS(1404),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1402),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9646] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(134),
    1,
    sym_comment,
    ACTIONS(1496),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1494),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9694] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(135),
    1,
    sym_comment,
    ACTIONS(1500),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1498),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9741] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(136),
    1,
    sym_comment,
    ACTIONS(1504),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1502),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9788] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(137),
    1,
    sym_comment,
    ACTIONS(1508),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1506),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9835] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(138),
    1,
    sym_comment,
    ACTIONS(1512),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1510),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9882] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(139),
    1,
    sym_comment,
    ACTIONS(1516),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1514),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9929] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(140),
    1,
    sym_comment,
    ACTIONS(1520),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1518),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9976] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(141),
    1,
    sym_comment,
    ACTIONS(1524),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1522),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10023] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(142),
    1,
    sym_comment,
    ACTIONS(1528),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1526),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10070] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(143),
    1,
    sym_comment,
    ACTIONS(1532),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1530),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10117] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(144),
    1,
    sym_comment,
    ACTIONS(1536),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1534),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10164] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(145),
    1,
    sym_comment,
    ACTIONS(1540),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1538),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [10211] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(146),
    1,
    sym_comment,
    ACTIONS(1544),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1542),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10258] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(147),
    1,
    sym_comment,
    ACTIONS(1548),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1546),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10305] = 24,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(148),
    1,
    sym_comment,
    STATE(184),
    1,
    sym_unary_operator,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(226),
    1,
    sym_primary_expr,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(241),
    1,
    sym_unary_expr,
    STATE(335),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [10390] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(149),
    1,
    sym_comment,
    ACTIONS(1552),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1550),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10437] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(150),
    1,
    sym_comment,
    ACTIONS(1556),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1554),
    30,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [10484] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(151),
    1,
    sym_comment,
    ACTIONS(1560),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1558),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10531] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(152),
    1,
    sym_comment,
    ACTIONS(1564),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1562),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10578] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(153),
    1,
    sym_comment,
    ACTIONS(1568),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1566),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10625] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(154),
    1,
    sym_comment,
    ACTIONS(1572),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1570),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10672] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(155),
    1,
    sym_comment,
    ACTIONS(1576),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1574),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10719] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(156),
    1,
    sym_comment,
    ACTIONS(1580),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1578),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10766] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(157),
    1,
    sym_comment,
    ACTIONS(1584),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1582),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10813] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(158),
    1,
    sym_comment,
    ACTIONS(1588),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1586),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [10860] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(159),
    1,
    sym_comment,
    ACTIONS(1592),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1590),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10907] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(160),
    1,
    sym_comment,
    ACTIONS(1596),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1594),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10954] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(161),
    1,
    sym_comment,
    ACTIONS(1600),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1598),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11001] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(162),
    1,
    sym_comment,
    ACTIONS(1604),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1602),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [11048] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(163),
    1,
    sym_comment,
    ACTIONS(1608),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1606),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11095] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(164),
    1,
    sym_comment,
    ACTIONS(1612),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1610),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11142] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(165),
    1,
    sym_comment,
    ACTIONS(1616),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1614),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [11189] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(166),
    1,
    sym_comment,
    ACTIONS(1620),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1618),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11236] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(167),
    1,
    sym_comment,
    ACTIONS(1624),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1622),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11283] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(168),
    1,
    sym_comment,
    ACTIONS(1628),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1626),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11330] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(169),
    1,
    sym_comment,
    ACTIONS(1632),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1630),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11377] = 26,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(21),
    1,
    anon_sym_interface,
    ACTIONS(23),
    1,
    anon_sym_bitset,
    ACTIONS(25),
    1,
    anon_sym_bitmask,
    ACTIONS(29),
    1,
    anon_sym_AT,
    ACTIONS(31),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(39),
    1,
    anon_sym_struct,
    ACTIONS(41),
    1,
    anon_sym_union,
    ACTIONS(43),
    1,
    anon_sym_enum,
    ACTIONS(49),
    1,
    anon_sym_typedef,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(67),
    1,
    anon_sym_native,
    STATE(170),
    1,
    sym_comment,
    STATE(244),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(275),
    1,
    sym_annotation_appl,
    STATE(279),
    1,
    sym_extend_annotation_appl,
    STATE(1139),
    1,
    sym_enum_anno,
    STATE(1150),
    1,
    sym_interface_header,
    STATE(1154),
    1,
    sym_interface_kind,
    ACTIONS(17),
    2,
    anon_sym_local,
    anon_sym_abstract,
    STATE(736),
    2,
    sym_struct_forward_dcl,
    sym_struct_def,
    STATE(787),
    2,
    sym_union_forward_dcl,
    sym_union_def,
    STATE(957),
    2,
    sym_interface_forward_dcl,
    sym_interface_def,
    STATE(956),
    3,
    sym_typedef_dcl,
    sym_constr_type_dcl,
    sym_native_dcl,
    STATE(789),
    5,
    sym_bitset_dcl,
    sym_bitmask_dcl,
    sym_enum_dcl,
    sym_union_dcl,
    sym_struct_dcl,
    [11466] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(171),
    1,
    sym_comment,
    ACTIONS(1636),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1634),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11513] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(172),
    1,
    sym_comment,
    ACTIONS(1640),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1638),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11560] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(173),
    1,
    sym_comment,
    ACTIONS(1644),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1642),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [11607] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(174),
    1,
    sym_comment,
    ACTIONS(1648),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1646),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11654] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(175),
    1,
    sym_comment,
    ACTIONS(1652),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1650),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11701] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(176),
    1,
    sym_comment,
    ACTIONS(1656),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1654),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11748] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(177),
    1,
    sym_comment,
    ACTIONS(1660),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1658),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11793] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(178),
    1,
    sym_comment,
    ACTIONS(1664),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1662),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11838] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(179),
    1,
    sym_comment,
    ACTIONS(1668),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1666),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11883] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(180),
    1,
    sym_comment,
    ACTIONS(1672),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1670),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11928] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(181),
    1,
    sym_comment,
    ACTIONS(1676),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1674),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11973] = 23,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(182),
    1,
    sym_comment,
    STATE(802),
    1,
    sym_scoped_name,
    STATE(1173),
    1,
    sym_switch_type_spec,
    STATE(1174),
    1,
    sym_integer_type,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    ACTIONS(1678),
    4,
    sym_boolean_type,
    sym_octet_type,
    sym_char_type,
    sym_wide_char_type,
    [12054] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(183),
    1,
    sym_comment,
    ACTIONS(1682),
    5,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    ACTIONS(1680),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    sym_char_type,
    sym_wide_char_type,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [12099] = 21,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(184),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(218),
    1,
    sym_scoped_name,
    STATE(228),
    1,
    sym_oct_number,
    STATE(232),
    1,
    sym_literal,
    STATE(233),
    1,
    sym_primary_expr,
    STATE(335),
    1,
    sym_integer_sign,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12175] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1688),
    1,
    anon_sym_AT,
    STATE(185),
    1,
    sym_comment,
    ACTIONS(1686),
    28,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12218] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1692),
    1,
    anon_sym_AT,
    STATE(186),
    1,
    sym_comment,
    ACTIONS(1690),
    28,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12261] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1696),
    1,
    anon_sym_AT,
    STATE(187),
    1,
    sym_comment,
    ACTIONS(1694),
    28,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12304] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1700),
    1,
    anon_sym_AT,
    STATE(188),
    1,
    sym_comment,
    ACTIONS(1698),
    27,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12346] = 21,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(23),
    1,
    anon_sym_bitset,
    ACTIONS(25),
    1,
    anon_sym_bitmask,
    ACTIONS(29),
    1,
    anon_sym_AT,
    ACTIONS(31),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(39),
    1,
    anon_sym_struct,
    ACTIONS(41),
    1,
    anon_sym_union,
    ACTIONS(43),
    1,
    anon_sym_enum,
    ACTIONS(49),
    1,
    anon_sym_typedef,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(67),
    1,
    anon_sym_native,
    STATE(189),
    1,
    sym_comment,
    STATE(244),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(275),
    1,
    sym_annotation_appl,
    STATE(279),
    1,
    sym_extend_annotation_appl,
    STATE(1139),
    1,
    sym_enum_anno,
    STATE(736),
    2,
    sym_struct_forward_dcl,
    sym_struct_def,
    STATE(787),
    2,
    sym_union_forward_dcl,
    sym_union_def,
    STATE(956),
    3,
    sym_typedef_dcl,
    sym_constr_type_dcl,
    sym_native_dcl,
    STATE(789),
    5,
    sym_bitset_dcl,
    sym_bitmask_dcl,
    sym_enum_dcl,
    sym_union_dcl,
    sym_struct_dcl,
    [12418] = 19,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_long,
    ACTIONS(89),
    1,
    anon_sym_unsignedlong,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1704),
    1,
    anon_sym_int32,
    ACTIONS(1706),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1710),
    1,
    sym_signed_tiny_int,
    ACTIONS(1712),
    1,
    anon_sym_uint32,
    STATE(190),
    1,
    sym_comment,
    STATE(904),
    1,
    sym_destination_type,
    STATE(905),
    1,
    sym_integer_type,
    ACTIONS(73),
    2,
    anon_sym_longlong,
    anon_sym_int64,
    ACTIONS(85),
    2,
    anon_sym_unsignedshort,
    anon_sym_uint16,
    ACTIONS(91),
    2,
    anon_sym_unsignedlonglong,
    anon_sym_uint64,
    ACTIONS(1702),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1708),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(392),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(377),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(380),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    [12486] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(191),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(1041),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12549] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(192),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(1082),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12612] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(193),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(951),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12675] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(194),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(953),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12738] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(195),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(1118),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12801] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(196),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(1117),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12864] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(197),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(1113),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12927] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(198),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(1108),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12990] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(199),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(920),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13053] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(200),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(1017),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13116] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(201),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(1087),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13179] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(202),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(1086),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13242] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(203),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(930),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13305] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(204),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(901),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13368] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(205),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(1046),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13431] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(206),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(1077),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13494] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(207),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(1050),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13557] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1720),
    1,
    anon_sym_L,
    STATE(208),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(228),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_integer_sign,
    STATE(1051),
    1,
    sym_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(220),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13620] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1724),
    1,
    anon_sym_RBRACE,
    ACTIONS(1726),
    1,
    anon_sym_readonly,
    ACTIONS(1728),
    1,
    anon_sym_attribute,
    ACTIONS(1730),
    1,
    anon_sym_provides,
    ACTIONS(1732),
    1,
    anon_sym_uses,
    ACTIONS(1734),
    1,
    anon_sym_emits,
    ACTIONS(1736),
    1,
    anon_sym_publishes,
    ACTIONS(1738),
    1,
    anon_sym_consumes,
    STATE(209),
    1,
    sym_comment,
    STATE(210),
    1,
    aux_sym_component_body_repeat1,
    STATE(321),
    1,
    sym_component_export,
    STATE(857),
    1,
    sym_component_body,
    ACTIONS(1740),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(879),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(859),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [13680] = 16,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1726),
    1,
    anon_sym_readonly,
    ACTIONS(1728),
    1,
    anon_sym_attribute,
    ACTIONS(1730),
    1,
    anon_sym_provides,
    ACTIONS(1732),
    1,
    anon_sym_uses,
    ACTIONS(1734),
    1,
    anon_sym_emits,
    ACTIONS(1736),
    1,
    anon_sym_publishes,
    ACTIONS(1738),
    1,
    anon_sym_consumes,
    ACTIONS(1742),
    1,
    anon_sym_RBRACE,
    STATE(210),
    1,
    sym_comment,
    STATE(212),
    1,
    aux_sym_component_body_repeat1,
    STATE(321),
    1,
    sym_component_export,
    ACTIONS(1740),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(879),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(859),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [13737] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(211),
    1,
    sym_comment,
    ACTIONS(1480),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1482),
    18,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_supports,
    anon_sym_RBRACK,
    anon_sym_manages,
    anon_sym_primarykey,
    [13772] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1744),
    1,
    anon_sym_RBRACE,
    ACTIONS(1746),
    1,
    anon_sym_readonly,
    ACTIONS(1749),
    1,
    anon_sym_attribute,
    ACTIONS(1752),
    1,
    anon_sym_provides,
    ACTIONS(1755),
    1,
    anon_sym_uses,
    ACTIONS(1758),
    1,
    anon_sym_emits,
    ACTIONS(1761),
    1,
    anon_sym_publishes,
    ACTIONS(1764),
    1,
    anon_sym_consumes,
    STATE(321),
    1,
    sym_component_export,
    ACTIONS(1767),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(212),
    2,
    sym_comment,
    aux_sym_component_body_repeat1,
    STATE(879),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(859),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [13827] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(213),
    1,
    sym_comment,
    ACTIONS(1410),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1412),
    18,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_supports,
    anon_sym_RBRACK,
    anon_sym_manages,
    anon_sym_primarykey,
    [13862] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(214),
    1,
    sym_comment,
    ACTIONS(1494),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1496),
    17,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    sym_identifier,
    [13896] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(215),
    1,
    sym_comment,
    ACTIONS(1770),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1772),
    17,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_DOT,
    aux_sym_floating_pt_literal_token1,
    aux_sym_fixed_pt_literal_token1,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13929] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1778),
    1,
    anon_sym_DOT,
    STATE(216),
    1,
    sym_comment,
    ACTIONS(1774),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1776),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13962] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1784),
    1,
    anon_sym_DOT,
    STATE(217),
    1,
    sym_comment,
    ACTIONS(1780),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1782),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13995] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1786),
    1,
    anon_sym_COLON_COLON,
    STATE(218),
    1,
    sym_comment,
    ACTIONS(1788),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1790),
    13,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14028] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(219),
    1,
    sym_comment,
    ACTIONS(1792),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1794),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14058] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(220),
    1,
    sym_comment,
    ACTIONS(1796),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1798),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14088] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(221),
    1,
    sym_comment,
    ACTIONS(1800),
    6,
    anon_sym_COLON_COLON,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_LPAREN,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    ACTIONS(1802),
    10,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    sym_hex_number,
    anon_sym_L,
    anon_sym_TRUE,
    anon_sym_FALSE,
    sym_identifier,
    [14118] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1804),
    1,
    anon_sym_GT,
    ACTIONS(1810),
    1,
    anon_sym_SLASH,
    STATE(222),
    1,
    sym_comment,
    ACTIONS(1808),
    2,
    anon_sym_STAR,
    anon_sym_PERCENT,
    ACTIONS(1806),
    12,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14152] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(223),
    1,
    sym_comment,
    ACTIONS(1812),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1814),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14182] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(224),
    1,
    sym_comment,
    ACTIONS(1816),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1818),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14212] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1820),
    1,
    anon_sym_RBRACE,
    ACTIONS(1822),
    1,
    anon_sym_readonly,
    ACTIONS(1825),
    1,
    anon_sym_attribute,
    ACTIONS(1828),
    1,
    anon_sym_provides,
    ACTIONS(1831),
    1,
    anon_sym_uses,
    STATE(350),
    1,
    sym_port_ref,
    STATE(353),
    1,
    sym_connector_export,
    STATE(886),
    1,
    sym_attr_dcl,
    ACTIONS(1834),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(225),
    2,
    sym_comment,
    aux_sym_connector_dcl_repeat1,
    STATE(879),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(887),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14260] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(226),
    1,
    sym_comment,
    ACTIONS(1837),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1839),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14290] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(227),
    1,
    sym_comment,
    ACTIONS(1841),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1843),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14320] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(228),
    1,
    sym_comment,
    ACTIONS(1774),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1776),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14350] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1726),
    1,
    anon_sym_readonly,
    ACTIONS(1728),
    1,
    anon_sym_attribute,
    ACTIONS(1730),
    1,
    anon_sym_provides,
    ACTIONS(1732),
    1,
    anon_sym_uses,
    ACTIONS(1845),
    1,
    anon_sym_RBRACE,
    STATE(225),
    1,
    aux_sym_connector_dcl_repeat1,
    STATE(229),
    1,
    sym_comment,
    STATE(350),
    1,
    sym_port_ref,
    STATE(353),
    1,
    sym_connector_export,
    STATE(886),
    1,
    sym_attr_dcl,
    ACTIONS(1740),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(879),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(887),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14400] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(230),
    1,
    sym_comment,
    ACTIONS(1847),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1849),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14430] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(231),
    1,
    sym_comment,
    ACTIONS(1800),
    6,
    anon_sym_COLON_COLON,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_LPAREN,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    ACTIONS(1802),
    10,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    sym_hex_number,
    anon_sym_L,
    anon_sym_TRUE,
    anon_sym_FALSE,
    sym_identifier,
    [14460] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(232),
    1,
    sym_comment,
    ACTIONS(1788),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1790),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14490] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(233),
    1,
    sym_comment,
    ACTIONS(1851),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1853),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14520] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1726),
    1,
    anon_sym_readonly,
    ACTIONS(1728),
    1,
    anon_sym_attribute,
    ACTIONS(1730),
    1,
    anon_sym_provides,
    ACTIONS(1732),
    1,
    anon_sym_uses,
    ACTIONS(1855),
    1,
    anon_sym_RBRACE,
    STATE(234),
    1,
    sym_comment,
    STATE(247),
    1,
    aux_sym_port_body_repeat1,
    STATE(341),
    1,
    sym_port_export,
    STATE(348),
    1,
    sym_port_ref,
    STATE(1155),
    1,
    sym_attr_dcl,
    ACTIONS(1740),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(879),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(887),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14570] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(235),
    1,
    sym_comment,
    ACTIONS(1857),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1859),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14600] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(236),
    1,
    sym_comment,
    ACTIONS(1861),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1863),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14630] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(237),
    1,
    sym_comment,
    ACTIONS(1865),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1867),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14660] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(238),
    1,
    sym_comment,
    ACTIONS(1780),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1782),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14690] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1869),
    1,
    anon_sym_RBRACE,
    ACTIONS(1871),
    1,
    anon_sym_readonly,
    ACTIONS(1874),
    1,
    anon_sym_attribute,
    ACTIONS(1877),
    1,
    anon_sym_provides,
    ACTIONS(1880),
    1,
    anon_sym_uses,
    STATE(341),
    1,
    sym_port_export,
    STATE(348),
    1,
    sym_port_ref,
    STATE(1155),
    1,
    sym_attr_dcl,
    ACTIONS(1883),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(239),
    2,
    sym_comment,
    aux_sym_port_body_repeat1,
    STATE(879),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(887),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14738] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(240),
    1,
    sym_comment,
    ACTIONS(1886),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1888),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14768] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(241),
    1,
    sym_comment,
    ACTIONS(1890),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1892),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14798] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(242),
    1,
    sym_comment,
    ACTIONS(1894),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1896),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14828] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1810),
    1,
    anon_sym_SLASH,
    ACTIONS(1898),
    1,
    anon_sym_GT,
    STATE(243),
    1,
    sym_comment,
    ACTIONS(1808),
    2,
    anon_sym_STAR,
    anon_sym_PERCENT,
    ACTIONS(1900),
    12,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14862] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1902),
    1,
    anon_sym_AT,
    ACTIONS(1905),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(275),
    1,
    sym_annotation_appl,
    STATE(279),
    1,
    sym_extend_annotation_appl,
    STATE(244),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    ACTIONS(1382),
    11,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [14898] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(245),
    1,
    sym_comment,
    ACTIONS(1908),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1910),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14928] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(246),
    1,
    sym_comment,
    ACTIONS(1912),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1914),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14958] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1726),
    1,
    anon_sym_readonly,
    ACTIONS(1728),
    1,
    anon_sym_attribute,
    ACTIONS(1730),
    1,
    anon_sym_provides,
    ACTIONS(1732),
    1,
    anon_sym_uses,
    ACTIONS(1916),
    1,
    anon_sym_RBRACE,
    STATE(239),
    1,
    aux_sym_port_body_repeat1,
    STATE(247),
    1,
    sym_comment,
    STATE(341),
    1,
    sym_port_export,
    STATE(348),
    1,
    sym_port_ref,
    STATE(1155),
    1,
    sym_attr_dcl,
    ACTIONS(1740),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(879),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(887),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [15008] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(248),
    1,
    sym_comment,
    ACTIONS(1918),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1920),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15038] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1494),
    1,
    anon_sym_AT,
    STATE(249),
    1,
    sym_comment,
    ACTIONS(1496),
    14,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15067] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1924),
    1,
    anon_sym_c,
    STATE(250),
    1,
    sym_comment,
    STATE(1056),
    1,
    sym_string_literal,
    STATE(1217),
    1,
    sym_verbatim_language,
    STATE(1218),
    1,
    sym_placement_kind,
    ACTIONS(1922),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1926),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [15106] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1726),
    1,
    anon_sym_readonly,
    ACTIONS(1728),
    1,
    anon_sym_attribute,
    ACTIONS(1730),
    1,
    anon_sym_provides,
    ACTIONS(1732),
    1,
    anon_sym_uses,
    STATE(229),
    1,
    aux_sym_connector_dcl_repeat1,
    STATE(251),
    1,
    sym_comment,
    STATE(350),
    1,
    sym_port_ref,
    STATE(353),
    1,
    sym_connector_export,
    STATE(886),
    1,
    sym_attr_dcl,
    ACTIONS(1740),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(879),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(887),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [15153] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1484),
    1,
    anon_sym_AT,
    ACTIONS(1928),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1930),
    1,
    anon_sym_LPAREN,
    STATE(252),
    1,
    sym_comment,
    ACTIONS(1486),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15186] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1480),
    1,
    anon_sym_AT,
    STATE(253),
    1,
    sym_comment,
    ACTIONS(1482),
    14,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15215] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1410),
    1,
    anon_sym_AT,
    STATE(254),
    1,
    sym_comment,
    ACTIONS(1412),
    14,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15244] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1924),
    1,
    anon_sym_c,
    STATE(255),
    1,
    sym_comment,
    STATE(1092),
    1,
    sym_string_literal,
    STATE(1231),
    1,
    sym_verbatim_language,
    STATE(1232),
    1,
    sym_placement_kind,
    ACTIONS(1922),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1926),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [15283] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1924),
    1,
    anon_sym_c,
    STATE(256),
    1,
    sym_comment,
    STATE(982),
    1,
    sym_string_literal,
    STATE(986),
    1,
    sym_verbatim_language,
    STATE(991),
    1,
    sym_placement_kind,
    ACTIONS(1922),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1926),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [15322] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1924),
    1,
    anon_sym_c,
    STATE(257),
    1,
    sym_comment,
    STATE(1123),
    1,
    sym_string_literal,
    STATE(1245),
    1,
    sym_verbatim_language,
    STATE(1246),
    1,
    sym_placement_kind,
    ACTIONS(1922),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1926),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [15361] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1444),
    1,
    anon_sym_AT,
    ACTIONS(1932),
    1,
    anon_sym_LPAREN,
    STATE(258),
    1,
    sym_comment,
    ACTIONS(1446),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15391] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1450),
    1,
    anon_sym_AT,
    ACTIONS(1934),
    1,
    anon_sym_LPAREN,
    STATE(259),
    1,
    sym_comment,
    ACTIONS(1452),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15421] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1456),
    1,
    anon_sym_AT,
    ACTIONS(1936),
    1,
    anon_sym_LPAREN,
    STATE(260),
    1,
    sym_comment,
    ACTIONS(1458),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15451] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1438),
    1,
    anon_sym_AT,
    ACTIONS(1938),
    1,
    anon_sym_LPAREN,
    STATE(261),
    1,
    sym_comment,
    ACTIONS(1440),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15481] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1432),
    1,
    anon_sym_AT,
    ACTIONS(1940),
    1,
    anon_sym_LPAREN,
    STATE(262),
    1,
    sym_comment,
    ACTIONS(1434),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15511] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1426),
    1,
    anon_sym_AT,
    ACTIONS(1942),
    1,
    anon_sym_LPAREN,
    STATE(263),
    1,
    sym_comment,
    ACTIONS(1428),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15541] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1420),
    1,
    anon_sym_AT,
    ACTIONS(1944),
    1,
    anon_sym_LPAREN,
    STATE(264),
    1,
    sym_comment,
    ACTIONS(1422),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15571] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1414),
    1,
    anon_sym_AT,
    ACTIONS(1946),
    1,
    anon_sym_LPAREN,
    STATE(265),
    1,
    sym_comment,
    ACTIONS(1416),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15601] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1466),
    1,
    anon_sym_AT,
    ACTIONS(1948),
    1,
    anon_sym_LPAREN,
    STATE(266),
    1,
    sym_comment,
    ACTIONS(1468),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15631] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1550),
    1,
    anon_sym_AT,
    STATE(267),
    1,
    sym_comment,
    ACTIONS(1552),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15658] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1502),
    1,
    anon_sym_AT,
    STATE(268),
    1,
    sym_comment,
    ACTIONS(1504),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15685] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1650),
    1,
    anon_sym_AT,
    STATE(269),
    1,
    sym_comment,
    ACTIONS(1652),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15712] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1534),
    1,
    anon_sym_AT,
    STATE(270),
    1,
    sym_comment,
    ACTIONS(1536),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15739] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1610),
    1,
    anon_sym_AT,
    STATE(271),
    1,
    sym_comment,
    ACTIONS(1612),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15766] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1582),
    1,
    anon_sym_AT,
    STATE(272),
    1,
    sym_comment,
    ACTIONS(1584),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15793] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1618),
    1,
    anon_sym_AT,
    STATE(273),
    1,
    sym_comment,
    ACTIONS(1620),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15820] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1786),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1788),
    1,
    anon_sym_SLASH,
    ACTIONS(1950),
    1,
    anon_sym_GT,
    ACTIONS(1952),
    1,
    anon_sym_COMMA,
    STATE(274),
    1,
    sym_comment,
    ACTIONS(1790),
    9,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    [15853] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1606),
    1,
    anon_sym_AT,
    STATE(275),
    1,
    sym_comment,
    ACTIONS(1608),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15880] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1626),
    1,
    anon_sym_AT,
    STATE(276),
    1,
    sym_comment,
    ACTIONS(1628),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15907] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1954),
    1,
    anon_sym_GT,
    STATE(277),
    1,
    sym_comment,
    ACTIONS(1958),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1956),
    10,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15936] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1570),
    1,
    anon_sym_AT,
    STATE(278),
    1,
    sym_comment,
    ACTIONS(1572),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15963] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1630),
    1,
    anon_sym_AT,
    STATE(279),
    1,
    sym_comment,
    ACTIONS(1632),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [15990] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1406),
    1,
    anon_sym_AT,
    STATE(280),
    1,
    sym_comment,
    ACTIONS(1408),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16017] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1622),
    1,
    anon_sym_AT,
    STATE(281),
    1,
    sym_comment,
    ACTIONS(1624),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16044] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1960),
    1,
    anon_sym_GT,
    STATE(282),
    1,
    sym_comment,
    ACTIONS(1958),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1962),
    10,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [16073] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1518),
    1,
    anon_sym_AT,
    STATE(283),
    1,
    sym_comment,
    ACTIONS(1520),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16100] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1598),
    1,
    anon_sym_AT,
    STATE(284),
    1,
    sym_comment,
    ACTIONS(1600),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16127] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1494),
    1,
    anon_sym_SLASH,
    ACTIONS(1964),
    1,
    anon_sym_EQ,
    STATE(285),
    1,
    sym_comment,
    ACTIONS(1496),
    11,
    anon_sym_COLON_COLON,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    [16156] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1574),
    1,
    anon_sym_AT,
    STATE(286),
    1,
    sym_comment,
    ACTIONS(1576),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16183] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1634),
    1,
    anon_sym_AT,
    STATE(287),
    1,
    sym_comment,
    ACTIONS(1636),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16210] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1498),
    1,
    anon_sym_AT,
    STATE(288),
    1,
    sym_comment,
    ACTIONS(1500),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16237] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1638),
    1,
    anon_sym_AT,
    STATE(289),
    1,
    sym_comment,
    ACTIONS(1640),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16264] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1646),
    1,
    anon_sym_AT,
    STATE(290),
    1,
    sym_comment,
    ACTIONS(1648),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16291] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1654),
    1,
    anon_sym_AT,
    STATE(291),
    1,
    sym_comment,
    ACTIONS(1656),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16318] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1594),
    1,
    anon_sym_AT,
    STATE(292),
    1,
    sym_comment,
    ACTIONS(1596),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16345] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1490),
    1,
    anon_sym_AT,
    STATE(293),
    1,
    sym_comment,
    ACTIONS(1492),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16372] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1590),
    1,
    anon_sym_AT,
    STATE(294),
    1,
    sym_comment,
    ACTIONS(1592),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16399] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1546),
    1,
    anon_sym_AT,
    STATE(295),
    1,
    sym_comment,
    ACTIONS(1548),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16426] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1542),
    1,
    anon_sym_AT,
    STATE(296),
    1,
    sym_comment,
    ACTIONS(1544),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16453] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1530),
    1,
    anon_sym_AT,
    STATE(297),
    1,
    sym_comment,
    ACTIONS(1532),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16480] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1558),
    1,
    anon_sym_AT,
    STATE(298),
    1,
    sym_comment,
    ACTIONS(1560),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16507] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1562),
    1,
    anon_sym_AT,
    STATE(299),
    1,
    sym_comment,
    ACTIONS(1564),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16534] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1578),
    1,
    anon_sym_AT,
    STATE(300),
    1,
    sym_comment,
    ACTIONS(1580),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16561] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1506),
    1,
    anon_sym_AT,
    STATE(301),
    1,
    sym_comment,
    ACTIONS(1508),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16588] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1566),
    1,
    anon_sym_AT,
    STATE(302),
    1,
    sym_comment,
    ACTIONS(1568),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16615] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1522),
    1,
    anon_sym_AT,
    STATE(303),
    1,
    sym_comment,
    ACTIONS(1524),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16642] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1526),
    1,
    anon_sym_AT,
    STATE(304),
    1,
    sym_comment,
    ACTIONS(1528),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16669] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1514),
    1,
    anon_sym_AT,
    STATE(305),
    1,
    sym_comment,
    ACTIONS(1516),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16696] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1510),
    1,
    anon_sym_AT,
    STATE(306),
    1,
    sym_comment,
    ACTIONS(1512),
    12,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_native,
    [16723] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    STATE(307),
    1,
    sym_comment,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(853),
    1,
    sym_integer_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(228),
    2,
    sym_oct_number,
    sym_dec_number,
    [16761] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    STATE(308),
    1,
    sym_comment,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1089),
    1,
    sym_integer_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(228),
    2,
    sym_oct_number,
    sym_dec_number,
    [16799] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    STATE(309),
    1,
    sym_comment,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(921),
    1,
    sym_integer_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(228),
    2,
    sym_oct_number,
    sym_dec_number,
    [16837] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    STATE(310),
    1,
    sym_comment,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1120),
    1,
    sym_integer_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(228),
    2,
    sym_oct_number,
    sym_dec_number,
    [16875] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    STATE(311),
    1,
    sym_comment,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(969),
    1,
    sym_integer_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(228),
    2,
    sym_oct_number,
    sym_dec_number,
    [16913] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    STATE(312),
    1,
    sym_comment,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1112),
    1,
    sym_integer_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(228),
    2,
    sym_oct_number,
    sym_dec_number,
    [16951] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    STATE(313),
    1,
    sym_comment,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1109),
    1,
    sym_integer_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(228),
    2,
    sym_oct_number,
    sym_dec_number,
    [16989] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    STATE(314),
    1,
    sym_comment,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(929),
    1,
    sym_integer_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(228),
    2,
    sym_oct_number,
    sym_dec_number,
    [17027] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    STATE(315),
    1,
    sym_comment,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1081),
    1,
    sym_integer_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(228),
    2,
    sym_oct_number,
    sym_dec_number,
    [17065] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    STATE(316),
    1,
    sym_comment,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1078),
    1,
    sym_integer_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(228),
    2,
    sym_oct_number,
    sym_dec_number,
    [17103] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    STATE(317),
    1,
    sym_comment,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1042),
    1,
    sym_integer_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(228),
    2,
    sym_oct_number,
    sym_dec_number,
    [17141] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    STATE(318),
    1,
    sym_comment,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1045),
    1,
    sym_integer_literal,
    ACTIONS(1684),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1714),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(228),
    2,
    sym_oct_number,
    sym_dec_number,
    [17179] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1966),
    1,
    anon_sym_GT,
    STATE(319),
    1,
    sym_comment,
    ACTIONS(1970),
    2,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    ACTIONS(1968),
    8,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17206] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1972),
    1,
    anon_sym_GT,
    STATE(320),
    1,
    sym_comment,
    ACTIONS(1970),
    2,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    ACTIONS(1974),
    8,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17233] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(321),
    1,
    sym_comment,
    ACTIONS(1976),
    10,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_emits,
    anon_sym_publishes,
    anon_sym_consumes,
    anon_sym_port,
    anon_sym_mirrorport,
    [17255] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(322),
    1,
    sym_comment,
    ACTIONS(1978),
    10,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_emits,
    anon_sym_publishes,
    anon_sym_consumes,
    anon_sym_port,
    anon_sym_mirrorport,
    [17277] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1730),
    1,
    anon_sym_provides,
    ACTIONS(1732),
    1,
    anon_sym_uses,
    ACTIONS(1980),
    1,
    anon_sym_RBRACE,
    STATE(234),
    1,
    sym_port_ref,
    STATE(323),
    1,
    sym_comment,
    STATE(1167),
    1,
    sym_port_body,
    ACTIONS(1740),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(887),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [17311] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1984),
    1,
    anon_sym_AMP,
    STATE(324),
    1,
    sym_comment,
    ACTIONS(1982),
    8,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17334] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(325),
    1,
    sym_comment,
    STATE(1013),
    1,
    sym_placement_kind,
    STATE(1014),
    1,
    sym_string_literal,
    ACTIONS(1926),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [17361] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(326),
    1,
    sym_comment,
    STATE(1129),
    1,
    sym_string_literal,
    STATE(1247),
    1,
    sym_placement_kind,
    ACTIONS(1926),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [17388] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(327),
    1,
    sym_comment,
    STATE(1064),
    1,
    sym_string_literal,
    STATE(1219),
    1,
    sym_placement_kind,
    ACTIONS(1926),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [17415] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1984),
    1,
    anon_sym_AMP,
    STATE(328),
    1,
    sym_comment,
    ACTIONS(1986),
    8,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17438] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(329),
    1,
    sym_comment,
    ACTIONS(1412),
    9,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    sym_identifier,
    [17459] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(330),
    1,
    sym_comment,
    ACTIONS(1482),
    9,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    sym_identifier,
    [17480] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(331),
    1,
    sym_comment,
    STATE(1098),
    1,
    sym_string_literal,
    STATE(1233),
    1,
    sym_placement_kind,
    ACTIONS(1926),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [17507] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1988),
    1,
    anon_sym_COMMA,
    ACTIONS(1990),
    1,
    anon_sym_SEMI,
    ACTIONS(1992),
    1,
    anon_sym_getraises,
    ACTIONS(1994),
    1,
    anon_sym_setraises,
    STATE(332),
    1,
    sym_comment,
    STATE(686),
    1,
    sym_get_excep_expr,
    STATE(688),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(984),
    1,
    sym_set_excep_expr,
    STATE(985),
    1,
    sym_attr_raises_expr,
    [17541] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1998),
    1,
    anon_sym_CARET,
    STATE(333),
    1,
    sym_comment,
    ACTIONS(1996),
    7,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17563] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1998),
    1,
    anon_sym_CARET,
    STATE(334),
    1,
    sym_comment,
    ACTIONS(2000),
    7,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17585] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    STATE(217),
    1,
    sym_dec_number,
    STATE(238),
    1,
    sym_oct_number,
    STATE(335),
    1,
    sym_comment,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(2002),
    2,
    sym_bin_number,
    sym_hex_number,
    [17615] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1718),
    1,
    aux_sym_dec_number_token1,
    STATE(336),
    1,
    sym_comment,
    ACTIONS(1716),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(2002),
    2,
    sym_bin_number,
    sym_hex_number,
    STATE(238),
    2,
    sym_oct_number,
    sym_dec_number,
    [17643] = 11,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2004),
    1,
    anon_sym_RBRACE,
    ACTIONS(2006),
    1,
    anon_sym_AT,
    ACTIONS(2008),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2010),
    1,
    sym_identifier,
    STATE(337),
    1,
    sym_comment,
    STATE(359),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(510),
    1,
    sym_bit_value,
    STATE(695),
    1,
    sym_extend_annotation_appl,
    STATE(697),
    1,
    sym_annotation_appl,
    [17677] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(338),
    1,
    sym_comment,
    ACTIONS(1496),
    8,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    anon_sym_manages,
    anon_sym_primarykey,
    [17697] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(339),
    1,
    sym_comment,
    ACTIONS(2012),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17716] = 10,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2006),
    1,
    anon_sym_AT,
    ACTIONS(2008),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2010),
    1,
    sym_identifier,
    STATE(340),
    1,
    sym_comment,
    STATE(359),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(695),
    1,
    sym_extend_annotation_appl,
    STATE(697),
    1,
    sym_annotation_appl,
    STATE(768),
    1,
    sym_bit_value,
    [17747] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(341),
    1,
    sym_comment,
    ACTIONS(2014),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17766] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(342),
    1,
    sym_comment,
    ACTIONS(2016),
    7,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    anon_sym_raises,
    anon_sym_getraises,
    anon_sym_setraises,
    anon_sym_default,
    [17785] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2018),
    1,
    anon_sym_LBRACE,
    ACTIONS(2020),
    1,
    anon_sym_COLON,
    ACTIONS(2022),
    1,
    anon_sym_SEMI,
    ACTIONS(2024),
    1,
    anon_sym_supports,
    STATE(343),
    1,
    sym_comment,
    STATE(721),
    1,
    sym_value_inheritance,
    STATE(902),
    1,
    sym_value_inheritance_spec,
    STATE(939),
    1,
    sym_value_supports,
    [17816] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(344),
    1,
    sym_comment,
    ACTIONS(2026),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17835] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2028),
    1,
    anon_sym_RBRACE,
    ACTIONS(2030),
    1,
    anon_sym_default,
    ACTIONS(2032),
    1,
    anon_sym_case,
    STATE(31),
    1,
    aux_sym_case_repeat1,
    STATE(89),
    1,
    sym_case_label,
    STATE(345),
    1,
    sym_comment,
    STATE(351),
    1,
    aux_sym_union_def_repeat1,
    STATE(557),
    1,
    sym_case,
    [17866] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2020),
    1,
    anon_sym_COLON,
    ACTIONS(2024),
    1,
    anon_sym_supports,
    ACTIONS(2034),
    1,
    anon_sym_LBRACE,
    ACTIONS(2036),
    1,
    anon_sym_SEMI,
    STATE(346),
    1,
    sym_comment,
    STATE(721),
    1,
    sym_value_inheritance,
    STATE(939),
    1,
    sym_value_supports,
    STATE(941),
    1,
    sym_value_inheritance_spec,
    [17897] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(347),
    1,
    sym_comment,
    ACTIONS(2038),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17916] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(348),
    1,
    sym_comment,
    ACTIONS(2040),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17935] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2042),
    1,
    anon_sym_RBRACE,
    ACTIONS(2044),
    1,
    anon_sym_default,
    ACTIONS(2047),
    1,
    anon_sym_case,
    STATE(31),
    1,
    aux_sym_case_repeat1,
    STATE(89),
    1,
    sym_case_label,
    STATE(557),
    1,
    sym_case,
    STATE(349),
    2,
    sym_comment,
    aux_sym_union_def_repeat1,
    [17964] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(350),
    1,
    sym_comment,
    ACTIONS(2050),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17983] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2030),
    1,
    anon_sym_default,
    ACTIONS(2032),
    1,
    anon_sym_case,
    ACTIONS(2052),
    1,
    anon_sym_RBRACE,
    STATE(31),
    1,
    aux_sym_case_repeat1,
    STATE(89),
    1,
    sym_case_label,
    STATE(349),
    1,
    aux_sym_union_def_repeat1,
    STATE(351),
    1,
    sym_comment,
    STATE(557),
    1,
    sym_case,
    [18014] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2056),
    1,
    anon_sym_PIPE,
    STATE(352),
    1,
    sym_comment,
    ACTIONS(2054),
    6,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [18035] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(353),
    1,
    sym_comment,
    ACTIONS(2058),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [18054] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2060),
    1,
    anon_sym_AT,
    ACTIONS(2062),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2064),
    1,
    aux_sym_extend_annotation_appl_token1,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(354),
    1,
    sym_comment,
    STATE(374),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(527),
    1,
    sym_annotation_appl,
    STATE(531),
    1,
    sym_extend_annotation_appl,
    [18082] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2060),
    1,
    anon_sym_AT,
    ACTIONS(2062),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2068),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(355),
    1,
    sym_comment,
    STATE(366),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(527),
    1,
    sym_annotation_appl,
    STATE(531),
    1,
    sym_extend_annotation_appl,
    [18110] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2060),
    1,
    anon_sym_AT,
    ACTIONS(2062),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2070),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(356),
    1,
    sym_comment,
    STATE(366),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(527),
    1,
    sym_annotation_appl,
    STATE(531),
    1,
    sym_extend_annotation_appl,
    [18138] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2074),
    1,
    anon_sym_LBRACK,
    STATE(357),
    1,
    sym_comment,
    STATE(372),
    1,
    aux_sym_array_declarator_repeat1,
    STATE(422),
    1,
    sym_fixed_array_size,
    ACTIONS(2072),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [18162] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_LBRACE,
    ACTIONS(2078),
    1,
    anon_sym_COLON,
    ACTIONS(2080),
    1,
    anon_sym_SEMI,
    ACTIONS(2082),
    1,
    anon_sym_supports,
    STATE(358),
    1,
    sym_comment,
    STATE(722),
    1,
    sym_component_inheritance_spec,
    STATE(927),
    1,
    sym_supported_interface_spec,
    [18190] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2006),
    1,
    anon_sym_AT,
    ACTIONS(2008),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2084),
    1,
    sym_identifier,
    STATE(359),
    1,
    sym_comment,
    STATE(360),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(695),
    1,
    sym_extend_annotation_appl,
    STATE(697),
    1,
    sym_annotation_appl,
    [18218] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1382),
    1,
    sym_identifier,
    ACTIONS(2086),
    1,
    anon_sym_AT,
    ACTIONS(2089),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(695),
    1,
    sym_extend_annotation_appl,
    STATE(697),
    1,
    sym_annotation_appl,
    STATE(360),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    [18244] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2092),
    1,
    anon_sym_RBRACE,
    ACTIONS(2094),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2096),
    1,
    sym_identifier,
    STATE(361),
    1,
    sym_comment,
    STATE(428),
    1,
    aux_sym_enumerator_repeat1,
    STATE(599),
    1,
    sym_enumerator,
    STATE(782),
    1,
    sym_enum_modifier,
    [18272] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(362),
    1,
    sym_comment,
    STATE(735),
    1,
    sym_scoped_name,
    STATE(962),
    1,
    sym_imported_scope,
    STATE(963),
    1,
    sym_string_literal,
    [18300] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2020),
    1,
    anon_sym_COLON,
    ACTIONS(2024),
    1,
    anon_sym_supports,
    ACTIONS(2100),
    1,
    anon_sym_LBRACE,
    STATE(363),
    1,
    sym_comment,
    STATE(721),
    1,
    sym_value_inheritance,
    STATE(899),
    1,
    sym_value_inheritance_spec,
    STATE(939),
    1,
    sym_value_supports,
    [18328] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2060),
    1,
    anon_sym_AT,
    ACTIONS(2062),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2102),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(356),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(364),
    1,
    sym_comment,
    STATE(527),
    1,
    sym_annotation_appl,
    STATE(531),
    1,
    sym_extend_annotation_appl,
    [18356] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2106),
    1,
    anon_sym_0,
    STATE(365),
    1,
    sym_comment,
    ACTIONS(2104),
    5,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    aux_sym_dec_number_token1,
    sym_hex_number,
    [18376] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1380),
    1,
    aux_sym_extend_annotation_appl_token1,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2108),
    1,
    anon_sym_AT,
    ACTIONS(2111),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(527),
    1,
    sym_annotation_appl,
    STATE(531),
    1,
    sym_extend_annotation_appl,
    STATE(366),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    [18402] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2060),
    1,
    anon_sym_AT,
    ACTIONS(2062),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2114),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(367),
    1,
    sym_comment,
    STATE(371),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(527),
    1,
    sym_annotation_appl,
    STATE(531),
    1,
    sym_extend_annotation_appl,
    [18430] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2094),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2096),
    1,
    sym_identifier,
    ACTIONS(2116),
    1,
    anon_sym_RBRACE,
    STATE(368),
    1,
    sym_comment,
    STATE(428),
    1,
    aux_sym_enumerator_repeat1,
    STATE(612),
    1,
    sym_enumerator,
    STATE(782),
    1,
    sym_enum_modifier,
    [18458] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2020),
    1,
    anon_sym_COLON,
    ACTIONS(2024),
    1,
    anon_sym_supports,
    ACTIONS(2118),
    1,
    anon_sym_LBRACE,
    STATE(369),
    1,
    sym_comment,
    STATE(721),
    1,
    sym_value_inheritance,
    STATE(939),
    1,
    sym_value_supports,
    STATE(1142),
    1,
    sym_value_inheritance_spec,
    [18486] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2074),
    1,
    anon_sym_LBRACK,
    STATE(357),
    1,
    aux_sym_array_declarator_repeat1,
    STATE(370),
    1,
    sym_comment,
    STATE(422),
    1,
    sym_fixed_array_size,
    ACTIONS(2016),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [18510] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2060),
    1,
    anon_sym_AT,
    ACTIONS(2062),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2120),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(366),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(371),
    1,
    sym_comment,
    STATE(527),
    1,
    sym_annotation_appl,
    STATE(531),
    1,
    sym_extend_annotation_appl,
    [18538] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2124),
    1,
    anon_sym_LBRACK,
    STATE(422),
    1,
    sym_fixed_array_size,
    STATE(372),
    2,
    sym_comment,
    aux_sym_array_declarator_repeat1,
    ACTIONS(2122),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [18560] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2060),
    1,
    anon_sym_AT,
    ACTIONS(2062),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2127),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(355),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(373),
    1,
    sym_comment,
    STATE(527),
    1,
    sym_annotation_appl,
    STATE(531),
    1,
    sym_extend_annotation_appl,
    [18588] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2060),
    1,
    anon_sym_AT,
    ACTIONS(2062),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2129),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(366),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(374),
    1,
    sym_comment,
    STATE(527),
    1,
    sym_annotation_appl,
    STATE(531),
    1,
    sym_extend_annotation_appl,
    [18616] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2131),
    1,
    anon_sym_Object,
    ACTIONS(2133),
    1,
    anon_sym_multiple,
    STATE(375),
    1,
    sym_comment,
    STATE(807),
    1,
    sym_scoped_name,
    STATE(1192),
    1,
    sym_interface_type,
    [18644] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2131),
    1,
    anon_sym_Object,
    STATE(376),
    1,
    sym_comment,
    STATE(807),
    1,
    sym_scoped_name,
    STATE(1011),
    1,
    sym_interface_type,
    [18669] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(377),
    1,
    sym_comment,
    ACTIONS(2135),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18686] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(378),
    1,
    sym_comment,
    ACTIONS(1410),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [18703] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(379),
    1,
    sym_comment,
    ACTIONS(2137),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18720] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(380),
    1,
    sym_comment,
    ACTIONS(2139),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18737] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2141),
    1,
    anon_sym_RBRACE,
    ACTIONS(2143),
    1,
    anon_sym_bitfield,
    STATE(381),
    1,
    sym_comment,
    STATE(409),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(600),
    1,
    sym_bitfield_spec,
    STATE(786),
    1,
    sym_bitfield,
    [18762] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(382),
    1,
    sym_comment,
    ACTIONS(1482),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18779] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2094),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2096),
    1,
    sym_identifier,
    STATE(383),
    1,
    sym_comment,
    STATE(428),
    1,
    aux_sym_enumerator_repeat1,
    STATE(749),
    1,
    sym_enumerator,
    STATE(782),
    1,
    sym_enum_modifier,
    [18804] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(384),
    1,
    sym_comment,
    ACTIONS(2145),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18821] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(385),
    1,
    sym_comment,
    ACTIONS(2147),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18838] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2149),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2151),
    1,
    anon_sym_LPAREN,
    STATE(386),
    1,
    sym_comment,
    ACTIONS(1484),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [18859] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(387),
    1,
    sym_comment,
    ACTIONS(1494),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [18876] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2143),
    1,
    anon_sym_bitfield,
    ACTIONS(2153),
    1,
    anon_sym_RBRACE,
    STATE(381),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(388),
    1,
    sym_comment,
    STATE(600),
    1,
    sym_bitfield_spec,
    STATE(786),
    1,
    sym_bitfield,
    [18901] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2155),
    1,
    anon_sym_LT,
    STATE(389),
    1,
    sym_comment,
    ACTIONS(2157),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [18920] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2159),
    1,
    anon_sym_LT,
    STATE(390),
    1,
    sym_comment,
    ACTIONS(2161),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [18939] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(391),
    1,
    sym_comment,
    ACTIONS(2163),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18956] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(392),
    1,
    sym_comment,
    ACTIONS(2165),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18973] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(393),
    1,
    sym_comment,
    ACTIONS(1412),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18990] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2167),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2169),
    1,
    anon_sym_LPAREN,
    STATE(394),
    1,
    sym_comment,
    ACTIONS(1486),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [19011] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(395),
    1,
    sym_comment,
    ACTIONS(1496),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [19028] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2171),
    1,
    sym_identifier,
    STATE(396),
    1,
    sym_comment,
    STATE(475),
    1,
    sym_declarator,
    STATE(1145),
    1,
    sym_declarators,
    STATE(529),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19051] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2171),
    1,
    sym_identifier,
    STATE(397),
    1,
    sym_comment,
    STATE(475),
    1,
    sym_declarator,
    STATE(614),
    1,
    sym_declarators,
    STATE(529),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19074] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    STATE(398),
    1,
    sym_comment,
    ACTIONS(1952),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19093] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2143),
    1,
    anon_sym_bitfield,
    ACTIONS(2175),
    1,
    anon_sym_RBRACE,
    STATE(399),
    1,
    sym_comment,
    STATE(409),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(600),
    1,
    sym_bitfield_spec,
    STATE(786),
    1,
    sym_bitfield,
    [19118] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1988),
    1,
    anon_sym_COMMA,
    ACTIONS(2177),
    1,
    anon_sym_SEMI,
    ACTIONS(2179),
    1,
    anon_sym_raises,
    STATE(400),
    1,
    sym_comment,
    STATE(657),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(915),
    1,
    sym_raises_expr,
    [19143] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1142),
    1,
    sym_identifier,
    ACTIONS(2181),
    1,
    anon_sym_truncatable,
    STATE(401),
    1,
    sym_comment,
    STATE(417),
    1,
    sym_value_name,
    STATE(425),
    1,
    sym_scoped_name,
    [19168] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2171),
    1,
    sym_identifier,
    STATE(402),
    1,
    sym_comment,
    STATE(724),
    1,
    sym_any_declarator,
    STATE(935),
    1,
    sym_any_declarators,
    STATE(728),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19191] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2171),
    1,
    sym_identifier,
    STATE(403),
    1,
    sym_comment,
    STATE(475),
    1,
    sym_declarator,
    STATE(528),
    1,
    sym_declarators,
    STATE(529),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19214] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(404),
    1,
    sym_comment,
    ACTIONS(1480),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19231] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2143),
    1,
    anon_sym_bitfield,
    ACTIONS(2183),
    1,
    anon_sym_RBRACE,
    STATE(399),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(405),
    1,
    sym_comment,
    STATE(600),
    1,
    sym_bitfield_spec,
    STATE(786),
    1,
    sym_bitfield,
    [19256] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2185),
    1,
    anon_sym_COLON,
    ACTIONS(2187),
    1,
    anon_sym_supports,
    ACTIONS(2189),
    1,
    anon_sym_manages,
    STATE(406),
    1,
    sym_comment,
    STATE(704),
    1,
    sym_home_inheritance_spec,
    STATE(923),
    1,
    sym_supported_interface_spec,
    [19281] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(407),
    1,
    sym_comment,
    ACTIONS(2191),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19298] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2193),
    1,
    anon_sym_LT,
    ACTIONS(2195),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2197),
    1,
    sym_identifier,
    STATE(408),
    1,
    sym_comment,
    STATE(1068),
    2,
    sym_string_literal,
    sym_system_lib_string,
    [19321] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2199),
    1,
    anon_sym_RBRACE,
    ACTIONS(2201),
    1,
    anon_sym_bitfield,
    STATE(600),
    1,
    sym_bitfield_spec,
    STATE(786),
    1,
    sym_bitfield,
    STATE(409),
    2,
    sym_comment,
    aux_sym_bitset_dcl_repeat1,
    [19344] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2131),
    1,
    anon_sym_Object,
    STATE(410),
    1,
    sym_comment,
    STATE(807),
    1,
    sym_scoped_name,
    STATE(1189),
    1,
    sym_interface_type,
    [19369] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(411),
    1,
    sym_comment,
    ACTIONS(2204),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [19386] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2206),
    1,
    anon_sym_LPAREN,
    STATE(412),
    1,
    sym_comment,
    ACTIONS(1432),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19404] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2171),
    1,
    sym_identifier,
    STATE(413),
    1,
    sym_comment,
    STATE(711),
    1,
    sym_declarator,
    STATE(529),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19424] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2208),
    1,
    anon_sym_RPAREN,
    ACTIONS(2210),
    1,
    anon_sym_in,
    STATE(414),
    1,
    sym_comment,
    STATE(702),
    1,
    sym_init_param_dcl,
    STATE(960),
    1,
    sym_init_param_dcls,
    [19446] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2212),
    1,
    anon_sym_RPAREN,
    ACTIONS(2214),
    1,
    anon_sym_in,
    STATE(415),
    1,
    sym_comment,
    STATE(708),
    1,
    sym_factory_param_dcl,
    STATE(961),
    1,
    sym_factory_param_dcls,
    [19468] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2210),
    1,
    anon_sym_in,
    ACTIONS(2216),
    1,
    anon_sym_RPAREN,
    STATE(416),
    1,
    sym_comment,
    STATE(702),
    1,
    sym_init_param_dcl,
    STATE(966),
    1,
    sym_init_param_dcls,
    [19490] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2218),
    1,
    anon_sym_COMMA,
    ACTIONS(2220),
    1,
    anon_sym_LBRACE,
    ACTIONS(2222),
    1,
    anon_sym_supports,
    STATE(417),
    1,
    sym_comment,
    STATE(444),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    [19512] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2227),
    1,
    anon_sym_SQUOTE,
    ACTIONS(2224),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    STATE(418),
    2,
    sym_comment,
    aux_sym_char_literal_repeat1,
    [19530] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2218),
    1,
    anon_sym_COMMA,
    ACTIONS(2229),
    1,
    anon_sym_LBRACE,
    ACTIONS(2231),
    1,
    anon_sym_supports,
    STATE(419),
    1,
    sym_comment,
    STATE(432),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    [19552] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(420),
    1,
    sym_comment,
    STATE(639),
    1,
    sym_scoped_name,
    STATE(743),
    1,
    sym_interface_name,
    [19574] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(421),
    1,
    sym_comment,
    STATE(639),
    1,
    sym_scoped_name,
    STATE(684),
    1,
    sym_interface_name,
    [19596] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(422),
    1,
    sym_comment,
    ACTIONS(2233),
    4,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    anon_sym_LBRACK,
    [19612] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    sym_identifier,
    STATE(423),
    1,
    sym_comment,
    STATE(425),
    1,
    sym_scoped_name,
    STATE(449),
    1,
    sym_value_name,
    [19634] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2171),
    1,
    sym_identifier,
    STATE(424),
    1,
    sym_comment,
    STATE(793),
    1,
    sym_any_declarator,
    STATE(728),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19654] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1786),
    1,
    anon_sym_COLON_COLON,
    STATE(425),
    1,
    sym_comment,
    ACTIONS(2237),
    3,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    [19672] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2239),
    1,
    anon_sym_COMMA,
    STATE(426),
    1,
    sym_comment,
    STATE(443),
    1,
    aux_sym_declarators_repeat1,
    ACTIONS(2241),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    [19692] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2243),
    1,
    anon_sym_COMMA,
    ACTIONS(2245),
    1,
    anon_sym_LBRACE,
    STATE(427),
    1,
    sym_comment,
    STATE(579),
    1,
    aux_sym_raises_expr_repeat1,
    [19714] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2094),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2247),
    1,
    sym_identifier,
    STATE(428),
    1,
    sym_comment,
    STATE(440),
    1,
    aux_sym_enumerator_repeat1,
    STATE(782),
    1,
    sym_enum_modifier,
    [19736] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1786),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2249),
    1,
    anon_sym_LBRACE,
    ACTIONS(2251),
    1,
    anon_sym_primarykey,
    STATE(429),
    1,
    sym_comment,
    STATE(996),
    1,
    sym_primary_key_spec,
    [19758] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1786),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2251),
    1,
    anon_sym_primarykey,
    ACTIONS(2253),
    1,
    anon_sym_LBRACE,
    STATE(430),
    1,
    sym_comment,
    STATE(1158),
    1,
    sym_primary_key_spec,
    [19780] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2171),
    1,
    sym_identifier,
    STATE(431),
    1,
    sym_comment,
    STATE(866),
    1,
    sym_declarator,
    STATE(529),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19800] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2255),
    1,
    anon_sym_COMMA,
    ACTIONS(2258),
    2,
    anon_sym_LBRACE,
    anon_sym_supports,
    STATE(432),
    2,
    sym_comment,
    aux_sym_value_inheritance_spec_repeat1,
    [19818] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(433),
    1,
    sym_comment,
    ACTIONS(2260),
    4,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    anon_sym_LBRACK,
    [19834] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    STATE(434),
    1,
    sym_comment,
    ACTIONS(2262),
    3,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    [19852] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2264),
    1,
    anon_sym_COMMA,
    ACTIONS(2262),
    2,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    STATE(435),
    2,
    sym_comment,
    aux_sym_raises_expr_repeat1,
    [19870] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(436),
    1,
    sym_comment,
    ACTIONS(2267),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19886] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(437),
    1,
    sym_comment,
    ACTIONS(2269),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19902] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1786),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2251),
    1,
    anon_sym_primarykey,
    ACTIONS(2271),
    1,
    anon_sym_LBRACE,
    STATE(438),
    1,
    sym_comment,
    STATE(917),
    1,
    sym_primary_key_spec,
    [19924] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(439),
    1,
    sym_comment,
    ACTIONS(2273),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19940] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2275),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2278),
    1,
    sym_identifier,
    STATE(782),
    1,
    sym_enum_modifier,
    STATE(440),
    2,
    sym_comment,
    aux_sym_enumerator_repeat1,
    [19960] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2280),
    1,
    anon_sym_RPAREN,
    ACTIONS(2282),
    1,
    anon_sym_in,
    STATE(441),
    1,
    sym_comment,
    STATE(628),
    1,
    sym_in_param_dcl,
    STATE(911),
    1,
    sym_in_parameter_dcls,
    [19982] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2179),
    1,
    anon_sym_raises,
    STATE(442),
    1,
    sym_comment,
    STATE(764),
    1,
    sym_raises_expr,
    ACTIONS(2284),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [20002] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2286),
    1,
    anon_sym_COMMA,
    ACTIONS(2289),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    STATE(443),
    2,
    sym_comment,
    aux_sym_declarators_repeat1,
    [20020] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2218),
    1,
    anon_sym_COMMA,
    ACTIONS(2291),
    1,
    anon_sym_LBRACE,
    ACTIONS(2293),
    1,
    anon_sym_supports,
    STATE(432),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(444),
    1,
    sym_comment,
    [20042] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(445),
    1,
    sym_comment,
    STATE(639),
    1,
    sym_scoped_name,
    STATE(659),
    1,
    sym_interface_name,
    [20064] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(446),
    1,
    sym_comment,
    STATE(562),
    1,
    sym_interface_name,
    STATE(639),
    1,
    sym_scoped_name,
    [20086] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(219),
    1,
    sym_string_literal,
    STATE(237),
    1,
    sym_char_literal,
    STATE(447),
    1,
    sym_comment,
    [20108] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    sym_identifier,
    STATE(425),
    1,
    sym_scoped_name,
    STATE(448),
    1,
    sym_comment,
    STATE(658),
    1,
    sym_value_name,
    [20130] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2218),
    1,
    anon_sym_COMMA,
    ACTIONS(2291),
    1,
    anon_sym_LBRACE,
    ACTIONS(2293),
    1,
    anon_sym_supports,
    STATE(419),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(449),
    1,
    sym_comment,
    [20152] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(450),
    1,
    sym_comment,
    ACTIONS(2295),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20168] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(451),
    1,
    sym_comment,
    ACTIONS(2297),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20184] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(452),
    1,
    sym_comment,
    ACTIONS(2299),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20200] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2179),
    1,
    anon_sym_raises,
    STATE(453),
    1,
    sym_comment,
    STATE(817),
    1,
    sym_raises_expr,
    ACTIONS(2301),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [20220] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2303),
    1,
    sym_escape_sequence,
    ACTIONS(2306),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2308),
    1,
    aux_sym_string_literal_token1,
    STATE(454),
    2,
    sym_comment,
    aux_sym_string_literal_repeat1,
    [20240] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2243),
    1,
    anon_sym_COMMA,
    ACTIONS(2311),
    1,
    anon_sym_RPAREN,
    STATE(455),
    1,
    sym_comment,
    STATE(516),
    1,
    aux_sym_raises_expr_repeat1,
    [20262] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2171),
    1,
    sym_identifier,
    STATE(456),
    1,
    sym_comment,
    STATE(862),
    1,
    sym_declarator,
    STATE(529),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [20282] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(457),
    1,
    sym_comment,
    ACTIONS(2313),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20298] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2243),
    1,
    anon_sym_COMMA,
    ACTIONS(2315),
    1,
    anon_sym_RPAREN,
    STATE(458),
    1,
    sym_comment,
    STATE(522),
    1,
    aux_sym_raises_expr_repeat1,
    [20320] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(459),
    1,
    sym_comment,
    ACTIONS(2317),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20336] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2319),
    1,
    anon_sym_LPAREN,
    STATE(460),
    1,
    sym_comment,
    ACTIONS(1456),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20354] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2321),
    1,
    anon_sym_LPAREN,
    STATE(461),
    1,
    sym_comment,
    ACTIONS(1450),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20372] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2323),
    1,
    anon_sym_LPAREN,
    STATE(462),
    1,
    sym_comment,
    ACTIONS(1444),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20390] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2325),
    1,
    anon_sym_LPAREN,
    STATE(463),
    1,
    sym_comment,
    ACTIONS(1438),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20408] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2327),
    1,
    anon_sym_LPAREN,
    STATE(464),
    1,
    sym_comment,
    ACTIONS(1426),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20426] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2329),
    1,
    anon_sym_LPAREN,
    STATE(465),
    1,
    sym_comment,
    ACTIONS(1420),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20444] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2331),
    1,
    anon_sym_LPAREN,
    STATE(466),
    1,
    sym_comment,
    ACTIONS(1414),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20462] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(467),
    1,
    sym_comment,
    ACTIONS(2333),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20478] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2335),
    1,
    anon_sym_LPAREN,
    STATE(468),
    1,
    sym_comment,
    ACTIONS(1466),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20496] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(469),
    1,
    sym_comment,
    STATE(569),
    1,
    sym_interface_name,
    STATE(639),
    1,
    sym_scoped_name,
    [20518] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(470),
    1,
    sym_comment,
    STATE(639),
    1,
    sym_scoped_name,
    STATE(1018),
    1,
    sym_interface_name,
    [20540] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(471),
    1,
    sym_comment,
    STATE(908),
    1,
    sym_service_platform,
    ACTIONS(2337),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [20558] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(472),
    1,
    sym_comment,
    STATE(934),
    1,
    sym_extensibility_kind,
    ACTIONS(2339),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [20576] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2341),
    1,
    anon_sym_RPAREN,
    STATE(473),
    1,
    sym_comment,
    STATE(928),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [20596] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2343),
    1,
    anon_sym_RPAREN,
    STATE(474),
    1,
    sym_comment,
    STATE(925),
    1,
    sym_autoid_kind,
    ACTIONS(2345),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [20616] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2239),
    1,
    anon_sym_COMMA,
    STATE(426),
    1,
    aux_sym_declarators_repeat1,
    STATE(475),
    1,
    sym_comment,
    ACTIONS(2347),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    [20636] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2349),
    1,
    sym_escape_sequence,
    ACTIONS(2351),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2353),
    1,
    aux_sym_string_literal_token1,
    STATE(454),
    1,
    aux_sym_string_literal_repeat1,
    STATE(476),
    1,
    sym_comment,
    [20658] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2355),
    1,
    anon_sym_LBRACE,
    ACTIONS(2357),
    1,
    anon_sym_COLON,
    ACTIONS(2359),
    1,
    anon_sym_SEMI,
    STATE(477),
    1,
    sym_comment,
    STATE(895),
    1,
    sym_interface_inheritance_spec,
    [20680] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(478),
    1,
    sym_comment,
    ACTIONS(1952),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20696] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(479),
    1,
    sym_comment,
    ACTIONS(2361),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20712] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(480),
    1,
    sym_comment,
    STATE(1124),
    1,
    sym_service_platform,
    ACTIONS(2337),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [20730] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(481),
    1,
    sym_comment,
    ACTIONS(2363),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20746] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(482),
    1,
    sym_comment,
    ACTIONS(2365),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20762] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2367),
    1,
    anon_sym_LPAREN,
    STATE(483),
    1,
    sym_comment,
    ACTIONS(1458),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20780] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(484),
    1,
    sym_comment,
    ACTIONS(2369),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20796] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2371),
    1,
    anon_sym_LPAREN,
    STATE(485),
    1,
    sym_comment,
    ACTIONS(1452),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20814] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2373),
    1,
    anon_sym_LPAREN,
    STATE(486),
    1,
    sym_comment,
    ACTIONS(1446),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20832] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2375),
    1,
    anon_sym_LPAREN,
    STATE(487),
    1,
    sym_comment,
    ACTIONS(1440),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20850] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2377),
    1,
    anon_sym_LPAREN,
    STATE(488),
    1,
    sym_comment,
    ACTIONS(1434),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20868] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2379),
    1,
    anon_sym_LBRACE,
    ACTIONS(2381),
    1,
    anon_sym_COLON,
    STATE(489),
    1,
    sym_comment,
    ACTIONS(2383),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [20888] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2385),
    1,
    anon_sym_LPAREN,
    STATE(490),
    1,
    sym_comment,
    ACTIONS(1428),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20906] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2387),
    1,
    anon_sym_LPAREN,
    STATE(491),
    1,
    sym_comment,
    ACTIONS(1422),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20924] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2389),
    1,
    anon_sym_LPAREN,
    STATE(492),
    1,
    sym_comment,
    ACTIONS(1416),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20942] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2391),
    1,
    anon_sym_LPAREN,
    STATE(493),
    1,
    sym_comment,
    ACTIONS(1468),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20960] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2349),
    1,
    sym_escape_sequence,
    ACTIONS(2353),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2393),
    1,
    anon_sym_DQUOTE,
    STATE(494),
    1,
    sym_comment,
    STATE(495),
    1,
    aux_sym_string_literal_repeat1,
    [20982] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2349),
    1,
    sym_escape_sequence,
    ACTIONS(2353),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2395),
    1,
    anon_sym_DQUOTE,
    STATE(454),
    1,
    aux_sym_string_literal_repeat1,
    STATE(495),
    1,
    sym_comment,
    [21004] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2397),
    1,
    anon_sym_RPAREN,
    STATE(496),
    1,
    sym_comment,
    STATE(1043),
    1,
    sym_autoid_kind,
    ACTIONS(2345),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [21024] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2399),
    1,
    anon_sym_RPAREN,
    STATE(497),
    1,
    sym_comment,
    STATE(1044),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21044] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2349),
    1,
    sym_escape_sequence,
    ACTIONS(2353),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2401),
    1,
    anon_sym_DQUOTE,
    STATE(476),
    1,
    aux_sym_string_literal_repeat1,
    STATE(498),
    1,
    sym_comment,
    [21066] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2403),
    1,
    anon_sym_RPAREN,
    STATE(499),
    1,
    sym_comment,
    STATE(1079),
    1,
    sym_autoid_kind,
    ACTIONS(2345),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [21086] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2405),
    1,
    anon_sym_RPAREN,
    STATE(500),
    1,
    sym_comment,
    STATE(1080),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21106] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2407),
    1,
    anon_sym_RPAREN,
    STATE(501),
    1,
    sym_comment,
    STATE(1110),
    1,
    sym_autoid_kind,
    ACTIONS(2345),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [21126] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2409),
    1,
    anon_sym_RPAREN,
    STATE(502),
    1,
    sym_comment,
    STATE(1111),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21146] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(503),
    1,
    sym_comment,
    STATE(1047),
    1,
    sym_extensibility_kind,
    ACTIONS(2339),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [21164] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2413),
    1,
    anon_sym_SQUOTE,
    STATE(418),
    1,
    aux_sym_char_literal_repeat1,
    STATE(504),
    1,
    sym_comment,
    ACTIONS(2411),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [21184] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(505),
    1,
    sym_comment,
    STATE(1057),
    1,
    sym_service_platform,
    ACTIONS(2337),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [21202] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1786),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2245),
    1,
    anon_sym_manages,
    ACTIONS(2415),
    1,
    anon_sym_COMMA,
    STATE(506),
    1,
    sym_comment,
    STATE(603),
    1,
    aux_sym_raises_expr_repeat1,
    [21224] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(507),
    1,
    sym_comment,
    STATE(1083),
    1,
    sym_extensibility_kind,
    ACTIONS(2339),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [21242] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(508),
    1,
    sym_comment,
    STATE(1093),
    1,
    sym_service_platform,
    ACTIONS(2337),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [21260] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(509),
    1,
    sym_comment,
    STATE(1114),
    1,
    sym_extensibility_kind,
    ACTIONS(2339),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [21278] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2417),
    1,
    anon_sym_COMMA,
    ACTIONS(2419),
    1,
    anon_sym_RBRACE,
    STATE(510),
    1,
    sym_comment,
    STATE(517),
    1,
    aux_sym_bitmask_dcl_repeat1,
    [21297] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(511),
    1,
    sym_comment,
    ACTIONS(1560),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [21312] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(512),
    1,
    sym_comment,
    ACTIONS(2421),
    3,
    sym_escape_sequence,
    anon_sym_SQUOTE,
    aux_sym_char_literal_token1,
    [21327] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(513),
    1,
    sym_comment,
    STATE(760),
    1,
    sym_dec_number,
    ACTIONS(1718),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    [21344] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(514),
    1,
    sym_comment,
    STATE(819),
    1,
    sym_scoped_name,
    [21363] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2423),
    1,
    anon_sym_COMMA,
    ACTIONS(2426),
    1,
    anon_sym_RPAREN,
    STATE(515),
    2,
    sym_comment,
    aux_sym_in_parameter_dcls_repeat1,
    [21380] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_COMMA,
    ACTIONS(2428),
    1,
    anon_sym_RPAREN,
    STATE(435),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(516),
    1,
    sym_comment,
    [21399] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2417),
    1,
    anon_sym_COMMA,
    ACTIONS(2430),
    1,
    anon_sym_RBRACE,
    STATE(517),
    1,
    sym_comment,
    STATE(626),
    1,
    aux_sym_bitmask_dcl_repeat1,
    [21418] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(518),
    1,
    sym_comment,
    STATE(821),
    1,
    sym_scoped_name,
    [21437] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(519),
    1,
    sym_comment,
    STATE(823),
    1,
    sym_scoped_name,
    [21456] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(520),
    1,
    sym_comment,
    STATE(825),
    1,
    sym_scoped_name,
    [21475] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2432),
    1,
    anon_sym_SEMI,
    ACTIONS(2434),
    1,
    sym_identifier,
    STATE(521),
    1,
    sym_comment,
    STATE(621),
    1,
    aux_sym_bitfield_repeat1,
    [21494] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_COMMA,
    ACTIONS(2436),
    1,
    anon_sym_RPAREN,
    STATE(435),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(522),
    1,
    sym_comment,
    [21513] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(523),
    1,
    sym_comment,
    ACTIONS(2438),
    3,
    anon_sym_RBRACE,
    anon_sym_default,
    anon_sym_case,
    [21528] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2440),
    1,
    anon_sym_GT,
    ACTIONS(2442),
    1,
    anon_sym_COMMA,
    STATE(524),
    1,
    sym_comment,
    STATE(526),
    1,
    aux_sym_formal_parameter_names_repeat1,
    [21547] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2444),
    1,
    anon_sym_COMMA,
    ACTIONS(2446),
    1,
    anon_sym_LBRACE,
    STATE(525),
    1,
    sym_comment,
    STATE(679),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [21566] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2448),
    1,
    anon_sym_GT,
    ACTIONS(2450),
    1,
    anon_sym_COMMA,
    STATE(526),
    2,
    sym_comment,
    aux_sym_formal_parameter_names_repeat1,
    [21583] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(527),
    1,
    sym_comment,
    ACTIONS(1606),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21598] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2453),
    1,
    anon_sym_SEMI,
    ACTIONS(2455),
    1,
    anon_sym_default,
    STATE(528),
    1,
    sym_comment,
    STATE(1022),
    1,
    sym_default,
    [21617] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(529),
    1,
    sym_comment,
    ACTIONS(2457),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [21632] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2459),
    1,
    anon_sym_COMMA,
    ACTIONS(2462),
    1,
    anon_sym_RPAREN,
    STATE(530),
    2,
    sym_comment,
    aux_sym_factory_param_dcls_repeat1,
    [21649] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(531),
    1,
    sym_comment,
    ACTIONS(1630),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21664] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(532),
    1,
    sym_comment,
    STATE(1126),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21681] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(533),
    1,
    sym_comment,
    STATE(1125),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21698] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2464),
    1,
    anon_sym_COMMA,
    ACTIONS(2467),
    1,
    anon_sym_RPAREN,
    STATE(534),
    2,
    sym_comment,
    aux_sym_init_param_dcls_repeat1,
    [21715] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(535),
    1,
    sym_comment,
    STATE(1122),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21732] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(536),
    1,
    sym_comment,
    STATE(1121),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21749] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(537),
    1,
    sym_comment,
    ACTIONS(1634),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21764] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(538),
    1,
    sym_comment,
    ACTIONS(1638),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21779] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2469),
    1,
    anon_sym_COMMA,
    ACTIONS(2472),
    1,
    anon_sym_RPAREN,
    STATE(539),
    2,
    sym_comment,
    aux_sym_parameter_dcls_repeat1,
    [21796] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2474),
    1,
    anon_sym_COMMA,
    ACTIONS(2477),
    1,
    anon_sym_RPAREN,
    STATE(540),
    2,
    sym_comment,
    aux_sym_context_expr_repeat1,
    [21813] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(541),
    1,
    sym_comment,
    ACTIONS(1646),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21828] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2479),
    1,
    anon_sym_COMMA,
    ACTIONS(2481),
    1,
    anon_sym_RPAREN,
    STATE(542),
    1,
    sym_comment,
    STATE(649),
    1,
    aux_sym_annotation_appl_params_repeat1,
    [21847] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2483),
    1,
    anon_sym_COMMA,
    ACTIONS(2485),
    1,
    anon_sym_RPAREN,
    STATE(515),
    1,
    aux_sym_in_parameter_dcls_repeat1,
    STATE(543),
    1,
    sym_comment,
    [21866] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2487),
    1,
    anon_sym_interface,
    ACTIONS(2489),
    1,
    anon_sym_valuetype,
    ACTIONS(2491),
    1,
    anon_sym_eventtype,
    STATE(544),
    1,
    sym_comment,
    [21885] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(545),
    1,
    sym_comment,
    STATE(1116),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21902] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2493),
    1,
    anon_sym_GT,
    ACTIONS(2495),
    1,
    anon_sym_COMMA,
    STATE(546),
    1,
    sym_comment,
    STATE(652),
    1,
    aux_sym_formal_parameters_repeat1,
    [21921] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(458),
    1,
    sym_scoped_name,
    STATE(547),
    1,
    sym_comment,
    [21940] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(548),
    1,
    sym_comment,
    STATE(1115),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21957] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2497),
    1,
    sym_identifier,
    STATE(549),
    1,
    sym_comment,
    STATE(726),
    1,
    sym_scoped_name,
    [21976] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(550),
    1,
    sym_comment,
    ACTIONS(1654),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21991] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2499),
    1,
    anon_sym_SEMI,
    ACTIONS(2501),
    1,
    anon_sym_context,
    STATE(551),
    1,
    sym_comment,
    STATE(1176),
    1,
    sym_context_expr,
    [22010] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2503),
    1,
    anon_sym_GT,
    ACTIONS(2505),
    1,
    anon_sym_COMMA,
    STATE(552),
    1,
    sym_comment,
    STATE(655),
    1,
    aux_sym_actual_parameters_repeat1,
    [22029] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(553),
    1,
    sym_comment,
    ACTIONS(1594),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22044] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(554),
    1,
    sym_comment,
    ACTIONS(1590),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22059] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(555),
    1,
    sym_comment,
    STATE(1095),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22076] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(556),
    1,
    sym_comment,
    STATE(1094),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22093] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(557),
    1,
    sym_comment,
    ACTIONS(2507),
    3,
    anon_sym_RBRACE,
    anon_sym_default,
    anon_sym_case,
    [22108] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(558),
    1,
    sym_comment,
    ACTIONS(1490),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22123] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(559),
    1,
    sym_comment,
    STATE(1091),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22140] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(560),
    1,
    sym_comment,
    ACTIONS(1522),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22155] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(561),
    1,
    sym_comment,
    STATE(1090),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22172] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2444),
    1,
    anon_sym_COMMA,
    ACTIONS(2509),
    1,
    anon_sym_LBRACE,
    STATE(525),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(562),
    1,
    sym_comment,
    [22191] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2444),
    1,
    anon_sym_COMMA,
    ACTIONS(2509),
    1,
    anon_sym_LBRACE,
    STATE(563),
    1,
    sym_comment,
    STATE(679),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [22210] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2511),
    1,
    anon_sym_COMMA,
    ACTIONS(2513),
    1,
    anon_sym_RBRACE,
    STATE(564),
    1,
    sym_comment,
    STATE(666),
    1,
    aux_sym_enum_dcl_repeat1,
    [22229] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(565),
    1,
    sym_comment,
    ACTIONS(1578),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22244] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(566),
    1,
    sym_comment,
    STATE(700),
    1,
    sym_scoped_name,
    [22263] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(567),
    1,
    sym_comment,
    STATE(701),
    1,
    sym_scoped_name,
    [22282] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2515),
    1,
    sym_identifier,
    STATE(332),
    1,
    sym_simple_declarator,
    STATE(568),
    1,
    sym_comment,
    STATE(1151),
    1,
    sym_attr_declarator,
    [22301] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2444),
    1,
    anon_sym_COMMA,
    ACTIONS(2517),
    1,
    anon_sym_LBRACE,
    STATE(569),
    1,
    sym_comment,
    STATE(590),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [22320] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(570),
    1,
    sym_comment,
    ACTIONS(1406),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22335] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(571),
    1,
    sym_comment,
    STATE(1085),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22352] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(572),
    1,
    sym_comment,
    STATE(1084),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22369] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(573),
    1,
    sym_comment,
    ACTIONS(1582),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22384] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(574),
    1,
    sym_comment,
    ACTIONS(1650),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22399] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1786),
    1,
    anon_sym_COLON_COLON,
    STATE(575),
    1,
    sym_comment,
    ACTIONS(2262),
    2,
    anon_sym_COMMA,
    anon_sym_manages,
    [22416] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(576),
    1,
    sym_comment,
    ACTIONS(1626),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22431] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2519),
    1,
    anon_sym_COMMA,
    ACTIONS(2522),
    1,
    anon_sym_SEMI,
    STATE(577),
    2,
    sym_comment,
    aux_sym_any_declarators_repeat1,
    [22448] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(434),
    1,
    sym_scoped_name,
    STATE(578),
    1,
    sym_comment,
    [22467] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2243),
    1,
    anon_sym_COMMA,
    ACTIONS(2524),
    1,
    anon_sym_LBRACE,
    STATE(435),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(579),
    1,
    sym_comment,
    [22486] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(580),
    1,
    sym_comment,
    STATE(744),
    1,
    sym_scoped_name,
    [22505] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(581),
    1,
    sym_comment,
    ACTIONS(1622),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22520] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    sym_identifier,
    STATE(429),
    1,
    sym_scoped_name,
    STATE(582),
    1,
    sym_comment,
    [22539] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    sym_identifier,
    STATE(438),
    1,
    sym_scoped_name,
    STATE(583),
    1,
    sym_comment,
    [22558] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(584),
    1,
    sym_comment,
    ACTIONS(1618),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22573] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(585),
    1,
    sym_comment,
    STATE(1059),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22590] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1786),
    1,
    anon_sym_COLON_COLON,
    STATE(586),
    1,
    sym_comment,
    ACTIONS(2526),
    2,
    anon_sym_supports,
    anon_sym_manages,
    [22607] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(587),
    1,
    sym_comment,
    STATE(1058),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22624] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1786),
    1,
    anon_sym_COLON_COLON,
    STATE(588),
    1,
    sym_comment,
    ACTIONS(2528),
    2,
    anon_sym_LBRACE,
    anon_sym_supports,
    [22641] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2530),
    1,
    anon_sym_COMMA,
    ACTIONS(2532),
    1,
    anon_sym_SEMI,
    STATE(577),
    1,
    aux_sym_any_declarators_repeat1,
    STATE(589),
    1,
    sym_comment,
    [22660] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2444),
    1,
    anon_sym_COMMA,
    ACTIONS(2534),
    1,
    anon_sym_LBRACE,
    STATE(590),
    1,
    sym_comment,
    STATE(679),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [22679] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2515),
    1,
    sym_identifier,
    STATE(400),
    1,
    sym_simple_declarator,
    STATE(591),
    1,
    sym_comment,
    STATE(990),
    1,
    sym_readonly_attr_declarator,
    [22698] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(592),
    1,
    sym_comment,
    ACTIONS(1610),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22713] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(593),
    1,
    sym_comment,
    STATE(1055),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22730] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(594),
    1,
    sym_comment,
    STATE(1054),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22747] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2536),
    1,
    anon_sym_RPAREN,
    STATE(595),
    1,
    sym_comment,
    STATE(691),
    1,
    sym_string_literal,
    [22766] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(596),
    1,
    sym_comment,
    ACTIONS(1502),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22781] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(597),
    1,
    sym_comment,
    STATE(1049),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22798] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(598),
    1,
    sym_comment,
    STATE(1048),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22815] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2511),
    1,
    anon_sym_COMMA,
    ACTIONS(2513),
    1,
    anon_sym_RBRACE,
    STATE(599),
    1,
    sym_comment,
    STATE(703),
    1,
    aux_sym_enum_dcl_repeat1,
    [22834] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2434),
    1,
    sym_identifier,
    ACTIONS(2538),
    1,
    anon_sym_SEMI,
    STATE(521),
    1,
    aux_sym_bitfield_repeat1,
    STATE(600),
    1,
    sym_comment,
    [22853] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2501),
    1,
    anon_sym_context,
    ACTIONS(2540),
    1,
    anon_sym_SEMI,
    STATE(601),
    1,
    sym_comment,
    STATE(1176),
    1,
    sym_context_expr,
    [22872] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2262),
    1,
    anon_sym_manages,
    ACTIONS(2542),
    1,
    anon_sym_COMMA,
    STATE(602),
    2,
    sym_comment,
    aux_sym_raises_expr_repeat1,
    [22889] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2415),
    1,
    anon_sym_COMMA,
    ACTIONS(2524),
    1,
    anon_sym_manages,
    STATE(602),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(603),
    1,
    sym_comment,
    [22908] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    sym_identifier,
    STATE(575),
    1,
    sym_scoped_name,
    STATE(604),
    1,
    sym_comment,
    [22927] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2501),
    1,
    anon_sym_context,
    ACTIONS(2545),
    1,
    anon_sym_SEMI,
    STATE(605),
    1,
    sym_comment,
    STATE(1176),
    1,
    sym_context_expr,
    [22946] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    sym_identifier,
    STATE(506),
    1,
    sym_scoped_name,
    STATE(606),
    1,
    sym_comment,
    [22965] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2179),
    1,
    anon_sym_raises,
    ACTIONS(2547),
    1,
    anon_sym_SEMI,
    STATE(607),
    1,
    sym_comment,
    STATE(870),
    1,
    sym_raises_expr,
    [22984] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(608),
    1,
    sym_comment,
    ACTIONS(1598),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22999] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(609),
    1,
    sym_comment,
    ACTIONS(2549),
    3,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    [23014] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(610),
    1,
    sym_comment,
    ACTIONS(1572),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23029] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2551),
    1,
    anon_sym_COMMA,
    ACTIONS(2553),
    1,
    anon_sym_RPAREN,
    STATE(530),
    1,
    aux_sym_factory_param_dcls_repeat1,
    STATE(611),
    1,
    sym_comment,
    [23048] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2092),
    1,
    anon_sym_RBRACE,
    ACTIONS(2511),
    1,
    anon_sym_COMMA,
    STATE(564),
    1,
    aux_sym_enum_dcl_repeat1,
    STATE(612),
    1,
    sym_comment,
    [23067] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(613),
    1,
    sym_comment,
    ACTIONS(1568),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23082] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2455),
    1,
    anon_sym_default,
    ACTIONS(2555),
    1,
    anon_sym_SEMI,
    STATE(614),
    1,
    sym_comment,
    STATE(946),
    1,
    sym_default,
    [23101] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(615),
    1,
    sym_comment,
    ACTIONS(1564),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23116] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2179),
    1,
    anon_sym_raises,
    ACTIONS(2557),
    1,
    anon_sym_SEMI,
    STATE(616),
    1,
    sym_comment,
    STATE(873),
    1,
    sym_raises_expr,
    [23135] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(427),
    1,
    sym_scoped_name,
    STATE(617),
    1,
    sym_comment,
    [23154] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(618),
    1,
    sym_comment,
    ACTIONS(1574),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23169] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2559),
    1,
    anon_sym_COMMA,
    ACTIONS(2561),
    1,
    anon_sym_RPAREN,
    STATE(534),
    1,
    aux_sym_init_param_dcls_repeat1,
    STATE(619),
    1,
    sym_comment,
    [23188] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2179),
    1,
    anon_sym_raises,
    ACTIONS(2563),
    1,
    anon_sym_SEMI,
    STATE(620),
    1,
    sym_comment,
    STATE(874),
    1,
    sym_raises_expr,
    [23207] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2565),
    1,
    anon_sym_SEMI,
    ACTIONS(2567),
    1,
    sym_identifier,
    STATE(621),
    2,
    sym_comment,
    aux_sym_bitfield_repeat1,
    [23224] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(622),
    1,
    sym_comment,
    ACTIONS(1550),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23239] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2570),
    1,
    anon_sym_COMMA,
    ACTIONS(2572),
    1,
    anon_sym_RPAREN,
    STATE(539),
    1,
    aux_sym_parameter_dcls_repeat1,
    STATE(623),
    1,
    sym_comment,
    [23258] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(624),
    1,
    sym_comment,
    ACTIONS(1546),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23273] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2574),
    1,
    anon_sym_COMMA,
    ACTIONS(2576),
    1,
    anon_sym_RPAREN,
    STATE(540),
    1,
    aux_sym_context_expr_repeat1,
    STATE(625),
    1,
    sym_comment,
    [23292] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2578),
    1,
    anon_sym_COMMA,
    ACTIONS(2581),
    1,
    anon_sym_RBRACE,
    STATE(626),
    2,
    sym_comment,
    aux_sym_bitmask_dcl_repeat1,
    [23309] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(627),
    1,
    sym_comment,
    ACTIONS(1542),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23324] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2483),
    1,
    anon_sym_COMMA,
    ACTIONS(2583),
    1,
    anon_sym_RPAREN,
    STATE(543),
    1,
    aux_sym_in_parameter_dcls_repeat1,
    STATE(628),
    1,
    sym_comment,
    [23343] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(629),
    1,
    sym_comment,
    ACTIONS(1536),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23358] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(630),
    1,
    sym_comment,
    ACTIONS(1500),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23373] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(631),
    1,
    sym_comment,
    STATE(727),
    1,
    sym_dec_number,
    ACTIONS(1718),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    [23390] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(632),
    1,
    sym_comment,
    ACTIONS(1530),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23405] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(633),
    1,
    sym_comment,
    ACTIONS(1508),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23420] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(634),
    1,
    sym_comment,
    ACTIONS(1512),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23435] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(635),
    1,
    sym_comment,
    ACTIONS(1516),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23450] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(636),
    1,
    sym_comment,
    ACTIONS(1520),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23465] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(637),
    1,
    sym_comment,
    ACTIONS(1528),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23480] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(638),
    1,
    sym_comment,
    ACTIONS(1532),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23495] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    STATE(639),
    1,
    sym_comment,
    ACTIONS(2585),
    2,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    [23512] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(640),
    1,
    sym_comment,
    ACTIONS(1526),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23527] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2505),
    1,
    anon_sym_COMMA,
    ACTIONS(2587),
    1,
    anon_sym_GT,
    STATE(552),
    1,
    aux_sym_actual_parameters_repeat1,
    STATE(641),
    1,
    sym_comment,
    [23546] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(642),
    1,
    sym_comment,
    ACTIONS(1544),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23561] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2589),
    1,
    anon_sym_COMMA,
    ACTIONS(2592),
    1,
    anon_sym_SEMI,
    STATE(643),
    2,
    sym_comment,
    aux_sym_readonly_attr_declarator_repeat1,
    [23578] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(644),
    1,
    sym_comment,
    ACTIONS(1548),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23593] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(645),
    1,
    sym_comment,
    ACTIONS(1552),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23608] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2495),
    1,
    anon_sym_COMMA,
    ACTIONS(2594),
    1,
    anon_sym_GT,
    STATE(546),
    1,
    aux_sym_formal_parameters_repeat1,
    STATE(646),
    1,
    sym_comment,
    [23627] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(647),
    1,
    sym_comment,
    ACTIONS(1576),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23642] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(648),
    1,
    sym_comment,
    ACTIONS(1518),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23657] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2596),
    1,
    anon_sym_COMMA,
    ACTIONS(2599),
    1,
    anon_sym_RPAREN,
    STATE(649),
    2,
    sym_comment,
    aux_sym_annotation_appl_params_repeat1,
    [23674] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(650),
    1,
    sym_comment,
    ACTIONS(1600),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23689] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(651),
    1,
    sym_comment,
    ACTIONS(1514),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23704] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2601),
    1,
    anon_sym_GT,
    ACTIONS(2603),
    1,
    anon_sym_COMMA,
    STATE(652),
    2,
    sym_comment,
    aux_sym_formal_parameters_repeat1,
    [23721] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(653),
    1,
    sym_comment,
    ACTIONS(1504),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23736] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(455),
    1,
    sym_scoped_name,
    STATE(654),
    1,
    sym_comment,
    [23755] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2606),
    1,
    anon_sym_GT,
    ACTIONS(2608),
    1,
    anon_sym_COMMA,
    STATE(655),
    2,
    sym_comment,
    aux_sym_actual_parameters_repeat1,
    [23772] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(656),
    1,
    sym_comment,
    ACTIONS(1612),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23787] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1988),
    1,
    anon_sym_COMMA,
    ACTIONS(2611),
    1,
    anon_sym_SEMI,
    STATE(643),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(657),
    1,
    sym_comment,
    [23806] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(658),
    1,
    sym_comment,
    ACTIONS(2258),
    3,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    [23821] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2229),
    1,
    anon_sym_LBRACE,
    ACTIONS(2444),
    1,
    anon_sym_COMMA,
    STATE(659),
    1,
    sym_comment,
    STATE(682),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [23840] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2479),
    1,
    anon_sym_COMMA,
    ACTIONS(2613),
    1,
    anon_sym_RPAREN,
    STATE(542),
    1,
    aux_sym_annotation_appl_params_repeat1,
    STATE(660),
    1,
    sym_comment,
    [23859] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(661),
    1,
    sym_comment,
    ACTIONS(1510),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23874] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(662),
    1,
    sym_comment,
    ACTIONS(1620),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23889] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(663),
    1,
    sym_comment,
    ACTIONS(1624),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23904] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(664),
    1,
    sym_comment,
    ACTIONS(1506),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23919] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(665),
    1,
    sym_comment,
    ACTIONS(1498),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23934] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2615),
    1,
    anon_sym_COMMA,
    ACTIONS(2618),
    1,
    anon_sym_RBRACE,
    STATE(666),
    2,
    sym_comment,
    aux_sym_enum_dcl_repeat1,
    [23951] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(667),
    1,
    sym_comment,
    ACTIONS(1628),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23966] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(668),
    1,
    sym_comment,
    ACTIONS(1652),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23981] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(669),
    1,
    sym_comment,
    ACTIONS(1534),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23996] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(670),
    1,
    sym_comment,
    ACTIONS(1584),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24011] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(671),
    1,
    sym_comment,
    ACTIONS(1408),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24026] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(672),
    1,
    sym_comment,
    ACTIONS(1580),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24041] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(673),
    1,
    sym_comment,
    ACTIONS(1558),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [24056] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(674),
    1,
    sym_comment,
    ACTIONS(1524),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24071] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(675),
    1,
    sym_comment,
    ACTIONS(1492),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24086] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(676),
    1,
    sym_comment,
    ACTIONS(1592),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24101] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(677),
    1,
    sym_comment,
    ACTIONS(1596),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24116] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(504),
    1,
    aux_sym_char_literal_repeat1,
    STATE(678),
    1,
    sym_comment,
    ACTIONS(2411),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [24133] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2620),
    1,
    anon_sym_COMMA,
    ACTIONS(2623),
    1,
    anon_sym_LBRACE,
    STATE(679),
    2,
    sym_comment,
    aux_sym_interface_inheritance_spec_repeat1,
    [24150] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1496),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2625),
    1,
    anon_sym_LT,
    ACTIONS(2627),
    1,
    anon_sym_LBRACE,
    STATE(680),
    1,
    sym_comment,
    [24169] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2442),
    1,
    anon_sym_COMMA,
    ACTIONS(2629),
    1,
    anon_sym_GT,
    STATE(524),
    1,
    aux_sym_formal_parameter_names_repeat1,
    STATE(681),
    1,
    sym_comment,
    [24188] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2444),
    1,
    anon_sym_COMMA,
    ACTIONS(2631),
    1,
    anon_sym_LBRACE,
    STATE(679),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(682),
    1,
    sym_comment,
    [24207] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(683),
    1,
    sym_comment,
    ACTIONS(1562),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [24222] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2444),
    1,
    anon_sym_COMMA,
    ACTIONS(2631),
    1,
    anon_sym_LBRACE,
    STATE(563),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(684),
    1,
    sym_comment,
    [24241] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2633),
    1,
    anon_sym_SEMI,
    ACTIONS(2635),
    1,
    anon_sym_switch,
    ACTIONS(2637),
    1,
    sym_identifier,
    STATE(685),
    1,
    sym_comment,
    [24260] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1994),
    1,
    anon_sym_setraises,
    ACTIONS(2639),
    1,
    anon_sym_SEMI,
    STATE(686),
    1,
    sym_comment,
    STATE(913),
    1,
    sym_set_excep_expr,
    [24279] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(687),
    1,
    sym_comment,
    ACTIONS(1656),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24294] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1988),
    1,
    anon_sym_COMMA,
    ACTIONS(2641),
    1,
    anon_sym_SEMI,
    STATE(643),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(688),
    1,
    sym_comment,
    [24313] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(689),
    1,
    sym_comment,
    ACTIONS(1648),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24328] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(690),
    1,
    sym_comment,
    ACTIONS(1640),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24343] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2574),
    1,
    anon_sym_COMMA,
    ACTIONS(2643),
    1,
    anon_sym_RPAREN,
    STATE(625),
    1,
    aux_sym_context_expr_repeat1,
    STATE(691),
    1,
    sym_comment,
    [24362] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(692),
    1,
    sym_comment,
    ACTIONS(1636),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24377] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(693),
    1,
    sym_comment,
    ACTIONS(1566),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [24392] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(694),
    1,
    sym_comment,
    ACTIONS(1570),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [24407] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(695),
    1,
    sym_comment,
    ACTIONS(1632),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24422] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2570),
    1,
    anon_sym_COMMA,
    ACTIONS(2645),
    1,
    anon_sym_RPAREN,
    STATE(623),
    1,
    aux_sym_parameter_dcls_repeat1,
    STATE(696),
    1,
    sym_comment,
    [24441] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(697),
    1,
    sym_comment,
    ACTIONS(1608),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24456] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(698),
    1,
    sym_comment,
    STATE(797),
    1,
    sym_scoped_name,
    [24475] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2179),
    1,
    anon_sym_raises,
    ACTIONS(2647),
    1,
    anon_sym_SEMI,
    STATE(699),
    1,
    sym_comment,
    STATE(867),
    1,
    sym_raises_expr,
    [24494] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    STATE(700),
    1,
    sym_comment,
    STATE(932),
    1,
    sym_string_literal,
    [24513] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    STATE(701),
    1,
    sym_comment,
    STATE(931),
    1,
    sym_string_literal,
    [24532] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2559),
    1,
    anon_sym_COMMA,
    ACTIONS(2649),
    1,
    anon_sym_RPAREN,
    STATE(619),
    1,
    aux_sym_init_param_dcls_repeat1,
    STATE(702),
    1,
    sym_comment,
    [24551] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2511),
    1,
    anon_sym_COMMA,
    ACTIONS(2651),
    1,
    anon_sym_RBRACE,
    STATE(666),
    1,
    aux_sym_enum_dcl_repeat1,
    STATE(703),
    1,
    sym_comment,
    [24570] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2187),
    1,
    anon_sym_supports,
    ACTIONS(2653),
    1,
    anon_sym_manages,
    STATE(704),
    1,
    sym_comment,
    STATE(1159),
    1,
    sym_supported_interface_spec,
    [24589] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2179),
    1,
    anon_sym_raises,
    ACTIONS(2655),
    1,
    anon_sym_SEMI,
    STATE(705),
    1,
    sym_comment,
    STATE(907),
    1,
    sym_raises_expr,
    [24608] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    sym_identifier,
    STATE(706),
    1,
    sym_comment,
    STATE(794),
    1,
    sym_scoped_name,
    [24627] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2657),
    1,
    anon_sym_LBRACE,
    ACTIONS(2659),
    1,
    anon_sym_COLON,
    STATE(707),
    1,
    sym_comment,
    STATE(897),
    1,
    sym_connector_inherit_spec,
    [24646] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2551),
    1,
    anon_sym_COMMA,
    ACTIONS(2661),
    1,
    anon_sym_RPAREN,
    STATE(611),
    1,
    aux_sym_factory_param_dcls_repeat1,
    STATE(708),
    1,
    sym_comment,
    [24665] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2179),
    1,
    anon_sym_raises,
    ACTIONS(2663),
    1,
    anon_sym_SEMI,
    STATE(709),
    1,
    sym_comment,
    STATE(906),
    1,
    sym_raises_expr,
    [24684] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2667),
    1,
    aux_sym_string_literal_token1,
    STATE(710),
    1,
    sym_comment,
    ACTIONS(2665),
    2,
    sym_escape_sequence,
    anon_sym_DQUOTE,
    [24701] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(711),
    1,
    sym_comment,
    ACTIONS(2289),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [24716] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(712),
    1,
    sym_comment,
    STATE(784),
    1,
    sym_scoped_name,
    [24735] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(713),
    1,
    sym_comment,
    STATE(938),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24752] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(714),
    1,
    sym_comment,
    STATE(943),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24769] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    sym_identifier,
    STATE(430),
    1,
    sym_scoped_name,
    STATE(715),
    1,
    sym_comment,
    [24788] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(716),
    1,
    sym_comment,
    STATE(973),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24805] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(717),
    1,
    sym_comment,
    STATE(974),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24822] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(718),
    1,
    sym_comment,
    STATE(998),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24839] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(719),
    1,
    sym_comment,
    STATE(999),
    1,
    sym_boolean_literal,
    ACTIONS(1722),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [24856] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    sym_identifier,
    STATE(586),
    1,
    sym_scoped_name,
    STATE(720),
    1,
    sym_comment,
    [24875] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2024),
    1,
    anon_sym_supports,
    ACTIONS(2669),
    1,
    anon_sym_LBRACE,
    STATE(721),
    1,
    sym_comment,
    STATE(1019),
    1,
    sym_value_supports,
    [24894] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2082),
    1,
    anon_sym_supports,
    ACTIONS(2671),
    1,
    anon_sym_LBRACE,
    STATE(722),
    1,
    sym_comment,
    STATE(1152),
    1,
    sym_supported_interface_spec,
    [24913] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(99),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(723),
    1,
    sym_comment,
    STATE(763),
    1,
    sym_scoped_name,
    [24932] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2530),
    1,
    anon_sym_COMMA,
    ACTIONS(2673),
    1,
    anon_sym_SEMI,
    STATE(589),
    1,
    aux_sym_any_declarators_repeat1,
    STATE(724),
    1,
    sym_comment,
    [24951] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2235),
    1,
    sym_identifier,
    STATE(588),
    1,
    sym_scoped_name,
    STATE(725),
    1,
    sym_comment,
    [24970] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2675),
    1,
    anon_sym_LT,
    STATE(726),
    1,
    sym_comment,
    [24986] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2677),
    1,
    aux_sym_floating_pt_literal_token1,
    ACTIONS(2679),
    1,
    aux_sym_fixed_pt_literal_token1,
    STATE(727),
    1,
    sym_comment,
    [25002] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(728),
    1,
    sym_comment,
    ACTIONS(2681),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [25016] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(729),
    1,
    sym_comment,
    ACTIONS(2683),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [25030] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(730),
    1,
    sym_comment,
    STATE(900),
    1,
    sym_string_literal,
    [25046] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(731),
    1,
    sym_comment,
    ACTIONS(2685),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25060] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(732),
    1,
    sym_comment,
    ACTIONS(2687),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25074] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(733),
    1,
    sym_comment,
    STATE(964),
    1,
    sym_string_literal,
    [25090] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2689),
    1,
    anon_sym_LBRACE,
    ACTIONS(2691),
    1,
    anon_sym_SEMI,
    STATE(734),
    1,
    sym_comment,
    [25106] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2693),
    1,
    anon_sym_SEMI,
    STATE(735),
    1,
    sym_comment,
    [25122] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(736),
    1,
    sym_comment,
    ACTIONS(2695),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25136] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2515),
    1,
    sym_identifier,
    STATE(737),
    1,
    sym_comment,
    STATE(765),
    1,
    sym_simple_declarator,
    [25152] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2697),
    1,
    sym_identifier,
    STATE(738),
    1,
    sym_comment,
    [25168] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2699),
    1,
    anon_sym_LPAREN,
    STATE(739),
    1,
    sym_comment,
    STATE(914),
    1,
    sym_exception_list,
    [25184] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2699),
    1,
    anon_sym_LPAREN,
    STATE(740),
    1,
    sym_comment,
    STATE(753),
    1,
    sym_exception_list,
    [25200] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(741),
    1,
    sym_comment,
    ACTIONS(2701),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25214] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2515),
    1,
    sym_identifier,
    STATE(742),
    1,
    sym_comment,
    STATE(751),
    1,
    sym_simple_declarator,
    [25230] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(743),
    1,
    sym_comment,
    ACTIONS(2623),
    2,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    [25244] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2703),
    1,
    anon_sym_LBRACE,
    STATE(744),
    1,
    sym_comment,
    [25260] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2515),
    1,
    sym_identifier,
    STATE(745),
    1,
    sym_comment,
    STATE(851),
    1,
    sym_simple_declarator,
    [25276] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2705),
    1,
    sym_identifier,
    STATE(746),
    1,
    sym_comment,
    [25292] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2707),
    1,
    anon_sym_GT,
    ACTIONS(2709),
    1,
    anon_sym_COMMA,
    STATE(747),
    1,
    sym_comment,
    [25308] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(748),
    1,
    sym_comment,
    ACTIONS(2711),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25322] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(749),
    1,
    sym_comment,
    ACTIONS(2618),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [25336] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(750),
    1,
    sym_comment,
    ACTIONS(2713),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25350] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(751),
    1,
    sym_comment,
    ACTIONS(2592),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [25364] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2715),
    1,
    anon_sym_LT,
    ACTIONS(2717),
    1,
    sym_identifier,
    STATE(752),
    1,
    sym_comment,
    [25380] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(753),
    1,
    sym_comment,
    ACTIONS(2719),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [25394] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(754),
    1,
    sym_comment,
    ACTIONS(2606),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [25408] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(755),
    1,
    sym_comment,
    ACTIONS(2601),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [25422] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(756),
    1,
    sym_comment,
    ACTIONS(2599),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [25436] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(757),
    1,
    sym_comment,
    ACTIONS(2721),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [25450] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2723),
    1,
    anon_sym_min,
    STATE(758),
    1,
    sym_comment,
    STATE(1244),
    1,
    sym_min_expr,
    [25466] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(759),
    1,
    sym_comment,
    ACTIONS(2725),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [25480] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2727),
    1,
    aux_sym_floating_pt_literal_token1,
    ACTIONS(2729),
    1,
    aux_sym_fixed_pt_literal_token1,
    STATE(760),
    1,
    sym_comment,
    [25496] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(761),
    1,
    sym_comment,
    STATE(814),
    1,
    sym_string_literal,
    [25512] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(762),
    1,
    sym_comment,
    ACTIONS(2731),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25526] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2733),
    1,
    anon_sym_LBRACE,
    STATE(763),
    1,
    sym_comment,
    [25542] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(764),
    1,
    sym_comment,
    ACTIONS(2301),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [25556] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(765),
    1,
    sym_comment,
    ACTIONS(2735),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [25570] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(766),
    1,
    sym_comment,
    ACTIONS(2737),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25584] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(767),
    1,
    sym_comment,
    ACTIONS(2739),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [25598] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(768),
    1,
    sym_comment,
    ACTIONS(2581),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [25612] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2515),
    1,
    sym_identifier,
    STATE(769),
    1,
    sym_comment,
    STATE(820),
    1,
    sym_simple_declarator,
    [25628] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(770),
    1,
    sym_comment,
    ACTIONS(2741),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25642] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(771),
    1,
    sym_comment,
    ACTIONS(2743),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25656] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2515),
    1,
    sym_identifier,
    STATE(772),
    1,
    sym_comment,
    STATE(822),
    1,
    sym_simple_declarator,
    [25672] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(773),
    1,
    sym_comment,
    ACTIONS(2745),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25686] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2210),
    1,
    anon_sym_in,
    STATE(774),
    1,
    sym_comment,
    STATE(824),
    1,
    sym_init_param_dcl,
    [25702] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(775),
    1,
    sym_comment,
    ACTIONS(2747),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [25716] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(776),
    1,
    sym_comment,
    ACTIONS(2749),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25730] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2751),
    1,
    anon_sym_GT,
    ACTIONS(2753),
    1,
    anon_sym_COMMA,
    STATE(777),
    1,
    sym_comment,
    [25746] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2515),
    1,
    sym_identifier,
    STATE(778),
    1,
    sym_comment,
    STATE(826),
    1,
    sym_simple_declarator,
    [25762] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(779),
    1,
    sym_comment,
    ACTIONS(2755),
    2,
    anon_sym_ATdefault_literal,
    sym_identifier,
    [25776] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2214),
    1,
    anon_sym_in,
    STATE(780),
    1,
    sym_comment,
    STATE(828),
    1,
    sym_factory_param_dcl,
    [25792] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(781),
    1,
    sym_comment,
    ACTIONS(2757),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [25806] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(782),
    1,
    sym_comment,
    ACTIONS(2759),
    2,
    anon_sym_ATdefault_literal,
    sym_identifier,
    [25820] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2761),
    1,
    anon_sym_LBRACE,
    ACTIONS(2763),
    1,
    anon_sym_COLON,
    STATE(783),
    1,
    sym_comment,
    [25836] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2765),
    1,
    anon_sym_LBRACE,
    STATE(784),
    1,
    sym_comment,
    [25852] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2767),
    1,
    anon_sym_GT,
    ACTIONS(2769),
    1,
    anon_sym_COMMA,
    STATE(785),
    1,
    sym_comment,
    [25868] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(786),
    1,
    sym_comment,
    ACTIONS(2771),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [25882] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(787),
    1,
    sym_comment,
    ACTIONS(2773),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25896] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(788),
    1,
    sym_comment,
    STATE(1052),
    1,
    sym_string_literal,
    [25912] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(789),
    1,
    sym_comment,
    ACTIONS(2775),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25926] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(790),
    1,
    sym_comment,
    ACTIONS(2777),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25940] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2779),
    1,
    anon_sym_max,
    STATE(791),
    1,
    sym_comment,
    STATE(1063),
    1,
    sym_max_expr,
    [25956] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(792),
    1,
    sym_comment,
    STATE(1065),
    1,
    sym_string_literal,
    [25972] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(793),
    1,
    sym_comment,
    ACTIONS(2522),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [25986] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2781),
    1,
    anon_sym_LT,
    STATE(794),
    1,
    sym_comment,
    [26002] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(795),
    1,
    sym_comment,
    STATE(1067),
    1,
    sym_string_literal,
    [26018] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2515),
    1,
    sym_identifier,
    STATE(796),
    1,
    sym_comment,
    STATE(959),
    1,
    sym_simple_declarator,
    [26034] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2783),
    1,
    anon_sym_LBRACE,
    STATE(797),
    1,
    sym_comment,
    [26050] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(798),
    1,
    sym_comment,
    ACTIONS(2785),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [26064] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(799),
    1,
    sym_comment,
    ACTIONS(2787),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26078] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(800),
    1,
    sym_comment,
    ACTIONS(2789),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26092] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(801),
    1,
    sym_comment,
    STATE(1088),
    1,
    sym_string_literal,
    [26108] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2791),
    1,
    anon_sym_RPAREN,
    STATE(802),
    1,
    sym_comment,
    [26124] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2793),
    1,
    anon_sym_valuetype,
    ACTIONS(2795),
    1,
    anon_sym_eventtype,
    STATE(803),
    1,
    sym_comment,
    [26140] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(804),
    1,
    sym_comment,
    ACTIONS(2797),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26154] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2779),
    1,
    anon_sym_max,
    STATE(805),
    1,
    sym_comment,
    STATE(1097),
    1,
    sym_max_expr,
    [26170] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(806),
    1,
    sym_comment,
    STATE(1099),
    1,
    sym_string_literal,
    [26186] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2799),
    1,
    sym_identifier,
    STATE(807),
    1,
    sym_comment,
    [26202] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(808),
    1,
    sym_comment,
    STATE(1100),
    1,
    sym_string_literal,
    [26218] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2723),
    1,
    anon_sym_min,
    STATE(809),
    1,
    sym_comment,
    STATE(949),
    1,
    sym_min_expr,
    [26234] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2515),
    1,
    sym_identifier,
    STATE(810),
    1,
    sym_comment,
    STATE(848),
    1,
    sym_simple_declarator,
    [26250] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(811),
    1,
    sym_comment,
    ACTIONS(2801),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [26264] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2282),
    1,
    anon_sym_in,
    STATE(812),
    1,
    sym_comment,
    STATE(849),
    1,
    sym_in_param_dcl,
    [26280] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(813),
    1,
    sym_comment,
    ACTIONS(2803),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [26294] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(814),
    1,
    sym_comment,
    ACTIONS(2477),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26308] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(815),
    1,
    sym_comment,
    STATE(1119),
    1,
    sym_string_literal,
    [26324] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2805),
    1,
    sym_identifier,
    STATE(756),
    1,
    sym_annotation_appl_param,
    STATE(816),
    1,
    sym_comment,
    [26340] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(817),
    1,
    sym_comment,
    ACTIONS(2807),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [26354] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(818),
    1,
    sym_comment,
    ACTIONS(2472),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26368] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2809),
    1,
    sym_identifier,
    STATE(819),
    1,
    sym_comment,
    [26384] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(820),
    1,
    sym_comment,
    ACTIONS(2811),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26398] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2813),
    1,
    sym_identifier,
    STATE(821),
    1,
    sym_comment,
    [26414] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(822),
    1,
    sym_comment,
    ACTIONS(2815),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26428] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2817),
    1,
    sym_identifier,
    STATE(823),
    1,
    sym_comment,
    [26444] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(824),
    1,
    sym_comment,
    ACTIONS(2467),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26458] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2173),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2819),
    1,
    sym_identifier,
    STATE(825),
    1,
    sym_comment,
    [26474] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(826),
    1,
    sym_comment,
    ACTIONS(2821),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26488] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2823),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2825),
    1,
    sym_preproc_arg,
    STATE(827),
    1,
    sym_comment,
    [26504] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(828),
    1,
    sym_comment,
    ACTIONS(2462),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26518] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2779),
    1,
    anon_sym_max,
    STATE(829),
    1,
    sym_comment,
    STATE(1128),
    1,
    sym_max_expr,
    [26534] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(830),
    1,
    sym_comment,
    STATE(1130),
    1,
    sym_string_literal,
    [26550] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(831),
    1,
    sym_comment,
    STATE(1012),
    1,
    sym_string_literal,
    [26566] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(832),
    1,
    sym_comment,
    ACTIONS(2827),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26580] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(833),
    1,
    sym_comment,
    ACTIONS(2829),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [26594] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2831),
    1,
    sym_identifier,
    STATE(834),
    1,
    sym_comment,
    STATE(860),
    1,
    sym_formal_parameter_names,
    [26610] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(835),
    1,
    sym_comment,
    STATE(1131),
    1,
    sym_string_literal,
    [26626] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(836),
    1,
    sym_comment,
    ACTIONS(2448),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [26640] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2723),
    1,
    anon_sym_min,
    STATE(837),
    1,
    sym_comment,
    STATE(1216),
    1,
    sym_min_expr,
    [26656] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(838),
    1,
    sym_comment,
    ACTIONS(2833),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26670] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2723),
    1,
    anon_sym_min,
    STATE(839),
    1,
    sym_comment,
    STATE(1230),
    1,
    sym_min_expr,
    [26686] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(840),
    1,
    sym_comment,
    ACTIONS(2835),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [26700] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(841),
    1,
    sym_comment,
    ACTIONS(2837),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [26714] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(842),
    1,
    sym_comment,
    ACTIONS(2839),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [26728] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(843),
    1,
    sym_comment,
    ACTIONS(2841),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26742] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(844),
    1,
    sym_comment,
    ACTIONS(2843),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26756] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(845),
    1,
    sym_comment,
    ACTIONS(2845),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26770] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(846),
    1,
    sym_comment,
    ACTIONS(2847),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [26784] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2779),
    1,
    anon_sym_max,
    STATE(847),
    1,
    sym_comment,
    STATE(1015),
    1,
    sym_max_expr,
    [26800] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(848),
    1,
    sym_comment,
    ACTIONS(2849),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26814] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(849),
    1,
    sym_comment,
    ACTIONS(2426),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26828] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(850),
    1,
    sym_comment,
    ACTIONS(2851),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [26842] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2853),
    1,
    anon_sym_SEMI,
    ACTIONS(2855),
    1,
    anon_sym_default,
    STATE(851),
    1,
    sym_comment,
    [26858] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2857),
    1,
    sym_identifier,
    STATE(852),
    1,
    sym_comment,
    [26871] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2859),
    1,
    anon_sym_RPAREN,
    STATE(853),
    1,
    sym_comment,
    [26884] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2861),
    1,
    sym_identifier,
    STATE(854),
    1,
    sym_comment,
    [26897] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2863),
    1,
    anon_sym_COLON,
    STATE(855),
    1,
    sym_comment,
    [26910] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2865),
    1,
    anon_sym_SEMI,
    STATE(856),
    1,
    sym_comment,
    [26923] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2867),
    1,
    anon_sym_RBRACE,
    STATE(857),
    1,
    sym_comment,
    [26936] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2869),
    1,
    anon_sym_SEMI,
    STATE(858),
    1,
    sym_comment,
    [26949] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2871),
    1,
    anon_sym_SEMI,
    STATE(859),
    1,
    sym_comment,
    [26962] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2873),
    1,
    anon_sym_GT,
    STATE(860),
    1,
    sym_comment,
    [26975] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2875),
    1,
    anon_sym_SEMI,
    STATE(861),
    1,
    sym_comment,
    [26988] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2877),
    1,
    anon_sym_SEMI,
    STATE(862),
    1,
    sym_comment,
    [27001] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2879),
    1,
    anon_sym_LBRACE,
    STATE(863),
    1,
    sym_comment,
    [27014] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2881),
    1,
    sym_identifier,
    STATE(864),
    1,
    sym_comment,
    [27027] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2883),
    1,
    sym_identifier,
    STATE(865),
    1,
    sym_comment,
    [27040] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2885),
    1,
    anon_sym_SEMI,
    STATE(866),
    1,
    sym_comment,
    [27053] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2563),
    1,
    anon_sym_SEMI,
    STATE(867),
    1,
    sym_comment,
    [27066] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2887),
    1,
    anon_sym_SEMI,
    STATE(868),
    1,
    sym_comment,
    [27079] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2889),
    1,
    anon_sym_RBRACE,
    STATE(869),
    1,
    sym_comment,
    [27092] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2891),
    1,
    anon_sym_SEMI,
    STATE(870),
    1,
    sym_comment,
    [27105] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2893),
    1,
    sym_identifier,
    STATE(871),
    1,
    sym_comment,
    [27118] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2895),
    1,
    anon_sym_SEMI,
    STATE(872),
    1,
    sym_comment,
    [27131] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2897),
    1,
    anon_sym_SEMI,
    STATE(873),
    1,
    sym_comment,
    [27144] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2899),
    1,
    anon_sym_SEMI,
    STATE(874),
    1,
    sym_comment,
    [27157] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2901),
    1,
    anon_sym_LBRACE,
    STATE(875),
    1,
    sym_comment,
    [27170] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2903),
    1,
    anon_sym_SEMI,
    STATE(876),
    1,
    sym_comment,
    [27183] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2905),
    1,
    anon_sym_SEMI,
    STATE(877),
    1,
    sym_comment,
    [27196] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2907),
    1,
    anon_sym_SEMI,
    STATE(878),
    1,
    sym_comment,
    [27209] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2909),
    1,
    anon_sym_SEMI,
    STATE(879),
    1,
    sym_comment,
    [27222] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2911),
    1,
    anon_sym_SEMI,
    STATE(880),
    1,
    sym_comment,
    [27235] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2913),
    1,
    anon_sym_GT,
    STATE(881),
    1,
    sym_comment,
    [27248] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2915),
    1,
    anon_sym_RBRACE,
    STATE(882),
    1,
    sym_comment,
    [27261] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2499),
    1,
    anon_sym_SEMI,
    STATE(883),
    1,
    sym_comment,
    [27274] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2793),
    1,
    anon_sym_valuetype,
    STATE(884),
    1,
    sym_comment,
    [27287] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2917),
    1,
    anon_sym_void,
    STATE(885),
    1,
    sym_comment,
    [27300] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2919),
    1,
    anon_sym_SEMI,
    STATE(886),
    1,
    sym_comment,
    [27313] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2921),
    1,
    anon_sym_SEMI,
    STATE(887),
    1,
    sym_comment,
    [27326] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2923),
    1,
    anon_sym_attribute,
    STATE(888),
    1,
    sym_comment,
    [27339] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2925),
    1,
    sym_identifier,
    STATE(889),
    1,
    sym_comment,
    [27352] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2489),
    1,
    anon_sym_valuetype,
    STATE(890),
    1,
    sym_comment,
    [27365] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2927),
    1,
    aux_sym_preproc_call_token1,
    STATE(891),
    1,
    sym_comment,
    [27378] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2929),
    1,
    anon_sym_SEMI,
    STATE(892),
    1,
    sym_comment,
    [27391] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1888),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(893),
    1,
    sym_comment,
    [27404] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2931),
    1,
    anon_sym_COLON,
    STATE(894),
    1,
    sym_comment,
    [27417] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2933),
    1,
    anon_sym_LBRACE,
    STATE(895),
    1,
    sym_comment,
    [27430] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2935),
    1,
    anon_sym_SEMI,
    STATE(896),
    1,
    sym_comment,
    [27443] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2937),
    1,
    anon_sym_LBRACE,
    STATE(897),
    1,
    sym_comment,
    [27456] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2939),
    1,
    anon_sym_SEMI,
    STATE(898),
    1,
    sym_comment,
    [27469] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2941),
    1,
    anon_sym_LBRACE,
    STATE(899),
    1,
    sym_comment,
    [27482] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2943),
    1,
    anon_sym_RPAREN,
    STATE(900),
    1,
    sym_comment,
    [27495] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2945),
    1,
    anon_sym_RPAREN,
    STATE(901),
    1,
    sym_comment,
    [27508] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2947),
    1,
    anon_sym_LBRACE,
    STATE(902),
    1,
    sym_comment,
    [27521] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2949),
    1,
    anon_sym_LT,
    STATE(903),
    1,
    sym_comment,
    [27534] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2951),
    1,
    anon_sym_GT,
    STATE(904),
    1,
    sym_comment,
    [27547] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2953),
    1,
    anon_sym_GT,
    STATE(905),
    1,
    sym_comment,
    [27560] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2547),
    1,
    anon_sym_SEMI,
    STATE(906),
    1,
    sym_comment,
    [27573] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2557),
    1,
    anon_sym_SEMI,
    STATE(907),
    1,
    sym_comment,
    [27586] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2955),
    1,
    anon_sym_RPAREN,
    STATE(908),
    1,
    sym_comment,
    [27599] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2957),
    1,
    sym_identifier,
    STATE(909),
    1,
    sym_comment,
    [27612] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2959),
    1,
    anon_sym_SEMI,
    STATE(910),
    1,
    sym_comment,
    [27625] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2961),
    1,
    anon_sym_RPAREN,
    STATE(911),
    1,
    sym_comment,
    [27638] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2963),
    1,
    anon_sym_SEMI,
    STATE(912),
    1,
    sym_comment,
    [27651] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2965),
    1,
    anon_sym_SEMI,
    STATE(913),
    1,
    sym_comment,
    [27664] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2967),
    1,
    anon_sym_SEMI,
    STATE(914),
    1,
    sym_comment,
    [27677] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2611),
    1,
    anon_sym_SEMI,
    STATE(915),
    1,
    sym_comment,
    [27690] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2969),
    1,
    anon_sym_LPAREN,
    STATE(916),
    1,
    sym_comment,
    [27703] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2971),
    1,
    anon_sym_LBRACE,
    STATE(917),
    1,
    sym_comment,
    [27716] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2705),
    1,
    sym_identifier,
    STATE(918),
    1,
    sym_comment,
    [27729] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2973),
    1,
    anon_sym_SEMI,
    STATE(919),
    1,
    sym_comment,
    [27742] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2975),
    1,
    anon_sym_RPAREN,
    STATE(920),
    1,
    sym_comment,
    [27755] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2977),
    1,
    anon_sym_RPAREN,
    STATE(921),
    1,
    sym_comment,
    [27768] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2979),
    1,
    anon_sym_RPAREN,
    STATE(922),
    1,
    sym_comment,
    [27781] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2653),
    1,
    anon_sym_manages,
    STATE(923),
    1,
    sym_comment,
    [27794] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2981),
    1,
    anon_sym_SEMI,
    STATE(924),
    1,
    sym_comment,
    [27807] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2983),
    1,
    anon_sym_RPAREN,
    STATE(925),
    1,
    sym_comment,
    [27820] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2985),
    1,
    anon_sym_SEMI,
    STATE(926),
    1,
    sym_comment,
    [27833] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2671),
    1,
    anon_sym_LBRACE,
    STATE(927),
    1,
    sym_comment,
    [27846] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2987),
    1,
    anon_sym_RPAREN,
    STATE(928),
    1,
    sym_comment,
    [27859] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2989),
    1,
    anon_sym_RPAREN,
    STATE(929),
    1,
    sym_comment,
    [27872] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2991),
    1,
    anon_sym_RPAREN,
    STATE(930),
    1,
    sym_comment,
    [27885] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2993),
    1,
    anon_sym_SEMI,
    STATE(931),
    1,
    sym_comment,
    [27898] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2995),
    1,
    anon_sym_SEMI,
    STATE(932),
    1,
    sym_comment,
    [27911] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2997),
    1,
    anon_sym_RPAREN,
    STATE(933),
    1,
    sym_comment,
    [27924] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2999),
    1,
    anon_sym_RPAREN,
    STATE(934),
    1,
    sym_comment,
    [27937] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3001),
    1,
    anon_sym_SEMI,
    STATE(935),
    1,
    sym_comment,
    [27950] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3003),
    1,
    anon_sym_EQ,
    STATE(936),
    1,
    sym_comment,
    [27963] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3005),
    1,
    anon_sym_LPAREN,
    STATE(937),
    1,
    sym_comment,
    [27976] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3007),
    1,
    anon_sym_RPAREN,
    STATE(938),
    1,
    sym_comment,
    [27989] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2669),
    1,
    anon_sym_LBRACE,
    STATE(939),
    1,
    sym_comment,
    [28002] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3009),
    1,
    anon_sym_SEMI,
    STATE(940),
    1,
    sym_comment,
    [28015] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2118),
    1,
    anon_sym_LBRACE,
    STATE(941),
    1,
    sym_comment,
    [28028] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3011),
    1,
    sym_identifier,
    STATE(942),
    1,
    sym_comment,
    [28041] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3013),
    1,
    anon_sym_RPAREN,
    STATE(943),
    1,
    sym_comment,
    [28054] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3015),
    1,
    anon_sym_SEMI,
    STATE(944),
    1,
    sym_comment,
    [28067] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3017),
    1,
    anon_sym_SEMI,
    STATE(945),
    1,
    sym_comment,
    [28080] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3019),
    1,
    anon_sym_SEMI,
    STATE(946),
    1,
    sym_comment,
    [28093] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3021),
    1,
    anon_sym_EQ,
    STATE(947),
    1,
    sym_comment,
    [28106] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3023),
    1,
    anon_sym_LT,
    STATE(948),
    1,
    sym_comment,
    [28119] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3025),
    1,
    anon_sym_COMMA,
    STATE(949),
    1,
    sym_comment,
    [28132] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3027),
    1,
    anon_sym_SEMI,
    STATE(950),
    1,
    sym_comment,
    [28145] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3029),
    1,
    anon_sym_RPAREN,
    STATE(951),
    1,
    sym_comment,
    [28158] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1896),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    STATE(952),
    1,
    sym_comment,
    [28171] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3031),
    1,
    anon_sym_RPAREN,
    STATE(953),
    1,
    sym_comment,
    [28184] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3033),
    1,
    anon_sym_GT,
    STATE(954),
    1,
    sym_comment,
    [28197] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3035),
    1,
    anon_sym_LPAREN,
    STATE(955),
    1,
    sym_comment,
    [28210] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3037),
    1,
    anon_sym_SEMI,
    STATE(956),
    1,
    sym_comment,
    [28223] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3039),
    1,
    anon_sym_SEMI,
    STATE(957),
    1,
    sym_comment,
    [28236] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3041),
    1,
    sym_identifier,
    STATE(958),
    1,
    sym_comment,
    [28249] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3043),
    1,
    anon_sym_SEMI,
    STATE(959),
    1,
    sym_comment,
    [28262] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3045),
    1,
    anon_sym_RPAREN,
    STATE(960),
    1,
    sym_comment,
    [28275] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3047),
    1,
    anon_sym_RPAREN,
    STATE(961),
    1,
    sym_comment,
    [28288] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3049),
    1,
    anon_sym_SEMI,
    STATE(962),
    1,
    sym_comment,
    [28301] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2693),
    1,
    anon_sym_SEMI,
    STATE(963),
    1,
    sym_comment,
    [28314] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3051),
    1,
    anon_sym_RPAREN,
    STATE(964),
    1,
    sym_comment,
    [28327] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3053),
    1,
    anon_sym_SEMI,
    STATE(965),
    1,
    sym_comment,
    [28340] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3055),
    1,
    anon_sym_RPAREN,
    STATE(966),
    1,
    sym_comment,
    [28353] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3057),
    1,
    anon_sym_SEMI,
    STATE(967),
    1,
    sym_comment,
    [28366] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3059),
    1,
    anon_sym_LT,
    STATE(968),
    1,
    sym_comment,
    [28379] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3061),
    1,
    anon_sym_RPAREN,
    STATE(969),
    1,
    sym_comment,
    [28392] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3063),
    1,
    sym_identifier,
    STATE(970),
    1,
    sym_comment,
    [28405] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3065),
    1,
    sym_identifier,
    STATE(971),
    1,
    sym_comment,
    [28418] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3067),
    1,
    sym_identifier,
    STATE(972),
    1,
    sym_comment,
    [28431] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3069),
    1,
    anon_sym_RPAREN,
    STATE(973),
    1,
    sym_comment,
    [28444] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3071),
    1,
    anon_sym_RPAREN,
    STATE(974),
    1,
    sym_comment,
    [28457] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3073),
    1,
    anon_sym_RPAREN,
    STATE(975),
    1,
    sym_comment,
    [28470] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2715),
    1,
    anon_sym_LT,
    STATE(976),
    1,
    sym_comment,
    [28483] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3075),
    1,
    anon_sym_COMMA,
    STATE(977),
    1,
    sym_comment,
    [28496] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3077),
    1,
    anon_sym_SEMI,
    STATE(978),
    1,
    sym_comment,
    [28509] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3079),
    1,
    anon_sym_SEMI,
    STATE(979),
    1,
    sym_comment,
    [28522] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3081),
    1,
    sym_identifier,
    STATE(980),
    1,
    sym_comment,
    [28535] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2697),
    1,
    sym_identifier,
    STATE(981),
    1,
    sym_comment,
    [28548] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3083),
    1,
    anon_sym_RPAREN,
    STATE(982),
    1,
    sym_comment,
    [28561] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3085),
    1,
    anon_sym_LBRACE,
    STATE(983),
    1,
    sym_comment,
    [28574] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2639),
    1,
    anon_sym_SEMI,
    STATE(984),
    1,
    sym_comment,
    [28587] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2641),
    1,
    anon_sym_SEMI,
    STATE(985),
    1,
    sym_comment,
    [28600] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3087),
    1,
    anon_sym_COMMA,
    STATE(986),
    1,
    sym_comment,
    [28613] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3089),
    1,
    anon_sym_LPAREN,
    STATE(987),
    1,
    sym_comment,
    [28626] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3091),
    1,
    anon_sym_LPAREN,
    STATE(988),
    1,
    sym_comment,
    [28639] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3093),
    1,
    anon_sym_LPAREN,
    STATE(989),
    1,
    sym_comment,
    [28652] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3095),
    1,
    anon_sym_SEMI,
    STATE(990),
    1,
    sym_comment,
    [28665] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3097),
    1,
    anon_sym_COMMA,
    STATE(991),
    1,
    sym_comment,
    [28678] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3099),
    1,
    anon_sym_LPAREN,
    STATE(992),
    1,
    sym_comment,
    [28691] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3101),
    1,
    anon_sym_LPAREN,
    STATE(993),
    1,
    sym_comment,
    [28704] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3103),
    1,
    anon_sym_RPAREN,
    STATE(994),
    1,
    sym_comment,
    [28717] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3105),
    1,
    anon_sym_GT,
    STATE(995),
    1,
    sym_comment,
    [28730] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2271),
    1,
    anon_sym_LBRACE,
    STATE(996),
    1,
    sym_comment,
    [28743] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3107),
    1,
    anon_sym_LPAREN,
    STATE(997),
    1,
    sym_comment,
    [28756] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3109),
    1,
    anon_sym_RPAREN,
    STATE(998),
    1,
    sym_comment,
    [28769] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3111),
    1,
    anon_sym_RPAREN,
    STATE(999),
    1,
    sym_comment,
    [28782] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2613),
    1,
    anon_sym_RPAREN,
    STATE(1000),
    1,
    sym_comment,
    [28795] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3113),
    1,
    anon_sym_GT,
    STATE(1001),
    1,
    sym_comment,
    [28808] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3115),
    1,
    anon_sym_GT,
    STATE(1002),
    1,
    sym_comment,
    [28821] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3117),
    1,
    anon_sym_LBRACE,
    STATE(1003),
    1,
    sym_comment,
    [28834] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3119),
    1,
    anon_sym_RPAREN,
    STATE(1004),
    1,
    sym_comment,
    [28847] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2717),
    1,
    sym_identifier,
    STATE(1005),
    1,
    sym_comment,
    [28860] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3121),
    1,
    anon_sym_SEMI,
    STATE(1006),
    1,
    sym_comment,
    [28873] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3123),
    1,
    anon_sym_COMMA,
    STATE(1007),
    1,
    sym_comment,
    [28886] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1964),
    1,
    anon_sym_EQ,
    STATE(1008),
    1,
    sym_comment,
    [28899] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3125),
    1,
    sym_identifier,
    STATE(1009),
    1,
    sym_comment,
    [28912] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3127),
    1,
    anon_sym_SEMI,
    STATE(1010),
    1,
    sym_comment,
    [28925] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3129),
    1,
    sym_identifier,
    STATE(1011),
    1,
    sym_comment,
    [28938] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3131),
    1,
    anon_sym_RPAREN,
    STATE(1012),
    1,
    sym_comment,
    [28951] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3133),
    1,
    anon_sym_COMMA,
    STATE(1013),
    1,
    sym_comment,
    [28964] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3135),
    1,
    anon_sym_RPAREN,
    STATE(1014),
    1,
    sym_comment,
    [28977] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3137),
    1,
    anon_sym_RPAREN,
    STATE(1015),
    1,
    sym_comment,
    [28990] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3139),
    1,
    anon_sym_EQ,
    STATE(1016),
    1,
    sym_comment,
    [29003] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3141),
    1,
    anon_sym_COMMA,
    STATE(1017),
    1,
    sym_comment,
    [29016] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3143),
    1,
    anon_sym_LBRACE,
    STATE(1018),
    1,
    sym_comment,
    [29029] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2220),
    1,
    anon_sym_LBRACE,
    STATE(1019),
    1,
    sym_comment,
    [29042] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3145),
    1,
    anon_sym_SEMI,
    STATE(1020),
    1,
    sym_comment,
    [29055] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3147),
    1,
    anon_sym_SEMI,
    STATE(1021),
    1,
    sym_comment,
    [29068] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3149),
    1,
    anon_sym_SEMI,
    STATE(1022),
    1,
    sym_comment,
    [29081] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3151),
    1,
    anon_sym_LPAREN,
    STATE(1023),
    1,
    sym_comment,
    [29094] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3153),
    1,
    anon_sym_LPAREN,
    STATE(1024),
    1,
    sym_comment,
    [29107] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3155),
    1,
    anon_sym_LPAREN,
    STATE(1025),
    1,
    sym_comment,
    [29120] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3157),
    1,
    anon_sym_LPAREN,
    STATE(1026),
    1,
    sym_comment,
    [29133] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3159),
    1,
    anon_sym_LPAREN,
    STATE(1027),
    1,
    sym_comment,
    [29146] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3161),
    1,
    sym_identifier,
    STATE(1028),
    1,
    sym_comment,
    [29159] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3163),
    1,
    anon_sym_LBRACE,
    STATE(1029),
    1,
    sym_comment,
    [29172] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3165),
    1,
    anon_sym_LBRACE,
    STATE(1030),
    1,
    sym_comment,
    [29185] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3167),
    1,
    sym_identifier,
    STATE(1031),
    1,
    sym_comment,
    [29198] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3169),
    1,
    anon_sym_GT,
    STATE(1032),
    1,
    sym_comment,
    [29211] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3171),
    1,
    sym_identifier,
    STATE(1033),
    1,
    sym_comment,
    [29224] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3173),
    1,
    sym_identifier,
    STATE(1034),
    1,
    sym_comment,
    [29237] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3175),
    1,
    sym_identifier,
    STATE(1035),
    1,
    sym_comment,
    [29250] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3177),
    1,
    sym_identifier,
    STATE(1036),
    1,
    sym_comment,
    [29263] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3179),
    1,
    anon_sym_LBRACE,
    STATE(1037),
    1,
    sym_comment,
    [29276] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3181),
    1,
    anon_sym_GT,
    STATE(1038),
    1,
    sym_comment,
    [29289] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2545),
    1,
    anon_sym_SEMI,
    STATE(1039),
    1,
    sym_comment,
    [29302] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3183),
    1,
    anon_sym_SEMI,
    STATE(1040),
    1,
    sym_comment,
    [29315] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3185),
    1,
    anon_sym_RPAREN,
    STATE(1041),
    1,
    sym_comment,
    [29328] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3187),
    1,
    anon_sym_RPAREN,
    STATE(1042),
    1,
    sym_comment,
    [29341] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3189),
    1,
    anon_sym_RPAREN,
    STATE(1043),
    1,
    sym_comment,
    [29354] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3191),
    1,
    anon_sym_RPAREN,
    STATE(1044),
    1,
    sym_comment,
    [29367] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3193),
    1,
    anon_sym_RPAREN,
    STATE(1045),
    1,
    sym_comment,
    [29380] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3195),
    1,
    anon_sym_RPAREN,
    STATE(1046),
    1,
    sym_comment,
    [29393] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3197),
    1,
    anon_sym_RPAREN,
    STATE(1047),
    1,
    sym_comment,
    [29406] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3199),
    1,
    anon_sym_RPAREN,
    STATE(1048),
    1,
    sym_comment,
    [29419] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3201),
    1,
    anon_sym_RPAREN,
    STATE(1049),
    1,
    sym_comment,
    [29432] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3203),
    1,
    anon_sym_RPAREN,
    STATE(1050),
    1,
    sym_comment,
    [29445] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3205),
    1,
    anon_sym_RPAREN,
    STATE(1051),
    1,
    sym_comment,
    [29458] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3207),
    1,
    anon_sym_RPAREN,
    STATE(1052),
    1,
    sym_comment,
    [29471] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3209),
    1,
    sym_identifier,
    STATE(1053),
    1,
    sym_comment,
    [29484] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3211),
    1,
    anon_sym_RPAREN,
    STATE(1054),
    1,
    sym_comment,
    [29497] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3213),
    1,
    anon_sym_RPAREN,
    STATE(1055),
    1,
    sym_comment,
    [29510] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3215),
    1,
    anon_sym_RPAREN,
    STATE(1056),
    1,
    sym_comment,
    [29523] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3217),
    1,
    anon_sym_RPAREN,
    STATE(1057),
    1,
    sym_comment,
    [29536] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3219),
    1,
    anon_sym_RPAREN,
    STATE(1058),
    1,
    sym_comment,
    [29549] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3221),
    1,
    anon_sym_RPAREN,
    STATE(1059),
    1,
    sym_comment,
    [29562] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3223),
    1,
    anon_sym_RPAREN,
    STATE(1060),
    1,
    sym_comment,
    [29575] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3225),
    1,
    anon_sym_SEMI,
    STATE(1061),
    1,
    sym_comment,
    [29588] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3227),
    1,
    anon_sym_SEMI,
    STATE(1062),
    1,
    sym_comment,
    [29601] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3229),
    1,
    anon_sym_RPAREN,
    STATE(1063),
    1,
    sym_comment,
    [29614] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3231),
    1,
    anon_sym_RPAREN,
    STATE(1064),
    1,
    sym_comment,
    [29627] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3233),
    1,
    anon_sym_RPAREN,
    STATE(1065),
    1,
    sym_comment,
    [29640] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3235),
    1,
    anon_sym_SEMI,
    STATE(1066),
    1,
    sym_comment,
    [29653] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3237),
    1,
    anon_sym_RPAREN,
    STATE(1067),
    1,
    sym_comment,
    [29666] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3239),
    1,
    aux_sym_preproc_call_token1,
    STATE(1068),
    1,
    sym_comment,
    [29679] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3241),
    1,
    sym_identifier,
    STATE(1069),
    1,
    sym_comment,
    [29692] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3243),
    1,
    sym_system_lib_path,
    STATE(1070),
    1,
    sym_comment,
    [29705] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3245),
    1,
    aux_sym_preproc_call_token1,
    STATE(1071),
    1,
    sym_comment,
    [29718] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3247),
    1,
    anon_sym_SLASH,
    STATE(1072),
    1,
    sym_comment,
    [29731] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3249),
    1,
    sym_identifier,
    STATE(1073),
    1,
    sym_comment,
    [29744] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3251),
    1,
    anon_sym_LPAREN,
    STATE(1074),
    1,
    sym_comment,
    [29757] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2540),
    1,
    anon_sym_SEMI,
    STATE(1075),
    1,
    sym_comment,
    [29770] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3253),
    1,
    anon_sym_SEMI,
    STATE(1076),
    1,
    sym_comment,
    [29783] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3255),
    1,
    anon_sym_RPAREN,
    STATE(1077),
    1,
    sym_comment,
    [29796] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3257),
    1,
    anon_sym_RPAREN,
    STATE(1078),
    1,
    sym_comment,
    [29809] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3259),
    1,
    anon_sym_RPAREN,
    STATE(1079),
    1,
    sym_comment,
    [29822] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3261),
    1,
    anon_sym_RPAREN,
    STATE(1080),
    1,
    sym_comment,
    [29835] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3263),
    1,
    anon_sym_RPAREN,
    STATE(1081),
    1,
    sym_comment,
    [29848] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3265),
    1,
    anon_sym_RPAREN,
    STATE(1082),
    1,
    sym_comment,
    [29861] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3267),
    1,
    anon_sym_RPAREN,
    STATE(1083),
    1,
    sym_comment,
    [29874] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3269),
    1,
    anon_sym_RPAREN,
    STATE(1084),
    1,
    sym_comment,
    [29887] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3271),
    1,
    anon_sym_RPAREN,
    STATE(1085),
    1,
    sym_comment,
    [29900] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3273),
    1,
    anon_sym_RPAREN,
    STATE(1086),
    1,
    sym_comment,
    [29913] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3275),
    1,
    anon_sym_RPAREN,
    STATE(1087),
    1,
    sym_comment,
    [29926] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3277),
    1,
    anon_sym_RPAREN,
    STATE(1088),
    1,
    sym_comment,
    [29939] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3279),
    1,
    anon_sym_RPAREN,
    STATE(1089),
    1,
    sym_comment,
    [29952] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3281),
    1,
    anon_sym_RPAREN,
    STATE(1090),
    1,
    sym_comment,
    [29965] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3283),
    1,
    anon_sym_RPAREN,
    STATE(1091),
    1,
    sym_comment,
    [29978] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3285),
    1,
    anon_sym_RPAREN,
    STATE(1092),
    1,
    sym_comment,
    [29991] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3287),
    1,
    anon_sym_RPAREN,
    STATE(1093),
    1,
    sym_comment,
    [30004] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3289),
    1,
    anon_sym_RPAREN,
    STATE(1094),
    1,
    sym_comment,
    [30017] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3291),
    1,
    anon_sym_RPAREN,
    STATE(1095),
    1,
    sym_comment,
    [30030] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3293),
    1,
    anon_sym_RPAREN,
    STATE(1096),
    1,
    sym_comment,
    [30043] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3295),
    1,
    anon_sym_RPAREN,
    STATE(1097),
    1,
    sym_comment,
    [30056] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3297),
    1,
    anon_sym_RPAREN,
    STATE(1098),
    1,
    sym_comment,
    [30069] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3299),
    1,
    anon_sym_RPAREN,
    STATE(1099),
    1,
    sym_comment,
    [30082] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3301),
    1,
    anon_sym_RPAREN,
    STATE(1100),
    1,
    sym_comment,
    [30095] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3303),
    1,
    aux_sym_comment_token1,
    STATE(1101),
    1,
    sym_comment,
    [30108] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3305),
    1,
    sym_identifier,
    STATE(1102),
    1,
    sym_comment,
    [30121] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3307),
    1,
    anon_sym_LBRACE,
    STATE(1103),
    1,
    sym_comment,
    [30134] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3309),
    1,
    anon_sym_SEMI,
    STATE(1104),
    1,
    sym_comment,
    [30147] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3311),
    1,
    anon_sym_LBRACE,
    STATE(1105),
    1,
    sym_comment,
    [30160] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3313),
    1,
    sym_identifier,
    STATE(1106),
    1,
    sym_comment,
    [30173] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3315),
    1,
    anon_sym_SEMI,
    STATE(1107),
    1,
    sym_comment,
    [30186] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3317),
    1,
    anon_sym_RPAREN,
    STATE(1108),
    1,
    sym_comment,
    [30199] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3319),
    1,
    anon_sym_RPAREN,
    STATE(1109),
    1,
    sym_comment,
    [30212] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3321),
    1,
    anon_sym_RPAREN,
    STATE(1110),
    1,
    sym_comment,
    [30225] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3323),
    1,
    anon_sym_RPAREN,
    STATE(1111),
    1,
    sym_comment,
    [30238] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3325),
    1,
    anon_sym_RPAREN,
    STATE(1112),
    1,
    sym_comment,
    [30251] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3327),
    1,
    anon_sym_RPAREN,
    STATE(1113),
    1,
    sym_comment,
    [30264] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3329),
    1,
    anon_sym_RPAREN,
    STATE(1114),
    1,
    sym_comment,
    [30277] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3331),
    1,
    anon_sym_RPAREN,
    STATE(1115),
    1,
    sym_comment,
    [30290] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3333),
    1,
    anon_sym_RPAREN,
    STATE(1116),
    1,
    sym_comment,
    [30303] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3335),
    1,
    anon_sym_RPAREN,
    STATE(1117),
    1,
    sym_comment,
    [30316] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3337),
    1,
    anon_sym_RPAREN,
    STATE(1118),
    1,
    sym_comment,
    [30329] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3339),
    1,
    anon_sym_RPAREN,
    STATE(1119),
    1,
    sym_comment,
    [30342] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3341),
    1,
    anon_sym_RPAREN,
    STATE(1120),
    1,
    sym_comment,
    [30355] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3343),
    1,
    anon_sym_RPAREN,
    STATE(1121),
    1,
    sym_comment,
    [30368] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3345),
    1,
    anon_sym_RPAREN,
    STATE(1122),
    1,
    sym_comment,
    [30381] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3347),
    1,
    anon_sym_RPAREN,
    STATE(1123),
    1,
    sym_comment,
    [30394] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3349),
    1,
    anon_sym_RPAREN,
    STATE(1124),
    1,
    sym_comment,
    [30407] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3351),
    1,
    anon_sym_RPAREN,
    STATE(1125),
    1,
    sym_comment,
    [30420] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3353),
    1,
    anon_sym_RPAREN,
    STATE(1126),
    1,
    sym_comment,
    [30433] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3355),
    1,
    anon_sym_RPAREN,
    STATE(1127),
    1,
    sym_comment,
    [30446] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3357),
    1,
    anon_sym_RPAREN,
    STATE(1128),
    1,
    sym_comment,
    [30459] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3359),
    1,
    anon_sym_RPAREN,
    STATE(1129),
    1,
    sym_comment,
    [30472] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3361),
    1,
    anon_sym_RPAREN,
    STATE(1130),
    1,
    sym_comment,
    [30485] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3363),
    1,
    anon_sym_RPAREN,
    STATE(1131),
    1,
    sym_comment,
    [30498] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3365),
    1,
    sym_identifier,
    STATE(1132),
    1,
    sym_comment,
    [30511] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3367),
    1,
    sym_identifier,
    STATE(1133),
    1,
    sym_comment,
    [30524] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3369),
    1,
    sym_identifier,
    STATE(1134),
    1,
    sym_comment,
    [30537] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3371),
    1,
    anon_sym_LBRACE,
    STATE(1135),
    1,
    sym_comment,
    [30550] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3373),
    1,
    anon_sym_LBRACE,
    STATE(1136),
    1,
    sym_comment,
    [30563] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3375),
    1,
    anon_sym_SEMI,
    STATE(1137),
    1,
    sym_comment,
    [30576] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3377),
    1,
    anon_sym_SEMI,
    STATE(1138),
    1,
    sym_comment,
    [30589] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3379),
    1,
    anon_sym_enum,
    STATE(1139),
    1,
    sym_comment,
    [30602] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3381),
    1,
    anon_sym_SEMI,
    STATE(1140),
    1,
    sym_comment,
    [30615] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3383),
    1,
    anon_sym_SEMI,
    STATE(1141),
    1,
    sym_comment,
    [30628] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3385),
    1,
    anon_sym_LBRACE,
    STATE(1142),
    1,
    sym_comment,
    [30641] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3387),
    1,
    anon_sym_LBRACE,
    STATE(1143),
    1,
    sym_comment,
    [30654] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3389),
    1,
    sym_identifier,
    STATE(1144),
    1,
    sym_comment,
    [30667] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3391),
    1,
    anon_sym_SEMI,
    STATE(1145),
    1,
    sym_comment,
    [30680] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3393),
    1,
    anon_sym_SEMI,
    STATE(1146),
    1,
    sym_comment,
    [30693] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3395),
    1,
    anon_sym_COMMA,
    STATE(1147),
    1,
    sym_comment,
    [30706] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3397),
    1,
    anon_sym_LPAREN,
    STATE(1148),
    1,
    sym_comment,
    [30719] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3399),
    1,
    anon_sym_COMMA,
    STATE(1149),
    1,
    sym_comment,
    [30732] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3401),
    1,
    anon_sym_LBRACE,
    STATE(1150),
    1,
    sym_comment,
    [30745] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3403),
    1,
    anon_sym_SEMI,
    STATE(1151),
    1,
    sym_comment,
    [30758] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3405),
    1,
    anon_sym_LBRACE,
    STATE(1152),
    1,
    sym_comment,
    [30771] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3407),
    1,
    anon_sym_SEMI,
    STATE(1153),
    1,
    sym_comment,
    [30784] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3409),
    1,
    sym_identifier,
    STATE(1154),
    1,
    sym_comment,
    [30797] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3411),
    1,
    anon_sym_SEMI,
    STATE(1155),
    1,
    sym_comment,
    [30810] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3413),
    1,
    anon_sym_SEMI,
    STATE(1156),
    1,
    sym_comment,
    [30823] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3415),
    1,
    anon_sym_SEMI,
    STATE(1157),
    1,
    sym_comment,
    [30836] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2249),
    1,
    anon_sym_LBRACE,
    STATE(1158),
    1,
    sym_comment,
    [30849] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3417),
    1,
    anon_sym_manages,
    STATE(1159),
    1,
    sym_comment,
    [30862] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3419),
    1,
    ts_builtin_sym_end,
    STATE(1160),
    1,
    sym_comment,
    [30875] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3421),
    1,
    anon_sym_RBRACK,
    STATE(1161),
    1,
    sym_comment,
    [30888] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3423),
    1,
    sym_identifier,
    STATE(1162),
    1,
    sym_comment,
    [30901] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3425),
    1,
    sym_identifier,
    STATE(1163),
    1,
    sym_comment,
    [30914] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3427),
    1,
    sym_identifier,
    STATE(1164),
    1,
    sym_comment,
    [30927] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3429),
    1,
    sym_identifier,
    STATE(1165),
    1,
    sym_comment,
    [30940] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3431),
    1,
    anon_sym_SEMI,
    STATE(1166),
    1,
    sym_comment,
    [30953] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3433),
    1,
    anon_sym_RBRACE,
    STATE(1167),
    1,
    sym_comment,
    [30966] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3435),
    1,
    anon_sym_SEMI,
    STATE(1168),
    1,
    sym_comment,
    [30979] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3437),
    1,
    sym_identifier,
    STATE(1169),
    1,
    sym_comment,
    [30992] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3439),
    1,
    anon_sym_GT,
    STATE(1170),
    1,
    sym_comment,
    [31005] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3441),
    1,
    anon_sym_enum,
    STATE(1171),
    1,
    sym_comment,
    [31018] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3443),
    1,
    anon_sym_LPAREN,
    STATE(1172),
    1,
    sym_comment,
    [31031] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3445),
    1,
    anon_sym_RPAREN,
    STATE(1173),
    1,
    sym_comment,
    [31044] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2791),
    1,
    anon_sym_RPAREN,
    STATE(1174),
    1,
    sym_comment,
    [31057] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3447),
    1,
    sym_identifier,
    STATE(1175),
    1,
    sym_comment,
    [31070] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3449),
    1,
    anon_sym_SEMI,
    STATE(1176),
    1,
    sym_comment,
    [31083] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3451),
    1,
    anon_sym_LPAREN,
    STATE(1177),
    1,
    sym_comment,
    [31096] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3453),
    1,
    sym_identifier,
    STATE(1178),
    1,
    sym_comment,
    [31109] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3455),
    1,
    anon_sym_LPAREN,
    STATE(1179),
    1,
    sym_comment,
    [31122] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3457),
    1,
    sym_identifier,
    STATE(1180),
    1,
    sym_comment,
    [31135] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3459),
    1,
    anon_sym_SEMI,
    STATE(1181),
    1,
    sym_comment,
    [31148] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2799),
    1,
    sym_identifier,
    STATE(1182),
    1,
    sym_comment,
    [31161] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3461),
    1,
    sym_identifier,
    STATE(1183),
    1,
    sym_comment,
    [31174] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3463),
    1,
    sym_identifier,
    STATE(1184),
    1,
    sym_comment,
    [31187] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3465),
    1,
    sym_identifier,
    STATE(1185),
    1,
    sym_comment,
    [31200] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3467),
    1,
    sym_identifier,
    STATE(1186),
    1,
    sym_comment,
    [31213] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3469),
    1,
    sym_identifier,
    STATE(1187),
    1,
    sym_comment,
    [31226] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3471),
    1,
    sym_identifier,
    STATE(1188),
    1,
    sym_comment,
    [31239] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3473),
    1,
    sym_identifier,
    STATE(1189),
    1,
    sym_comment,
    [31252] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3475),
    1,
    anon_sym_SEMI,
    STATE(1190),
    1,
    sym_comment,
    [31265] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3477),
    1,
    sym_identifier,
    STATE(1191),
    1,
    sym_comment,
    [31278] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3479),
    1,
    sym_identifier,
    STATE(1192),
    1,
    sym_comment,
    [31291] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3481),
    1,
    anon_sym_LBRACE,
    STATE(1193),
    1,
    sym_comment,
    [31304] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2487),
    1,
    anon_sym_interface,
    STATE(1194),
    1,
    sym_comment,
    [31317] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3483),
    1,
    sym_identifier,
    STATE(1195),
    1,
    sym_comment,
    [31330] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3485),
    1,
    anon_sym_SEMI,
    STATE(1196),
    1,
    sym_comment,
    [31343] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3487),
    1,
    sym_identifier,
    STATE(1197),
    1,
    sym_comment,
    [31356] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3489),
    1,
    anon_sym_LPAREN,
    STATE(1198),
    1,
    sym_comment,
    [31369] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3491),
    1,
    anon_sym_LPAREN,
    STATE(1199),
    1,
    sym_comment,
    [31382] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3493),
    1,
    anon_sym_SEMI,
    STATE(1200),
    1,
    sym_comment,
    [31395] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3495),
    1,
    aux_sym_preproc_define_token1,
    STATE(1201),
    1,
    sym_comment,
    [31408] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3497),
    1,
    anon_sym_SEMI,
    STATE(1202),
    1,
    sym_comment,
    [31421] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3499),
    1,
    aux_sym_comment_token2,
    STATE(1203),
    1,
    sym_comment,
    [31434] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3501),
    1,
    anon_sym_RPAREN,
    STATE(1204),
    1,
    sym_comment,
    [31447] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3503),
    1,
    anon_sym_SEMI,
    STATE(1205),
    1,
    sym_comment,
    [31460] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3505),
    1,
    anon_sym_LPAREN,
    STATE(1206),
    1,
    sym_comment,
    [31473] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3507),
    1,
    anon_sym_LPAREN,
    STATE(1207),
    1,
    sym_comment,
    [31486] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3509),
    1,
    anon_sym_LPAREN,
    STATE(1208),
    1,
    sym_comment,
    [31499] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3511),
    1,
    anon_sym_LPAREN,
    STATE(1209),
    1,
    sym_comment,
    [31512] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3513),
    1,
    anon_sym_LPAREN,
    STATE(1210),
    1,
    sym_comment,
    [31525] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3515),
    1,
    anon_sym_LPAREN,
    STATE(1211),
    1,
    sym_comment,
    [31538] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3517),
    1,
    anon_sym_LPAREN,
    STATE(1212),
    1,
    sym_comment,
    [31551] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3519),
    1,
    anon_sym_LPAREN,
    STATE(1213),
    1,
    sym_comment,
    [31564] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3521),
    1,
    anon_sym_LPAREN,
    STATE(1214),
    1,
    sym_comment,
    [31577] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3523),
    1,
    anon_sym_LPAREN,
    STATE(1215),
    1,
    sym_comment,
    [31590] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3525),
    1,
    anon_sym_COMMA,
    STATE(1216),
    1,
    sym_comment,
    [31603] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3527),
    1,
    anon_sym_COMMA,
    STATE(1217),
    1,
    sym_comment,
    [31616] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3529),
    1,
    anon_sym_COMMA,
    STATE(1218),
    1,
    sym_comment,
    [31629] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3531),
    1,
    anon_sym_COMMA,
    STATE(1219),
    1,
    sym_comment,
    [31642] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3533),
    1,
    anon_sym_LPAREN,
    STATE(1220),
    1,
    sym_comment,
    [31655] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3535),
    1,
    anon_sym_LPAREN,
    STATE(1221),
    1,
    sym_comment,
    [31668] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3537),
    1,
    anon_sym_LPAREN,
    STATE(1222),
    1,
    sym_comment,
    [31681] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3539),
    1,
    anon_sym_LPAREN,
    STATE(1223),
    1,
    sym_comment,
    [31694] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3541),
    1,
    anon_sym_LPAREN,
    STATE(1224),
    1,
    sym_comment,
    [31707] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3543),
    1,
    anon_sym_LPAREN,
    STATE(1225),
    1,
    sym_comment,
    [31720] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3545),
    1,
    anon_sym_LPAREN,
    STATE(1226),
    1,
    sym_comment,
    [31733] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3547),
    1,
    anon_sym_LPAREN,
    STATE(1227),
    1,
    sym_comment,
    [31746] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3549),
    1,
    anon_sym_LPAREN,
    STATE(1228),
    1,
    sym_comment,
    [31759] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3551),
    1,
    anon_sym_LPAREN,
    STATE(1229),
    1,
    sym_comment,
    [31772] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3553),
    1,
    anon_sym_COMMA,
    STATE(1230),
    1,
    sym_comment,
    [31785] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3555),
    1,
    anon_sym_COMMA,
    STATE(1231),
    1,
    sym_comment,
    [31798] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3557),
    1,
    anon_sym_COMMA,
    STATE(1232),
    1,
    sym_comment,
    [31811] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3559),
    1,
    anon_sym_COMMA,
    STATE(1233),
    1,
    sym_comment,
    [31824] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3561),
    1,
    anon_sym_LPAREN,
    STATE(1234),
    1,
    sym_comment,
    [31837] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3563),
    1,
    anon_sym_LPAREN,
    STATE(1235),
    1,
    sym_comment,
    [31850] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3565),
    1,
    anon_sym_LPAREN,
    STATE(1236),
    1,
    sym_comment,
    [31863] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3567),
    1,
    anon_sym_LPAREN,
    STATE(1237),
    1,
    sym_comment,
    [31876] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3569),
    1,
    anon_sym_LPAREN,
    STATE(1238),
    1,
    sym_comment,
    [31889] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3571),
    1,
    anon_sym_LPAREN,
    STATE(1239),
    1,
    sym_comment,
    [31902] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3573),
    1,
    anon_sym_LPAREN,
    STATE(1240),
    1,
    sym_comment,
    [31915] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3575),
    1,
    anon_sym_LPAREN,
    STATE(1241),
    1,
    sym_comment,
    [31928] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3577),
    1,
    anon_sym_LPAREN,
    STATE(1242),
    1,
    sym_comment,
    [31941] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3579),
    1,
    anon_sym_LPAREN,
    STATE(1243),
    1,
    sym_comment,
    [31954] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3581),
    1,
    anon_sym_COMMA,
    STATE(1244),
    1,
    sym_comment,
    [31967] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3583),
    1,
    anon_sym_COMMA,
    STATE(1245),
    1,
    sym_comment,
    [31980] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3585),
    1,
    anon_sym_COMMA,
    STATE(1246),
    1,
    sym_comment,
    [31993] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3587),
    1,
    anon_sym_COMMA,
    STATE(1247),
    1,
    sym_comment,
    [32006] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3589),
    1,
    anon_sym_SEMI,
    STATE(1248),
    1,
    sym_comment,
    [32019] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3591),
    1,
    anon_sym_SEMI,
    STATE(1249),
    1,
    sym_comment,
    [32032] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3593),
    1,
    anon_sym_SEMI,
    STATE(1250),
    1,
    sym_comment,
    [32045] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3595),
    1,
    anon_sym_LPAREN,
    STATE(1251),
    1,
    sym_comment,
    [32058] = 1,
    ACTIONS(3597),
    1,
    ts_builtin_sym_end,
    [32062] = 1,
    ACTIONS(3599),
    1,
    ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
    [SMALL_STATE(33)] = 0,
    [SMALL_STATE(34)] = 151,
    [SMALL_STATE(35)] = 300,
    [SMALL_STATE(36)] = 451,
    [SMALL_STATE(37)] = 602,
    [SMALL_STATE(38)] = 753,
    [SMALL_STATE(39)] = 904,
    [SMALL_STATE(40)] = 1055,
    [SMALL_STATE(41)] = 1199,
    [SMALL_STATE(42)] = 1347,
    [SMALL_STATE(43)] = 1491,
    [SMALL_STATE(44)] = 1629,
    [SMALL_STATE(45)] = 1773,
    [SMALL_STATE(46)] = 1915,
    [SMALL_STATE(47)] = 2057,
    [SMALL_STATE(48)] = 2199,
    [SMALL_STATE(49)] = 2269,
    [SMALL_STATE(50)] = 2339,
    [SMALL_STATE(51)] = 2409,
    [SMALL_STATE(52)] = 2479,
    [SMALL_STATE(53)] = 2549,
    [SMALL_STATE(54)] = 2619,
    [SMALL_STATE(55)] = 2689,
    [SMALL_STATE(56)] = 2758,
    [SMALL_STATE(57)] = 2827,
    [SMALL_STATE(58)] = 2896,
    [SMALL_STATE(59)] = 2965,
    [SMALL_STATE(60)] = 3092,
    [SMALL_STATE(61)] = 3216,
    [SMALL_STATE(62)] = 3343,
    [SMALL_STATE(63)] = 3464,
    [SMALL_STATE(64)] = 3585,
    [SMALL_STATE(65)] = 3712,
    [SMALL_STATE(66)] = 3833,
    [SMALL_STATE(67)] = 3954,
    [SMALL_STATE(68)] = 4081,
    [SMALL_STATE(69)] = 4202,
    [SMALL_STATE(70)] = 4329,
    [SMALL_STATE(71)] = 4456,
    [SMALL_STATE(72)] = 4577,
    [SMALL_STATE(73)] = 4704,
    [SMALL_STATE(74)] = 4771,
    [SMALL_STATE(75)] = 4898,
    [SMALL_STATE(76)] = 5019,
    [SMALL_STATE(77)] = 5146,
    [SMALL_STATE(78)] = 5213,
    [SMALL_STATE(79)] = 5334,
    [SMALL_STATE(80)] = 5461,
    [SMALL_STATE(81)] = 5588,
    [SMALL_STATE(82)] = 5693,
    [SMALL_STATE(83)] = 5756,
    [SMALL_STATE(84)] = 5861,
    [SMALL_STATE(85)] = 5973,
    [SMALL_STATE(86)] = 6085,
    [SMALL_STATE(87)] = 6197,
    [SMALL_STATE(88)] = 6309,
    [SMALL_STATE(89)] = 6364,
    [SMALL_STATE(90)] = 6419,
    [SMALL_STATE(91)] = 6528,
    [SMALL_STATE(92)] = 6637,
    [SMALL_STATE(93)] = 6746,
    [SMALL_STATE(94)] = 6855,
    [SMALL_STATE(95)] = 6964,
    [SMALL_STATE(96)] = 7073,
    [SMALL_STATE(97)] = 7128,
    [SMALL_STATE(98)] = 7237,
    [SMALL_STATE(99)] = 7346,
    [SMALL_STATE(100)] = 7452,
    [SMALL_STATE(101)] = 7558,
    [SMALL_STATE(102)] = 7664,
    [SMALL_STATE(103)] = 7770,
    [SMALL_STATE(104)] = 7876,
    [SMALL_STATE(105)] = 7982,
    [SMALL_STATE(106)] = 8082,
    [SMALL_STATE(107)] = 8179,
    [SMALL_STATE(108)] = 8237,
    [SMALL_STATE(109)] = 8331,
    [SMALL_STATE(110)] = 8382,
    [SMALL_STATE(111)] = 8433,
    [SMALL_STATE(112)] = 8524,
    [SMALL_STATE(113)] = 8575,
    [SMALL_STATE(114)] = 8626,
    [SMALL_STATE(115)] = 8674,
    [SMALL_STATE(116)] = 8722,
    [SMALL_STATE(117)] = 8770,
    [SMALL_STATE(118)] = 8820,
    [SMALL_STATE(119)] = 8870,
    [SMALL_STATE(120)] = 8920,
    [SMALL_STATE(121)] = 8970,
    [SMALL_STATE(122)] = 9020,
    [SMALL_STATE(123)] = 9070,
    [SMALL_STATE(124)] = 9120,
    [SMALL_STATE(125)] = 9170,
    [SMALL_STATE(126)] = 9218,
    [SMALL_STATE(127)] = 9268,
    [SMALL_STATE(128)] = 9316,
    [SMALL_STATE(129)] = 9364,
    [SMALL_STATE(130)] = 9412,
    [SMALL_STATE(131)] = 9462,
    [SMALL_STATE(132)] = 9510,
    [SMALL_STATE(133)] = 9598,
    [SMALL_STATE(134)] = 9646,
    [SMALL_STATE(135)] = 9694,
    [SMALL_STATE(136)] = 9741,
    [SMALL_STATE(137)] = 9788,
    [SMALL_STATE(138)] = 9835,
    [SMALL_STATE(139)] = 9882,
    [SMALL_STATE(140)] = 9929,
    [SMALL_STATE(141)] = 9976,
    [SMALL_STATE(142)] = 10023,
    [SMALL_STATE(143)] = 10070,
    [SMALL_STATE(144)] = 10117,
    [SMALL_STATE(145)] = 10164,
    [SMALL_STATE(146)] = 10211,
    [SMALL_STATE(147)] = 10258,
    [SMALL_STATE(148)] = 10305,
    [SMALL_STATE(149)] = 10390,
    [SMALL_STATE(150)] = 10437,
    [SMALL_STATE(151)] = 10484,
    [SMALL_STATE(152)] = 10531,
    [SMALL_STATE(153)] = 10578,
    [SMALL_STATE(154)] = 10625,
    [SMALL_STATE(155)] = 10672,
    [SMALL_STATE(156)] = 10719,
    [SMALL_STATE(157)] = 10766,
    [SMALL_STATE(158)] = 10813,
    [SMALL_STATE(159)] = 10860,
    [SMALL_STATE(160)] = 10907,
    [SMALL_STATE(161)] = 10954,
    [SMALL_STATE(162)] = 11001,
    [SMALL_STATE(163)] = 11048,
    [SMALL_STATE(164)] = 11095,
    [SMALL_STATE(165)] = 11142,
    [SMALL_STATE(166)] = 11189,
    [SMALL_STATE(167)] = 11236,
    [SMALL_STATE(168)] = 11283,
    [SMALL_STATE(169)] = 11330,
    [SMALL_STATE(170)] = 11377,
    [SMALL_STATE(171)] = 11466,
    [SMALL_STATE(172)] = 11513,
    [SMALL_STATE(173)] = 11560,
    [SMALL_STATE(174)] = 11607,
    [SMALL_STATE(175)] = 11654,
    [SMALL_STATE(176)] = 11701,
    [SMALL_STATE(177)] = 11748,
    [SMALL_STATE(178)] = 11793,
    [SMALL_STATE(179)] = 11838,
    [SMALL_STATE(180)] = 11883,
    [SMALL_STATE(181)] = 11928,
    [SMALL_STATE(182)] = 11973,
    [SMALL_STATE(183)] = 12054,
    [SMALL_STATE(184)] = 12099,
    [SMALL_STATE(185)] = 12175,
    [SMALL_STATE(186)] = 12218,
    [SMALL_STATE(187)] = 12261,
    [SMALL_STATE(188)] = 12304,
    [SMALL_STATE(189)] = 12346,
    [SMALL_STATE(190)] = 12418,
    [SMALL_STATE(191)] = 12486,
    [SMALL_STATE(192)] = 12549,
    [SMALL_STATE(193)] = 12612,
    [SMALL_STATE(194)] = 12675,
    [SMALL_STATE(195)] = 12738,
    [SMALL_STATE(196)] = 12801,
    [SMALL_STATE(197)] = 12864,
    [SMALL_STATE(198)] = 12927,
    [SMALL_STATE(199)] = 12990,
    [SMALL_STATE(200)] = 13053,
    [SMALL_STATE(201)] = 13116,
    [SMALL_STATE(202)] = 13179,
    [SMALL_STATE(203)] = 13242,
    [SMALL_STATE(204)] = 13305,
    [SMALL_STATE(205)] = 13368,
    [SMALL_STATE(206)] = 13431,
    [SMALL_STATE(207)] = 13494,
    [SMALL_STATE(208)] = 13557,
    [SMALL_STATE(209)] = 13620,
    [SMALL_STATE(210)] = 13680,
    [SMALL_STATE(211)] = 13737,
    [SMALL_STATE(212)] = 13772,
    [SMALL_STATE(213)] = 13827,
    [SMALL_STATE(214)] = 13862,
    [SMALL_STATE(215)] = 13896,
    [SMALL_STATE(216)] = 13929,
    [SMALL_STATE(217)] = 13962,
    [SMALL_STATE(218)] = 13995,
    [SMALL_STATE(219)] = 14028,
    [SMALL_STATE(220)] = 14058,
    [SMALL_STATE(221)] = 14088,
    [SMALL_STATE(222)] = 14118,
    [SMALL_STATE(223)] = 14152,
    [SMALL_STATE(224)] = 14182,
    [SMALL_STATE(225)] = 14212,
    [SMALL_STATE(226)] = 14260,
    [SMALL_STATE(227)] = 14290,
    [SMALL_STATE(228)] = 14320,
    [SMALL_STATE(229)] = 14350,
    [SMALL_STATE(230)] = 14400,
    [SMALL_STATE(231)] = 14430,
    [SMALL_STATE(232)] = 14460,
    [SMALL_STATE(233)] = 14490,
    [SMALL_STATE(234)] = 14520,
    [SMALL_STATE(235)] = 14570,
    [SMALL_STATE(236)] = 14600,
    [SMALL_STATE(237)] = 14630,
    [SMALL_STATE(238)] = 14660,
    [SMALL_STATE(239)] = 14690,
    [SMALL_STATE(240)] = 14738,
    [SMALL_STATE(241)] = 14768,
    [SMALL_STATE(242)] = 14798,
    [SMALL_STATE(243)] = 14828,
    [SMALL_STATE(244)] = 14862,
    [SMALL_STATE(245)] = 14898,
    [SMALL_STATE(246)] = 14928,
    [SMALL_STATE(247)] = 14958,
    [SMALL_STATE(248)] = 15008,
    [SMALL_STATE(249)] = 15038,
    [SMALL_STATE(250)] = 15067,
    [SMALL_STATE(251)] = 15106,
    [SMALL_STATE(252)] = 15153,
    [SMALL_STATE(253)] = 15186,
    [SMALL_STATE(254)] = 15215,
    [SMALL_STATE(255)] = 15244,
    [SMALL_STATE(256)] = 15283,
    [SMALL_STATE(257)] = 15322,
    [SMALL_STATE(258)] = 15361,
    [SMALL_STATE(259)] = 15391,
    [SMALL_STATE(260)] = 15421,
    [SMALL_STATE(261)] = 15451,
    [SMALL_STATE(262)] = 15481,
    [SMALL_STATE(263)] = 15511,
    [SMALL_STATE(264)] = 15541,
    [SMALL_STATE(265)] = 15571,
    [SMALL_STATE(266)] = 15601,
    [SMALL_STATE(267)] = 15631,
    [SMALL_STATE(268)] = 15658,
    [SMALL_STATE(269)] = 15685,
    [SMALL_STATE(270)] = 15712,
    [SMALL_STATE(271)] = 15739,
    [SMALL_STATE(272)] = 15766,
    [SMALL_STATE(273)] = 15793,
    [SMALL_STATE(274)] = 15820,
    [SMALL_STATE(275)] = 15853,
    [SMALL_STATE(276)] = 15880,
    [SMALL_STATE(277)] = 15907,
    [SMALL_STATE(278)] = 15936,
    [SMALL_STATE(279)] = 15963,
    [SMALL_STATE(280)] = 15990,
    [SMALL_STATE(281)] = 16017,
    [SMALL_STATE(282)] = 16044,
    [SMALL_STATE(283)] = 16073,
    [SMALL_STATE(284)] = 16100,
    [SMALL_STATE(285)] = 16127,
    [SMALL_STATE(286)] = 16156,
    [SMALL_STATE(287)] = 16183,
    [SMALL_STATE(288)] = 16210,
    [SMALL_STATE(289)] = 16237,
    [SMALL_STATE(290)] = 16264,
    [SMALL_STATE(291)] = 16291,
    [SMALL_STATE(292)] = 16318,
    [SMALL_STATE(293)] = 16345,
    [SMALL_STATE(294)] = 16372,
    [SMALL_STATE(295)] = 16399,
    [SMALL_STATE(296)] = 16426,
    [SMALL_STATE(297)] = 16453,
    [SMALL_STATE(298)] = 16480,
    [SMALL_STATE(299)] = 16507,
    [SMALL_STATE(300)] = 16534,
    [SMALL_STATE(301)] = 16561,
    [SMALL_STATE(302)] = 16588,
    [SMALL_STATE(303)] = 16615,
    [SMALL_STATE(304)] = 16642,
    [SMALL_STATE(305)] = 16669,
    [SMALL_STATE(306)] = 16696,
    [SMALL_STATE(307)] = 16723,
    [SMALL_STATE(308)] = 16761,
    [SMALL_STATE(309)] = 16799,
    [SMALL_STATE(310)] = 16837,
    [SMALL_STATE(311)] = 16875,
    [SMALL_STATE(312)] = 16913,
    [SMALL_STATE(313)] = 16951,
    [SMALL_STATE(314)] = 16989,
    [SMALL_STATE(315)] = 17027,
    [SMALL_STATE(316)] = 17065,
    [SMALL_STATE(317)] = 17103,
    [SMALL_STATE(318)] = 17141,
    [SMALL_STATE(319)] = 17179,
    [SMALL_STATE(320)] = 17206,
    [SMALL_STATE(321)] = 17233,
    [SMALL_STATE(322)] = 17255,
    [SMALL_STATE(323)] = 17277,
    [SMALL_STATE(324)] = 17311,
    [SMALL_STATE(325)] = 17334,
    [SMALL_STATE(326)] = 17361,
    [SMALL_STATE(327)] = 17388,
    [SMALL_STATE(328)] = 17415,
    [SMALL_STATE(329)] = 17438,
    [SMALL_STATE(330)] = 17459,
    [SMALL_STATE(331)] = 17480,
    [SMALL_STATE(332)] = 17507,
    [SMALL_STATE(333)] = 17541,
    [SMALL_STATE(334)] = 17563,
    [SMALL_STATE(335)] = 17585,
    [SMALL_STATE(336)] = 17615,
    [SMALL_STATE(337)] = 17643,
    [SMALL_STATE(338)] = 17677,
    [SMALL_STATE(339)] = 17697,
    [SMALL_STATE(340)] = 17716,
    [SMALL_STATE(341)] = 17747,
    [SMALL_STATE(342)] = 17766,
    [SMALL_STATE(343)] = 17785,
    [SMALL_STATE(344)] = 17816,
    [SMALL_STATE(345)] = 17835,
    [SMALL_STATE(346)] = 17866,
    [SMALL_STATE(347)] = 17897,
    [SMALL_STATE(348)] = 17916,
    [SMALL_STATE(349)] = 17935,
    [SMALL_STATE(350)] = 17964,
    [SMALL_STATE(351)] = 17983,
    [SMALL_STATE(352)] = 18014,
    [SMALL_STATE(353)] = 18035,
    [SMALL_STATE(354)] = 18054,
    [SMALL_STATE(355)] = 18082,
    [SMALL_STATE(356)] = 18110,
    [SMALL_STATE(357)] = 18138,
    [SMALL_STATE(358)] = 18162,
    [SMALL_STATE(359)] = 18190,
    [SMALL_STATE(360)] = 18218,
    [SMALL_STATE(361)] = 18244,
    [SMALL_STATE(362)] = 18272,
    [SMALL_STATE(363)] = 18300,
    [SMALL_STATE(364)] = 18328,
    [SMALL_STATE(365)] = 18356,
    [SMALL_STATE(366)] = 18376,
    [SMALL_STATE(367)] = 18402,
    [SMALL_STATE(368)] = 18430,
    [SMALL_STATE(369)] = 18458,
    [SMALL_STATE(370)] = 18486,
    [SMALL_STATE(371)] = 18510,
    [SMALL_STATE(372)] = 18538,
    [SMALL_STATE(373)] = 18560,
    [SMALL_STATE(374)] = 18588,
    [SMALL_STATE(375)] = 18616,
    [SMALL_STATE(376)] = 18644,
    [SMALL_STATE(377)] = 18669,
    [SMALL_STATE(378)] = 18686,
    [SMALL_STATE(379)] = 18703,
    [SMALL_STATE(380)] = 18720,
    [SMALL_STATE(381)] = 18737,
    [SMALL_STATE(382)] = 18762,
    [SMALL_STATE(383)] = 18779,
    [SMALL_STATE(384)] = 18804,
    [SMALL_STATE(385)] = 18821,
    [SMALL_STATE(386)] = 18838,
    [SMALL_STATE(387)] = 18859,
    [SMALL_STATE(388)] = 18876,
    [SMALL_STATE(389)] = 18901,
    [SMALL_STATE(390)] = 18920,
    [SMALL_STATE(391)] = 18939,
    [SMALL_STATE(392)] = 18956,
    [SMALL_STATE(393)] = 18973,
    [SMALL_STATE(394)] = 18990,
    [SMALL_STATE(395)] = 19011,
    [SMALL_STATE(396)] = 19028,
    [SMALL_STATE(397)] = 19051,
    [SMALL_STATE(398)] = 19074,
    [SMALL_STATE(399)] = 19093,
    [SMALL_STATE(400)] = 19118,
    [SMALL_STATE(401)] = 19143,
    [SMALL_STATE(402)] = 19168,
    [SMALL_STATE(403)] = 19191,
    [SMALL_STATE(404)] = 19214,
    [SMALL_STATE(405)] = 19231,
    [SMALL_STATE(406)] = 19256,
    [SMALL_STATE(407)] = 19281,
    [SMALL_STATE(408)] = 19298,
    [SMALL_STATE(409)] = 19321,
    [SMALL_STATE(410)] = 19344,
    [SMALL_STATE(411)] = 19369,
    [SMALL_STATE(412)] = 19386,
    [SMALL_STATE(413)] = 19404,
    [SMALL_STATE(414)] = 19424,
    [SMALL_STATE(415)] = 19446,
    [SMALL_STATE(416)] = 19468,
    [SMALL_STATE(417)] = 19490,
    [SMALL_STATE(418)] = 19512,
    [SMALL_STATE(419)] = 19530,
    [SMALL_STATE(420)] = 19552,
    [SMALL_STATE(421)] = 19574,
    [SMALL_STATE(422)] = 19596,
    [SMALL_STATE(423)] = 19612,
    [SMALL_STATE(424)] = 19634,
    [SMALL_STATE(425)] = 19654,
    [SMALL_STATE(426)] = 19672,
    [SMALL_STATE(427)] = 19692,
    [SMALL_STATE(428)] = 19714,
    [SMALL_STATE(429)] = 19736,
    [SMALL_STATE(430)] = 19758,
    [SMALL_STATE(431)] = 19780,
    [SMALL_STATE(432)] = 19800,
    [SMALL_STATE(433)] = 19818,
    [SMALL_STATE(434)] = 19834,
    [SMALL_STATE(435)] = 19852,
    [SMALL_STATE(436)] = 19870,
    [SMALL_STATE(437)] = 19886,
    [SMALL_STATE(438)] = 19902,
    [SMALL_STATE(439)] = 19924,
    [SMALL_STATE(440)] = 19940,
    [SMALL_STATE(441)] = 19960,
    [SMALL_STATE(442)] = 19982,
    [SMALL_STATE(443)] = 20002,
    [SMALL_STATE(444)] = 20020,
    [SMALL_STATE(445)] = 20042,
    [SMALL_STATE(446)] = 20064,
    [SMALL_STATE(447)] = 20086,
    [SMALL_STATE(448)] = 20108,
    [SMALL_STATE(449)] = 20130,
    [SMALL_STATE(450)] = 20152,
    [SMALL_STATE(451)] = 20168,
    [SMALL_STATE(452)] = 20184,
    [SMALL_STATE(453)] = 20200,
    [SMALL_STATE(454)] = 20220,
    [SMALL_STATE(455)] = 20240,
    [SMALL_STATE(456)] = 20262,
    [SMALL_STATE(457)] = 20282,
    [SMALL_STATE(458)] = 20298,
    [SMALL_STATE(459)] = 20320,
    [SMALL_STATE(460)] = 20336,
    [SMALL_STATE(461)] = 20354,
    [SMALL_STATE(462)] = 20372,
    [SMALL_STATE(463)] = 20390,
    [SMALL_STATE(464)] = 20408,
    [SMALL_STATE(465)] = 20426,
    [SMALL_STATE(466)] = 20444,
    [SMALL_STATE(467)] = 20462,
    [SMALL_STATE(468)] = 20478,
    [SMALL_STATE(469)] = 20496,
    [SMALL_STATE(470)] = 20518,
    [SMALL_STATE(471)] = 20540,
    [SMALL_STATE(472)] = 20558,
    [SMALL_STATE(473)] = 20576,
    [SMALL_STATE(474)] = 20596,
    [SMALL_STATE(475)] = 20616,
    [SMALL_STATE(476)] = 20636,
    [SMALL_STATE(477)] = 20658,
    [SMALL_STATE(478)] = 20680,
    [SMALL_STATE(479)] = 20696,
    [SMALL_STATE(480)] = 20712,
    [SMALL_STATE(481)] = 20730,
    [SMALL_STATE(482)] = 20746,
    [SMALL_STATE(483)] = 20762,
    [SMALL_STATE(484)] = 20780,
    [SMALL_STATE(485)] = 20796,
    [SMALL_STATE(486)] = 20814,
    [SMALL_STATE(487)] = 20832,
    [SMALL_STATE(488)] = 20850,
    [SMALL_STATE(489)] = 20868,
    [SMALL_STATE(490)] = 20888,
    [SMALL_STATE(491)] = 20906,
    [SMALL_STATE(492)] = 20924,
    [SMALL_STATE(493)] = 20942,
    [SMALL_STATE(494)] = 20960,
    [SMALL_STATE(495)] = 20982,
    [SMALL_STATE(496)] = 21004,
    [SMALL_STATE(497)] = 21024,
    [SMALL_STATE(498)] = 21044,
    [SMALL_STATE(499)] = 21066,
    [SMALL_STATE(500)] = 21086,
    [SMALL_STATE(501)] = 21106,
    [SMALL_STATE(502)] = 21126,
    [SMALL_STATE(503)] = 21146,
    [SMALL_STATE(504)] = 21164,
    [SMALL_STATE(505)] = 21184,
    [SMALL_STATE(506)] = 21202,
    [SMALL_STATE(507)] = 21224,
    [SMALL_STATE(508)] = 21242,
    [SMALL_STATE(509)] = 21260,
    [SMALL_STATE(510)] = 21278,
    [SMALL_STATE(511)] = 21297,
    [SMALL_STATE(512)] = 21312,
    [SMALL_STATE(513)] = 21327,
    [SMALL_STATE(514)] = 21344,
    [SMALL_STATE(515)] = 21363,
    [SMALL_STATE(516)] = 21380,
    [SMALL_STATE(517)] = 21399,
    [SMALL_STATE(518)] = 21418,
    [SMALL_STATE(519)] = 21437,
    [SMALL_STATE(520)] = 21456,
    [SMALL_STATE(521)] = 21475,
    [SMALL_STATE(522)] = 21494,
    [SMALL_STATE(523)] = 21513,
    [SMALL_STATE(524)] = 21528,
    [SMALL_STATE(525)] = 21547,
    [SMALL_STATE(526)] = 21566,
    [SMALL_STATE(527)] = 21583,
    [SMALL_STATE(528)] = 21598,
    [SMALL_STATE(529)] = 21617,
    [SMALL_STATE(530)] = 21632,
    [SMALL_STATE(531)] = 21649,
    [SMALL_STATE(532)] = 21664,
    [SMALL_STATE(533)] = 21681,
    [SMALL_STATE(534)] = 21698,
    [SMALL_STATE(535)] = 21715,
    [SMALL_STATE(536)] = 21732,
    [SMALL_STATE(537)] = 21749,
    [SMALL_STATE(538)] = 21764,
    [SMALL_STATE(539)] = 21779,
    [SMALL_STATE(540)] = 21796,
    [SMALL_STATE(541)] = 21813,
    [SMALL_STATE(542)] = 21828,
    [SMALL_STATE(543)] = 21847,
    [SMALL_STATE(544)] = 21866,
    [SMALL_STATE(545)] = 21885,
    [SMALL_STATE(546)] = 21902,
    [SMALL_STATE(547)] = 21921,
    [SMALL_STATE(548)] = 21940,
    [SMALL_STATE(549)] = 21957,
    [SMALL_STATE(550)] = 21976,
    [SMALL_STATE(551)] = 21991,
    [SMALL_STATE(552)] = 22010,
    [SMALL_STATE(553)] = 22029,
    [SMALL_STATE(554)] = 22044,
    [SMALL_STATE(555)] = 22059,
    [SMALL_STATE(556)] = 22076,
    [SMALL_STATE(557)] = 22093,
    [SMALL_STATE(558)] = 22108,
    [SMALL_STATE(559)] = 22123,
    [SMALL_STATE(560)] = 22140,
    [SMALL_STATE(561)] = 22155,
    [SMALL_STATE(562)] = 22172,
    [SMALL_STATE(563)] = 22191,
    [SMALL_STATE(564)] = 22210,
    [SMALL_STATE(565)] = 22229,
    [SMALL_STATE(566)] = 22244,
    [SMALL_STATE(567)] = 22263,
    [SMALL_STATE(568)] = 22282,
    [SMALL_STATE(569)] = 22301,
    [SMALL_STATE(570)] = 22320,
    [SMALL_STATE(571)] = 22335,
    [SMALL_STATE(572)] = 22352,
    [SMALL_STATE(573)] = 22369,
    [SMALL_STATE(574)] = 22384,
    [SMALL_STATE(575)] = 22399,
    [SMALL_STATE(576)] = 22416,
    [SMALL_STATE(577)] = 22431,
    [SMALL_STATE(578)] = 22448,
    [SMALL_STATE(579)] = 22467,
    [SMALL_STATE(580)] = 22486,
    [SMALL_STATE(581)] = 22505,
    [SMALL_STATE(582)] = 22520,
    [SMALL_STATE(583)] = 22539,
    [SMALL_STATE(584)] = 22558,
    [SMALL_STATE(585)] = 22573,
    [SMALL_STATE(586)] = 22590,
    [SMALL_STATE(587)] = 22607,
    [SMALL_STATE(588)] = 22624,
    [SMALL_STATE(589)] = 22641,
    [SMALL_STATE(590)] = 22660,
    [SMALL_STATE(591)] = 22679,
    [SMALL_STATE(592)] = 22698,
    [SMALL_STATE(593)] = 22713,
    [SMALL_STATE(594)] = 22730,
    [SMALL_STATE(595)] = 22747,
    [SMALL_STATE(596)] = 22766,
    [SMALL_STATE(597)] = 22781,
    [SMALL_STATE(598)] = 22798,
    [SMALL_STATE(599)] = 22815,
    [SMALL_STATE(600)] = 22834,
    [SMALL_STATE(601)] = 22853,
    [SMALL_STATE(602)] = 22872,
    [SMALL_STATE(603)] = 22889,
    [SMALL_STATE(604)] = 22908,
    [SMALL_STATE(605)] = 22927,
    [SMALL_STATE(606)] = 22946,
    [SMALL_STATE(607)] = 22965,
    [SMALL_STATE(608)] = 22984,
    [SMALL_STATE(609)] = 22999,
    [SMALL_STATE(610)] = 23014,
    [SMALL_STATE(611)] = 23029,
    [SMALL_STATE(612)] = 23048,
    [SMALL_STATE(613)] = 23067,
    [SMALL_STATE(614)] = 23082,
    [SMALL_STATE(615)] = 23101,
    [SMALL_STATE(616)] = 23116,
    [SMALL_STATE(617)] = 23135,
    [SMALL_STATE(618)] = 23154,
    [SMALL_STATE(619)] = 23169,
    [SMALL_STATE(620)] = 23188,
    [SMALL_STATE(621)] = 23207,
    [SMALL_STATE(622)] = 23224,
    [SMALL_STATE(623)] = 23239,
    [SMALL_STATE(624)] = 23258,
    [SMALL_STATE(625)] = 23273,
    [SMALL_STATE(626)] = 23292,
    [SMALL_STATE(627)] = 23309,
    [SMALL_STATE(628)] = 23324,
    [SMALL_STATE(629)] = 23343,
    [SMALL_STATE(630)] = 23358,
    [SMALL_STATE(631)] = 23373,
    [SMALL_STATE(632)] = 23390,
    [SMALL_STATE(633)] = 23405,
    [SMALL_STATE(634)] = 23420,
    [SMALL_STATE(635)] = 23435,
    [SMALL_STATE(636)] = 23450,
    [SMALL_STATE(637)] = 23465,
    [SMALL_STATE(638)] = 23480,
    [SMALL_STATE(639)] = 23495,
    [SMALL_STATE(640)] = 23512,
    [SMALL_STATE(641)] = 23527,
    [SMALL_STATE(642)] = 23546,
    [SMALL_STATE(643)] = 23561,
    [SMALL_STATE(644)] = 23578,
    [SMALL_STATE(645)] = 23593,
    [SMALL_STATE(646)] = 23608,
    [SMALL_STATE(647)] = 23627,
    [SMALL_STATE(648)] = 23642,
    [SMALL_STATE(649)] = 23657,
    [SMALL_STATE(650)] = 23674,
    [SMALL_STATE(651)] = 23689,
    [SMALL_STATE(652)] = 23704,
    [SMALL_STATE(653)] = 23721,
    [SMALL_STATE(654)] = 23736,
    [SMALL_STATE(655)] = 23755,
    [SMALL_STATE(656)] = 23772,
    [SMALL_STATE(657)] = 23787,
    [SMALL_STATE(658)] = 23806,
    [SMALL_STATE(659)] = 23821,
    [SMALL_STATE(660)] = 23840,
    [SMALL_STATE(661)] = 23859,
    [SMALL_STATE(662)] = 23874,
    [SMALL_STATE(663)] = 23889,
    [SMALL_STATE(664)] = 23904,
    [SMALL_STATE(665)] = 23919,
    [SMALL_STATE(666)] = 23934,
    [SMALL_STATE(667)] = 23951,
    [SMALL_STATE(668)] = 23966,
    [SMALL_STATE(669)] = 23981,
    [SMALL_STATE(670)] = 23996,
    [SMALL_STATE(671)] = 24011,
    [SMALL_STATE(672)] = 24026,
    [SMALL_STATE(673)] = 24041,
    [SMALL_STATE(674)] = 24056,
    [SMALL_STATE(675)] = 24071,
    [SMALL_STATE(676)] = 24086,
    [SMALL_STATE(677)] = 24101,
    [SMALL_STATE(678)] = 24116,
    [SMALL_STATE(679)] = 24133,
    [SMALL_STATE(680)] = 24150,
    [SMALL_STATE(681)] = 24169,
    [SMALL_STATE(682)] = 24188,
    [SMALL_STATE(683)] = 24207,
    [SMALL_STATE(684)] = 24222,
    [SMALL_STATE(685)] = 24241,
    [SMALL_STATE(686)] = 24260,
    [SMALL_STATE(687)] = 24279,
    [SMALL_STATE(688)] = 24294,
    [SMALL_STATE(689)] = 24313,
    [SMALL_STATE(690)] = 24328,
    [SMALL_STATE(691)] = 24343,
    [SMALL_STATE(692)] = 24362,
    [SMALL_STATE(693)] = 24377,
    [SMALL_STATE(694)] = 24392,
    [SMALL_STATE(695)] = 24407,
    [SMALL_STATE(696)] = 24422,
    [SMALL_STATE(697)] = 24441,
    [SMALL_STATE(698)] = 24456,
    [SMALL_STATE(699)] = 24475,
    [SMALL_STATE(700)] = 24494,
    [SMALL_STATE(701)] = 24513,
    [SMALL_STATE(702)] = 24532,
    [SMALL_STATE(703)] = 24551,
    [SMALL_STATE(704)] = 24570,
    [SMALL_STATE(705)] = 24589,
    [SMALL_STATE(706)] = 24608,
    [SMALL_STATE(707)] = 24627,
    [SMALL_STATE(708)] = 24646,
    [SMALL_STATE(709)] = 24665,
    [SMALL_STATE(710)] = 24684,
    [SMALL_STATE(711)] = 24701,
    [SMALL_STATE(712)] = 24716,
    [SMALL_STATE(713)] = 24735,
    [SMALL_STATE(714)] = 24752,
    [SMALL_STATE(715)] = 24769,
    [SMALL_STATE(716)] = 24788,
    [SMALL_STATE(717)] = 24805,
    [SMALL_STATE(718)] = 24822,
    [SMALL_STATE(719)] = 24839,
    [SMALL_STATE(720)] = 24856,
    [SMALL_STATE(721)] = 24875,
    [SMALL_STATE(722)] = 24894,
    [SMALL_STATE(723)] = 24913,
    [SMALL_STATE(724)] = 24932,
    [SMALL_STATE(725)] = 24951,
    [SMALL_STATE(726)] = 24970,
    [SMALL_STATE(727)] = 24986,
    [SMALL_STATE(728)] = 25002,
    [SMALL_STATE(729)] = 25016,
    [SMALL_STATE(730)] = 25030,
    [SMALL_STATE(731)] = 25046,
    [SMALL_STATE(732)] = 25060,
    [SMALL_STATE(733)] = 25074,
    [SMALL_STATE(734)] = 25090,
    [SMALL_STATE(735)] = 25106,
    [SMALL_STATE(736)] = 25122,
    [SMALL_STATE(737)] = 25136,
    [SMALL_STATE(738)] = 25152,
    [SMALL_STATE(739)] = 25168,
    [SMALL_STATE(740)] = 25184,
    [SMALL_STATE(741)] = 25200,
    [SMALL_STATE(742)] = 25214,
    [SMALL_STATE(743)] = 25230,
    [SMALL_STATE(744)] = 25244,
    [SMALL_STATE(745)] = 25260,
    [SMALL_STATE(746)] = 25276,
    [SMALL_STATE(747)] = 25292,
    [SMALL_STATE(748)] = 25308,
    [SMALL_STATE(749)] = 25322,
    [SMALL_STATE(750)] = 25336,
    [SMALL_STATE(751)] = 25350,
    [SMALL_STATE(752)] = 25364,
    [SMALL_STATE(753)] = 25380,
    [SMALL_STATE(754)] = 25394,
    [SMALL_STATE(755)] = 25408,
    [SMALL_STATE(756)] = 25422,
    [SMALL_STATE(757)] = 25436,
    [SMALL_STATE(758)] = 25450,
    [SMALL_STATE(759)] = 25466,
    [SMALL_STATE(760)] = 25480,
    [SMALL_STATE(761)] = 25496,
    [SMALL_STATE(762)] = 25512,
    [SMALL_STATE(763)] = 25526,
    [SMALL_STATE(764)] = 25542,
    [SMALL_STATE(765)] = 25556,
    [SMALL_STATE(766)] = 25570,
    [SMALL_STATE(767)] = 25584,
    [SMALL_STATE(768)] = 25598,
    [SMALL_STATE(769)] = 25612,
    [SMALL_STATE(770)] = 25628,
    [SMALL_STATE(771)] = 25642,
    [SMALL_STATE(772)] = 25656,
    [SMALL_STATE(773)] = 25672,
    [SMALL_STATE(774)] = 25686,
    [SMALL_STATE(775)] = 25702,
    [SMALL_STATE(776)] = 25716,
    [SMALL_STATE(777)] = 25730,
    [SMALL_STATE(778)] = 25746,
    [SMALL_STATE(779)] = 25762,
    [SMALL_STATE(780)] = 25776,
    [SMALL_STATE(781)] = 25792,
    [SMALL_STATE(782)] = 25806,
    [SMALL_STATE(783)] = 25820,
    [SMALL_STATE(784)] = 25836,
    [SMALL_STATE(785)] = 25852,
    [SMALL_STATE(786)] = 25868,
    [SMALL_STATE(787)] = 25882,
    [SMALL_STATE(788)] = 25896,
    [SMALL_STATE(789)] = 25912,
    [SMALL_STATE(790)] = 25926,
    [SMALL_STATE(791)] = 25940,
    [SMALL_STATE(792)] = 25956,
    [SMALL_STATE(793)] = 25972,
    [SMALL_STATE(794)] = 25986,
    [SMALL_STATE(795)] = 26002,
    [SMALL_STATE(796)] = 26018,
    [SMALL_STATE(797)] = 26034,
    [SMALL_STATE(798)] = 26050,
    [SMALL_STATE(799)] = 26064,
    [SMALL_STATE(800)] = 26078,
    [SMALL_STATE(801)] = 26092,
    [SMALL_STATE(802)] = 26108,
    [SMALL_STATE(803)] = 26124,
    [SMALL_STATE(804)] = 26140,
    [SMALL_STATE(805)] = 26154,
    [SMALL_STATE(806)] = 26170,
    [SMALL_STATE(807)] = 26186,
    [SMALL_STATE(808)] = 26202,
    [SMALL_STATE(809)] = 26218,
    [SMALL_STATE(810)] = 26234,
    [SMALL_STATE(811)] = 26250,
    [SMALL_STATE(812)] = 26264,
    [SMALL_STATE(813)] = 26280,
    [SMALL_STATE(814)] = 26294,
    [SMALL_STATE(815)] = 26308,
    [SMALL_STATE(816)] = 26324,
    [SMALL_STATE(817)] = 26340,
    [SMALL_STATE(818)] = 26354,
    [SMALL_STATE(819)] = 26368,
    [SMALL_STATE(820)] = 26384,
    [SMALL_STATE(821)] = 26398,
    [SMALL_STATE(822)] = 26414,
    [SMALL_STATE(823)] = 26428,
    [SMALL_STATE(824)] = 26444,
    [SMALL_STATE(825)] = 26458,
    [SMALL_STATE(826)] = 26474,
    [SMALL_STATE(827)] = 26488,
    [SMALL_STATE(828)] = 26504,
    [SMALL_STATE(829)] = 26518,
    [SMALL_STATE(830)] = 26534,
    [SMALL_STATE(831)] = 26550,
    [SMALL_STATE(832)] = 26566,
    [SMALL_STATE(833)] = 26580,
    [SMALL_STATE(834)] = 26594,
    [SMALL_STATE(835)] = 26610,
    [SMALL_STATE(836)] = 26626,
    [SMALL_STATE(837)] = 26640,
    [SMALL_STATE(838)] = 26656,
    [SMALL_STATE(839)] = 26670,
    [SMALL_STATE(840)] = 26686,
    [SMALL_STATE(841)] = 26700,
    [SMALL_STATE(842)] = 26714,
    [SMALL_STATE(843)] = 26728,
    [SMALL_STATE(844)] = 26742,
    [SMALL_STATE(845)] = 26756,
    [SMALL_STATE(846)] = 26770,
    [SMALL_STATE(847)] = 26784,
    [SMALL_STATE(848)] = 26800,
    [SMALL_STATE(849)] = 26814,
    [SMALL_STATE(850)] = 26828,
    [SMALL_STATE(851)] = 26842,
    [SMALL_STATE(852)] = 26858,
    [SMALL_STATE(853)] = 26871,
    [SMALL_STATE(854)] = 26884,
    [SMALL_STATE(855)] = 26897,
    [SMALL_STATE(856)] = 26910,
    [SMALL_STATE(857)] = 26923,
    [SMALL_STATE(858)] = 26936,
    [SMALL_STATE(859)] = 26949,
    [SMALL_STATE(860)] = 26962,
    [SMALL_STATE(861)] = 26975,
    [SMALL_STATE(862)] = 26988,
    [SMALL_STATE(863)] = 27001,
    [SMALL_STATE(864)] = 27014,
    [SMALL_STATE(865)] = 27027,
    [SMALL_STATE(866)] = 27040,
    [SMALL_STATE(867)] = 27053,
    [SMALL_STATE(868)] = 27066,
    [SMALL_STATE(869)] = 27079,
    [SMALL_STATE(870)] = 27092,
    [SMALL_STATE(871)] = 27105,
    [SMALL_STATE(872)] = 27118,
    [SMALL_STATE(873)] = 27131,
    [SMALL_STATE(874)] = 27144,
    [SMALL_STATE(875)] = 27157,
    [SMALL_STATE(876)] = 27170,
    [SMALL_STATE(877)] = 27183,
    [SMALL_STATE(878)] = 27196,
    [SMALL_STATE(879)] = 27209,
    [SMALL_STATE(880)] = 27222,
    [SMALL_STATE(881)] = 27235,
    [SMALL_STATE(882)] = 27248,
    [SMALL_STATE(883)] = 27261,
    [SMALL_STATE(884)] = 27274,
    [SMALL_STATE(885)] = 27287,
    [SMALL_STATE(886)] = 27300,
    [SMALL_STATE(887)] = 27313,
    [SMALL_STATE(888)] = 27326,
    [SMALL_STATE(889)] = 27339,
    [SMALL_STATE(890)] = 27352,
    [SMALL_STATE(891)] = 27365,
    [SMALL_STATE(892)] = 27378,
    [SMALL_STATE(893)] = 27391,
    [SMALL_STATE(894)] = 27404,
    [SMALL_STATE(895)] = 27417,
    [SMALL_STATE(896)] = 27430,
    [SMALL_STATE(897)] = 27443,
    [SMALL_STATE(898)] = 27456,
    [SMALL_STATE(899)] = 27469,
    [SMALL_STATE(900)] = 27482,
    [SMALL_STATE(901)] = 27495,
    [SMALL_STATE(902)] = 27508,
    [SMALL_STATE(903)] = 27521,
    [SMALL_STATE(904)] = 27534,
    [SMALL_STATE(905)] = 27547,
    [SMALL_STATE(906)] = 27560,
    [SMALL_STATE(907)] = 27573,
    [SMALL_STATE(908)] = 27586,
    [SMALL_STATE(909)] = 27599,
    [SMALL_STATE(910)] = 27612,
    [SMALL_STATE(911)] = 27625,
    [SMALL_STATE(912)] = 27638,
    [SMALL_STATE(913)] = 27651,
    [SMALL_STATE(914)] = 27664,
    [SMALL_STATE(915)] = 27677,
    [SMALL_STATE(916)] = 27690,
    [SMALL_STATE(917)] = 27703,
    [SMALL_STATE(918)] = 27716,
    [SMALL_STATE(919)] = 27729,
    [SMALL_STATE(920)] = 27742,
    [SMALL_STATE(921)] = 27755,
    [SMALL_STATE(922)] = 27768,
    [SMALL_STATE(923)] = 27781,
    [SMALL_STATE(924)] = 27794,
    [SMALL_STATE(925)] = 27807,
    [SMALL_STATE(926)] = 27820,
    [SMALL_STATE(927)] = 27833,
    [SMALL_STATE(928)] = 27846,
    [SMALL_STATE(929)] = 27859,
    [SMALL_STATE(930)] = 27872,
    [SMALL_STATE(931)] = 27885,
    [SMALL_STATE(932)] = 27898,
    [SMALL_STATE(933)] = 27911,
    [SMALL_STATE(934)] = 27924,
    [SMALL_STATE(935)] = 27937,
    [SMALL_STATE(936)] = 27950,
    [SMALL_STATE(937)] = 27963,
    [SMALL_STATE(938)] = 27976,
    [SMALL_STATE(939)] = 27989,
    [SMALL_STATE(940)] = 28002,
    [SMALL_STATE(941)] = 28015,
    [SMALL_STATE(942)] = 28028,
    [SMALL_STATE(943)] = 28041,
    [SMALL_STATE(944)] = 28054,
    [SMALL_STATE(945)] = 28067,
    [SMALL_STATE(946)] = 28080,
    [SMALL_STATE(947)] = 28093,
    [SMALL_STATE(948)] = 28106,
    [SMALL_STATE(949)] = 28119,
    [SMALL_STATE(950)] = 28132,
    [SMALL_STATE(951)] = 28145,
    [SMALL_STATE(952)] = 28158,
    [SMALL_STATE(953)] = 28171,
    [SMALL_STATE(954)] = 28184,
    [SMALL_STATE(955)] = 28197,
    [SMALL_STATE(956)] = 28210,
    [SMALL_STATE(957)] = 28223,
    [SMALL_STATE(958)] = 28236,
    [SMALL_STATE(959)] = 28249,
    [SMALL_STATE(960)] = 28262,
    [SMALL_STATE(961)] = 28275,
    [SMALL_STATE(962)] = 28288,
    [SMALL_STATE(963)] = 28301,
    [SMALL_STATE(964)] = 28314,
    [SMALL_STATE(965)] = 28327,
    [SMALL_STATE(966)] = 28340,
    [SMALL_STATE(967)] = 28353,
    [SMALL_STATE(968)] = 28366,
    [SMALL_STATE(969)] = 28379,
    [SMALL_STATE(970)] = 28392,
    [SMALL_STATE(971)] = 28405,
    [SMALL_STATE(972)] = 28418,
    [SMALL_STATE(973)] = 28431,
    [SMALL_STATE(974)] = 28444,
    [SMALL_STATE(975)] = 28457,
    [SMALL_STATE(976)] = 28470,
    [SMALL_STATE(977)] = 28483,
    [SMALL_STATE(978)] = 28496,
    [SMALL_STATE(979)] = 28509,
    [SMALL_STATE(980)] = 28522,
    [SMALL_STATE(981)] = 28535,
    [SMALL_STATE(982)] = 28548,
    [SMALL_STATE(983)] = 28561,
    [SMALL_STATE(984)] = 28574,
    [SMALL_STATE(985)] = 28587,
    [SMALL_STATE(986)] = 28600,
    [SMALL_STATE(987)] = 28613,
    [SMALL_STATE(988)] = 28626,
    [SMALL_STATE(989)] = 28639,
    [SMALL_STATE(990)] = 28652,
    [SMALL_STATE(991)] = 28665,
    [SMALL_STATE(992)] = 28678,
    [SMALL_STATE(993)] = 28691,
    [SMALL_STATE(994)] = 28704,
    [SMALL_STATE(995)] = 28717,
    [SMALL_STATE(996)] = 28730,
    [SMALL_STATE(997)] = 28743,
    [SMALL_STATE(998)] = 28756,
    [SMALL_STATE(999)] = 28769,
    [SMALL_STATE(1000)] = 28782,
    [SMALL_STATE(1001)] = 28795,
    [SMALL_STATE(1002)] = 28808,
    [SMALL_STATE(1003)] = 28821,
    [SMALL_STATE(1004)] = 28834,
    [SMALL_STATE(1005)] = 28847,
    [SMALL_STATE(1006)] = 28860,
    [SMALL_STATE(1007)] = 28873,
    [SMALL_STATE(1008)] = 28886,
    [SMALL_STATE(1009)] = 28899,
    [SMALL_STATE(1010)] = 28912,
    [SMALL_STATE(1011)] = 28925,
    [SMALL_STATE(1012)] = 28938,
    [SMALL_STATE(1013)] = 28951,
    [SMALL_STATE(1014)] = 28964,
    [SMALL_STATE(1015)] = 28977,
    [SMALL_STATE(1016)] = 28990,
    [SMALL_STATE(1017)] = 29003,
    [SMALL_STATE(1018)] = 29016,
    [SMALL_STATE(1019)] = 29029,
    [SMALL_STATE(1020)] = 29042,
    [SMALL_STATE(1021)] = 29055,
    [SMALL_STATE(1022)] = 29068,
    [SMALL_STATE(1023)] = 29081,
    [SMALL_STATE(1024)] = 29094,
    [SMALL_STATE(1025)] = 29107,
    [SMALL_STATE(1026)] = 29120,
    [SMALL_STATE(1027)] = 29133,
    [SMALL_STATE(1028)] = 29146,
    [SMALL_STATE(1029)] = 29159,
    [SMALL_STATE(1030)] = 29172,
    [SMALL_STATE(1031)] = 29185,
    [SMALL_STATE(1032)] = 29198,
    [SMALL_STATE(1033)] = 29211,
    [SMALL_STATE(1034)] = 29224,
    [SMALL_STATE(1035)] = 29237,
    [SMALL_STATE(1036)] = 29250,
    [SMALL_STATE(1037)] = 29263,
    [SMALL_STATE(1038)] = 29276,
    [SMALL_STATE(1039)] = 29289,
    [SMALL_STATE(1040)] = 29302,
    [SMALL_STATE(1041)] = 29315,
    [SMALL_STATE(1042)] = 29328,
    [SMALL_STATE(1043)] = 29341,
    [SMALL_STATE(1044)] = 29354,
    [SMALL_STATE(1045)] = 29367,
    [SMALL_STATE(1046)] = 29380,
    [SMALL_STATE(1047)] = 29393,
    [SMALL_STATE(1048)] = 29406,
    [SMALL_STATE(1049)] = 29419,
    [SMALL_STATE(1050)] = 29432,
    [SMALL_STATE(1051)] = 29445,
    [SMALL_STATE(1052)] = 29458,
    [SMALL_STATE(1053)] = 29471,
    [SMALL_STATE(1054)] = 29484,
    [SMALL_STATE(1055)] = 29497,
    [SMALL_STATE(1056)] = 29510,
    [SMALL_STATE(1057)] = 29523,
    [SMALL_STATE(1058)] = 29536,
    [SMALL_STATE(1059)] = 29549,
    [SMALL_STATE(1060)] = 29562,
    [SMALL_STATE(1061)] = 29575,
    [SMALL_STATE(1062)] = 29588,
    [SMALL_STATE(1063)] = 29601,
    [SMALL_STATE(1064)] = 29614,
    [SMALL_STATE(1065)] = 29627,
    [SMALL_STATE(1066)] = 29640,
    [SMALL_STATE(1067)] = 29653,
    [SMALL_STATE(1068)] = 29666,
    [SMALL_STATE(1069)] = 29679,
    [SMALL_STATE(1070)] = 29692,
    [SMALL_STATE(1071)] = 29705,
    [SMALL_STATE(1072)] = 29718,
    [SMALL_STATE(1073)] = 29731,
    [SMALL_STATE(1074)] = 29744,
    [SMALL_STATE(1075)] = 29757,
    [SMALL_STATE(1076)] = 29770,
    [SMALL_STATE(1077)] = 29783,
    [SMALL_STATE(1078)] = 29796,
    [SMALL_STATE(1079)] = 29809,
    [SMALL_STATE(1080)] = 29822,
    [SMALL_STATE(1081)] = 29835,
    [SMALL_STATE(1082)] = 29848,
    [SMALL_STATE(1083)] = 29861,
    [SMALL_STATE(1084)] = 29874,
    [SMALL_STATE(1085)] = 29887,
    [SMALL_STATE(1086)] = 29900,
    [SMALL_STATE(1087)] = 29913,
    [SMALL_STATE(1088)] = 29926,
    [SMALL_STATE(1089)] = 29939,
    [SMALL_STATE(1090)] = 29952,
    [SMALL_STATE(1091)] = 29965,
    [SMALL_STATE(1092)] = 29978,
    [SMALL_STATE(1093)] = 29991,
    [SMALL_STATE(1094)] = 30004,
    [SMALL_STATE(1095)] = 30017,
    [SMALL_STATE(1096)] = 30030,
    [SMALL_STATE(1097)] = 30043,
    [SMALL_STATE(1098)] = 30056,
    [SMALL_STATE(1099)] = 30069,
    [SMALL_STATE(1100)] = 30082,
    [SMALL_STATE(1101)] = 30095,
    [SMALL_STATE(1102)] = 30108,
    [SMALL_STATE(1103)] = 30121,
    [SMALL_STATE(1104)] = 30134,
    [SMALL_STATE(1105)] = 30147,
    [SMALL_STATE(1106)] = 30160,
    [SMALL_STATE(1107)] = 30173,
    [SMALL_STATE(1108)] = 30186,
    [SMALL_STATE(1109)] = 30199,
    [SMALL_STATE(1110)] = 30212,
    [SMALL_STATE(1111)] = 30225,
    [SMALL_STATE(1112)] = 30238,
    [SMALL_STATE(1113)] = 30251,
    [SMALL_STATE(1114)] = 30264,
    [SMALL_STATE(1115)] = 30277,
    [SMALL_STATE(1116)] = 30290,
    [SMALL_STATE(1117)] = 30303,
    [SMALL_STATE(1118)] = 30316,
    [SMALL_STATE(1119)] = 30329,
    [SMALL_STATE(1120)] = 30342,
    [SMALL_STATE(1121)] = 30355,
    [SMALL_STATE(1122)] = 30368,
    [SMALL_STATE(1123)] = 30381,
    [SMALL_STATE(1124)] = 30394,
    [SMALL_STATE(1125)] = 30407,
    [SMALL_STATE(1126)] = 30420,
    [SMALL_STATE(1127)] = 30433,
    [SMALL_STATE(1128)] = 30446,
    [SMALL_STATE(1129)] = 30459,
    [SMALL_STATE(1130)] = 30472,
    [SMALL_STATE(1131)] = 30485,
    [SMALL_STATE(1132)] = 30498,
    [SMALL_STATE(1133)] = 30511,
    [SMALL_STATE(1134)] = 30524,
    [SMALL_STATE(1135)] = 30537,
    [SMALL_STATE(1136)] = 30550,
    [SMALL_STATE(1137)] = 30563,
    [SMALL_STATE(1138)] = 30576,
    [SMALL_STATE(1139)] = 30589,
    [SMALL_STATE(1140)] = 30602,
    [SMALL_STATE(1141)] = 30615,
    [SMALL_STATE(1142)] = 30628,
    [SMALL_STATE(1143)] = 30641,
    [SMALL_STATE(1144)] = 30654,
    [SMALL_STATE(1145)] = 30667,
    [SMALL_STATE(1146)] = 30680,
    [SMALL_STATE(1147)] = 30693,
    [SMALL_STATE(1148)] = 30706,
    [SMALL_STATE(1149)] = 30719,
    [SMALL_STATE(1150)] = 30732,
    [SMALL_STATE(1151)] = 30745,
    [SMALL_STATE(1152)] = 30758,
    [SMALL_STATE(1153)] = 30771,
    [SMALL_STATE(1154)] = 30784,
    [SMALL_STATE(1155)] = 30797,
    [SMALL_STATE(1156)] = 30810,
    [SMALL_STATE(1157)] = 30823,
    [SMALL_STATE(1158)] = 30836,
    [SMALL_STATE(1159)] = 30849,
    [SMALL_STATE(1160)] = 30862,
    [SMALL_STATE(1161)] = 30875,
    [SMALL_STATE(1162)] = 30888,
    [SMALL_STATE(1163)] = 30901,
    [SMALL_STATE(1164)] = 30914,
    [SMALL_STATE(1165)] = 30927,
    [SMALL_STATE(1166)] = 30940,
    [SMALL_STATE(1167)] = 30953,
    [SMALL_STATE(1168)] = 30966,
    [SMALL_STATE(1169)] = 30979,
    [SMALL_STATE(1170)] = 30992,
    [SMALL_STATE(1171)] = 31005,
    [SMALL_STATE(1172)] = 31018,
    [SMALL_STATE(1173)] = 31031,
    [SMALL_STATE(1174)] = 31044,
    [SMALL_STATE(1175)] = 31057,
    [SMALL_STATE(1176)] = 31070,
    [SMALL_STATE(1177)] = 31083,
    [SMALL_STATE(1178)] = 31096,
    [SMALL_STATE(1179)] = 31109,
    [SMALL_STATE(1180)] = 31122,
    [SMALL_STATE(1181)] = 31135,
    [SMALL_STATE(1182)] = 31148,
    [SMALL_STATE(1183)] = 31161,
    [SMALL_STATE(1184)] = 31174,
    [SMALL_STATE(1185)] = 31187,
    [SMALL_STATE(1186)] = 31200,
    [SMALL_STATE(1187)] = 31213,
    [SMALL_STATE(1188)] = 31226,
    [SMALL_STATE(1189)] = 31239,
    [SMALL_STATE(1190)] = 31252,
    [SMALL_STATE(1191)] = 31265,
    [SMALL_STATE(1192)] = 31278,
    [SMALL_STATE(1193)] = 31291,
    [SMALL_STATE(1194)] = 31304,
    [SMALL_STATE(1195)] = 31317,
    [SMALL_STATE(1196)] = 31330,
    [SMALL_STATE(1197)] = 31343,
    [SMALL_STATE(1198)] = 31356,
    [SMALL_STATE(1199)] = 31369,
    [SMALL_STATE(1200)] = 31382,
    [SMALL_STATE(1201)] = 31395,
    [SMALL_STATE(1202)] = 31408,
    [SMALL_STATE(1203)] = 31421,
    [SMALL_STATE(1204)] = 31434,
    [SMALL_STATE(1205)] = 31447,
    [SMALL_STATE(1206)] = 31460,
    [SMALL_STATE(1207)] = 31473,
    [SMALL_STATE(1208)] = 31486,
    [SMALL_STATE(1209)] = 31499,
    [SMALL_STATE(1210)] = 31512,
    [SMALL_STATE(1211)] = 31525,
    [SMALL_STATE(1212)] = 31538,
    [SMALL_STATE(1213)] = 31551,
    [SMALL_STATE(1214)] = 31564,
    [SMALL_STATE(1215)] = 31577,
    [SMALL_STATE(1216)] = 31590,
    [SMALL_STATE(1217)] = 31603,
    [SMALL_STATE(1218)] = 31616,
    [SMALL_STATE(1219)] = 31629,
    [SMALL_STATE(1220)] = 31642,
    [SMALL_STATE(1221)] = 31655,
    [SMALL_STATE(1222)] = 31668,
    [SMALL_STATE(1223)] = 31681,
    [SMALL_STATE(1224)] = 31694,
    [SMALL_STATE(1225)] = 31707,
    [SMALL_STATE(1226)] = 31720,
    [SMALL_STATE(1227)] = 31733,
    [SMALL_STATE(1228)] = 31746,
    [SMALL_STATE(1229)] = 31759,
    [SMALL_STATE(1230)] = 31772,
    [SMALL_STATE(1231)] = 31785,
    [SMALL_STATE(1232)] = 31798,
    [SMALL_STATE(1233)] = 31811,
    [SMALL_STATE(1234)] = 31824,
    [SMALL_STATE(1235)] = 31837,
    [SMALL_STATE(1236)] = 31850,
    [SMALL_STATE(1237)] = 31863,
    [SMALL_STATE(1238)] = 31876,
    [SMALL_STATE(1239)] = 31889,
    [SMALL_STATE(1240)] = 31902,
    [SMALL_STATE(1241)] = 31915,
    [SMALL_STATE(1242)] = 31928,
    [SMALL_STATE(1243)] = 31941,
    [SMALL_STATE(1244)] = 31954,
    [SMALL_STATE(1245)] = 31967,
    [SMALL_STATE(1246)] = 31980,
    [SMALL_STATE(1247)] = 31993,
    [SMALL_STATE(1248)] = 32006,
    [SMALL_STATE(1249)] = 32019,
    [SMALL_STATE(1250)] = 32032,
    [SMALL_STATE(1251)] = 32045,
    [SMALL_STATE(1252)] = 32058,
    [SMALL_STATE(1253)] = 32062,
};

static const TSParseActionEntry ts_parse_actions[] = {
    [0] = { .entry = { .count = 0, .reusable = false } },
    [1] = { .entry = { .count = 1, .reusable = false } },
    RECOVER(),
    [3] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1101),
    [5] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1203),
    [7] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_specification, 0, 0, 0),
    [9] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1201),
    [11] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(827),
    [13] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(408),
    [15] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1197),
    [17] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1194),
    [19] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(544),
    [21] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1191),
    [23] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1188),
    [25] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1187),
    [27] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1186),
    [29] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(62),
    [31] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(78),
    [33] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(549),
    [35] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1184),
    [37] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1183),
    [39] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1180),
    [41] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1178),
    [43] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1175),
    [45] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(81),
    [47] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(803),
    [49] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(32),
    [51] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1171),
    [53] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(566),
    [55] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(567),
    [57] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(362),
    [59] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1165),
    [61] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1164),
    [63] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1163),
    [65] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1162),
    [67] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(796),
    [69] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(407),
    [71] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(411),
    [73] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(391),
    [75] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(391),
    [77] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(377),
    [79] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(482),
    [81] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(948),
    [83] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(380),
    [85] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(379),
    [87] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(379),
    [89] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(384),
    [91] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(385),
    [93] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(385),
    [95] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(484),
    [97] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(484),
    [99] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1069),
    [101] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(389),
    [103] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(390),
    [105] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(481),
    [107] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(976),
    [109] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(968),
    [111] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1197),
    [113] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1202),
    [115] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(890),
    [117] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(889),
    [119] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(888),
    [121] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(64),
    [123] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1188),
    [125] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1187),
    [127] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(885),
    [129] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1184),
    [131] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1180),
    [133] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1178),
    [135] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1175),
    [137] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(81),
    [139] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(884),
    [141] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(76),
    [143] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(871),
    [145] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(32),
    [147] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(566),
    [149] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(362),
    [151] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(459),
    [153] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(796),
    [155] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(214),
    [157] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(407),
    [160] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(411),
    [163] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(391),
    [166] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(391),
    [169] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(377),
    [172] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(482),
    [175] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(948),
    [178] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(380),
    [181] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(379),
    [184] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(379),
    [187] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(384),
    [190] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(385),
    [193] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(385),
    [196] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(484),
    [199] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(484),
    [202] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1069),
    [205] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(389),
    [208] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [211] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(481),
    [214] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(976),
    [217] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(968),
    [220] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1197),
    [223] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    [225] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(890),
    [228] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(889),
    [231] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(888),
    [234] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(64),
    [237] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1188),
    [240] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1187),
    [243] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(62),
    [246] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(78),
    [249] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(885),
    [252] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1184),
    [255] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1180),
    [258] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1178),
    [261] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1175),
    [264] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(81),
    [267] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(884),
    [270] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [273] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(871),
    [276] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [279] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1171),
    [282] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(566),
    [285] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(362),
    [288] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(459),
    [291] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(796),
    [294] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(214),
    [297] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(872),
    [299] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(856),
    [301] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(854),
    [303] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1053),
    [305] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(878),
    [307] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1181),
    [309] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(407),
    [312] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(411),
    [315] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(391),
    [318] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(391),
    [321] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(377),
    [324] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(482),
    [327] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(948),
    [330] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(380),
    [333] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(379),
    [336] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(379),
    [339] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(384),
    [342] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(385),
    [345] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(385),
    [348] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(484),
    [351] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(484),
    [354] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1069),
    [357] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(389),
    [360] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [363] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(481),
    [366] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(976),
    [369] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(968),
    [372] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1197),
    [375] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    [377] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(890),
    [380] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(889),
    [383] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(888),
    [386] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(64),
    [389] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1188),
    [392] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1187),
    [395] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(62),
    [398] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(78),
    [401] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(885),
    [404] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1184),
    [407] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1180),
    [410] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1178),
    [413] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1175),
    [416] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(81),
    [419] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(884),
    [422] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(854),
    [425] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [428] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1171),
    [431] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(566),
    [434] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(362),
    [437] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(459),
    [440] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1053),
    [443] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(796),
    [446] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(214),
    [449] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_body, 1, 0, 0),
    [451] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(892),
    [453] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(407),
    [456] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(411),
    [459] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(391),
    [462] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(391),
    [465] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(377),
    [468] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(482),
    [471] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(948),
    [474] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(380),
    [477] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(379),
    [480] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(379),
    [483] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(384),
    [486] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(385),
    [489] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(385),
    [492] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(484),
    [495] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(484),
    [498] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1069),
    [501] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(389),
    [504] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [507] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(481),
    [510] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(976),
    [513] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(968),
    [516] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1197),
    [519] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    [521] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(890),
    [524] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(889),
    [527] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(888),
    [530] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(64),
    [533] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1188),
    [536] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1187),
    [539] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(62),
    [542] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(78),
    [545] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(885),
    [548] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1184),
    [551] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1180),
    [554] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1178),
    [557] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1175),
    [560] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(81),
    [563] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(884),
    [566] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [569] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1171),
    [572] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(566),
    [575] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(362),
    [578] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(459),
    [581] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(796),
    [584] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(214),
    [587] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1021),
    [589] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1020),
    [591] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(945),
    [593] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1250),
    [595] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1249),
    [597] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(944),
    [599] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_body, 1, 0, 0),
    [601] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1102),
    [603] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(231),
    [605] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(100),
    [607] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(221),
    [609] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(228),
    [611] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(236),
    [613] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(215),
    [615] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(494),
    [617] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(447),
    [619] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(678),
    [621] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(235),
    [623] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1101),
    [625] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    [627] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1201),
    [630] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(827),
    [633] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(408),
    [636] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1197),
    [639] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1194),
    [642] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(544),
    [645] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1191),
    [648] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1188),
    [651] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1187),
    [654] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1186),
    [657] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(62),
    [660] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(78),
    [663] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(549),
    [666] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1184),
    [669] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1183),
    [672] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1180),
    [675] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1178),
    [678] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1175),
    [681] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(81),
    [684] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(803),
    [687] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [690] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1171),
    [693] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(566),
    [696] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(567),
    [699] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(362),
    [702] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1165),
    [705] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1164),
    [708] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1163),
    [711] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1162),
    [714] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(796),
    [717] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_specification, 1, 0, 0),
    [719] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(898),
    [721] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(706),
    [723] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1197),
    [726] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    [728] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1194),
    [731] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(544),
    [734] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1191),
    [737] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1188),
    [740] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1187),
    [743] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1186),
    [746] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(62),
    [749] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(78),
    [752] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(549),
    [755] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1184),
    [758] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1183),
    [761] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1180),
    [764] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1178),
    [767] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1175),
    [770] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(81),
    [773] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(706),
    [776] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(803),
    [779] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [782] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1171),
    [785] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(566),
    [788] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(567),
    [791] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(362),
    [794] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1165),
    [797] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1164),
    [800] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1163),
    [803] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1162),
    [806] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(796),
    [809] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(926),
    [811] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1010),
    [813] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1197),
    [816] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    [818] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1194),
    [821] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(544),
    [824] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1191),
    [827] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1188),
    [830] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1187),
    [833] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1186),
    [836] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(62),
    [839] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(78),
    [842] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(549),
    [845] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1184),
    [848] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1183),
    [851] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1180),
    [854] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1178),
    [857] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1175),
    [860] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(81),
    [863] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(803),
    [866] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [869] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1171),
    [872] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(566),
    [875] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(567),
    [878] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(362),
    [881] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1165),
    [884] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1164),
    [887] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1163),
    [890] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1162),
    [893] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(796),
    [896] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1190),
    [898] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(894),
    [900] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(65),
    [902] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(68),
    [904] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(104),
    [906] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1248),
    [908] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(65),
    [910] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(407),
    [913] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(411),
    [916] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(391),
    [919] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(391),
    [922] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(377),
    [925] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(482),
    [928] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(948),
    [931] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(380),
    [934] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(379),
    [937] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(379),
    [940] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(384),
    [943] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(385),
    [946] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(385),
    [949] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(484),
    [952] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(484),
    [955] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1069),
    [958] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(389),
    [961] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [964] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(481),
    [967] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(976),
    [970] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(968),
    [973] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    [975] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(65),
    [978] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(68),
    [981] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(459),
    [984] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(214),
    [987] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(750),
    [989] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(762),
    [991] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(741),
    [993] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(896),
    [995] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(804),
    [997] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(442),
    [999] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(183),
    [1001] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_header, 2, 0, 0),
    [1003] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(401),
    [1005] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_forward_dcl, 2, 0, 0),
    [1007] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(470),
    [1009] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(981),
    [1011] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(980),
    [1013] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(909),
    [1015] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(880),
    [1017] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(912),
    [1019] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(407),
    [1022] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(411),
    [1025] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(391),
    [1028] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(391),
    [1031] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(377),
    [1034] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(981),
    [1037] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(980),
    [1040] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(380),
    [1043] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(379),
    [1046] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(379),
    [1049] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(384),
    [1052] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(385),
    [1055] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(385),
    [1058] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(484),
    [1061] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(484),
    [1064] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1069),
    [1067] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(389),
    [1070] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [1073] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(909),
    [1076] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(976),
    [1079] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    [1081] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1175),
    [1084] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(81),
    [1087] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [1090] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1171),
    [1093] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(214),
    [1096] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 6, 0, 0),
    [1098] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 6, 0, 0),
    [1100] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_export, 2, 0, 0),
    [1102] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_export, 2, 0, 0),
    [1104] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 1, 0, 0),
    [1106] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 1, 0, 0),
    [1108] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 7, 0, 0),
    [1110] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 7, 0, 0),
    [1112] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_value_element, 1, 0, 0),
    [1114] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_element, 1, 0, 0),
    [1116] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_state_member, 4, 0, 0),
    [1118] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_state_member, 4, 0, 0),
    [1120] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 5, 0, 0),
    [1122] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 5, 0, 0),
    [1124] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_home_export, 1, 0, 0),
    [1126] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_export, 1, 0, 0),
    [1128] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 1, 0, 0),
    [1130] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 1, 0, 0),
    [1132] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_home_export, 2, 0, 0),
    [1134] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_export, 2, 0, 0),
    [1136] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(752),
    [1138] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1005),
    [1140] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(83),
    [1142] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(338),
    [1144] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1028),
    [1146] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1027),
    [1148] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1026),
    [1150] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(260),
    [1152] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(259),
    [1154] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1025),
    [1156] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1024),
    [1158] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1023),
    [1160] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(287),
    [1162] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(289),
    [1164] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(290),
    [1166] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(258),
    [1168] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(261),
    [1170] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(291),
    [1172] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(997),
    [1174] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(993),
    [1176] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(992),
    [1178] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(989),
    [1180] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(988),
    [1182] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(262),
    [1184] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(263),
    [1186] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(987),
    [1188] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(264),
    [1190] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(265),
    [1192] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(266),
    [1194] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(249),
    [1196] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1031),
    [1198] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1206),
    [1200] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1207),
    [1202] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(460),
    [1204] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(461),
    [1206] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1208),
    [1208] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1209),
    [1210] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1210),
    [1212] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(537),
    [1214] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(538),
    [1216] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(541),
    [1218] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(462),
    [1220] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(463),
    [1222] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(550),
    [1224] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1251),
    [1226] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1211),
    [1228] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1212),
    [1230] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1213),
    [1232] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1214),
    [1234] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(412),
    [1236] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(464),
    [1238] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1215),
    [1240] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(465),
    [1242] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(466),
    [1244] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(468),
    [1246] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(387),
    [1248] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1132),
    [1250] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1220),
    [1252] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1221),
    [1254] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(124),
    [1256] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(123),
    [1258] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1222),
    [1260] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1223),
    [1262] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1224),
    [1264] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(171),
    [1266] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(172),
    [1268] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(174),
    [1270] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(122),
    [1272] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(121),
    [1274] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(176),
    [1276] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1074),
    [1278] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1225),
    [1280] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1226),
    [1282] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1227),
    [1284] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1228),
    [1286] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(120),
    [1288] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(119),
    [1290] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1229),
    [1292] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(118),
    [1294] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(117),
    [1296] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(126),
    [1298] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(134),
    [1300] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1133),
    [1302] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1234),
    [1304] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1235),
    [1306] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(483),
    [1308] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(485),
    [1310] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1236),
    [1312] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1237),
    [1314] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1238),
    [1316] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(692),
    [1318] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(690),
    [1320] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(689),
    [1322] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(486),
    [1324] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(487),
    [1326] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(687),
    [1328] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(955),
    [1330] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1239),
    [1332] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1240),
    [1334] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1241),
    [1336] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1242),
    [1338] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(488),
    [1340] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(490),
    [1342] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1243),
    [1344] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(491),
    [1346] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(492),
    [1348] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(493),
    [1350] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(395),
    [1352] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 1, 0, 0),
    [1354] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 1, 0, 0),
    [1356] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    [1358] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    [1360] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    SHIFT_REPEAT(894),
    [1363] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    SHIFT_REPEAT(104),
    [1366] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(285),
    [1368] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_case_label, 2, 0, 0),
    [1370] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case_label, 2, 0, 0),
    [1372] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 1, 0, 0),
    [1374] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_case_repeat1, 1, 0, 0),
    [1376] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_case_label, 3, 0, 0),
    [1378] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case_label, 3, 0, 0),
    [1380] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    [1382] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    [1384] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(65),
    [1387] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(68),
    [1390] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 4, 0, 8),
    [1392] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 4, 0, 8),
    [1394] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 3, 0, 6),
    [1396] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 3, 0, 6),
    [1398] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 5, 0, 8),
    [1400] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 5, 0, 8),
    [1402] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 4, 0, 6),
    [1404] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 4, 0, 6),
    [1406] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extend_annotation_appl, 4, 0, 0),
    [1408] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extend_annotation_appl, 4, 0, 0),
    [1410] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 2, 0, 0),
    [1412] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 2, 0, 0),
    [1414] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_oneway, 1, 0, 2),
    [1416] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_oneway, 1, 0, 2),
    [1418] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(556),
    [1420] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_service, 1, 0, 2),
    [1422] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_service, 1, 0, 2),
    [1424] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(508),
    [1426] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_nested, 1, 0, 2),
    [1428] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_nested, 1, 0, 2),
    [1430] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(559),
    [1432] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_external, 1, 0, 2),
    [1434] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_external, 1, 0, 2),
    [1436] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(561),
    [1438] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_must_understand, 1, 0, 2),
    [1440] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_must_understand, 1, 0, 2),
    [1442] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(571),
    [1444] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_key, 1, 0, 2),
    [1446] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_key, 1, 0, 2),
    [1448] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(572),
    [1450] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 1, 0, 2),
    [1452] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 1, 0, 2),
    [1454] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(500),
    [1456] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 1, 0, 2),
    [1458] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 1, 0, 2),
    [1460] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(499),
    [1462] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 6, 0, 8),
    [1464] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 6, 0, 8),
    [1466] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ami, 1, 0, 2),
    [1468] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ami, 1, 0, 2),
    [1470] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(555),
    [1472] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 5, 0, 6),
    [1474] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 5, 0, 6),
    [1476] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 1, 0, 0),
    [1478] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 1, 0, 0),
    [1480] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 3, 0, 0),
    [1482] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 3, 0, 0),
    [1484] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 1, 0, 0),
    [1486] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 1, 0, 0),
    [1488] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(86),
    [1490] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extend_annotation_appl, 3, 0, 0),
    [1492] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extend_annotation_appl, 3, 0, 0),
    [1494] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 1, 0, 0),
    [1496] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 1, 0, 0),
    [1498] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ami, 4, 0, 2),
    [1500] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ami, 4, 0, 2),
    [1502] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_extensibility, 4, 0, 2),
    [1504] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_extensibility, 4, 0, 2),
    [1506] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_oneway, 4, 0, 2),
    [1508] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_oneway, 4, 0, 2),
    [1510] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_service, 4, 0, 2),
    [1512] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_service, 4, 0, 2),
    [1514] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 4, 0, 5),
    [1516] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 4, 0, 5),
    [1518] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_nested, 4, 0, 2),
    [1520] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_nested, 4, 0, 2),
    [1522] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 3, 0, 2),
    [1524] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 3, 0, 2),
    [1526] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_external, 4, 0, 2),
    [1528] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_external, 4, 0, 2),
    [1530] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_bit_bound, 4, 0, 2),
    [1532] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_bit_bound, 4, 0, 2),
    [1534] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 4, 0, 0),
    [1536] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 4, 0, 0),
    [1538] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_body, 1, 0, 0),
    [1540] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_body, 1, 0, 0),
    [1542] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_unit, 4, 0, 2),
    [1544] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_unit, 4, 0, 2),
    [1546] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_max, 4, 0, 2),
    [1548] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_max, 4, 0, 2),
    [1550] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_min, 4, 0, 2),
    [1552] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_min, 4, 0, 2),
    [1554] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_definition, 2, 0, 0),
    [1556] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_definition, 2, 0, 0),
    [1558] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_range, 6, 0, 9),
    [1560] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_range, 6, 0, 9),
    [1562] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 10),
    [1564] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 10),
    [1566] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 11),
    [1568] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 11),
    [1570] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 8, 0, 12),
    [1572] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 8, 0, 12),
    [1574] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_must_understand, 4, 0, 2),
    [1576] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_must_understand, 4, 0, 2),
    [1578] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 3, 0, 2),
    [1580] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 3, 0, 2),
    [1582] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default, 4, 0, 2),
    [1584] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default, 4, 0, 2),
    [1586] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_member, 3, 0, 0),
    [1588] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member, 3, 0, 0),
    [1590] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_builtin_body, 1, 0, 0),
    [1592] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_builtin_body, 1, 0, 0),
    [1594] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl, 2, 0, 0),
    [1596] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl, 2, 0, 0),
    [1598] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_key, 4, 0, 2),
    [1600] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_key, 4, 0, 2),
    [1602] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 1, 0, 0),
    [1604] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 1, 0, 0),
    [1606] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 1, 0, 0),
    [1608] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 1, 0, 0),
    [1610] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_value, 4, 0, 2),
    [1612] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_value, 4, 0, 2),
    [1614] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_body, 2, 0, 0),
    [1616] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_body, 2, 0, 0),
    [1618] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_position, 4, 0, 2),
    [1620] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_position, 4, 0, 2),
    [1622] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 4, 0, 2),
    [1624] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 4, 0, 2),
    [1626] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 4, 0, 2),
    [1628] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 4, 0, 2),
    [1630] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl, 1, 0, 0),
    [1632] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl, 1, 0, 0),
    [1634] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_final, 1, 0, 2),
    [1636] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_final, 1, 0, 2),
    [1638] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_appendable, 1, 0, 2),
    [1640] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_appendable, 1, 0, 2),
    [1642] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_member, 5, 0, 0),
    [1644] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member, 5, 0, 0),
    [1646] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_mutable, 1, 0, 2),
    [1648] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_mutable, 1, 0, 2),
    [1650] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_id, 4, 0, 2),
    [1652] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_id, 4, 0, 2),
    [1654] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default_literal, 1, 0, 2),
    [1656] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default_literal, 1, 0, 2),
    [1658] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_include, 3, 0, 4),
    [1660] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_include, 3, 0, 4),
    [1662] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_call, 3, 0, 3),
    [1664] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_call, 3, 0, 3),
    [1666] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_define, 2, 0, 0),
    [1668] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_define, 2, 0, 0),
    [1670] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_call, 2, 0, 1),
    [1672] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_call, 2, 0, 1),
    [1674] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 1, 0, 0),
    [1676] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 1, 0, 0),
    [1678] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1174),
    [1680] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_param_attribute, 1, 0, 0),
    [1682] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_attribute, 1, 0, 0),
    [1684] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(365),
    [1686] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 1, 0, 0),
    [1688] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 1, 0, 0),
    [1690] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tpl_definition, 1, 0, 0),
    [1692] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tpl_definition, 1, 0, 0),
    [1694] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tpl_definition, 2, 0, 0),
    [1696] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tpl_definition, 2, 0, 0),
    [1698] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 1, 0, 0),
    [1700] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_module_dcl_repeat1, 1, 0, 0),
    [1702] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(407),
    [1704] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(411),
    [1706] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(377),
    [1708] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(905),
    [1710] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(380),
    [1712] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(384),
    [1714] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(228),
    [1716] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(236),
    [1718] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(215),
    [1720] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(447),
    [1722] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(235),
    [1724] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(861),
    [1726] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(888),
    [1728] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(64),
    [1730] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(410),
    [1732] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(375),
    [1734] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(514),
    [1736] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(518),
    [1738] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(519),
    [1740] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(520),
    [1742] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_body, 1, 0, 0),
    [1744] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    [1746] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(888),
    [1749] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(64),
    [1752] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(410),
    [1755] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(375),
    [1758] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(514),
    [1761] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(518),
    [1764] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(519),
    [1767] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(520),
    [1770] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_dec_number, 1, 0, 0),
    [1772] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_dec_number, 1, 0, 0),
    [1774] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_literal, 1, 0, 0),
    [1776] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_literal, 1, 0, 0),
    [1778] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(513),
    [1780] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_literal, 2, 0, 0),
    [1782] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_literal, 2, 0, 0),
    [1784] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(631),
    [1786] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1106),
    [1788] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expr, 1, 0, 0),
    [1790] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expr, 1, 0, 0),
    [1792] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_wide_string_literal, 2, 0, 0),
    [1794] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_string_literal, 2, 0, 0),
    [1796] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_literal, 1, 0, 0),
    [1798] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_literal, 1, 0, 0),
    [1800] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [1802] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [1804] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_add_expr, 1, 0, 0),
    [1806] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_add_expr, 1, 0, 0),
    [1808] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(148),
    [1810] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(148),
    [1812] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_fixed_pt_literal, 4, 0, 0),
    [1814] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_literal, 4, 0, 0),
    [1816] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_mult_expr, 1, 0, 0),
    [1818] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_mult_expr, 1, 0, 0),
    [1820] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    [1822] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(888),
    [1825] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(64),
    [1828] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(410),
    [1831] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(375),
    [1834] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(520),
    [1837] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expr, 1, 0, 0),
    [1839] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expr, 1, 0, 0),
    [1841] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_fixed_pt_literal, 5, 0, 0),
    [1843] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_literal, 5, 0, 0),
    [1845] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1205),
    [1847] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_floating_pt_literal, 5, 0, 0),
    [1849] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_literal, 5, 0, 0),
    [1851] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expr, 2, 0, 0),
    [1853] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expr, 2, 0, 0),
    [1855] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_body, 1, 0, 0),
    [1857] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [1859] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [1861] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_oct_number, 1, 0, 0),
    [1863] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_oct_number, 1, 0, 0),
    [1865] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_wide_character_literal, 2, 0, 0),
    [1867] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_character_literal, 2, 0, 0),
    [1869] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    [1871] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(888),
    [1874] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(64),
    [1877] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(410),
    [1880] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(375),
    [1883] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(520),
    [1886] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [1888] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [1890] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_mult_expr, 3, 0, 0),
    [1892] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_mult_expr, 3, 0, 0),
    [1894] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [1896] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [1898] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_add_expr, 3, 0, 0),
    [1900] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_add_expr, 3, 0, 0),
    [1902] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(62),
    [1905] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(78),
    [1908] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_floating_pt_literal, 4, 0, 0),
    [1910] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_literal, 4, 0, 0),
    [1912] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expr, 3, 0, 0),
    [1914] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expr, 3, 0, 0),
    [1916] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_body, 2, 0, 0),
    [1918] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_char_literal, 3, 0, 0),
    [1920] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_char_literal, 3, 0, 0),
    [1922] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(977),
    [1924] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(977),
    [1926] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1007),
    [1928] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(942),
    [1930] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(84),
    [1932] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(713),
    [1934] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(473),
    [1936] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(474),
    [1938] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(714),
    [1940] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(716),
    [1942] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(717),
    [1944] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(471),
    [1946] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(718),
    [1948] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(719),
    [1950] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_simple_type_spec, 1, 0, 0),
    [1952] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_simple_type_spec, 1, 0, 0),
    [1954] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_shift_expr, 3, 0, 0),
    [1956] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_shift_expr, 3, 0, 0),
    [1958] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(132),
    [1960] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_shift_expr, 1, 0, 0),
    [1962] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_shift_expr, 1, 0, 0),
    [1964] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(99),
    [1966] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_and_expr, 1, 0, 0),
    [1968] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_and_expr, 1, 0, 0),
    [1970] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(111),
    [1972] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_and_expr, 3, 0, 0),
    [1974] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_and_expr, 3, 0, 0),
    [1976] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 1, 0, 0),
    [1978] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_export, 2, 0, 0),
    [1980] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1166),
    [1982] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_xor_expr, 3, 0, 0),
    [1984] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(108),
    [1986] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_xor_expr, 1, 0, 0),
    [1988] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(742),
    [1990] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_declarator, 1, 0, 0),
    [1992] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(740),
    [1994] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(739),
    [1996] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_or_expr, 3, 0, 0),
    [1998] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(106),
    [2000] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_or_expr, 1, 0, 0),
    [2002] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(238),
    [2004] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(770),
    [2006] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(66),
    [2008] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(75),
    [2010] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(767),
    [2012] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_export, 2, 0, 0),
    [2014] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 1, 0, 0),
    [2016] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_simple_declarator, 1, 0, 0),
    [2018] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(16),
    [2020] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(401),
    [2022] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_forward_dcl, 3, 0, 0),
    [2024] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(470),
    [2026] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_ref, 2, 0, 0),
    [2028] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(800),
    [2030] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(894),
    [2032] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(104),
    [2034] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 2, 0, 0),
    [2036] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_forward_dcl, 2, 0, 0),
    [2038] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_export, 2, 0, 0),
    [2040] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_export, 1, 0, 0),
    [2042] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    [2044] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(894),
    [2047] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(104),
    [2050] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_export, 1, 0, 0),
    [2052] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(838),
    [2054] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_expr, 1, 0, 0),
    [2056] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(105),
    [2058] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 1, 0, 0),
    [2060] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(71),
    [2062] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(63),
    [2064] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(131),
    [2066] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1203),
    [2068] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(671),
    [2070] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(280),
    [2072] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_array_declarator, 2, 0, 0),
    [2074] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(98),
    [2076] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 2, 0, 0),
    [2078] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(725),
    [2080] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_forward_dcl, 2, 0, 0),
    [2082] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(617),
    [2084] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(850),
    [2086] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(66),
    [2089] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [2092] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(799),
    [2094] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(779),
    [2096] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(781),
    [2098] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(214),
    [2100] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(17),
    [2102] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(293),
    [2104] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_sign, 1, 0, 0),
    [2106] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_sign, 1, 0, 0),
    [2108] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [2111] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(63),
    [2114] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(558),
    [2116] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(771),
    [2118] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 3, 0, 0),
    [2120] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(570),
    [2122] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
    [2124] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(98),
    [2127] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(675),
    [2129] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(115),
    [2131] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1182),
    [2133] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(376),
    [2135] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_int, 1, 0, 0),
    [2137] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_short_int, 1, 0, 0),
    [2139] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_int, 1, 0, 0),
    [2141] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(844),
    [2143] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(903),
    [2145] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_long_int, 1, 0, 0),
    [2147] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_longlong_int, 1, 0, 0),
    [2149] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1036),
    [2151] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(85),
    [2153] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(790),
    [2155] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(92),
    [2157] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_type, 1, 0, 0),
    [2159] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(93),
    [2161] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_string_type, 1, 0, 0),
    [2163] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_longlong_int, 1, 0, 0),
    [2165] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_type, 1, 0, 0),
    [2167] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1134),
    [2169] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(87),
    [2171] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(370),
    [2173] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1073),
    [2175] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(731),
    [2177] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_declarator, 1, 0, 0),
    [2179] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(916),
    [2181] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(423),
    [2183] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(773),
    [2185] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(720),
    [2187] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(606),
    [2189] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(715),
    [2191] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_short_int, 1, 0, 0),
    [2193] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1070),
    [2195] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(498),
    [2197] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1068),
    [2199] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 2, 0, 0),
    [2201] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(903),
    [2204] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_long_int, 1, 0, 0),
    [2206] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(594),
    [2208] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(709),
    [2210] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(72),
    [2212] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(705),
    [2214] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(69),
    [2216] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(699),
    [2218] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(448),
    [2220] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 2, 0, 0),
    [2222] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(445),
    [2224] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(512),
    [2227] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
    [2229] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 4, 0, 0),
    [2231] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(446),
    [2233] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 1, 0, 0),
    [2235] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(338),
    [2237] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_name, 1, 0, 0),
    [2239] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(413),
    [2241] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarators, 2, 0, 0),
    [2243] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(578),
    [2245] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_supported_interface_spec, 2, 0, 0),
    [2247] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(798),
    [2249] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 5, 0, 0),
    [2251] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(580),
    [2253] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 4, 0, 0),
    [2255] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_inheritance_spec_repeat1, 2, 0, 0),
    SHIFT_REPEAT(448),
    [2258] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_inheritance_spec_repeat1, 2, 0, 0),
    [2260] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_array_size, 3, 0, 0),
    [2262] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    [2264] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(578),
    [2267] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_sequence_type, 4, 0, 0),
    [2269] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_string_type, 4, 0, 0),
    [2271] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 6, 0, 0),
    [2273] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_type, 4, 0, 0),
    [2275] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(779),
    [2278] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0),
    [2280] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(757),
    [2282] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(70),
    [2284] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 4, 0, 0),
    [2286] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_declarators_repeat1, 2, 0, 0),
    SHIFT_REPEAT(413),
    [2289] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_declarators_repeat1, 2, 0, 0),
    [2291] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 3, 0, 0),
    [2293] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(421),
    [2295] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_sequence_type, 6, 0, 0),
    [2297] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_type, 6, 0, 0),
    [2299] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_map_type, 6, 0, 0),
    [2301] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 5, 0, 0),
    [2303] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(710),
    [2306] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    [2308] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(710),
    [2311] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(846),
    [2313] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_map_type, 8, 0, 0),
    [2315] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(841),
    [2317] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_object_type, 1, 0, 0),
    [2319] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(496),
    [2321] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(497),
    [2323] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(598),
    [2325] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(597),
    [2327] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(593),
    [2329] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(505),
    [2331] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(587),
    [2333] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_spec, 1, 0, 0),
    [2335] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(585),
    [2337] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(994),
    [2339] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(933),
    [2341] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(300),
    [2343] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(303),
    [2345] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(922),
    [2347] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarators, 1, 0, 0),
    [2349] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(710),
    [2351] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(893),
    [2353] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(710),
    [2355] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_header, 2, 0, 0),
    [2357] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(469),
    [2359] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_forward_dcl, 2, 0, 0),
    [2361] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_type_spec, 1, 0, 0),
    [2363] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_type, 1, 0, 0),
    [2365] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_base_type_spec, 1, 0, 0),
    [2367] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(501),
    [2369] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_type, 1, 0, 0),
    [2371] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(502),
    [2373] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(548),
    [2375] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(545),
    [2377] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(536),
    [2379] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(36),
    [2381] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(723),
    [2383] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_forward_dcl, 2, 0, 0),
    [2385] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(535),
    [2387] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(480),
    [2389] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(533),
    [2391] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(532),
    [2393] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(242),
    [2395] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(240),
    [2397] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(560),
    [2399] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(565),
    [2401] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(952),
    [2403] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(141),
    [2405] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(156),
    [2407] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(674),
    [2409] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(672),
    [2411] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(512),
    [2413] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(248),
    [2415] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(604),
    [2417] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(340),
    [2419] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(845),
    [2421] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 1, 0, 0),
    [2423] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_in_parameter_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(812),
    [2426] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_in_parameter_dcls_repeat1, 2, 0, 0),
    [2428] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(833),
    [2430] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(766),
    [2432] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(775),
    [2434] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(843),
    [2436] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(840),
    [2438] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case, 3, 0, 0),
    [2440] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_names, 2, 0, 0),
    [2442] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(864),
    [2444] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(420),
    [2446] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 7, 0, 0),
    [2448] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_formal_parameter_names_repeat1, 2, 0, 0),
    [2450] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_formal_parameter_names_repeat1, 2, 0, 0),
    SHIFT_REPEAT(864),
    [2453] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(110),
    [2455] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(101),
    [2457] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarator, 1, 0, 0),
    [2459] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_factory_param_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(780),
    [2462] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_factory_param_dcls_repeat1, 2, 0, 0),
    [2464] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_init_param_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(774),
    [2467] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_init_param_dcls_repeat1, 2, 0, 0),
    [2469] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_parameter_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(43),
    [2472] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_parameter_dcls_repeat1, 2, 0, 0),
    [2474] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_context_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(761),
    [2477] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_context_expr_repeat1, 2, 0, 0),
    [2479] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(816),
    [2481] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_params, 2, 0, 0),
    [2483] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(812),
    [2485] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_parameter_dcls, 2, 0, 0),
    [2487] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1035),
    [2489] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1034),
    [2491] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1033),
    [2493] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameters, 2, 0, 0),
    [2495] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(60),
    [2497] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(680),
    [2499] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(77),
    [2501] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1172),
    [2503] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameters, 2, 0, 0),
    [2505] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(22),
    [2507] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 1, 0, 0),
    [2509] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 6, 0, 0),
    [2511] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(383),
    [2513] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(748),
    [2515] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(342),
    [2517] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_inheritance_spec, 2, 0, 0),
    [2519] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_any_declarators_repeat1, 2, 0, 0),
    SHIFT_REPEAT(424),
    [2522] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_any_declarators_repeat1, 2, 0, 0),
    [2524] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_supported_interface_spec, 3, 0, 0),
    [2526] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_inheritance_spec, 2, 0, 0),
    [2528] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_inheritance_spec, 2, 0, 0),
    [2530] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(424),
    [2532] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarators, 2, 0, 0),
    [2534] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_inheritance_spec, 3, 0, 0),
    [2536] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(979),
    [2538] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(842),
    [2540] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(57),
    [2542] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(604),
    [2545] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(49),
    [2547] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 5, 0, 0),
    [2549] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_positive_int_const, 1, 0, 0),
    [2551] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(780),
    [2553] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcls, 2, 0, 0),
    [2555] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(109),
    [2557] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 5, 0, 0),
    [2559] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(774),
    [2561] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcls, 2, 0, 0),
    [2563] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(48),
    [2565] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 2, 0, 0),
    [2567] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 2, 0, 0),
    SHIFT_REPEAT(843),
    [2570] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(43),
    [2572] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_parameter_dcls, 2, 0, 0),
    [2574] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(761),
    [2576] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(876),
    [2578] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitmask_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(340),
    [2581] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitmask_dcl_repeat1, 2, 0, 0),
    [2583] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_parameter_dcls, 1, 0, 0),
    [2585] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_name, 1, 0, 0),
    [2587] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameters, 1, 0, 0),
    [2589] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_readonly_attr_declarator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(742),
    [2592] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_readonly_attr_declarator_repeat1, 2, 0, 0),
    [2594] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameters, 1, 0, 0),
    [2596] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_params_repeat1, 2, 0, 0),
    SHIFT_REPEAT(816),
    [2599] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_params_repeat1, 2, 0, 0),
    [2601] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
    [2603] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
    SHIFT_REPEAT(60),
    [2606] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_actual_parameters_repeat1, 2, 0, 0),
    [2608] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_actual_parameters_repeat1, 2, 0, 0),
    SHIFT_REPEAT(22),
    [2611] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_declarator, 2, 0, 0),
    [2613] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_params, 1, 0, 0),
    [2615] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_enum_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(383),
    [2618] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enum_dcl_repeat1, 2, 0, 0),
    [2620] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_inheritance_spec_repeat1, 2, 0, 0),
    SHIFT_REPEAT(420),
    [2623] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_inheritance_spec_repeat1, 2, 0, 0),
    [2625] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(59),
    [2627] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(28),
    [2629] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_names, 1, 0, 0),
    [2631] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 5, 0, 0),
    [2633] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_forward_dcl, 2, 0, 0),
    [2635] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(937),
    [2637] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_union_forward_dcl, 2, 0, 0),
    [2639] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_raises_expr, 1, 0, 0),
    [2641] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_declarator, 2, 0, 0),
    [2643] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(910),
    [2645] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_parameter_dcls, 1, 0, 0),
    [2647] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(54),
    [2649] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcls, 1, 0, 0),
    [2651] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(776),
    [2653] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(582),
    [2655] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 4, 0, 0),
    [2657] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_header, 2, 0, 0),
    [2659] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(698),
    [2661] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcls, 1, 0, 0),
    [2663] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 4, 0, 0),
    [2665] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
    [2667] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
    [2669] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 1, 0, 0),
    [2671] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 3, 0, 0),
    [2673] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarators, 1, 0, 0),
    [2675] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(21),
    [2677] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(230),
    [2679] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(227),
    [2681] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarator, 1, 0, 0),
    [2683] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameter, 1, 0, 0),
    [2685] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 7, 0, 0),
    [2687] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield_spec, 4, 0, 0),
    [2689] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(323),
    [2691] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_forward_dcl, 2, 0, 0),
    [2693] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_imported_scope, 1, 0, 0),
    [2695] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_dcl, 1, 0, 0),
    [2697] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_type, 1, 0, 0),
    [2699] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(654),
    [2701] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 7, 0, 7),
    [2703] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_key_spec, 2, 0, 0),
    [2705] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member_type, 1, 0, 0),
    [2707] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(452),
    [2709] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(95),
    [2711] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 6, 0, 0),
    [2713] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 6, 0, 7),
    [2715] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(67),
    [2717] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_type, 1, 0, 0),
    [2719] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_get_excep_expr, 2, 0, 0),
    [2721] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_oneway_dcl, 5, 0, 0),
    [2723] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(947),
    [2725] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_param, 3, 0, 0),
    [2727] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(245),
    [2729] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(223),
    [2731] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 4, 0, 0),
    [2733] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(35),
    [2735] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_dcl, 2, 0, 0),
    [2737] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 6, 0, 0),
    [2739] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bit_value, 1, 0, 0),
    [2741] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 4, 0, 0),
    [2743] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 4, 0, 0),
    [2745] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 6, 0, 0),
    [2747] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield, 3, 0, 0),
    [2749] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 7, 0, 0),
    [2751] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(732),
    [2753] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(190),
    [2755] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_modifier, 1, 0, 0),
    [2757] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enumerator, 1, 0, 0),
    [2759] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enumerator_repeat1, 1, 0, 0),
    [2761] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(388),
    [2763] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(712),
    [2765] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(405),
    [2767] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(436),
    [2769] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(90),
    [2771] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 1, 0, 0),
    [2773] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_dcl, 1, 0, 0),
    [2775] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_constr_type_dcl, 1, 0, 0),
    [2777] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 4, 0, 0),
    [2779] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1016),
    [2781] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(834),
    [2783] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_inherit_spec, 2, 0, 0),
    [2785] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enumerator, 2, 0, 0),
    [2787] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 5, 0, 0),
    [2789] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 8, 0, 0),
    [2791] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_switch_type_spec, 1, 0, 0),
    [2793] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(971),
    [2795] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(970),
    [2797] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 5, 0, 0),
    [2799] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_type, 1, 0, 0),
    [2801] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_oneway_dcl, 6, 0, 0),
    [2803] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter, 2, 0, 0),
    [2805] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1008),
    [2807] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 6, 0, 0),
    [2809] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1066),
    [2811] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_dcl, 3, 0, 0),
    [2813] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1062),
    [2815] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcl, 3, 0, 0),
    [2817] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1061),
    [2819] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1040),
    [2821] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcl, 3, 0, 0),
    [2823] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(180),
    [2825] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1071),
    [2827] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield_spec, 6, 0, 0),
    [2829] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_exception_list, 4, 0, 0),
    [2831] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(681),
    [2833] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 9, 0, 0),
    [2835] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raises_expr, 5, 0, 0),
    [2837] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raises_expr, 4, 0, 0),
    [2839] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield, 2, 0, 0),
    [2841] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 1, 0, 0),
    [2843] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 5, 0, 0),
    [2845] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 5, 0, 0),
    [2847] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_exception_list, 3, 0, 0),
    [2849] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_param_dcl, 3, 0, 0),
    [2851] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bit_value, 2, 0, 0),
    [2853] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(158),
    [2855] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(102),
    [2857] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1177),
    [2859] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(632),
    [2861] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1198),
    [2863] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(96),
    [2865] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_dcl, 3, 0, 0),
    [2867] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1196),
    [2869] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(523),
    [2871] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(322),
    [2873] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(865),
    [2875] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_def, 3, 0, 0),
    [2877] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_element_spec, 2, 0, 0),
    [2879] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(361),
    [2881] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(836),
    [2883] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(868),
    [2885] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_element_spec, 3, 0, 0),
    [2887] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_ref, 6, 0, 0),
    [2889] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1200),
    [2891] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 6, 0, 0),
    [2893] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1179),
    [2895] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_def, 3, 0, 0),
    [2897] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 6, 0, 0),
    [2899] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(51),
    [2901] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_header, 3, 0, 0),
    [2903] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 5, 0, 0),
    [2905] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_box_def, 3, 0, 0),
    [2907] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_def, 3, 0, 0),
    [2909] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_dcl, 1, 0, 0),
    [2911] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_dcl, 5, 0, 0),
    [2913] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(457),
    [2915] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1138),
    [2917] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1169),
    [2919] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(347),
    [2921] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(344),
    [2923] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(79),
    [2925] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_type_spec, 1, 0, 0),
    [2927] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_system_lib_string, 3, 0, 0),
    [2929] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 3, 0, 0),
    [2931] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(88),
    [2933] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_header, 3, 0, 0),
    [2935] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_except_dcl, 4, 0, 0),
    [2937] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_header, 3, 0, 0),
    [2939] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_dcl, 8, 0, 0),
    [2941] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(15),
    [2943] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(278),
    [2945] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_max_expr, 3, 0, 0),
    [2947] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(13),
    [2949] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(97),
    [2951] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(832),
    [2953] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_destination_type, 1, 0, 0),
    [2955] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(306),
    [2957] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_const_type, 1, 0, 0),
    [2959] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 4, 0, 0),
    [2961] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(811),
    [2963] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_dcl, 4, 0, 0),
    [2965] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_raises_expr, 2, 0, 0),
    [2967] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_excep_expr, 2, 0, 0),
    [2969] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(547),
    [2971] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 7, 0, 0),
    [2973] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(165),
    [2975] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(272),
    [2977] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(269),
    [2979] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_autoid_kind, 1, 0, 0),
    [2981] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(187),
    [2983] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(276),
    [2985] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_dcl, 7, 0, 0),
    [2987] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(281),
    [2989] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(273),
    [2991] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(271),
    [2993] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_prefix_dcl, 3, 0, 0),
    [2995] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_id_dcl, 3, 0, 0),
    [2997] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extensibility_kind, 1, 0, 0),
    [2999] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(268),
    [3001] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_declarator, 2, 0, 0),
    [3003] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(103),
    [3005] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(182),
    [3007] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(284),
    [3009] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(173),
    [3011] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(253),
    [3013] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(286),
    [3015] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 7, 0, 0),
    [3017] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 7, 0, 0),
    [3019] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(112),
    [3021] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(200),
    [3023] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(94),
    [3025] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(847),
    [3027] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_default, 2, 0, 0),
    [3029] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(267),
    [3031] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(295),
    [3033] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(891),
    [3035] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(758),
    [3037] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_dcl, 2, 0, 0),
    [3039] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_dcl, 2, 0, 0),
    [3041] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(863),
    [3043] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_native_dcl, 2, 0, 0),
    [3045] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(607),
    [3047] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(616),
    [3049] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_dcl, 2, 0, 0),
    [3051] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(296),
    [3053] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_uses_dcl, 4, 0, 0),
    [3055] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(620),
    [3057] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_typedef_dcl, 2, 0, 0),
    [3059] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(80),
    [3061] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(297),
    [3063] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(369),
    [3065] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_kind, 2, 0, 0),
    [3067] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(936),
    [3069] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(304),
    [3071] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(283),
    [3073] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(453),
    [3075] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_verbatim_language, 1, 0, 0),
    [3077] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(58),
    [3079] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 3, 0, 0),
    [3081] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_const_type, 1, 0, 0),
    [3083] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(305),
    [3085] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(368),
    [3087] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(325),
    [3089] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(256),
    [3091] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(311),
    [3093] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(733),
    [3095] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_spec, 4, 0, 0),
    [3097] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(831),
    [3099] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(194),
    [3101] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(193),
    [3103] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_service_platform, 1, 0, 0),
    [3105] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1185),
    [3107] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(809),
    [3109] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(301),
    [3111] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(288),
    [3113] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(451),
    [3115] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(450),
    [3117] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(345),
    [3119] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(270),
    [3121] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_inst, 6, 0, 0),
    [3123] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_placement_kind, 1, 0, 0),
    [3125] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(813),
    [3127] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_module_dcl, 4, 0, 0),
    [3129] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(965),
    [3131] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(302),
    [3133] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(730),
    [3135] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(299),
    [3137] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(298),
    [3139] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(204),
    [3141] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_min_expr, 3, 0, 0),
    [3143] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_supports, 2, 0, 0),
    [3145] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 6, 0, 0),
    [3147] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 6, 0, 0),
    [3149] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(113),
    [3151] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(472),
    [3153] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(203),
    [3155] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(314),
    [3157] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(309),
    [3159] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(199),
    [3161] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(254),
    [3163] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(44),
    [3165] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(337),
    [3167] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(378),
    [3169] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(439),
    [3171] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(343),
    [3173] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(363),
    [3175] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_kind, 2, 0, 0),
    [3177] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(404),
    [3179] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(38),
    [3181] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(437),
    [3183] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_dcl, 3, 0, 0),
    [3185] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(573),
    [3187] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(574),
    [3189] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(576),
    [3191] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(581),
    [3193] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(584),
    [3195] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(592),
    [3197] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(596),
    [3199] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(608),
    [3201] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(618),
    [3203] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(622),
    [3205] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(624),
    [3207] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(627),
    [3209] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1199),
    [3211] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(640),
    [3213] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(648),
    [3215] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(651),
    [3217] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(661),
    [3219] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(664),
    [3221] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(665),
    [3223] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(669),
    [3225] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_consumes_dcl, 3, 0, 0),
    [3227] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_publishes_dcl, 3, 0, 0),
    [3229] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(673),
    [3231] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(683),
    [3233] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(693),
    [3235] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_emits_dcl, 3, 0, 0),
    [3237] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(694),
    [3239] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(177),
    [3241] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(329),
    [3243] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(954),
    [3245] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(178),
    [3247] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1253),
    [3249] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(330),
    [3251] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(839),
    [3253] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_uses_dcl, 3, 0, 0),
    [3255] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(157),
    [3257] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(175),
    [3259] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(168),
    [3261] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(167),
    [3263] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(166),
    [3265] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(164),
    [3267] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(136),
    [3269] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(161),
    [3271] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(155),
    [3273] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(149),
    [3275] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(147),
    [3277] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(146),
    [3279] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(143),
    [3281] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(142),
    [3283] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(140),
    [3285] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(139),
    [3287] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(138),
    [3289] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(137),
    [3291] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(135),
    [3293] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(144),
    [3295] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(151),
    [3297] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(152),
    [3299] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(153),
    [3301] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(154),
    [3303] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1252),
    [3305] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(213),
    [3307] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(251),
    [3309] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_dcl, 1, 0, 0),
    [3311] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(6),
    [3313] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(211),
    [3315] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_dcl, 1, 0, 0),
    [3317] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(670),
    [3319] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(668),
    [3321] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(667),
    [3323] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(663),
    [3325] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(662),
    [3327] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(656),
    [3329] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(653),
    [3331] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(650),
    [3333] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(647),
    [3335] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(645),
    [3337] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(644),
    [3339] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(642),
    [3341] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(638),
    [3343] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(637),
    [3345] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(636),
    [3347] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(635),
    [3349] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(634),
    [3351] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(633),
    [3353] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(630),
    [3355] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(629),
    [3357] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(511),
    [3359] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(615),
    [3361] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(613),
    [3363] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(610),
    [3365] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(116),
    [3367] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(393),
    [3369] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(382),
    [3371] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(5),
    [3373] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(209),
    [3375] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_dcl, 1, 0, 0),
    [3377] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 4, 0, 0),
    [3379] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(958),
    [3381] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_dcl, 1, 0, 0),
    [3383] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_provides_dcl, 3, 0, 0),
    [3385] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 4, 0, 0),
    [3387] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(4),
    [3389] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(41),
    [3391] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(53),
    [3393] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_dcl, 1, 0, 0),
    [3395] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(91),
    [3397] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(441),
    [3399] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(61),
    [3401] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(10),
    [3403] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_spec, 3, 0, 0),
    [3405] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 4, 0, 0),
    [3407] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_dcl, 1, 0, 0),
    [3409] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(477),
    [3411] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(339),
    [3413] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(150),
    [3415] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_def, 5, 0, 0),
    [3417] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(583),
    [3419] = { .entry = { .count = 1, .reusable = true } },
    ACCEPT_INPUT(),
    [3421] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(433),
    [3423] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(707),
    [3425] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(734),
    [3427] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(406),
    [3429] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(358),
    [3431] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_def, 4, 0, 0),
    [3433] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1157),
    [3435] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_dcl, 5, 0, 0),
    [3437] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1148),
    [3439] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1193),
    [3441] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_anno, 1, 0, 0),
    [3443] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(595),
    [3445] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1003),
    [3447] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(983),
    [3449] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_with_context, 2, 0, 0),
    [3451] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(40),
    [3453] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(685),
    [3455] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(416),
    [3457] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(489),
    [3459] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_def, 4, 0, 0),
    [3461] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(346),
    [3463] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_kind, 1, 0, 0),
    [3465] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1006),
    [3467] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1029),
    [3469] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1030),
    [3471] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(783),
    [3473] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1141),
    [3475] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_module_dcl, 5, 0, 0),
    [3477] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_kind, 1, 0, 0),
    [3479] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1076),
    [3481] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(27),
    [3483] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_type, 2, 0, 0),
    [3485] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_def, 4, 0, 0),
    [3487] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1037),
    [3489] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(415),
    [3491] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(414),
    [3493] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_dcl, 4, 0, 0),
    [3495] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(179),
    [3497] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_def, 4, 0, 0),
    [3499] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1072),
    [3501] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(246),
    [3503] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_dcl, 4, 0, 0),
    [3505] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(191),
    [3507] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(317),
    [3509] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(318),
    [3511] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(205),
    [3513] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(503),
    [3515] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(207),
    [3517] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(208),
    [3519] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(788),
    [3521] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(307),
    [3523] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(250),
    [3525] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(791),
    [3527] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(327),
    [3529] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(792),
    [3531] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(795),
    [3533] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(206),
    [3535] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(316),
    [3537] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(315),
    [3539] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(192),
    [3541] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(507),
    [3543] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(202),
    [3545] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(201),
    [3547] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(801),
    [3549] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(308),
    [3551] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(255),
    [3553] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(805),
    [3555] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(331),
    [3557] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(806),
    [3559] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(808),
    [3561] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(198),
    [3563] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(313),
    [3565] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(312),
    [3567] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(197),
    [3569] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(509),
    [3571] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(196),
    [3573] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(195),
    [3575] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(815),
    [3577] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(310),
    [3579] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(257),
    [3581] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(829),
    [3583] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(326),
    [3585] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(830),
    [3587] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(835),
    [3589] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_except_dcl, 5, 0, 0),
    [3591] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 5, 0, 0),
    [3593] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 5, 0, 0),
    [3595] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(837),
    [3597] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 2, 0, 0),
    [3599] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 3, 0, 0),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_idl(void) {
    static const TSLanguage language = {
        .version = LANGUAGE_VERSION,
        .symbol_count = SYMBOL_COUNT,
        .alias_count = ALIAS_COUNT,
        .token_count = TOKEN_COUNT,
        .external_token_count = EXTERNAL_TOKEN_COUNT,
        .state_count = STATE_COUNT,
        .large_state_count = LARGE_STATE_COUNT,
        .production_id_count = PRODUCTION_ID_COUNT,
        .field_count = FIELD_COUNT,
        .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
        .parse_table = &ts_parse_table[0][0],
        .small_parse_table = ts_small_parse_table,
        .small_parse_table_map = ts_small_parse_table_map,
        .parse_actions = ts_parse_actions,
        .symbol_names = ts_symbol_names,
        .field_names = ts_field_names,
        .field_map_slices = ts_field_map_slices,
        .field_map_entries = ts_field_map_entries,
        .symbol_metadata = ts_symbol_metadata,
        .public_symbol_map = ts_symbol_map,
        .alias_map = ts_non_terminal_alias_map,
        .alias_sequences = &ts_alias_sequences[0][0],
        .lex_modes = ts_lex_modes,
        .lex_fn = ts_lex,
        .primary_state_ids = ts_primary_state_ids,
    };
    return &language;
}
#ifdef __cplusplus
}
#endif
